/* Generated from posix.scm by the CHICKEN compiler
   http://www.call-cc.org
   2017-05-16 12:52
   Version 5.0.0pre1 ((detached from 5.0.0pre1)) (rev 5a6c14b)
   linux-unix-gnu-x86-64 [ 64bit dload ptables ]
   compiled 2017-05-16 on waldrop (Linux)
   command line: posix.scm -optimize-level 2 -include-path . -include-path ./ -inline -ignore-repository -feature chicken-bootstrap -no-warnings -specialize -consult-type-file ./types.db -explicit-use -no-trace -output-file posixwin.c -feature platform-windows -emit-import-library chicken.errno -emit-import-library chicken.file.posix -emit-import-library chicken.time.posix -emit-import-library chicken.process -emit-import-library chicken.process.signal -emit-import-library chicken.process-context -emit-import-library chicken.posix
   unit: posix
   uses: scheduler irregex pathname extras files port lolevel data-structures library
*/
#include "chicken.h"

#ifndef WIN32_LEAN_AND_MEAN
# define WIN32_LEAN_AND_MEAN
#endif

#include <direct.h>
#include <errno.h>
#include <fcntl.h>
#include <io.h>
#include <process.h>
#include <signal.h>
#include <utime.h>
#include <winsock2.h>

#define PIPE_BUF	512

#ifndef EWOULDBLOCK
# define EWOULDBLOCK 0
#endif

static C_TLS int C_pipefds[ 2 ];
static C_TLS time_t C_secs;

/* pipe handles */
static C_TLS HANDLE C_rd0, C_wr0, C_wr0_, C_rd1, C_wr1, C_rd1_;
static C_TLS HANDLE C_save0, C_save1; /* saved I/O handles */
static C_TLS char C_rdbuf; /* one-char buffer for read */
static C_TLS int C_exstatus;

/* platform information; initialized for cached testing */
static C_TLS char C_hostname[256] = "";
static C_TLS char C_osver[16] = "";
static C_TLS char C_osrel[16] = "";
static C_TLS char C_processor[16] = "";
static C_TLS char C_shlcmd[256] = "";

/* Windows NT or better */
static int C_isNT = 0;

/* Current user name */
static C_TLS TCHAR C_username[255 + 1] = "";

/* Directory Operations */

#define C_mkdir(str)	    C_fix(mkdir(C_c_string(str)))
#define C_chdir(str)	    C_fix(chdir(C_c_string(str)))
#define C_rmdir(str)	    C_fix(rmdir(C_c_string(str)))

/* DIRENT stuff */
struct dirent
{
    char *		d_name;
};

typedef struct
{
    struct _finddata_t	fdata;
    int			handle;
    struct dirent	current;
} DIR;

static DIR * C_fcall
opendir(const char *name)
{
    int name_len = strlen(name);
    int what_len = name_len + 3;
    DIR *dir = (DIR *)malloc(sizeof(DIR));
    char *what;
    if (!dir)
    {
	errno = ENOMEM;
	return NULL;
    }
    what = (char *)malloc(what_len);
    if (!what)
    {
	free(dir);
	errno = ENOMEM;
	return NULL;
    }
    C_strlcpy(what, name, what_len);
    if (strchr("\\/", name[name_len - 1]))
	C_strlcat(what, "*", what_len);
    else
	C_strlcat(what, "\\*", what_len);

    dir->handle = _findfirst(what, &dir->fdata);
    if (dir->handle == -1)
    {
	free(what);
	free(dir);
	return NULL;
    }
    dir->current.d_name = NULL; /* as the first-time indicator */
    free(what);
    return dir;
}

static int C_fcall
closedir(DIR * dir)
{
    if (dir)
    {
	int res = _findclose(dir->handle);
	free(dir);
	return res;
    }
    return -1;
}

static struct dirent * C_fcall
readdir(DIR * dir)
{
    if (dir)
    {
	if (!dir->current.d_name /* first time after opendir */
	     || _findnext(dir->handle, &dir->fdata) != -1)
	{
	    dir->current.d_name = dir->fdata.name;
	    return &dir->current;
	}
    }
    return NULL;
}

#define open_binary_input_pipe(a, n, name)   C_mpointer(a, _popen(C_c_string(name), "r"))
#define open_text_input_pipe(a, n, name)     open_binary_input_pipe(a, n, name)
#define open_binary_output_pipe(a, n, name)  C_mpointer(a, _popen(C_c_string(name), "w"))
#define open_text_output_pipe(a, n, name)    open_binary_output_pipe(a, n, name)
#define close_pipe(p)			     C_fix(_pclose(C_port_file(p)))

#define C_chmod(fn, m)	    C_fix(chmod(C_data_pointer(fn), C_unfix(m)))
#define C_setvbuf(p, m, s)  C_fix(setvbuf(C_port_file(p), NULL, C_unfix(m), C_unfix(s)))
#define C_test_access(fn, m)	    C_fix(access((char *)C_data_pointer(fn), C_unfix(m)))
#define C_pipe(d, m)	    C_fix(_pipe(C_pipefds, PIPE_BUF, C_unfix(m)))
#define C_close(fd)	    C_fix(close(C_unfix(fd)))

#define C_getenventry(i)   environ[ i ]

#define C_lstat(fn)	    C_stat(fn)

#define C_u_i_execvp(f,a)   C_fix(execvp(C_data_pointer(f), (const char *const *)C_c_pointer_vector_or_null(a)))
#define C_u_i_execve(f,a,e) C_fix(execve(C_data_pointer(f), (const char *const *)C_c_pointer_vector_or_null(a), (const char *const *)C_c_pointer_vector_or_null(e)))

/* MS replacement for the fork-exec pair */
#define C_u_i_spawnvp(m,f,a) C_fix(spawnvp(C_unfix(m), C_data_pointer(f), (const char *const *)C_c_pointer_vector_or_null(a)))
#define C_u_i_spawnvpe(m,f,a,e) C_fix(spawnvpe(C_unfix(m), C_data_pointer(f), (const char *const *)C_c_pointer_vector_or_null(a), (const char *const *)C_c_pointer_vector_or_null(e)))

#define C_open(fn, fl, m)   C_fix(open(C_c_string(fn), C_unfix(fl), C_unfix(m)))
#define C_read(fd, b, n)    C_fix(read(C_unfix(fd), C_data_pointer(b), C_unfix(n)))
#define C_write(fd, b, n)   C_fix(write(C_unfix(fd), C_data_pointer(b), C_unfix(n)))

#define C_flushall()	    C_fix(_flushall())

#define C_umask(m)          C_fix(_umask(C_unfix(m)))

#define C_ctime(n)	    (C_secs = (n), ctime(&C_secs))

#define TIME_STRING_MAXLENGTH 255
static char C_time_string [TIME_STRING_MAXLENGTH + 1];
#undef TIME_STRING_MAXLENGTH

/*
  mapping from Win32 error codes to errno
*/

typedef struct
{
    DWORD   win32;
    int	    libc;
} errmap_t;

static errmap_t errmap[] =
{
    {ERROR_INVALID_FUNCTION,	  EINVAL},
    {ERROR_FILE_NOT_FOUND,	  ENOENT},
    {ERROR_PATH_NOT_FOUND,	  ENOENT},
    {ERROR_TOO_MANY_OPEN_FILES,	  EMFILE},
    {ERROR_ACCESS_DENIED,	  EACCES},
    {ERROR_INVALID_HANDLE,	  EBADF},
    {ERROR_ARENA_TRASHED,	  ENOMEM},
    {ERROR_NOT_ENOUGH_MEMORY,	  ENOMEM},
    {ERROR_INVALID_BLOCK,	  ENOMEM},
    {ERROR_BAD_ENVIRONMENT,	  E2BIG},
    {ERROR_BAD_FORMAT,		  ENOEXEC},
    {ERROR_INVALID_ACCESS,	  EINVAL},
    {ERROR_INVALID_DATA,	  EINVAL},
    {ERROR_INVALID_DRIVE,	  ENOENT},
    {ERROR_CURRENT_DIRECTORY,	  EACCES},
    {ERROR_NOT_SAME_DEVICE,	  EXDEV},
    {ERROR_NO_MORE_FILES,	  ENOENT},
    {ERROR_LOCK_VIOLATION,	  EACCES},
    {ERROR_BAD_NETPATH,		  ENOENT},
    {ERROR_NETWORK_ACCESS_DENIED, EACCES},
    {ERROR_BAD_NET_NAME,	  ENOENT},
    {ERROR_FILE_EXISTS,		  EEXIST},
    {ERROR_CANNOT_MAKE,		  EACCES},
    {ERROR_FAIL_I24,		  EACCES},
    {ERROR_INVALID_PARAMETER,	  EINVAL},
    {ERROR_NO_PROC_SLOTS,	  EAGAIN},
    {ERROR_DRIVE_LOCKED,	  EACCES},
    {ERROR_BROKEN_PIPE,		  EPIPE},
    {ERROR_DISK_FULL,		  ENOSPC},
    {ERROR_INVALID_TARGET_HANDLE, EBADF},
    {ERROR_INVALID_HANDLE,	  EINVAL},
    {ERROR_WAIT_NO_CHILDREN,	  ECHILD},
    {ERROR_CHILD_NOT_COMPLETE,	  ECHILD},
    {ERROR_DIRECT_ACCESS_HANDLE,  EBADF},
    {ERROR_NEGATIVE_SEEK,	  EINVAL},
    {ERROR_SEEK_ON_DEVICE,	  EACCES},
    {ERROR_DIR_NOT_EMPTY,	  ENOTEMPTY},
    {ERROR_NOT_LOCKED,		  EACCES},
    {ERROR_BAD_PATHNAME,	  ENOENT},
    {ERROR_MAX_THRDS_REACHED,	  EAGAIN},
    {ERROR_LOCK_FAILED,		  EACCES},
    {ERROR_ALREADY_EXISTS,	  EEXIST},
    {ERROR_FILENAME_EXCED_RANGE,  ENOENT},
    {ERROR_NESTING_NOT_ALLOWED,	  EAGAIN},
    {ERROR_NOT_ENOUGH_QUOTA,	  ENOMEM},
    {0, 0}
};

static void C_fcall
set_errno(DWORD w32err)
{
    errmap_t *map;
    for (map = errmap; map->win32; ++map)
    {
	if (map->win32 == w32err)
	{
	    errno = map->libc;
	    return;
	}
    }
    errno = ENOSYS; /* For lack of anything better */
}

static int C_fcall
set_last_errno()
{
    set_errno(GetLastError());
    return 0;
}

static int C_fcall
process_wait(C_word h, C_word t)
{
    if (WaitForSingleObject((HANDLE)h, (t ? 0 : INFINITE)) == WAIT_OBJECT_0)
    {
	DWORD ret;
	if (GetExitCodeProcess((HANDLE)h, &ret))
	{
	    CloseHandle((HANDLE)h);
	    C_exstatus = ret;
	    return 1;
	}
    }
    return set_last_errno();
}

#define C_process_wait(p, t) (process_wait(C_unfix(p), C_truep(t)) ? C_SCHEME_TRUE : C_SCHEME_FALSE)

static int C_fcall
get_hostname()
{
    /* Do we already have hostname? */
    if (strlen(C_hostname))
    {
	return 1;
    }
    else
    {
	WSADATA wsa;
	if (WSAStartup(MAKEWORD(1, 1), &wsa) == 0)
	{
	    int nok = gethostname(C_hostname, sizeof(C_hostname));
	    WSACleanup();
	    return !nok;
	}
	return 0;
    }
}

static int C_fcall
sysinfo()
{
    /* Do we need to build the sysinfo? */
    if (!strlen(C_osrel))
    {
	OSVERSIONINFO ovf;
	ZeroMemory(&ovf, sizeof(ovf));
	ovf.dwOSVersionInfoSize = sizeof(ovf);
	if (get_hostname() && GetVersionEx(&ovf))
	{
	    SYSTEM_INFO si;
	    _snprintf(C_osver, sizeof(C_osver) - 1, "%d.%d.%d",
			ovf.dwMajorVersion, ovf.dwMinorVersion, ovf.dwBuildNumber);
	    strncpy(C_osrel, "Win", sizeof(C_osrel) - 1);
	    switch (ovf.dwPlatformId)
	    {
	    case VER_PLATFORM_WIN32s:
		strncpy(C_osrel, "Win32s", sizeof(C_osrel) - 1);
		break;
	    case VER_PLATFORM_WIN32_WINDOWS:
		if (ovf.dwMajorVersion == 4)
		{
		    if (ovf.dwMinorVersion == 0)
			strncpy(C_osrel, "Win95", sizeof(C_osrel) - 1);
		    else if (ovf.dwMinorVersion == 10)
			strncpy(C_osrel, "Win98", sizeof(C_osrel) - 1);
		    else if (ovf.dwMinorVersion == 90)
			strncpy(C_osrel, "WinMe", sizeof(C_osrel) - 1);
		}
		break;
	    case VER_PLATFORM_WIN32_NT:
		C_isNT = 1;
		if (ovf.dwMajorVersion == 6)
		    strncpy(C_osrel, "WinVista", sizeof(C_osrel) - 1);
		else if (ovf.dwMajorVersion == 5)
		{
		    if (ovf.dwMinorVersion == 2)
			strncpy(C_osrel, "WinServer2003", sizeof(C_osrel) - 1);
		    else if (ovf.dwMinorVersion == 1)
			strncpy(C_osrel, "WinXP", sizeof(C_osrel) - 1);
		    else if ( ovf.dwMinorVersion == 0)
			strncpy(C_osrel, "Win2000", sizeof(C_osrel) - 1);
		}
		else if (ovf.dwMajorVersion <= 4)
		   strncpy(C_osrel, "WinNT", sizeof(C_osrel) - 1);
		break;
	    }
	    GetSystemInfo(&si);
	    strncpy(C_processor, "Unknown", sizeof(C_processor) - 1);
	    switch (si.wProcessorArchitecture)
	    {
	    case PROCESSOR_ARCHITECTURE_INTEL:
		strncpy(C_processor, "x86", sizeof(C_processor) - 1);
		break;
#	    ifdef PROCESSOR_ARCHITECTURE_IA64
	    case PROCESSOR_ARCHITECTURE_IA64:
		strncpy(C_processor, "IA64", sizeof(C_processor) - 1);
		break;
#	    endif
#	    ifdef PROCESSOR_ARCHITECTURE_AMD64
	    case PROCESSOR_ARCHITECTURE_AMD64:
		strncpy(C_processor, "x64", sizeof(C_processor) - 1);
		break;
#	    endif
#	    ifdef PROCESSOR_ARCHITECTURE_IA32_ON_WIN64
	    case PROCESSOR_ARCHITECTURE_IA32_ON_WIN64:
		strncpy(C_processor, "WOW64", sizeof(C_processor) - 1);
		break;
#	    endif
	    }
	}
	else
	    return set_last_errno();
    }
    return 1;
}

static int C_fcall
get_shlcmd()
{
    /* Do we need to build the shell command pathname? */
    if (!strlen(C_shlcmd))
    {
	if (sysinfo()) /* for C_isNT */
	{
	    char *cmdnam = C_isNT ? "\\cmd.exe" : "\\command.com";
	    UINT len = GetSystemDirectory(C_shlcmd, sizeof(C_shlcmd) - strlen(cmdnam));
	    if (len)
		C_strlcpy(C_shlcmd + len, cmdnam, sizeof(C_shlcmd));
	    else
		return set_last_errno();
	}
	else
	    return 0;
    }
    return 1;
}

#define C_get_hostname() (get_hostname() ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_sysinfo() (sysinfo() ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_get_shlcmd() (get_shlcmd() ? C_SCHEME_TRUE : C_SCHEME_FALSE)

/* GetUserName */

static int C_fcall
get_user_name()
{
    if (!strlen(C_username))
    {
	DWORD bufCharCount = sizeof(C_username) / sizeof(C_username[0]);
	if (!GetUserName(C_username, &bufCharCount))
	    return set_last_errno();
    }
    return 1;
}

#define C_get_user_name() (get_user_name() ? C_SCHEME_TRUE : C_SCHEME_FALSE)

/*
    Spawn a process directly.
    Params:
    app		Command to execute.
    cmdlin	Command line (arguments).
    env		Environment for the new process (may be NULL).
    handle, stdin, stdout, stderr
		Spawned process info are returned in integers.
		When spawned process shares standard io stream with the parent
		process the respective value in handle, stdin, stdout, stderr
		is -1.
    params	A bitmask controling operation.
		Bit 1: Child & parent share standard input if this bit is set.
		Bit 2: Share standard output if bit is set.
		Bit 3: Share standard error if bit is set.

    Returns: zero return value indicates failure.
*/
static int C_fcall
C_process(const char * app, const char * cmdlin, const char ** env,
	  C_word * phandle,
	  int * pstdin_fd, int * pstdout_fd, int * pstderr_fd,
	  int params)
{
    int i;
    int success = TRUE;
    const int f_share_io[3] = { params & 1, params & 2, params & 4};
    int io_fds[3] = { -1, -1, -1 };
    HANDLE
	child_io_handles[3] = { NULL, NULL, NULL },
	standard_io_handles[3] = {
	    GetStdHandle(STD_INPUT_HANDLE),
	    GetStdHandle(STD_OUTPUT_HANDLE),
	    GetStdHandle(STD_ERROR_HANDLE)};
    const char modes[3] = "rww";
    HANDLE cur_process = GetCurrentProcess(), child_process = NULL;
    void* envblk = NULL;

    /****** create io handles & fds ***/

    for (i=0; i<3 && success; ++i)
    {
	if (f_share_io[i])
	{
	    success = DuplicateHandle(
		cur_process, standard_io_handles[i],
		cur_process, &child_io_handles[i],
		0, FALSE, DUPLICATE_SAME_ACCESS);
	}
	else
	{
	    HANDLE a, b;
	    success = CreatePipe(&a,&b,NULL,0);
	    if(success)
	    {
		HANDLE parent_end;
		if (modes[i]=='r') { child_io_handles[i]=a; parent_end=b; }
		else		   { parent_end=a; child_io_handles[i]=b; }
		success = (io_fds[i] = _open_osfhandle((C_word)parent_end,0)) >= 0;
                /* Make new handle inheritable */
		if (success)
		  success = SetHandleInformation(child_io_handles[i], HANDLE_FLAG_INHERIT, -1);
	    }
	}
    }

#if 0 /* Requires a sorted list by key! */
    /****** create environment block if necessary ****/

    if (env && success)
    {
	char** p;
	int len = 0;

	for (p = env; *p; ++p) len += strlen(*p) + 1;

	if (envblk = C_malloc(len + 1))
	{
	    char* pb = (char*)envblk;
	    for (p = env; *p; ++p)
	    {
		C_strlcpy(pb, *p, len+1);
		pb += strlen(*p) + 1;
	    }
	    *pb = '\0';
            /* This _should_ already have been checked for embedded NUL bytes */
	}
	else
	    success = FALSE;
    }
#endif

    /****** finally spawn process ****/

    if (success)
    {
	PROCESS_INFORMATION pi;
	STARTUPINFO si;

	ZeroMemory(&pi,sizeof pi);
	ZeroMemory(&si,sizeof si);
	si.cb = sizeof si;
	si.dwFlags = STARTF_USESTDHANDLES;
	si.hStdInput = child_io_handles[0];
	si.hStdOutput = child_io_handles[1];
	si.hStdError = child_io_handles[2];

	/* FIXME passing 'app' param causes failure & possible stack corruption */
	success = CreateProcess(
	    NULL, (char*)cmdlin, NULL, NULL, TRUE, 0, envblk, NULL, &si, &pi);

	if (success)
	{
	    child_process=pi.hProcess;
	    CloseHandle(pi.hThread);
	}
	else
	    set_last_errno();
    }
    else
	set_last_errno();

    /****** cleanup & return *********/

    /* parent must close child end */
    for (i=0; i<3; ++i) {
	if (child_io_handles[i] != NULL)
	    CloseHandle(child_io_handles[i]);
    }

    if (success)
    {
	*phandle = (C_word)child_process;
	*pstdin_fd = io_fds[0];
	*pstdout_fd = io_fds[1];
	*pstderr_fd = io_fds[2];
    }
    else
    {
	for (i=0; i<3; ++i) {
	    if (io_fds[i] != -1)
		_close(io_fds[i]);
	}
    }

    return success;
}

static int set_file_mtime(char *filename, C_word tm)
{
  struct _utimbuf tb;

  tb.actime = tb.modtime = C_num_to_int(tm);
  return _utime(filename, &tb);
}

#include <signal.h>
#include <errno.h>

#include <sys/stat.h>

static int C_not_implemented(void);
int C_not_implemented() { return -1; }

#define C_curdir(buf)       (getcwd(C_c_string(buf), 1024) ? C_fix(strlen(C_c_string(buf))) : C_SCHEME_FALSE)

static C_TLS struct stat C_statbuf;

#define C_stat_type         (C_statbuf.st_mode & S_IFMT)
#define C_stat(fn)          C_fix(stat((char *)C_data_pointer(fn), &C_statbuf))
#define C_fstat(f)          C_fix(fstat(C_unfix(f), &C_statbuf))

#ifndef S_IFSOCK
# define S_IFSOCK           0140000
#endif

#define cpy_tmvec_to_tmstc08(ptm, v) \
    ((ptm)->tm_sec = C_unfix(C_block_item((v), 0)), \
    (ptm)->tm_min = C_unfix(C_block_item((v), 1)), \
    (ptm)->tm_hour = C_unfix(C_block_item((v), 2)), \
    (ptm)->tm_mday = C_unfix(C_block_item((v), 3)), \
    (ptm)->tm_mon = C_unfix(C_block_item((v), 4)), \
    (ptm)->tm_year = C_unfix(C_block_item((v), 5)), \
    (ptm)->tm_wday = C_unfix(C_block_item((v), 6)), \
    (ptm)->tm_yday = C_unfix(C_block_item((v), 7)), \
    (ptm)->tm_isdst = (C_block_item((v), 8) != C_SCHEME_FALSE))

#define cpy_tmvec_to_tmstc9(ptm, v) \
    (((struct tm *)ptm)->tm_gmtoff = -C_unfix(C_block_item((v), 9)))

#define C_tm_set_08(v, tm)  cpy_tmvec_to_tmstc08( (tm), (v) )
#define C_tm_set_9(v, tm)   cpy_tmvec_to_tmstc9( (tm), (v) )

static struct tm *
C_tm_set( C_word v, void *tm )
{
  C_tm_set_08( v, (struct tm *)tm );
#if defined(C_GNU_ENV) && !defined(__CYGWIN__) && !defined(__uClinux__)
  C_tm_set_9( v, (struct tm *)tm );
#endif
  return tm;
}

#define TIME_STRING_MAXLENGTH 255
static char C_time_string [TIME_STRING_MAXLENGTH + 1];
#undef TIME_STRING_MAXLENGTH

#define C_strftime(v, f, tm) \
        (strftime(C_time_string, sizeof(C_time_string), C_c_string(f), C_tm_set((v), (tm))) ? C_time_string : NULL)
#define C_a_mktime(ptr, c, v, tm)  C_int64_to_num(ptr, mktime(C_tm_set((v), C_data_pointer(tm))))
#define C_asctime(v, tm)    (asctime(C_tm_set((v), (tm))))

#define C_fdopen(a, n, fd, m) C_mpointer(a, fdopen(C_unfix(fd), C_c_string(m)))
#define C_C_fileno(p)       C_fix(fileno(C_port_file(p)))
#define C_dup(x)            C_fix(dup(C_unfix(x)))
#define C_dup2(x, y)        C_fix(dup2(C_unfix(x), C_unfix(y)))

#define C_set_file_ptr(port, ptr)  (C_set_block_item(port, 0, (C_block_item(ptr, 0))), C_SCHEME_UNDEFINED)

#define C_opendir(x,h)      C_set_block_item(h, 0, (C_word) opendir(C_c_string(x)))
#define C_closedir(h)       (closedir((DIR *)C_block_item(h, 0)), C_SCHEME_UNDEFINED)
#define C_readdir(h,e)      C_set_block_item(e, 0, (C_word) readdir((DIR *)C_block_item(h, 0)))
#define C_foundfile(e,b,l)    (C_strlcpy(C_c_string(b), ((struct dirent *) C_block_item(e, 0))->d_name, l), C_fix(strlen(((struct dirent *) C_block_item(e, 0))->d_name)))

/* It is assumed that 'int' is-a 'long' */
#define C_ftell(a, n, p)    C_int64_to_num(a, ftell(C_port_file(p)))
#define C_fseek(p, n, w)    C_mk_nbool(fseek(C_port_file(p), C_num_to_int64(n), C_unfix(w)))
#define C_lseek(fd, o, w)     C_fix(lseek(C_unfix(fd), C_num_to_int64(o), C_unfix(w)))

#ifdef HAVE_SETENV
# define C_unsetenv(s)      (unsetenv((char *)C_data_pointer(s)), C_SCHEME_TRUE)
# define C_setenv(x, y)     C_fix(setenv((char *)C_data_pointer(x), (char *)C_data_pointer(y), 1))
#else
# if defined(_WIN32) && !defined(__CYGWIN__)
#  define C_unsetenv(s)      C_setenv(s, C_SCHEME_FALSE)
# else
#  define C_unsetenv(s)      C_fix(putenv((char *)C_data_pointer(s)))
# endif
static C_word C_fcall C_setenv(C_word x, C_word y) {
  char *sx = C_c_string(x),
       *sy = (y == C_SCHEME_FALSE ? "" : C_c_string(y));
  int n1 = C_strlen(sx), n2 = C_strlen(sy);
  int buf_len = n1 + n2 + 2;
  char *buf = (char *)C_malloc(buf_len);
  if(buf == NULL) return(C_fix(0));
  else {
    C_strlcpy(buf, sx, buf_len);
    C_strlcat(buf, "=", buf_len);
    C_strlcat(buf, sy, buf_len);
    return(C_fix(putenv(buf)));
  }
}
#endif

#ifndef S_IFLNK
#define S_IFLNK S_IFREG
#endif

#ifndef S_IFREG
#define S_IFREG S_IFREG
#endif

#ifndef S_IFDIR
#define S_IFDIR S_IFREG
#endif

#ifndef S_IFCHR
#define S_IFCHR S_IFREG
#endif

#ifndef S_IFBLK
#define S_IFBLK S_IFREG
#endif

#ifndef S_IFSOCK
#define S_IFSOCK S_IFREG
#endif

#ifndef S_IFIFO
#define S_IFIFO S_IFREG
#endif


static C_PTABLE_ENTRY *create_ptable(void);
C_noret_decl(C_scheduler_toplevel)
C_externimport void C_ccall C_scheduler_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(C_irregex_toplevel)
C_externimport void C_ccall C_irregex_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(C_pathname_toplevel)
C_externimport void C_ccall C_pathname_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(C_extras_toplevel)
C_externimport void C_ccall C_extras_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(C_files_toplevel)
C_externimport void C_ccall C_files_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(C_port_toplevel)
C_externimport void C_ccall C_port_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(C_lolevel_toplevel)
C_externimport void C_ccall C_lolevel_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(C_data_2dstructures_toplevel)
C_externimport void C_ccall C_data_2dstructures_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(C_library_toplevel)
C_externimport void C_ccall C_library_toplevel(C_word c,C_word *av) C_noret;

static C_TLS C_word lf[505];
static double C_possibly_force_alignment;
static C_char C_TLS li0[] C_aligned={C_lihdr(0,0,59),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,112,111,115,105,120,45,101,114,114,111,114,32,116,121,112,101,49,52,57,32,108,111,99,49,53,48,32,109,115,103,49,53,49,32,46,32,97,114,103,115,49,53,50,41,0,0,0,0,0};
static C_char C_TLS li1[] C_aligned={C_lihdr(0,0,42),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,101,109,101,114,103,101,110,99,121,45,101,120,105,116,32,46,32,116,109,112,49,54,52,49,54,53,41,0,0,0,0,0,0};
static C_char C_TLS li2[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,115,116,97,116,32,102,105,108,101,49,56,49,32,108,105,110,107,49,56,50,32,101,114,114,49,56,51,32,108,111,99,49,56,52,41,0,0,0,0,0,0};
static C_char C_TLS li3[] C_aligned={C_lihdr(0,0,42),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,108,101,45,115,116,97,116,32,102,49,57,54,32,46,32,116,109,112,49,57,53,49,57,55,41,0,0,0,0,0,0};
static C_char C_TLS li4[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,108,101,45,97,99,99,101,115,115,45,116,105,109,101,32,102,50,50,50,41,0,0,0};
static C_char C_TLS li5[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,108,101,45,99,104,97,110,103,101,45,116,105,109,101,32,102,50,50,53,41,0,0,0};
static C_char C_TLS li6[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,108,101,45,111,119,110,101,114,32,102,50,50,56,41,0};
static C_char C_TLS li7[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,108,101,45,112,101,114,109,105,115,115,105,111,110,115,32,102,50,51,49,41,0,0,0};
static C_char C_TLS li8[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,108,101,45,115,105,122,101,32,102,50,51,52,41,0,0};
static C_char C_TLS li9[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,108,101,45,116,121,112,101,32,102,105,108,101,50,52,49,32,46,32,116,109,112,50,52,48,50,52,50,41,0,0,0};
static C_char C_TLS li10[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,114,101,103,117,108,97,114,45,102,105,108,101,63,32,102,105,108,101,50,54,48,41,0,0,0};
static C_char C_TLS li11[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,115,121,109,98,111,108,105,99,45,108,105,110,107,63,32,102,105,108,101,50,54,50,41,0,0};
static C_char C_TLS li12[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,98,108,111,99,107,45,100,101,118,105,99,101,63,32,102,105,108,101,50,54,52,41,0,0,0};
static C_char C_TLS li13[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,104,97,114,97,99,116,101,114,45,100,101,118,105,99,101,63,32,102,105,108,101,50,54,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li14[] C_aligned={C_lihdr(0,0,16),40,102,95,50,54,56,52,32,102,105,108,101,50,54,56,41};
static C_char C_TLS li15[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,115,111,99,107,101,116,63,32,102,105,108,101,50,55,48,41,0};
static C_char C_TLS li16[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,100,105,114,101,99,116,111,114,121,63,32,102,105,108,101,50,55,50,41,0,0,0,0,0,0};
static C_char C_TLS li17[] C_aligned={C_lihdr(0,0,61),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,115,101,116,45,102,105,108,101,45,112,111,115,105,116,105,111,110,33,32,112,111,114,116,50,55,55,32,112,111,115,50,55,56,32,46,32,119,104,101,110,99,101,50,55,57,41,0,0,0};
static C_char C_TLS li18[] C_aligned={C_lihdr(0,0,25),40,109,111,100,101,32,105,110,112,51,48,51,32,109,51,48,52,32,108,111,99,51,48,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li19[] C_aligned={C_lihdr(0,0,32),40,99,104,101,99,107,32,108,111,99,51,49,55,32,102,100,51,49,56,32,105,110,112,51,49,57,32,114,51,50,48,41};
static C_char C_TLS li20[] C_aligned={C_lihdr(0,0,21),40,102,95,50,56,50,55,32,102,100,51,50,51,32,46,32,109,51,50,52,41,0,0,0};
static C_char C_TLS li21[] C_aligned={C_lihdr(0,0,21),40,102,95,50,56,52,49,32,102,100,51,50,54,32,46,32,109,51,50,55,41,0,0,0};
static C_char C_TLS li22[] C_aligned={C_lihdr(0,0,16),40,102,95,50,56,53,53,32,112,111,114,116,51,51,51,41};
static C_char C_TLS li23[] C_aligned={C_lihdr(0,0,24),40,102,95,50,57,48,48,32,111,108,100,51,52,50,32,46,32,110,101,119,51,52,51,41};
static C_char C_TLS li24[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,117,114,114,101,110,116,45,100,105,114,101,99,116,111,114,121,32,46,32,116,109,112,51,53,51,51,53,52,41,0,0,0};
static C_char C_TLS li25[] C_aligned={C_lihdr(0,0,14),40,114,109,100,105,114,32,100,105,114,51,56,48,41,0,0};
static C_char C_TLS li26[] C_aligned={C_lihdr(0,0,11),40,103,51,56,54,32,102,51,57,53,41,0,0,0,0,0};
static C_char C_TLS li27[] C_aligned={C_lihdr(0,0,26),40,102,111,114,45,101,97,99,104,45,108,111,111,112,51,56,53,32,103,51,57,50,52,48,51,41,0,0,0,0,0,0};
static C_char C_TLS li28[] C_aligned={C_lihdr(0,0,52),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,100,101,108,101,116,101,45,100,105,114,101,99,116,111,114,121,32,110,97,109,101,51,55,50,32,46,32,116,109,112,51,55,49,51,55,51,41,0,0,0,0};
static C_char C_TLS li29[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,100,105,114,52,50,54,41,0,0,0};
static C_char C_TLS li30[] C_aligned={C_lihdr(0,0,7),40,97,51,49,49,54,41,0};
static C_char C_TLS li31[] C_aligned={C_lihdr(0,0,47),40,97,51,49,50,50,32,100,105,114,52,51,52,52,51,53,52,52,48,32,102,105,108,101,52,51,54,52,51,55,52,52,49,32,101,120,116,52,51,56,52,51,57,52,52,50,41,0};
static C_char C_TLS li32[] C_aligned={C_lihdr(0,0,52),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,114,101,97,116,101,45,100,105,114,101,99,116,111,114,121,32,110,97,109,101,52,49,53,32,46,32,116,109,112,52,49,52,52,49,54,41,0,0,0,0};
static C_char C_TLS li33[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li34[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,100,105,114,101,99,116,111,114,121,32,46,32,116,109,112,52,53,54,52,53,55,41,0,0,0};
static C_char C_TLS li35[] C_aligned={C_lihdr(0,0,7),40,97,51,51,50,51,41,0};
static C_char C_TLS li36[] C_aligned={C_lihdr(0,0,11),40,103,53,49,57,32,109,53,50,49,41,0,0,0,0,0};
static C_char C_TLS li37[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,102,110,115,53,49,50,41,0,0,0};
static C_char C_TLS li38[] C_aligned={C_lihdr(0,0,46),40,97,51,51,50,57,32,100,105,114,52,57,53,52,57,54,53,48,49,32,102,105,108,52,57,55,52,57,56,53,48,50,32,101,120,116,52,57,57,53,48,48,53,48,51,41,0,0};
static C_char C_TLS li39[] C_aligned={C_lihdr(0,0,20),40,99,111,110,99,45,108,111,111,112,32,112,97,116,104,115,52,57,51,41,0,0,0,0};
static C_char C_TLS li40[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,103,108,111,98,32,46,32,112,97,116,104,115,52,57,49,41,0};
static C_char C_TLS li41[] C_aligned={C_lihdr(0,0,7),40,97,51,52,57,54,41,0};
static C_char C_TLS li42[] C_aligned={C_lihdr(0,0,7),40,97,51,53,48,49,41,0};
static C_char C_TLS li43[] C_aligned={C_lihdr(0,0,7),40,97,51,53,50,49,41,0};
static C_char C_TLS li44[] C_aligned={C_lihdr(0,0,24),40,108,111,111,112,32,100,105,114,53,52,56,32,102,115,53,52,57,32,114,53,53,48,41};
static C_char C_TLS li45[] C_aligned={C_lihdr(0,0,13),40,102,95,51,53,54,55,32,120,53,52,54,41,0,0,0};
static C_char C_TLS li46[] C_aligned={C_lihdr(0,0,15),40,102,95,51,53,56,51,32,46,32,95,53,52,51,41,0};
static C_char C_TLS li47[] C_aligned={C_lihdr(0,0,15),40,102,95,51,53,55,53,32,46,32,95,53,52,50,41,0};
static C_char C_TLS li48[] C_aligned={C_lihdr(0,0,82),40,35,35,115,121,115,35,102,105,110,100,45,102,105,108,101,115,32,100,105,114,53,50,56,32,112,114,101,100,53,50,57,32,97,99,116,105,111,110,53,51,48,32,105,100,53,51,49,32,108,105,109,105,116,53,51,50,32,102,111,108,108,111,119,53,51,51,32,100,111,116,53,51,52,32,108,111,99,53,51,53,41,0,0,0,0,0,0};
static C_char C_TLS li49[] C_aligned={C_lihdr(0,0,7),40,97,51,54,49,50,41,0};
static C_char C_TLS li50[] C_aligned={C_lihdr(0,0,7),40,97,51,54,49,53,41,0};
static C_char C_TLS li51[] C_aligned={C_lihdr(0,0,7),40,97,51,54,49,56,41,0};
static C_char C_TLS li52[] C_aligned={C_lihdr(0,0,7),40,97,51,54,50,49,41,0};
static C_char C_TLS li53[] C_aligned={C_lihdr(0,0,18),40,102,95,51,54,50,55,32,120,53,56,53,32,121,53,56,54,41,0,0,0,0,0,0};
static C_char C_TLS li54[] C_aligned={C_lihdr(0,0,7),40,97,51,54,50,52,41,0};
static C_char C_TLS li55[] C_aligned={C_lihdr(0,0,15),40,102,95,51,54,51,53,32,46,32,95,53,56,51,41,0};
static C_char C_TLS li56[] C_aligned={C_lihdr(0,0,7),40,97,51,54,51,50,41,0};
static C_char C_TLS li57[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,110,100,45,102,105,108,101,115,32,100,105,114,53,56,48,32,46,32,116,109,112,53,55,57,53,56,49,41,0,0,0};
static C_char C_TLS li58[] C_aligned={C_lihdr(0,0,46),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,104,101,99,107,45,116,105,109,101,45,118,101,99,116,111,114,32,108,111,99,54,49,49,32,116,109,54,49,50,41,0,0};
static C_char C_TLS li59[] C_aligned={C_lihdr(0,0,47),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,115,101,99,111,110,100,115,45,62,108,111,99,97,108,45,116,105,109,101,32,46,32,116,109,112,54,49,56,54,49,57,41,0};
static C_char C_TLS li60[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,115,101,99,111,110,100,115,45,62,117,116,99,45,116,105,109,101,32,46,32,116,109,112,54,51,48,54,51,49,41,0,0,0};
static C_char C_TLS li61[] C_aligned={C_lihdr(0,0,43),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,115,101,99,111,110,100,115,45,62,115,116,114,105,110,103,32,46,32,116,109,112,54,52,57,54,53,48,41,0,0,0,0,0};
static C_char C_TLS li62[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,108,111,99,97,108,45,116,105,109,101,45,62,115,101,99,111,110,100,115,32,116,109,54,54,49,41,0,0,0,0,0,0,0};
static C_char C_TLS li63[] C_aligned={C_lihdr(0,0,46),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,116,105,109,101,45,62,115,116,114,105,110,103,32,116,109,54,57,51,32,46,32,116,109,112,54,57,50,54,57,52,41,0,0};
static C_char C_TLS li64[] C_aligned={C_lihdr(0,0,55),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,115,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,33,32,118,97,114,55,48,55,32,118,97,108,55,48,56,41,0};
static C_char C_TLS li65[] C_aligned={C_lihdr(0,0,50),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,117,110,115,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,33,32,118,97,114,55,49,51,41,0,0,0,0,0,0};
static C_char C_TLS li66[] C_aligned={C_lihdr(0,0,11),40,115,99,97,110,32,106,55,50,55,41,0,0,0,0,0};
static C_char C_TLS li67[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,105,55,50,52,41,0,0,0,0,0};
static C_char C_TLS li68[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,103,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li69[] C_aligned={C_lihdr(0,0,50),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,115,101,116,45,115,105,103,110,97,108,45,104,97,110,100,108,101,114,33,32,115,105,103,55,51,49,32,112,114,111,99,55,51,50,41,0,0,0,0,0,0};
static C_char C_TLS li70[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,117,114,114,101,110,116,45,112,114,111,99,101,115,115,45,105,100,41,0,0,0,0,0,0};
static C_char C_TLS li71[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,112,114,111,99,101,115,115,45,115,108,101,101,112,32,110,55,52,51,41,0,0,0,0,0,0};
static C_char C_TLS li72[] C_aligned={C_lihdr(0,0,7),40,97,52,48,49,48,41,0};
static C_char C_TLS li73[] C_aligned={C_lihdr(0,0,33),40,97,52,48,49,54,32,101,112,105,100,55,54,49,32,101,110,111,114,109,55,54,50,32,101,99,111,100,101,55,54,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li74[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,112,114,111,99,101,115,115,45,119,97,105,116,32,46,32,97,114,103,115,55,52,54,41,0,0};
static C_char C_TLS li75[] C_aligned={C_lihdr(0,0,7),40,97,52,48,56,53,41,0};
static C_char C_TLS li76[] C_aligned={C_lihdr(0,0,14),40,97,52,48,55,57,32,101,120,110,55,56,52,41,0,0};
static C_char C_TLS li77[] C_aligned={C_lihdr(0,0,22),40,100,111,108,111,111,112,55,56,54,32,115,108,55,56,56,32,105,55,56,57,41,0,0};
static C_char C_TLS li78[] C_aligned={C_lihdr(0,0,10),40,116,109,112,49,50,51,50,52,41,0,0,0,0,0,0};
static C_char C_TLS li79[] C_aligned={C_lihdr(0,0,7),40,97,52,49,53,57,41,0};
static C_char C_TLS li80[] C_aligned={C_lihdr(0,0,21),40,116,109,112,50,50,51,50,53,32,97,114,103,115,55,55,56,56,48,48,41,0,0,0};
static C_char C_TLS li81[] C_aligned={C_lihdr(0,0,7),40,97,52,48,57,52,41,0};
static C_char C_TLS li82[] C_aligned={C_lihdr(0,0,15),40,97,52,48,55,51,32,107,55,55,55,55,56,51,41,0};
static C_char C_TLS li83[] C_aligned={C_lihdr(0,0,70),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,108,105,115,116,45,62,99,45,115,116,114,105,110,103,45,98,117,102,102,101,114,32,115,116,114,105,110,103,45,108,105,115,116,55,55,50,32,99,111,110,118,101,114,116,55,55,51,32,108,111,99,55,55,52,41,0,0};
static C_char C_TLS li84[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,56,48,53,32,105,56,48,55,41};
static C_char C_TLS li85[] C_aligned={C_lihdr(0,0,52),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,114,101,101,45,99,45,115,116,114,105,110,103,45,98,117,102,102,101,114,32,98,117,102,102,101,114,45,97,114,114,97,121,56,48,51,41,0,0,0,0};
static C_char C_TLS li86[] C_aligned={C_lihdr(0,0,6),40,103,56,49,55,41,0,0};
static C_char C_TLS li87[] C_aligned={C_lihdr(0,0,18),40,102,111,114,45,101,97,99,104,45,108,111,111,112,56,49,54,41,0,0,0,0,0,0};
static C_char C_TLS li88[] C_aligned={C_lihdr(0,0,52),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,104,101,99,107,45,101,110,118,105,114,111,110,109,101,110,116,45,108,105,115,116,32,108,115,116,56,49,50,32,108,111,99,56,49,51,41,0,0,0,0};
static C_char C_TLS li89[] C_aligned={C_lihdr(0,0,10),40,110,111,112,32,120,56,51,56,41,0,0,0,0,0,0};
static C_char C_TLS li90[] C_aligned={C_lihdr(0,0,7),40,97,52,50,56,55,41,0};
static C_char C_TLS li91[] C_aligned={C_lihdr(0,0,14),40,97,52,50,56,49,32,101,120,110,56,53,54,41,0,0};
static C_char C_TLS li92[] C_aligned={C_lihdr(0,0,21),40,109,97,112,45,108,111,111,112,56,54,49,32,103,56,55,51,56,56,48,41,0,0,0};
static C_char C_TLS li93[] C_aligned={C_lihdr(0,0,7),40,97,52,51,48,56,41,0};
static C_char C_TLS li94[] C_aligned={C_lihdr(0,0,7),40,97,52,51,56,57,41,0};
static C_char C_TLS li95[] C_aligned={C_lihdr(0,0,20),40,97,52,51,56,51,32,46,32,97,114,103,115,56,53,48,56,56,56,41,0,0,0,0};
static C_char C_TLS li96[] C_aligned={C_lihdr(0,0,7),40,97,52,51,48,50,41,0};
static C_char C_TLS li97[] C_aligned={C_lihdr(0,0,15),40,97,52,50,55,53,32,107,56,52,57,56,53,53,41,0};
static C_char C_TLS li98[] C_aligned={C_lihdr(0,0,95),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,97,108,108,45,119,105,116,104,45,101,120,101,99,45,97,114,103,115,32,108,111,99,56,51,57,32,102,105,108,101,110,97,109,101,56,52,48,32,97,114,103,99,111,110,118,56,52,49,32,97,114,103,108,105,115,116,56,52,50,32,101,110,118,108,105,115,116,56,52,51,32,112,114,111,99,56,52,52,41,0};
static C_char C_TLS li99[] C_aligned={C_lihdr(0,0,56),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,108,101,45,111,112,101,110,32,102,105,108,101,110,97,109,101,57,55,51,32,102,108,97,103,115,57,55,52,32,46,32,109,111,100,101,57,55,53,41};
static C_char C_TLS li100[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li101[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,108,101,45,99,108,111,115,101,32,102,100,57,56,52,41};
static C_char C_TLS li102[] C_aligned={C_lihdr(0,0,51),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,108,101,45,114,101,97,100,32,102,100,57,57,51,32,115,105,122,101,57,57,52,32,46,32,98,117,102,102,101,114,57,57,53,41,0,0,0,0,0};
static C_char C_TLS li103[] C_aligned={C_lihdr(0,0,55),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,108,101,45,119,114,105,116,101,32,102,100,49,48,48,53,32,98,117,102,102,101,114,49,48,48,54,32,46,32,115,105,122,101,49,48,48,55,41,0};
static C_char C_TLS li104[] C_aligned={C_lihdr(0,0,23),40,115,117,102,102,105,120,45,108,111,111,112,32,105,110,100,101,120,49,48,51,56,41,0};
static C_char C_TLS li105[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,99,111,117,110,116,49,48,51,54,41};
static C_char C_TLS li106[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,105,49,48,50,53,41,0,0,0,0};
static C_char C_TLS li107[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,108,101,45,109,107,115,116,101,109,112,32,116,101,109,112,108,97,116,101,49,48,49,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li108[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,104,97,110,103,101,45,100,105,114,101,99,116,111,114,121,32,110,97,109,101,49,48,52,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li109[] C_aligned={C_lihdr(0,0,29),40,99,104,101,99,107,32,99,109,100,49,48,54,49,32,105,110,112,49,48,54,50,32,114,49,48,54,51,41,0,0,0};
static C_char C_TLS li110[] C_aligned={C_lihdr(0,0,47),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,111,112,101,110,45,105,110,112,117,116,45,112,105,112,101,32,99,109,100,49,48,54,55,32,46,32,109,49,48,54,56,41,0};
static C_char C_TLS li111[] C_aligned={C_lihdr(0,0,48),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,111,112,101,110,45,111,117,116,112,117,116,45,112,105,112,101,32,99,109,100,49,48,55,55,32,46,32,109,49,48,55,56,41};
static C_char C_TLS li112[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,108,111,115,101,45,105,110,112,117,116,45,112,105,112,101,32,112,111,114,116,49,48,56,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li113[] C_aligned={C_lihdr(0,0,42),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,108,111,115,101,45,111,117,116,112,117,116,45,112,105,112,101,32,112,111,114,116,49,48,57,50,41,0,0,0,0,0,0};
static C_char C_TLS li114[] C_aligned={C_lihdr(0,0,7),40,97,52,57,50,49,41,0};
static C_char C_TLS li115[] C_aligned={C_lihdr(0,0,21),40,97,52,57,50,55,32,46,32,114,101,115,117,108,116,115,49,49,48,56,41,0,0,0};
static C_char C_TLS li116[] C_aligned={C_lihdr(0,0,64),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,97,108,108,45,119,105,116,104,45,105,110,112,117,116,45,112,105,112,101,32,99,109,100,49,49,48,52,32,112,114,111,99,49,49,48,53,32,46,32,109,111,100,101,49,49,48,54,41};
static C_char C_TLS li117[] C_aligned={C_lihdr(0,0,7),40,97,52,57,52,53,41,0};
static C_char C_TLS li118[] C_aligned={C_lihdr(0,0,21),40,97,52,57,53,49,32,46,32,114,101,115,117,108,116,115,49,49,49,53,41,0,0,0};
static C_char C_TLS li119[] C_aligned={C_lihdr(0,0,65),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,97,108,108,45,119,105,116,104,45,111,117,116,112,117,116,45,112,105,112,101,32,99,109,100,49,49,49,49,32,112,114,111,99,49,49,49,50,32,46,32,109,111,100,101,49,49,49,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li120[] C_aligned={C_lihdr(0,0,7),40,97,52,57,54,57,41,0};
static C_char C_TLS li121[] C_aligned={C_lihdr(0,0,21),40,97,52,57,56,48,32,46,32,114,101,115,117,108,116,115,49,49,51,48,41,0,0,0};
static C_char C_TLS li122[] C_aligned={C_lihdr(0,0,7),40,97,52,57,55,52,41,0};
static C_char C_TLS li123[] C_aligned={C_lihdr(0,0,7),40,97,52,57,56,57,41,0};
static C_char C_TLS li124[] C_aligned={C_lihdr(0,0,65),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,119,105,116,104,45,105,110,112,117,116,45,102,114,111,109,45,112,105,112,101,32,99,109,100,49,49,49,56,32,116,104,117,110,107,49,49,49,57,32,46,32,109,111,100,101,49,49,50,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li125[] C_aligned={C_lihdr(0,0,7),40,97,53,48,48,51,41,0};
static C_char C_TLS li126[] C_aligned={C_lihdr(0,0,21),40,97,53,48,49,52,32,46,32,114,101,115,117,108,116,115,49,49,52,55,41,0,0,0};
static C_char C_TLS li127[] C_aligned={C_lihdr(0,0,7),40,97,53,48,48,56,41,0};
static C_char C_TLS li128[] C_aligned={C_lihdr(0,0,7),40,97,53,48,50,51,41,0};
static C_char C_TLS li129[] C_aligned={C_lihdr(0,0,64),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,119,105,116,104,45,111,117,116,112,117,116,45,116,111,45,112,105,112,101,32,99,109,100,49,49,51,53,32,116,104,117,110,107,49,49,51,54,32,46,32,109,111,100,101,49,49,51,55,41};
static C_char C_TLS li130[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,114,101,97,116,101,45,112,105,112,101,32,46,32,116,109,112,49,49,53,53,49,49,53,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li131[] C_aligned={C_lihdr(0,0,48),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,104,97,110,103,101,45,102,105,108,101,45,109,111,100,101,32,102,110,97,109,101,49,49,57,51,32,109,49,49,57,52,41};
static C_char C_TLS li132[] C_aligned={C_lihdr(0,0,36),40,99,104,101,99,107,32,102,105,108,101,110,97,109,101,49,50,48,50,32,97,99,99,49,50,48,51,32,108,111,99,49,50,48,52,41,0,0,0,0};
static C_char C_TLS li133[] C_aligned={C_lihdr(0,0,46),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,108,101,45,114,101,97,100,45,97,99,99,101,115,115,63,32,102,105,108,101,110,97,109,101,49,50,48,56,41,0,0};
static C_char C_TLS li134[] C_aligned={C_lihdr(0,0,47),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,108,101,45,119,114,105,116,101,45,97,99,99,101,115,115,63,32,102,105,108,101,110,97,109,101,49,50,48,57,41,0};
static C_char C_TLS li135[] C_aligned={C_lihdr(0,0,49),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,108,101,45,101,120,101,99,117,116,101,45,97,99,99,101,115,115,63,32,102,105,108,101,110,97,109,101,49,50,49,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li136[] C_aligned={C_lihdr(0,0,28),40,109,111,100,101,32,105,110,112,49,50,49,57,32,109,49,50,50,48,32,108,111,99,49,50,50,49,41,0,0,0,0};
static C_char C_TLS li137[] C_aligned={C_lihdr(0,0,28),40,99,104,101,99,107,32,102,100,49,50,51,51,32,105,110,112,49,50,51,52,32,114,49,50,51,53,41,0,0,0,0};
static C_char C_TLS li138[] C_aligned={C_lihdr(0,0,47),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,111,112,101,110,45,105,110,112,117,116,45,102,105,108,101,42,32,102,100,49,50,51,57,32,46,32,109,49,50,52,48,41,0};
static C_char C_TLS li139[] C_aligned={C_lihdr(0,0,48),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,111,112,101,110,45,111,117,116,112,117,116,45,102,105,108,101,42,32,102,100,49,50,52,50,32,46,32,109,49,50,52,51,41};
static C_char C_TLS li140[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,112,111,114,116,45,62,102,105,108,101,110,111,32,112,111,114,116,49,50,52,57,41,0,0,0};
static C_char C_TLS li141[] C_aligned={C_lihdr(0,0,50),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,100,117,112,108,105,99,97,116,101,45,102,105,108,101,110,111,32,111,108,100,49,50,53,53,32,46,32,110,101,119,49,50,53,54,41,0,0,0,0,0,0};
static C_char C_TLS li142[] C_aligned={C_lihdr(0,0,43),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,108,111,99,97,108,45,116,105,109,101,122,111,110,101,45,97,98,98,114,101,118,105,97,116,105,111,110,41,0,0,0,0,0};
static C_char C_TLS li143[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,116,101,114,109,105,110,97,108,45,112,111,114,116,63,32,112,111,114,116,49,50,54,56,41,0};
static C_char C_TLS li144[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,116,101,114,109,105,110,97,108,45,115,105,122,101,32,112,111,114,116,49,50,55,51,41,0,0};
static C_char C_TLS li145[] C_aligned={C_lihdr(0,0,64),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,115,101,116,45,98,117,102,102,101,114,105,110,103,45,109,111,100,101,33,32,112,111,114,116,49,50,55,53,32,109,111,100,101,49,50,55,54,32,46,32,115,105,122,101,49,50,55,55,41};
static C_char C_TLS li146[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li147[] C_aligned={C_lihdr(0,0,40),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,113,117,111,116,101,45,97,114,103,45,115,116,114,105,110,103,32,115,116,114,49,51,48,52,41};
static C_char C_TLS li148[] C_aligned={C_lihdr(0,0,14),40,102,95,53,53,48,48,32,120,49,51,50,53,41,0,0};
static C_char C_TLS li149[] C_aligned={C_lihdr(0,0,37),40,97,53,52,56,53,32,112,114,103,49,51,50,54,32,97,114,103,98,117,102,49,51,50,55,32,101,110,118,98,117,102,49,51,50,56,41,0,0,0};
static C_char C_TLS li150[] C_aligned={C_lihdr(0,0,58),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,112,114,111,99,101,115,115,45,101,120,101,99,117,116,101,32,102,105,108,101,110,97,109,101,49,51,49,48,32,46,32,116,109,112,49,51,48,57,49,51,49,49,41,0,0,0,0,0,0};
static C_char C_TLS li151[] C_aligned={C_lihdr(0,0,14),40,102,95,53,53,56,51,32,120,49,51,53,50,41,0,0};
static C_char C_TLS li152[] C_aligned={C_lihdr(0,0,37),40,97,53,53,54,56,32,112,114,103,49,51,53,51,32,97,114,103,98,117,102,49,51,53,52,32,101,110,118,98,117,102,49,51,53,53,41,0,0,0};
static C_char C_TLS li153[] C_aligned={C_lihdr(0,0,65),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,112,114,111,99,101,115,115,45,115,112,97,119,110,32,109,111,100,101,49,51,51,54,32,102,105,108,101,110,97,109,101,49,51,51,55,32,46,32,116,109,112,49,51,51,53,49,51,51,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li154[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,115,104,101,108,108,45,99,111,109,109,97,110,100,41,0,0,0};
static C_char C_TLS li155[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,115,104,101,108,108,45,99,111,109,109,97,110,100,45,97,114,103,117,109,101,110,116,115,32,99,109,100,108,105,110,49,51,54,54,41,0,0,0,0,0,0};
static C_char C_TLS li156[] C_aligned={C_lihdr(0,0,44),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,112,114,111,99,101,115,115,45,114,117,110,32,102,49,51,54,56,32,46,32,97,114,103,115,49,51,54,57,41,0,0,0,0};
static C_char C_TLS li157[] C_aligned={C_lihdr(0,0,24),40,109,97,112,45,108,111,111,112,49,52,50,54,32,103,49,52,51,56,49,52,52,52,41};
static C_char C_TLS li158[] C_aligned={C_lihdr(0,0,97),40,35,35,115,121,115,35,112,114,111,99,101,115,115,32,108,111,99,49,52,48,57,32,99,109,100,49,52,49,48,32,97,114,103,115,49,52,49,49,32,101,110,118,49,52,49,50,32,115,116,100,111,117,116,102,49,52,49,51,32,115,116,100,105,110,102,49,52,49,52,32,115,116,100,101,114,114,102,49,52,49,53,32,46,32,116,109,112,49,52,48,56,49,52,49,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li159[] C_aligned={C_lihdr(0,0,7),40,103,49,53,48,53,41,0};
static C_char C_TLS li160[] C_aligned={C_lihdr(0,0,19),40,102,111,114,45,101,97,99,104,45,108,111,111,112,49,53,48,52,41,0,0,0,0,0};
static C_char C_TLS li161[] C_aligned={C_lihdr(0,0,19),40,99,104,107,115,116,114,108,115,116,32,108,115,116,49,53,48,49,41,0,0,0,0,0};
static C_char C_TLS li162[] C_aligned={C_lihdr(0,0,7),40,97,53,57,50,50,41,0};
static C_char C_TLS li163[] C_aligned={C_lihdr(0,0,38),40,97,53,57,50,56,32,105,110,49,53,51,48,32,111,117,116,49,53,51,49,32,112,105,100,49,53,51,50,32,101,114,114,49,53,51,51,41,0,0};
static C_char C_TLS li164[] C_aligned={C_lihdr(0,0,63),40,37,112,114,111,99,101,115,115,32,108,111,99,49,52,57,52,32,101,114,114,63,49,52,57,53,32,99,109,100,49,52,57,54,32,97,114,103,115,49,52,57,55,32,101,110,118,49,52,57,56,32,101,120,97,99,116,102,49,52,57,57,41,0};
static C_char C_TLS li165[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,112,114,111,99,101,115,115,32,99,109,100,49,53,52,49,32,46,32,116,109,112,49,53,52,48,49,53,52,50,41,0,0,0};
static C_char C_TLS li166[] C_aligned={C_lihdr(0,0,46),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,112,114,111,99,101,115,115,42,32,99,109,100,49,53,53,57,32,46,32,116,109,112,49,53,53,56,49,53,54,48,41,0,0};
static C_char C_TLS li167[] C_aligned={C_lihdr(0,0,39),40,35,35,115,121,115,35,112,114,111,99,101,115,115,45,119,97,105,116,32,112,105,100,49,53,55,53,32,110,111,104,97,110,103,49,53,55,54,41,0};
static C_char C_TLS li168[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,103,101,116,45,104,111,115,116,45,110,97,109,101,41,0,0,0};
static C_char C_TLS li169[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,115,121,115,116,101,109,45,105,110,102,111,114,109,97,116,105,111,110,41,0,0,0,0,0,0};
static C_char C_TLS li170[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,117,114,114,101,110,116,45,117,115,101,114,45,110,97,109,101,41,0,0,0,0,0,0,0};
static C_char C_TLS li171[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,104,97,110,103,101,45,100,105,114,101,99,116,111,114,121,42,32,46,32,95,49,54,49,50,49,54,49,54,41,0,0,0};
static C_char C_TLS li172[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,104,97,110,103,101,45,102,105,108,101,45,111,119,110,101,114,32,46,32,95,49,54,49,57,49,54,50,51,41,0,0,0};
static C_char C_TLS li173[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,114,101,97,116,101,45,102,105,102,111,32,46,32,95,49,54,50,53,49,54,50,57,41,0};
static C_char C_TLS li174[] C_aligned={C_lihdr(0,0,42),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,114,101,97,116,101,45,115,101,115,115,105,111,110,32,46,32,95,49,54,51,49,49,54,51,53,41,0,0,0,0,0,0};
static C_char C_TLS li175[] C_aligned={C_lihdr(0,0,48),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,114,101,97,116,101,45,115,121,109,98,111,108,105,99,45,108,105,110,107,32,46,32,95,49,54,51,55,49,54,52,49,41};
static C_char C_TLS li176[] C_aligned={C_lihdr(0,0,54),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,117,114,114,101,110,116,45,101,102,102,101,99,116,105,118,101,45,103,114,111,117,112,45,105,100,32,46,32,95,49,54,52,51,49,54,52,55,41,0,0};
static C_char C_TLS li177[] C_aligned={C_lihdr(0,0,53),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,117,114,114,101,110,116,45,101,102,102,101,99,116,105,118,101,45,117,115,101,114,45,105,100,32,46,32,95,49,54,52,57,49,54,53,51,41,0,0,0};
static C_char C_TLS li178[] C_aligned={C_lihdr(0,0,55),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,117,114,114,101,110,116,45,101,102,102,101,99,116,105,118,101,45,117,115,101,114,45,110,97,109,101,32,46,32,95,49,54,53,53,49,54,53,57,41,0};
static C_char C_TLS li179[] C_aligned={C_lihdr(0,0,44),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,117,114,114,101,110,116,45,103,114,111,117,112,45,105,100,32,46,32,95,49,54,54,49,49,54,54,53,41,0,0,0,0};
static C_char C_TLS li180[] C_aligned={C_lihdr(0,0,43),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,99,117,114,114,101,110,116,45,117,115,101,114,45,105,100,32,46,32,95,49,54,54,55,49,54,55,49,41,0,0,0,0,0};
static C_char C_TLS li181[] C_aligned={C_lihdr(0,0,40),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,108,101,45,99,111,110,116,114,111,108,32,46,32,95,49,54,55,51,49,54,55,55,41};
static C_char C_TLS li182[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,108,101,45,108,105,110,107,32,46,32,95,49,54,55,57,49,54,56,51,41,0,0,0};
static C_char C_TLS li183[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,108,101,45,108,111,99,107,32,46,32,95,49,54,56,53,49,54,56,57,41,0,0,0};
static C_char C_TLS li184[] C_aligned={C_lihdr(0,0,46),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,108,101,45,108,111,99,107,47,98,108,111,99,107,105,110,103,32,46,32,95,49,54,57,49,49,54,57,53,41,0,0};
static C_char C_TLS li185[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,108,101,45,115,101,108,101,99,116,32,46,32,95,49,54,57,55,49,55,48,49,41,0};
static C_char C_TLS li186[] C_aligned={C_lihdr(0,0,42),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,108,101,45,116,101,115,116,45,108,111,99,107,32,46,32,95,49,55,48,51,49,55,48,55,41,0,0,0,0,0,0};
static C_char C_TLS li187[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,108,101,45,116,114,117,110,99,97,116,101,32,46,32,95,49,55,48,57,49,55,49,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li188[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,108,101,45,117,110,108,111,99,107,32,46,32,95,49,55,49,53,49,55,49,57,41,0};
static C_char C_TLS li189[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,112,97,114,101,110,116,45,112,114,111,99,101,115,115,45,105,100,32,46,32,95,49,55,50,49,49,55,50,53,41,0,0,0};
static C_char C_TLS li190[] C_aligned={C_lihdr(0,0,40),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,112,114,111,99,101,115,115,45,102,111,114,107,32,46,32,95,49,55,50,55,49,55,51,49,41};
static C_char C_TLS li191[] C_aligned={C_lihdr(0,0,44),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,112,114,111,99,101,115,115,45,103,114,111,117,112,45,105,100,32,46,32,95,49,55,51,51,49,55,51,55,41,0,0,0,0};
static C_char C_TLS li192[] C_aligned={C_lihdr(0,0,42),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,112,114,111,99,101,115,115,45,115,105,103,110,97,108,32,46,32,95,49,55,51,57,49,55,52,51,41,0,0,0,0,0,0};
static C_char C_TLS li193[] C_aligned={C_lihdr(0,0,46),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,114,101,97,100,45,115,121,109,98,111,108,105,99,45,108,105,110,107,32,46,32,95,49,55,52,53,49,55,52,57,41,0,0};
static C_char C_TLS li194[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,115,101,116,45,97,108,97,114,109,33,32,46,32,95,49,55,53,49,49,55,53,53,41,0,0};
static C_char C_TLS li195[] C_aligned={C_lihdr(0,0,47),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,115,101,116,45,114,111,111,116,45,100,105,114,101,99,116,111,114,121,33,32,46,32,95,49,55,54,57,49,55,55,51,41,0};
static C_char C_TLS li196[] C_aligned={C_lihdr(0,0,44),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,115,101,116,45,115,105,103,110,97,108,45,109,97,115,107,33,32,46,32,95,49,55,55,53,49,55,55,57,41,0,0,0,0};
static C_char C_TLS li197[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,115,105,103,110,97,108,45,109,97,115,107,32,46,32,95,49,55,56,55,49,55,57,49,41,0};
static C_char C_TLS li198[] C_aligned={C_lihdr(0,0,40),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,115,105,103,110,97,108,45,109,97,115,107,33,32,46,32,95,49,55,57,51,49,55,57,55,41};
static C_char C_TLS li199[] C_aligned={C_lihdr(0,0,42),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,115,105,103,110,97,108,45,109,97,115,107,101,100,63,32,46,32,95,49,55,57,57,49,56,48,51,41,0,0,0,0,0,0};
static C_char C_TLS li200[] C_aligned={C_lihdr(0,0,42),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,115,105,103,110,97,108,45,117,110,109,97,115,107,33,32,46,32,95,49,56,48,53,49,56,48,57,41,0,0,0,0,0,0};
static C_char C_TLS li201[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,116,101,114,109,105,110,97,108,45,110,97,109,101,32,46,32,95,49,56,49,49,49,56,49,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li202[] C_aligned={C_lihdr(0,0,44),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,117,115,101,114,45,105,110,102,111,114,109,97,116,105,111,110,32,46,32,95,49,56,49,55,49,56,50,49,41,0,0,0,0};
static C_char C_TLS li203[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,117,116,99,45,116,105,109,101,45,62,115,101,99,111,110,100,115,32,46,32,95,49,56,50,51,49,56,50,55,41,0,0,0};
static C_char C_TLS li204[] C_aligned={C_lihdr(0,0,40),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,115,116,114,105,110,103,45,62,116,105,109,101,32,46,32,95,49,56,50,57,49,56,51,51,41};
static C_char C_TLS li205[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,112,111,115,105,120,35,102,105,102,111,63,32,95,49,56,51,53,41,0,0,0,0,0};
static C_char C_TLS li206[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,35,115,121,115,116,101,109,42,32,115,116,114,50,49,48,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li207[] C_aligned={C_lihdr(0,0,13),40,103,50,49,50,56,32,99,50,49,51,57,41,0,0,0};
static C_char C_TLS li208[] C_aligned={C_lihdr(0,0,24),40,109,97,112,45,108,111,111,112,50,49,50,50,32,103,50,49,51,52,50,49,52,53,41};
static C_char C_TLS li209[] C_aligned={C_lihdr(0,0,42),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,35,113,115,32,115,116,114,50,49,49,48,32,46,32,116,109,112,50,49,48,57,50,49,49,49,41,0,0,0,0,0,0};
static C_char C_TLS li210[] C_aligned={C_lihdr(0,0,14),40,97,54,53,52,49,32,115,105,103,55,51,55,41,0,0};
static C_char C_TLS li211[] C_aligned={C_lihdr(0,0,19),40,97,54,53,53,48,32,46,32,116,109,112,53,57,53,53,57,54,41,0,0,0,0,0};
static C_char C_TLS li212[] C_aligned={C_lihdr(0,0,13),40,97,54,53,55,53,32,117,109,54,48,56,41,0,0,0};
static C_char C_TLS li213[] C_aligned={C_lihdr(0,0,15),40,97,54,53,56,49,32,112,111,114,116,50,56,57,41,0};
static C_char C_TLS li214[] C_aligned={C_lihdr(0,0,12),40,97,54,54,49,55,32,102,50,48,53,41,0,0,0,0};
static C_char C_TLS li215[] C_aligned={C_lihdr(0,0,17),40,97,54,54,50,51,32,102,50,48,55,32,116,50,48,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li216[] C_aligned={C_lihdr(0,0,10),40,116,111,112,108,101,118,101,108,41,0,0,0,0,0,0};


/* from k5707 */
C_regparm static C_word C_fcall stub1381(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2,C_word C_a3,C_word C_a4,C_word C_a5,C_word C_a6,C_word C_a7){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char * t0=(char * )C_string_or_null(C_a0);
char * t1=(char * )C_string_or_null(C_a1);
void * t2=(void * )C_c_pointer_or_null(C_a2);
int *t3=(int *)C_c_pointer_or_null(C_a3);
int *t4=(int *)C_c_pointer_or_null(C_a4);
int *t5=(int *)C_c_pointer_or_null(C_a5);
int *t6=(int *)C_c_pointer_or_null(C_a6);
int t7=(int )C_unfix(C_a7);
C_r=C_mk_bool(C_process(t0,t1,t2,t3,t4,t5,t6,t7));
return C_r;}

#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub1264(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char *z = (_daylight ? _tzname[1] : _tzname[0]);
C_return(z);
C_ret:
#undef return

return C_r;}

#define return(x) C_cblock C_r = (C_mpointer_or_false(&C_a,(void*)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub768(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word o=(C_word )(C_a0);
char *ptr = C_malloc(C_header_size(o)); 
if (ptr != NULL) {
  C_memcpy(ptr, C_data_pointer(o), C_header_size(o)); 
}
C_return(ptr);
C_ret:
#undef return

return C_r;}

/* from chicken.posix#current-process-id in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
C_regparm static C_word C_fcall stub740(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_fix((C_word)C_getpid());
return C_r;}

/* from k3892 */
C_regparm static C_word C_fcall stub719(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenventry(t0));
return C_r;}

/* from k3790 */
C_regparm static C_word C_fcall stub680(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word t0=(C_word )(C_a0);
C_word t1=(C_word )(C_a1);
void * t2=(void * )C_data_pointer_or_null(C_a2);
C_r=C_mpointer(&C_a,(void*)C_strftime(t0,t1,t2));
return C_r;}

/* from k3777 */
C_regparm static C_word C_fcall stub670(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word t0=(C_word )(C_a0);
void * t1=(void * )C_data_pointer_or_null(C_a1);
C_r=C_mpointer(&C_a,(void*)C_asctime(t0,t1));
return C_r;}

/* from k3710 */
C_regparm static C_word C_fcall stub641(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_num_to_int(C_a0);
C_r=C_mpointer(&C_a,(void*)C_ctime(t0));
return C_r;}

/* from k6632 in k6626 in a6623 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
C_regparm static C_word C_fcall stub214(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char * t0=(char * )C_string_or_null(C_a0);
C_word t1=(C_word )(C_a1);
C_r=C_fix((C_word)set_file_mtime(t0,t1));
return C_r;}

/* from k2437 */
C_regparm static C_word C_fcall stub158(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
_exit(t0);
return C_r;}

/* from k2413 */
C_regparm static C_word C_fcall stub145(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_mpointer(&C_a,(void*)strerror(t0));
return C_r;}

C_noret_decl(f_3608)
static void C_ccall f_3608(C_word c,C_word *av) C_noret;
C_noret_decl(f_3613)
static void C_ccall f_3613(C_word c,C_word *av) C_noret;
C_noret_decl(f_3616)
static void C_ccall f_3616(C_word c,C_word *av) C_noret;
C_noret_decl(f_3619)
static void C_ccall f_3619(C_word c,C_word *av) C_noret;
C_noret_decl(f_3025)
static void C_ccall f_3025(C_word c,C_word *av) C_noret;
C_noret_decl(f_4981)
static void C_ccall f_4981(C_word c,C_word *av) C_noret;
C_noret_decl(f_4985)
static void C_ccall f_4985(C_word c,C_word *av) C_noret;
C_noret_decl(f_2576)
static void C_ccall f_2576(C_word c,C_word *av) C_noret;
C_noret_decl(f_4797)
static void C_ccall f_4797(C_word c,C_word *av) C_noret;
C_noret_decl(f_4791)
static void C_ccall f_4791(C_word c,C_word *av) C_noret;
C_noret_decl(f_3047)
static void C_ccall f_3047(C_word c,C_word *av) C_noret;
C_noret_decl(f_3221)
static void C_ccall f_3221(C_word c,C_word *av) C_noret;
C_noret_decl(f_2943)
static void C_ccall f_2943(C_word c,C_word *av) C_noret;
C_noret_decl(f_2940)
static void C_ccall f_2940(C_word c,C_word *av) C_noret;
C_noret_decl(f_3057)
static void C_ccall f_3057(C_word c,C_word *av) C_noret;
C_noret_decl(f_3233)
static void C_fcall f_3233(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2971)
static void C_ccall f_2971(C_word c,C_word *av) C_noret;
C_noret_decl(f_3243)
static void C_ccall f_3243(C_word c,C_word *av) C_noret;
C_noret_decl(f_2395)
static void C_ccall f_2395(C_word c,C_word *av) C_noret;
C_noret_decl(f_2392)
static void C_ccall f_2392(C_word c,C_word *av) C_noret;
C_noret_decl(f_2967)
static void C_fcall f_2967(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2961)
static void C_ccall f_2961(C_word c,C_word *av) C_noret;
C_noret_decl(f_2380)
static void C_ccall f_2380(C_word c,C_word *av) C_noret;
C_noret_decl(f_2383)
static void C_ccall f_2383(C_word c,C_word *av) C_noret;
C_noret_decl(f_2398)
static void C_ccall f_2398(C_word c,C_word *av) C_noret;
C_noret_decl(f_4751)
static void C_ccall f_4751(C_word c,C_word *av) C_noret;
C_noret_decl(f_3001)
static void C_ccall f_3001(C_word c,C_word *av) C_noret;
C_noret_decl(f_3007)
static void C_ccall f_3007(C_word c,C_word *av) C_noret;
C_noret_decl(f_2389)
static void C_ccall f_2389(C_word c,C_word *av) C_noret;
C_noret_decl(f_2386)
static void C_ccall f_2386(C_word c,C_word *av) C_noret;
C_noret_decl(f_4066)
static void C_ccall f_4066(C_word c,C_word *av) C_noret;
C_noret_decl(f_4069)
static void C_ccall f_4069(C_word c,C_word *av) C_noret;
C_noret_decl(f_3010)
static void C_ccall f_3010(C_word c,C_word *av) C_noret;
C_noret_decl(f_2557)
static void C_ccall f_2557(C_word c,C_word *av) C_noret;
C_noret_decl(f_3015)
static void C_fcall f_3015(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2555)
static void C_ccall f_2555(C_word c,C_word *av) C_noret;
C_noret_decl(f_4779)
static void C_ccall f_4779(C_word c,C_word *av) C_noret;
C_noret_decl(f_2551)
static void C_ccall f_2551(C_word c,C_word *av) C_noret;
C_noret_decl(f_4775)
static void C_fcall f_4775(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_4074)
static void C_ccall f_4074(C_word c,C_word *av) C_noret;
C_noret_decl(f_3207)
static void C_fcall f_3207(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4086)
static void C_ccall f_4086(C_word c,C_word *av) C_noret;
C_noret_decl(f_4080)
static void C_ccall f_4080(C_word c,C_word *av) C_noret;
C_noret_decl(f_4952)
static void C_ccall f_4952(C_word c,C_word *av) C_noret;
C_noret_decl(f_4956)
static void C_ccall f_4956(C_word c,C_word *av) C_noret;
C_noret_decl(f_4097)
static void C_fcall f_4097(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4090)
static void C_ccall f_4090(C_word c,C_word *av) C_noret;
C_noret_decl(f_4095)
static void C_ccall f_4095(C_word c,C_word *av) C_noret;
C_noret_decl(f_5576)
static void C_ccall f_5576(C_word c,C_word *av) C_noret;
C_noret_decl(f_3803)
static void C_ccall f_3803(C_word c,C_word *av) C_noret;
C_noret_decl(f_5569)
static void C_ccall f_5569(C_word c,C_word *av) C_noret;
C_noret_decl(f_3812)
static void C_ccall f_3812(C_word c,C_word *av) C_noret;
C_noret_decl(f_3063)
static void C_ccall f_3063(C_word c,C_word *av) C_noret;
C_noret_decl(f_3073)
static void C_ccall f_3073(C_word c,C_word *av) C_noret;
C_noret_decl(f_3075)
static void C_fcall f_3075(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2991)
static void C_fcall f_2991(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2990)
static void C_ccall f_2990(C_word c,C_word *av) C_noret;
C_noret_decl(f_5292)
static void C_ccall f_5292(C_word c,C_word *av) C_noret;
C_noret_decl(f_3085)
static void C_ccall f_3085(C_word c,C_word *av) C_noret;
C_noret_decl(f_3082)
static void C_fcall f_3082(C_word t0,C_word t1) C_noret;
C_noret_decl(f_5539)
static void C_ccall f_5539(C_word c,C_word *av) C_noret;
C_noret_decl(f_4496)
static void C_ccall f_4496(C_word c,C_word *av) C_noret;
C_noret_decl(f_4499)
static void C_ccall f_4499(C_word c,C_word *av) C_noret;
C_noret_decl(f_4492)
static void C_ccall f_4492(C_word c,C_word *av) C_noret;
C_noret_decl(C_posix_toplevel)
C_externexport void C_ccall C_posix_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(f_3495)
static void C_ccall f_3495(C_word c,C_word *av) C_noret;
C_noret_decl(f_3497)
static void C_ccall f_3497(C_word c,C_word *av) C_noret;
C_noret_decl(f_5257)
static void C_ccall f_5257(C_word c,C_word *av) C_noret;
C_noret_decl(f_5286)
static void C_ccall f_5286(C_word c,C_word *av) C_noret;
C_noret_decl(f_5283)
static void C_fcall f_5283(C_word t0,C_word t1) C_noret;
C_noret_decl(f_5280)
static void C_ccall f_5280(C_word c,C_word *av) C_noret;
C_noret_decl(f_5276)
static void C_ccall f_5276(C_word c,C_word *av) C_noret;
C_noret_decl(f_5274)
static void C_ccall f_5274(C_word c,C_word *av) C_noret;
C_noret_decl(f_5009)
static void C_ccall f_5009(C_word c,C_word *av) C_noret;
C_noret_decl(f_5004)
static void C_ccall f_5004(C_word c,C_word *av) C_noret;
C_noret_decl(f_3485)
static void C_ccall f_3485(C_word c,C_word *av) C_noret;
C_noret_decl(f_3829)
static void C_ccall f_3829(C_word c,C_word *av) C_noret;
C_noret_decl(f_3668)
static void C_ccall f_3668(C_word c,C_word *av) C_noret;
C_noret_decl(f_3665)
static void C_ccall f_3665(C_word c,C_word *av) C_noret;
C_noret_decl(f_3826)
static void C_ccall f_3826(C_word c,C_word *av) C_noret;
C_noret_decl(f_3661)
static void C_ccall f_3661(C_word c,C_word *av) C_noret;
C_noret_decl(f_3822)
static void C_ccall f_3822(C_word c,C_word *av) C_noret;
C_noret_decl(f_5833)
static void C_fcall f_5833(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3451)
static void C_ccall f_3451(C_word c,C_word *av) C_noret;
C_noret_decl(f_5029)
static void C_ccall f_5029(C_word c,C_word *av) C_noret;
C_noret_decl(f_5024)
static void C_ccall f_5024(C_word c,C_word *av) C_noret;
C_noret_decl(f_3689)
static void C_ccall f_3689(C_word c,C_word *av) C_noret;
C_noret_decl(f_6493)
static void C_fcall f_6493(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3686)
static void C_ccall f_3686(C_word c,C_word *av) C_noret;
C_noret_decl(f_3682)
static void C_ccall f_3682(C_word c,C_word *av) C_noret;
C_noret_decl(f_5019)
static void C_ccall f_5019(C_word c,C_word *av) C_noret;
C_noret_decl(f_5015)
static void C_ccall f_5015(C_word c,C_word *av) C_noret;
C_noret_decl(f_5858)
static void C_ccall f_5858(C_word c,C_word *av) C_noret;
C_noret_decl(f_3476)
static void C_ccall f_3476(C_word c,C_word *av) C_noret;
C_noret_decl(f_3473)
static void C_ccall f_3473(C_word c,C_word *av) C_noret;
C_noret_decl(f_5263)
static void C_ccall f_5263(C_word c,C_word *av) C_noret;
C_noret_decl(f_4119)
static void C_ccall f_4119(C_word c,C_word *av) C_noret;
C_noret_decl(f_5036)
static void C_ccall f_5036(C_word c,C_word *av) C_noret;
C_noret_decl(f_4704)
static void C_fcall f_4704(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4103)
static void C_fcall f_4103(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_4711)
static void C_fcall f_4711(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4101)
static void C_ccall f_4101(C_word c,C_word *av) C_noret;
C_noret_decl(f_5221)
static void C_ccall f_5221(C_word c,C_word *av) C_noret;
C_noret_decl(f_5229)
static void C_ccall f_5229(C_word c,C_word *av) C_noret;
C_noret_decl(f_4154)
static void C_fcall f_4154(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4735)
static void C_ccall f_4735(C_word c,C_word *av) C_noret;
C_noret_decl(f_4128)
static void C_ccall f_4128(C_word c,C_word *av) C_noret;
C_noret_decl(f_4125)
static void C_ccall f_4125(C_word c,C_word *av) C_noret;
C_noret_decl(f_5091)
static void C_ccall f_5091(C_word c,C_word *av) C_noret;
C_noret_decl(f_5098)
static void C_ccall f_5098(C_word c,C_word *av) C_noret;
C_noret_decl(f_4144)
static void C_ccall f_4144(C_word c,C_word *av) C_noret;
C_noret_decl(f_5801)
static void C_ccall f_5801(C_word c,C_word *av) C_noret;
C_noret_decl(f_5805)
static void C_ccall f_5805(C_word c,C_word *av) C_noret;
C_noret_decl(f_5809)
static void C_ccall f_5809(C_word c,C_word *av) C_noret;
C_noret_decl(f_6473)
static void C_ccall f_6473(C_word c,C_word *av) C_noret;
C_noret_decl(f_6476)
static void C_ccall f_6476(C_word c,C_word *av) C_noret;
C_noret_decl(f_2925)
static void C_ccall f_2925(C_word c,C_word *av) C_noret;
C_noret_decl(f_2927)
static void C_ccall f_2927(C_word c,C_word *av) C_noret;
C_noret_decl(f_6487)
static void C_ccall f_6487(C_word c,C_word *av) C_noret;
C_noret_decl(f_5825)
static void C_ccall f_5825(C_word c,C_word *av) C_noret;
C_noret_decl(f_4268)
static void C_ccall f_4268(C_word c,C_word *av) C_noret;
C_noret_decl(f_6452)
static void C_fcall f_6452(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4262)
static void C_ccall f_4262(C_word c,C_word *av) C_noret;
C_noret_decl(f_2907)
static void C_fcall f_2907(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2904)
static void C_ccall f_2904(C_word c,C_word *av) C_noret;
C_noret_decl(f_2900)
static void C_ccall f_2900(C_word c,C_word *av) C_noret;
C_noret_decl(f_4276)
static void C_ccall f_4276(C_word c,C_word *av) C_noret;
C_noret_decl(f_4271)
static void C_ccall f_4271(C_word c,C_word *av) C_noret;
C_noret_decl(f_6302)
static void C_ccall f_6302(C_word c,C_word *av) C_noret;
C_noret_decl(f_6308)
static void C_ccall f_6308(C_word c,C_word *av) C_noret;
C_noret_decl(f_2910)
static void C_ccall f_2910(C_word c,C_word *av) C_noret;
C_noret_decl(f_4288)
static void C_ccall f_4288(C_word c,C_word *av) C_noret;
C_noret_decl(f_4282)
static void C_ccall f_4282(C_word c,C_word *av) C_noret;
C_noret_decl(f_2543)
static void C_ccall f_2543(C_word c,C_word *av) C_noret;
C_noret_decl(f_2545)
static void C_ccall f_2545(C_word c,C_word *av) C_noret;
C_noret_decl(f_5500)
static void C_ccall f_5500(C_word c,C_word *av) C_noret;
C_noret_decl(f_2549)
static void C_ccall f_2549(C_word c,C_word *av) C_noret;
C_noret_decl(f_4292)
static void C_ccall f_4292(C_word c,C_word *av) C_noret;
C_noret_decl(f_4295)
static void C_ccall f_4295(C_word c,C_word *av) C_noret;
C_noret_decl(f_4745)
static void C_ccall f_4745(C_word c,C_word *av) C_noret;
C_noret_decl(f_6194)
static void C_ccall f_6194(C_word c,C_word *av) C_noret;
C_noret_decl(f_2527)
static void C_ccall f_2527(C_word c,C_word *av) C_noret;
C_noret_decl(f_2525)
static void C_ccall f_2525(C_word c,C_word *av) C_noret;
C_noret_decl(f_4742)
static void C_ccall f_4742(C_word c,C_word *av) C_noret;
C_noret_decl(f_6344)
static void C_ccall f_6344(C_word c,C_word *av) C_noret;
C_noret_decl(f_2531)
static void C_ccall f_2531(C_word c,C_word *av) C_noret;
C_noret_decl(f_2533)
static void C_ccall f_2533(C_word c,C_word *av) C_noret;
C_noret_decl(f_2537)
static void C_ccall f_2537(C_word c,C_word *av) C_noret;
C_noret_decl(f_4913)
static void C_ccall f_4913(C_word c,C_word *av) C_noret;
C_noret_decl(f_2539)
static void C_ccall f_2539(C_word c,C_word *av) C_noret;
C_noret_decl(f_5888)
static C_word C_fcall f_5888(C_word t0,C_word t1);
C_noret_decl(f_4917)
static void C_ccall f_4917(C_word c,C_word *av) C_noret;
C_noret_decl(f_6332)
static void C_ccall f_6332(C_word c,C_word *av) C_noret;
C_noret_decl(f_2500)
static void C_ccall f_2500(C_word c,C_word *av) C_noret;
C_noret_decl(f_6170)
static void C_ccall f_6170(C_word c,C_word *av) C_noret;
C_noret_decl(f_6338)
static void C_ccall f_6338(C_word c,C_word *av) C_noret;
C_noret_decl(f_5872)
static void C_fcall f_5872(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6) C_noret;
C_noret_decl(f_2505)
static void C_ccall f_2505(C_word c,C_word *av) C_noret;
C_noret_decl(f_5874)
static void C_fcall f_5874(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_5879)
static C_word C_fcall f_5879(C_word t0,C_word t1);
C_noret_decl(f_3714)
static void C_ccall f_3714(C_word c,C_word *av) C_noret;
C_noret_decl(f_6182)
static void C_ccall f_6182(C_word c,C_word *av) C_noret;
C_noret_decl(f_2512)
static void C_ccall f_2512(C_word c,C_word *av) C_noret;
C_noret_decl(f_4932)
static void C_ccall f_4932(C_word c,C_word *av) C_noret;
C_noret_decl(f_6176)
static void C_ccall f_6176(C_word c,C_word *av) C_noret;
C_noret_decl(f_4937)
static void C_ccall f_4937(C_word c,C_word *av) C_noret;
C_noret_decl(f_3721)
static void C_ccall f_3721(C_word c,C_word *av) C_noret;
C_noret_decl(f_3724)
static void C_ccall f_3724(C_word c,C_word *av) C_noret;
C_noret_decl(f_3718)
static void C_ccall f_3718(C_word c,C_word *av) C_noret;
C_noret_decl(f_6152)
static void C_ccall f_6152(C_word c,C_word *av) C_noret;
C_noret_decl(f_4902)
static void C_ccall f_4902(C_word c,C_word *av) C_noret;
C_noret_decl(f_6100)
static void C_ccall f_6100(C_word c,C_word *av) C_noret;
C_noret_decl(f_6188)
static void C_ccall f_6188(C_word c,C_word *av) C_noret;
C_noret_decl(f_4905)
static void C_ccall f_4905(C_word c,C_word *av) C_noret;
C_noret_decl(f_6164)
static void C_ccall f_6164(C_word c,C_word *av) C_noret;
C_noret_decl(f_6158)
static void C_ccall f_6158(C_word c,C_word *av) C_noret;
C_noret_decl(f_4922)
static void C_ccall f_4922(C_word c,C_word *av) C_noret;
C_noret_decl(f_6123)
static void C_ccall f_6123(C_word c,C_word *av) C_noret;
C_noret_decl(f_6126)
static void C_ccall f_6126(C_word c,C_word *av) C_noret;
C_noret_decl(f_4928)
static void C_ccall f_4928(C_word c,C_word *av) C_noret;
C_noret_decl(f_6111)
static void C_ccall f_6111(C_word c,C_word *av) C_noret;
C_noret_decl(f_6115)
static void C_ccall f_6115(C_word c,C_word *av) C_noret;
C_noret_decl(f_6119)
static void C_ccall f_6119(C_word c,C_word *av) C_noret;
C_noret_decl(f_6200)
static void C_ccall f_6200(C_word c,C_word *av) C_noret;
C_noret_decl(f_6206)
static void C_ccall f_6206(C_word c,C_word *av) C_noret;
C_noret_decl(f_2702)
static void C_ccall f_2702(C_word c,C_word *av) C_noret;
C_noret_decl(f_2704)
static void C_ccall f_2704(C_word c,C_word *av) C_noret;
C_noret_decl(f_4233)
static C_word C_fcall f_4233(C_word t0,C_word t1);
C_noret_decl(f_5211)
static void C_ccall f_5211(C_word c,C_word *av) C_noret;
C_noret_decl(f_5217)
static void C_ccall f_5217(C_word c,C_word *av) C_noret;
C_noret_decl(f_4868)
static void C_ccall f_4868(C_word c,C_word *av) C_noret;
C_noret_decl(f_2733)
static void C_ccall f_2733(C_word c,C_word *av) C_noret;
C_noret_decl(f_2739)
static void C_ccall f_2739(C_word c,C_word *av) C_noret;
C_noret_decl(f_4258)
static void C_fcall f_4258(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6,C_word t7) C_noret;
C_noret_decl(f_5243)
static void C_ccall f_5243(C_word c,C_word *av) C_noret;
C_noret_decl(f_4256)
static void C_ccall f_4256(C_word c,C_word *av) C_noret;
C_noret_decl(f_5245)
static void C_ccall f_5245(C_word c,C_word *av) C_noret;
C_noret_decl(f_4877)
static void C_ccall f_4877(C_word c,C_word *av) C_noret;
C_noret_decl(f_3961)
static void C_ccall f_3961(C_word c,C_word *av) C_noret;
C_noret_decl(f_5231)
static void C_ccall f_5231(C_word c,C_word *av) C_noret;
C_noret_decl(f_3965)
static void C_ccall f_3965(C_word c,C_word *av) C_noret;
C_noret_decl(f_5235)
static void C_ccall f_5235(C_word c,C_word *av) C_noret;
C_noret_decl(f_4887)
static void C_ccall f_4887(C_word c,C_word *av) C_noret;
C_noret_decl(f_4884)
static void C_ccall f_4884(C_word c,C_word *av) C_noret;
C_noret_decl(f_5045)
static void C_ccall f_5045(C_word c,C_word *av) C_noret;
C_noret_decl(f_2712)
static void C_ccall f_2712(C_word c,C_word *av) C_noret;
C_noret_decl(f_2717)
static void C_ccall f_2717(C_word c,C_word *av) C_noret;
C_noret_decl(f_4895)
static void C_ccall f_4895(C_word c,C_word *av) C_noret;
C_noret_decl(f_2721)
static void C_fcall f_2721(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2724)
static void C_ccall f_2724(C_word c,C_word *av) C_noret;
C_noret_decl(f_2727)
static void C_ccall f_2727(C_word c,C_word *av) C_noret;
C_noret_decl(f_3943)
static void C_ccall f_3943(C_word c,C_word *av) C_noret;
C_noret_decl(f_4209)
static void C_fcall f_4209(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4214)
static C_word C_fcall f_4214(C_word t0,C_word t1);
C_noret_decl(f_4430)
static void C_fcall f_4430(C_word t0,C_word t1) C_noret;
C_noret_decl(f_3978)
static void C_ccall f_3978(C_word c,C_word *av) C_noret;
C_noret_decl(f_4426)
static void C_ccall f_4426(C_word c,C_word *av) C_noret;
C_noret_decl(f_4443)
static void C_ccall f_4443(C_word c,C_word *av) C_noret;
C_noret_decl(f_3976)
static void C_ccall f_3976(C_word c,C_word *av) C_noret;
C_noret_decl(f_3987)
static void C_ccall f_3987(C_word c,C_word *av) C_noret;
C_noret_decl(f_4436)
static void C_ccall f_4436(C_word c,C_word *av) C_noret;
C_noret_decl(f_4439)
static void C_ccall f_4439(C_word c,C_word *av) C_noret;
C_noret_decl(f_3985)
static void C_ccall f_3985(C_word c,C_word *av) C_noret;
C_noret_decl(f_3981)
static void C_ccall f_3981(C_word c,C_word *av) C_noret;
C_noret_decl(f_5685)
static void C_ccall f_5685(C_word c,C_word *av) C_noret;
C_noret_decl(f_4446)
static void C_ccall f_4446(C_word c,C_word *av) C_noret;
C_noret_decl(f_5681)
static void C_ccall f_5681(C_word c,C_word *av) C_noret;
C_noret_decl(f_6320)
static void C_ccall f_6320(C_word c,C_word *av) C_noret;
C_noret_decl(f_6326)
static void C_ccall f_6326(C_word c,C_word *av) C_noret;
C_noret_decl(f_6141)
static void C_ccall f_6141(C_word c,C_word *av) C_noret;
C_noret_decl(f_6146)
static void C_ccall f_6146(C_word c,C_word *av) C_noret;
C_noret_decl(f_2493)
static void C_ccall f_2493(C_word c,C_word *av) C_noret;
C_noret_decl(f_2855)
static void C_ccall f_2855(C_word c,C_word *av) C_noret;
C_noret_decl(f_2853)
static void C_ccall f_2853(C_word c,C_word *av) C_noret;
C_noret_decl(f_6131)
static void C_ccall f_6131(C_word c,C_word *av) C_noret;
C_noret_decl(f_2692)
static void C_ccall f_2692(C_word c,C_word *av) C_noret;
C_noret_decl(f_2694)
static void C_ccall f_2694(C_word c,C_word *av) C_noret;
C_noret_decl(f_2845)
static void C_ccall f_2845(C_word c,C_word *av) C_noret;
C_noret_decl(f_2841)
static void C_ccall f_2841(C_word c,C_word *av) C_noret;
C_noret_decl(f_3502)
static void C_ccall f_3502(C_word c,C_word *av) C_noret;
C_noret_decl(f_3796)
static void C_ccall f_3796(C_word c,C_word *av) C_noret;
C_noret_decl(f_4465)
static void C_ccall f_4465(C_word c,C_word *av) C_noret;
C_noret_decl(f_2459)
static void C_ccall f_2459(C_word c,C_word *av) C_noret;
C_noret_decl(f_4461)
static void C_ccall f_4461(C_word c,C_word *av) C_noret;
C_noret_decl(f_2455)
static void C_ccall f_2455(C_word c,C_word *av) C_noret;
C_noret_decl(f_3532)
static void C_ccall f_3532(C_word c,C_word *av) C_noret;
C_noret_decl(f_3535)
static void C_ccall f_3535(C_word c,C_word *av) C_noret;
C_noret_decl(f_2484)
static void C_ccall f_2484(C_word c,C_word *av) C_noret;
C_noret_decl(f_2480)
static void C_ccall f_2480(C_word c,C_word *av) C_noret;
C_noret_decl(f_4851)
static void C_ccall f_4851(C_word c,C_word *av) C_noret;
C_noret_decl(f_4470)
static void C_ccall f_4470(C_word c,C_word *av) C_noret;
C_noret_decl(f_3146)
static void C_ccall f_3146(C_word c,C_word *av) C_noret;
C_noret_decl(f_4858)
static void C_ccall f_4858(C_word c,C_word *av) C_noret;
C_noret_decl(f_3541)
static void C_ccall f_3541(C_word c,C_word *av) C_noret;
C_noret_decl(f_2871)
static void C_ccall f_2871(C_word c,C_word *av) C_noret;
C_noret_decl(f_3510)
static void C_ccall f_3510(C_word c,C_word *av) C_noret;
C_noret_decl(f_3514)
static void C_ccall f_3514(C_word c,C_word *av) C_noret;
C_noret_decl(f_3517)
static void C_ccall f_3517(C_word c,C_word *av) C_noret;
C_noret_decl(f_3760)
static void C_ccall f_3760(C_word c,C_word *av) C_noret;
C_noret_decl(f_4672)
static void C_ccall f_4672(C_word c,C_word *av) C_noret;
C_noret_decl(f_5486)
static void C_ccall f_5486(C_word c,C_word *av) C_noret;
C_noret_decl(f_3522)
static void C_ccall f_3522(C_word c,C_word *av) C_noret;
C_noret_decl(f_3756)
static void C_ccall f_3756(C_word c,C_word *av) C_noret;
C_noret_decl(f_3752)
static void C_ccall f_3752(C_word c,C_word *av) C_noret;
C_noret_decl(f_4691)
static void C_ccall f_4691(C_word c,C_word *av) C_noret;
C_noret_decl(f_4695)
static void C_ccall f_4695(C_word c,C_word *av) C_noret;
C_noret_decl(f_3324)
static void C_ccall f_3324(C_word c,C_word *av) C_noret;
C_noret_decl(f_3334)
static void C_ccall f_3334(C_word c,C_word *av) C_noret;
C_noret_decl(f_3330)
static void C_ccall f_3330(C_word c,C_word *av) C_noret;
C_noret_decl(f_4452)
static void C_ccall f_4452(C_word c,C_word *av) C_noret;
C_noret_decl(f_5670)
static void C_ccall f_5670(C_word c,C_word *av) C_noret;
C_noret_decl(f_2894)
static void C_ccall f_2894(C_word c,C_word *av) C_noret;
C_noret_decl(f_5666)
static void C_ccall f_5666(C_word c,C_word *av) C_noret;
C_noret_decl(f_5756)
static void C_ccall f_5756(C_word c,C_word *av) C_noret;
C_noret_decl(f_3309)
static void C_fcall f_3309(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2880)
static void C_ccall f_2880(C_word c,C_word *av) C_noret;
C_noret_decl(f_6242)
static void C_ccall f_6242(C_word c,C_word *av) C_noret;
C_noret_decl(f_6248)
static void C_ccall f_6248(C_word c,C_word *av) C_noret;
C_noret_decl(f_5749)
static void C_ccall f_5749(C_word c,C_word *av) C_noret;
C_noret_decl(f_3593)
static void C_ccall f_3593(C_word c,C_word *av) C_noret;
C_noret_decl(f_3596)
static void C_ccall f_3596(C_word c,C_word *av) C_noret;
C_noret_decl(f_3599)
static void C_ccall f_3599(C_word c,C_word *av) C_noret;
C_noret_decl(f_3117)
static void C_ccall f_3117(C_word c,C_word *av) C_noret;
C_noret_decl(f_3115)
static void C_ccall f_3115(C_word c,C_word *av) C_noret;
C_noret_decl(f_5459)
static void C_ccall f_5459(C_word c,C_word *av) C_noret;
C_noret_decl(f_6230)
static void C_ccall f_6230(C_word c,C_word *av) C_noret;
C_noret_decl(f_6236)
static void C_ccall f_6236(C_word c,C_word *av) C_noret;
C_noret_decl(f_4179)
static void C_ccall f_4179(C_word c,C_word *av) C_noret;
C_noret_decl(f_4171)
static void C_ccall f_4171(C_word c,C_word *av) C_noret;
C_noret_decl(f_4175)
static void C_fcall f_4175(C_word t0,C_word t1) C_noret;
C_noret_decl(f_5638)
static void C_ccall f_5638(C_word c,C_word *av) C_noret;
C_noret_decl(f_3123)
static void C_ccall f_3123(C_word c,C_word *av) C_noret;
C_noret_decl(f_6016)
static void C_ccall f_6016(C_word c,C_word *av) C_noret;
C_noret_decl(f_3343)
static void C_fcall f_3343(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3341)
static void C_ccall f_3341(C_word c,C_word *av) C_noret;
C_noret_decl(f_6224)
static void C_ccall f_6224(C_word c,C_word *av) C_noret;
C_noret_decl(f_5626)
static void C_ccall f_5626(C_word c,C_word *av) C_noret;
C_noret_decl(f_5622)
static void C_ccall f_5622(C_word c,C_word *av) C_noret;
C_noret_decl(f_3108)
static void C_ccall f_3108(C_word c,C_word *av) C_noret;
C_noret_decl(f_6212)
static void C_ccall f_6212(C_word c,C_word *av) C_noret;
C_noret_decl(f_4197)
static void C_ccall f_4197(C_word c,C_word *av) C_noret;
C_noret_decl(f_6218)
static void C_ccall f_6218(C_word c,C_word *av) C_noret;
C_noret_decl(f_5653)
static void C_fcall f_5653(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4194)
static void C_ccall f_4194(C_word c,C_word *av) C_noret;
C_noret_decl(f_3101)
static void C_ccall f_3101(C_word c,C_word *av) C_noret;
C_noret_decl(f_5643)
static void C_ccall f_5643(C_word c,C_word *av) C_noret;
C_noret_decl(f_4160)
static void C_ccall f_4160(C_word c,C_word *av) C_noret;
C_noret_decl(f_5649)
static void C_ccall f_5649(C_word c,C_word *av) C_noret;
C_noret_decl(f_3913)
static void C_fcall f_3913(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3164)
static void C_ccall f_3164(C_word c,C_word *av) C_noret;
C_noret_decl(f_3168)
static void C_ccall f_3168(C_word c,C_word *av) C_noret;
C_noret_decl(f_5447)
static void C_ccall f_5447(C_word c,C_word *av) C_noret;
C_noret_decl(f_3303)
static void C_ccall f_3303(C_word c,C_word *av) C_noret;
C_noret_decl(f_6551)
static void C_ccall f_6551(C_word c,C_word *av) C_noret;
C_noret_decl(f_6558)
static void C_ccall f_6558(C_word c,C_word *av) C_noret;
C_noret_decl(f_3384)
static void C_ccall f_3384(C_word c,C_word *av) C_noret;
C_noret_decl(f_3360)
static void C_ccall f_3360(C_word c,C_word *av) C_noret;
C_noret_decl(f_6580)
static void C_ccall f_6580(C_word c,C_word *av) C_noret;
C_noret_decl(f_5166)
static void C_ccall f_5166(C_word c,C_word *av) C_noret;
C_noret_decl(f_6582)
static void C_ccall f_6582(C_word c,C_word *av) C_noret;
C_noret_decl(f_3905)
static void C_ccall f_3905(C_word c,C_word *av) C_noret;
C_noret_decl(f_3901)
static void C_fcall f_3901(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3193)
static void C_ccall f_3193(C_word c,C_word *av) C_noret;
C_noret_decl(f_5195)
static void C_fcall f_5195(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_5199)
static void C_ccall f_5199(C_word c,C_word *av) C_noret;
C_noret_decl(f_6586)
static void C_ccall f_6586(C_word c,C_word *av) C_noret;
C_noret_decl(f_6589)
static void C_ccall f_6589(C_word c,C_word *av) C_noret;
C_noret_decl(f_3364)
static void C_fcall f_3364(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_5364)
static void C_fcall f_5364(C_word t0,C_word t1) C_noret;
C_noret_decl(f_6597)
static void C_ccall f_6597(C_word c,C_word *av) C_noret;
C_noret_decl(f_6088)
static void C_ccall f_6088(C_word c,C_word *av) C_noret;
C_noret_decl(f_5355)
static void C_ccall f_5355(C_word c,C_word *av) C_noret;
C_noret_decl(f_5358)
static void C_ccall f_5358(C_word c,C_word *av) C_noret;
C_noret_decl(f_5352)
static void C_fcall f_5352(C_word t0,C_word t1) C_noret;
C_noret_decl(f_3372)
static void C_ccall f_3372(C_word c,C_word *av) C_noret;
C_noret_decl(f_3376)
static void C_ccall f_3376(C_word c,C_word *av) C_noret;
C_noret_decl(f_3939)
static void C_ccall f_3939(C_word c,C_word *av) C_noret;
C_noret_decl(f_3931)
static void C_ccall f_3931(C_word c,C_word *av) C_noret;
C_noret_decl(f_3183)
static void C_ccall f_3183(C_word c,C_word *av) C_noret;
C_noret_decl(f_3189)
static void C_ccall f_3189(C_word c,C_word *av) C_noret;
C_noret_decl(f_3186)
static void C_ccall f_3186(C_word c,C_word *av) C_noret;
C_noret_decl(f_5929)
static void C_ccall f_5929(C_word c,C_word *av) C_noret;
C_noret_decl(f_2684)
static void C_ccall f_2684(C_word c,C_word *av) C_noret;
C_noret_decl(f_2682)
static void C_ccall f_2682(C_word c,C_word *av) C_noret;
C_noret_decl(f_5923)
static void C_ccall f_5923(C_word c,C_word *av) C_noret;
C_noret_decl(f_4011)
static void C_ccall f_4011(C_word c,C_word *av) C_noret;
C_noret_decl(f_5158)
static void C_fcall f_5158(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_2431)
static void C_ccall f_2431(C_word c,C_word *av) C_noret;
C_noret_decl(f_4006)
static void C_ccall f_4006(C_word c,C_word *av) C_noret;
C_noret_decl(f_5956)
static void C_ccall f_5956(C_word c,C_word *av) C_noret;
C_noret_decl(f_2674)
static void C_ccall f_2674(C_word c,C_word *av) C_noret;
C_noret_decl(f_2672)
static void C_ccall f_2672(C_word c,C_word *av) C_noret;
C_noret_decl(f_5950)
static void C_ccall f_5950(C_word c,C_word *av) C_noret;
C_noret_decl(f_5954)
static void C_ccall f_5954(C_word c,C_word *av) C_noret;
C_noret_decl(f_5739)
static void C_ccall f_5739(C_word c,C_word *av) C_noret;
C_noret_decl(f_2440)
static void C_ccall f_2440(C_word c,C_word *av) C_noret;
C_noret_decl(f_4017)
static void C_ccall f_4017(C_word c,C_word *av) C_noret;
C_noret_decl(f_2662)
static void C_ccall f_2662(C_word c,C_word *av) C_noret;
C_noret_decl(f_2664)
static void C_ccall f_2664(C_word c,C_word *av) C_noret;
C_noret_decl(f_2416)
static void C_ccall f_2416(C_word c,C_word *av) C_noret;
C_noret_decl(f_2652)
static void C_ccall f_2652(C_word c,C_word *av) C_noret;
C_noret_decl(f_2654)
static void C_ccall f_2654(C_word c,C_word *av) C_noret;
C_noret_decl(f_6542)
static void C_ccall f_6542(C_word c,C_word *av) C_noret;
C_noret_decl(f_6546)
static void C_ccall f_6546(C_word c,C_word *av) C_noret;
C_noret_decl(f_2420)
static void C_ccall f_2420(C_word c,C_word *av) C_noret;
C_noret_decl(f_2427)
static void C_ccall f_2427(C_word c,C_word *av) C_noret;
C_noret_decl(f_4649)
static void C_fcall f_4649(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_5331)
static void C_ccall f_5331(C_word c,C_word *av) C_noret;
C_noret_decl(f_5338)
static void C_ccall f_5338(C_word c,C_word *av) C_noret;
C_noret_decl(f_5774)
static void C_ccall f_5774(C_word c,C_word *av) C_noret;
C_noret_decl(f_4557)
static void C_ccall f_4557(C_word c,C_word *av) C_noret;
C_noret_decl(f_5117)
static void C_fcall f_5117(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_5770)
static void C_ccall f_5770(C_word c,C_word *av) C_noret;
C_noret_decl(f_4551)
static void C_ccall f_4551(C_word c,C_word *av) C_noret;
C_noret_decl(f_5115)
static void C_ccall f_5115(C_word c,C_word *av) C_noret;
C_noret_decl(f_4610)
static void C_ccall f_4610(C_word c,C_word *av) C_noret;
C_noret_decl(f_2401)
static void C_ccall f_2401(C_word c,C_word *av) C_noret;
C_noret_decl(f_5766)
static void C_ccall f_5766(C_word c,C_word *av) C_noret;
C_noret_decl(f_4058)
static void C_fcall f_4058(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_2404)
static void C_ccall f_2404(C_word c,C_word *av) C_noret;
C_noret_decl(f_5107)
static void C_ccall f_5107(C_word c,C_word *av) C_noret;
C_noret_decl(f_6518)
static void C_ccall f_6518(C_word c,C_word *av) C_noret;
C_noret_decl(f_5793)
static void C_ccall f_5793(C_word c,C_word *av) C_noret;
C_noret_decl(f_5797)
static void C_ccall f_5797(C_word c,C_word *av) C_noret;
C_noret_decl(f_4575)
static void C_ccall f_4575(C_word c,C_word *av) C_noret;
C_noret_decl(f_5306)
static void C_ccall f_5306(C_word c,C_word *av) C_noret;
C_noret_decl(f_5304)
static void C_ccall f_5304(C_word c,C_word *av) C_noret;
C_noret_decl(f_4375)
static void C_ccall f_4375(C_word c,C_word *av) C_noret;
C_noret_decl(f_5786)
static void C_ccall f_5786(C_word c,C_word *av) C_noret;
C_noret_decl(f_4588)
static void C_ccall f_4588(C_word c,C_word *av) C_noret;
C_noret_decl(f_4585)
static void C_ccall f_4585(C_word c,C_word *av) C_noret;
C_noret_decl(f_4606)
static void C_ccall f_4606(C_word c,C_word *av) C_noret;
C_noret_decl(f_6576)
static void C_ccall f_6576(C_word c,C_word *av) C_noret;
C_noret_decl(f_2827)
static void C_ccall f_2827(C_word c,C_word *av) C_noret;
C_noret_decl(f_2821)
static void C_ccall f_2821(C_word c,C_word *av) C_noret;
C_noret_decl(f_4602)
static void C_fcall f_4602(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4384)
static void C_ccall f_4384(C_word c,C_word *av) C_noret;
C_noret_decl(f_4597)
static void C_ccall f_4597(C_word c,C_word *av) C_noret;
C_noret_decl(f_4594)
static void C_ccall f_4594(C_word c,C_word *av) C_noret;
C_noret_decl(f_2839)
static void C_ccall f_2839(C_word c,C_word *av) C_noret;
C_noret_decl(f_2831)
static void C_ccall f_2831(C_word c,C_word *av) C_noret;
C_noret_decl(f_6356)
static void C_ccall f_6356(C_word c,C_word *av) C_noret;
C_noret_decl(f_4390)
static void C_ccall f_4390(C_word c,C_word *av) C_noret;
C_noret_decl(f_6350)
static void C_ccall f_6350(C_word c,C_word *av) C_noret;
C_noret_decl(f_2808)
static void C_fcall f_2808(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_6368)
static void C_ccall f_6368(C_word c,C_word *av) C_noret;
C_noret_decl(f_6622)
static void C_ccall f_6622(C_word c,C_word *av) C_noret;
C_noret_decl(f_6362)
static void C_ccall f_6362(C_word c,C_word *av) C_noret;
C_noret_decl(f_6628)
static void C_ccall f_6628(C_word c,C_word *av) C_noret;
C_noret_decl(f_6624)
static void C_ccall f_6624(C_word c,C_word *av) C_noret;
C_noret_decl(f_3575)
static void C_ccall f_3575(C_word c,C_word *av) C_noret;
C_noret_decl(f_3589)
static void C_ccall f_3589(C_word c,C_word *av) C_noret;
C_noret_decl(f_3583)
static void C_ccall f_3583(C_word c,C_word *av) C_noret;
C_noret_decl(f_5422)
static C_word C_fcall f_5422(C_word t0,C_word t1);
C_noret_decl(f_4811)
static void C_ccall f_4811(C_word c,C_word *av) C_noret;
C_noret_decl(f_3557)
static void C_ccall f_3557(C_word c,C_word *av) C_noret;
C_noret_decl(f_3550)
static void C_ccall f_3550(C_word c,C_word *av) C_noret;
C_noret_decl(f_6644)
static void C_ccall f_6644(C_word c,C_word *av) C_noret;
C_noret_decl(f_4818)
static void C_ccall f_4818(C_word c,C_word *av) C_noret;
C_noret_decl(f_3566)
static void C_ccall f_3566(C_word c,C_word *av) C_noret;
C_noret_decl(f_3567)
static void C_ccall f_3567(C_word c,C_word *av) C_noret;
C_noret_decl(f_6634)
static void C_ccall f_6634(C_word c,C_word *av) C_noret;
C_noret_decl(f_4828)
static void C_ccall f_4828(C_word c,C_word *av) C_noret;
C_noret_decl(f_6284)
static void C_ccall f_6284(C_word c,C_word *av) C_noret;
C_noret_decl(f_4837)
static void C_ccall f_4837(C_word c,C_word *av) C_noret;
C_noret_decl(f_6442)
static void C_ccall f_6442(C_word c,C_word *av) C_noret;
C_noret_decl(f_6438)
static void C_ccall f_6438(C_word c,C_word *av) C_noret;
C_noret_decl(f_6260)
static void C_ccall f_6260(C_word c,C_word *av) C_noret;
C_noret_decl(f_5915)
static void C_ccall f_5915(C_word c,C_word *av) C_noret;
C_noret_decl(f_5918)
static void C_ccall f_5918(C_word c,C_word *av) C_noret;
C_noret_decl(f_6266)
static void C_ccall f_6266(C_word c,C_word *av) C_noret;
C_noret_decl(f_6272)
static void C_ccall f_6272(C_word c,C_word *av) C_noret;
C_noret_decl(f_6278)
static void C_ccall f_6278(C_word c,C_word *av) C_noret;
C_noret_decl(f_6254)
static void C_ccall f_6254(C_word c,C_word *av) C_noret;
C_noret_decl(f_6076)
static void C_ccall f_6076(C_word c,C_word *av) C_noret;
C_noret_decl(f_4184)
static void C_fcall f_4184(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3869)
static void C_ccall f_3869(C_word c,C_word *av) C_noret;
C_noret_decl(f_5313)
static void C_ccall f_5313(C_word c,C_word *av) C_noret;
C_noret_decl(f_5319)
static void C_ccall f_5319(C_word c,C_word *av) C_noret;
C_noret_decl(f_3873)
static void C_ccall f_3873(C_word c,C_word *av) C_noret;
C_noret_decl(f_3875)
static void C_ccall f_3875(C_word c,C_word *av) C_noret;
C_noret_decl(f_5346)
static void C_ccall f_5346(C_word c,C_word *av) C_noret;
C_noret_decl(f_3883)
static void C_ccall f_3883(C_word c,C_word *av) C_noret;
C_noret_decl(f_4327)
static void C_ccall f_4327(C_word c,C_word *av) C_noret;
C_noret_decl(f_4323)
static void C_ccall f_4323(C_word c,C_word *av) C_noret;
C_noret_decl(f_3895)
static void C_ccall f_3895(C_word c,C_word *av) C_noret;
C_noret_decl(f_2644)
static void C_ccall f_2644(C_word c,C_word *av) C_noret;
C_noret_decl(f_4320)
static void C_ccall f_4320(C_word c,C_word *av) C_noret;
C_noret_decl(f_2766)
static void C_ccall f_2766(C_word c,C_word *av) C_noret;
C_noret_decl(f_4348)
static void C_ccall f_4348(C_word c,C_word *av) C_noret;
C_noret_decl(f_5135)
static void C_ccall f_5135(C_word c,C_word *av) C_noret;
C_noret_decl(f_5137)
static void C_ccall f_5137(C_word c,C_word *av) C_noret;
C_noret_decl(f_2771)
static void C_fcall f_2771(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_3420)
static void C_fcall f_3420(C_word t0,C_word t1) C_noret;
C_noret_decl(f_3427)
static void C_ccall f_3427(C_word c,C_word *av) C_noret;
C_noret_decl(f_3429)
static void C_fcall f_3429(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_5127)
static void C_ccall f_5127(C_word c,C_word *av) C_noret;
C_noret_decl(f_4350)
static void C_fcall f_4350(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2779)
static void C_ccall f_2779(C_word c,C_word *av) C_noret;
C_noret_decl(f_3850)
static void C_ccall f_3850(C_word c,C_word *av) C_noret;
C_noret_decl(f_3858)
static void C_ccall f_3858(C_word c,C_word *av) C_noret;
C_noret_decl(f_3442)
static void C_ccall f_3442(C_word c,C_word *av) C_noret;
C_noret_decl(f_5143)
static void C_ccall f_5143(C_word c,C_word *av) C_noret;
C_noret_decl(f_5149)
static void C_ccall f_5149(C_word c,C_word *av) C_noret;
C_noret_decl(f_3622)
static void C_ccall f_3622(C_word c,C_word *av) C_noret;
C_noret_decl(f_3627)
static void C_ccall f_3627(C_word c,C_word *av) C_noret;
C_noret_decl(f_3625)
static void C_ccall f_3625(C_word c,C_word *av) C_noret;
C_noret_decl(f_3410)
static void C_ccall f_3410(C_word c,C_word *av) C_noret;
C_noret_decl(f_4309)
static void C_ccall f_4309(C_word c,C_word *av) C_noret;
C_noret_decl(f_3417)
static void C_fcall f_3417(C_word t0,C_word t1) C_noret;
C_noret_decl(f_3633)
static void C_ccall f_3633(C_word c,C_word *av) C_noret;
C_noret_decl(f_4508)
static void C_ccall f_4508(C_word c,C_word *av) C_noret;
C_noret_decl(f_3635)
static void C_ccall f_3635(C_word c,C_word *av) C_noret;
C_noret_decl(f_4505)
static void C_ccall f_4505(C_word c,C_word *av) C_noret;
C_noret_decl(f_4303)
static void C_ccall f_4303(C_word c,C_word *av) C_noret;
C_noret_decl(f_4502)
static void C_ccall f_4502(C_word c,C_word *av) C_noret;
C_noret_decl(f_6618)
static void C_ccall f_6618(C_word c,C_word *av) C_noret;
C_noret_decl(f_3640)
static void C_ccall f_3640(C_word c,C_word *av) C_noret;
C_noret_decl(f_3642)
static void C_fcall f_3642(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4517)
static void C_ccall f_4517(C_word c,C_word *av) C_noret;
C_noret_decl(f_4313)
static void C_fcall f_4313(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4970)
static void C_ccall f_4970(C_word c,C_word *av) C_noret;
C_noret_decl(f_4975)
static void C_ccall f_4975(C_word c,C_word *av) C_noret;
C_noret_decl(f_6422)
static void C_ccall f_6422(C_word c,C_word *av) C_noret;
C_noret_decl(f_6426)
static void C_ccall f_6426(C_word c,C_word *av) C_noret;
C_noret_decl(f_4941)
static void C_ccall f_4941(C_word c,C_word *av) C_noret;
C_noret_decl(f_4946)
static void C_ccall f_4946(C_word c,C_word *av) C_noret;
C_noret_decl(f_3404)
static void C_ccall f_3404(C_word c,C_word *av) C_noret;
C_noret_decl(f_4535)
static void C_ccall f_4535(C_word c,C_word *av) C_noret;
C_noret_decl(f_4539)
static void C_ccall f_4539(C_word c,C_word *av) C_noret;
C_noret_decl(f_5583)
static void C_ccall f_5583(C_word c,C_word *av) C_noret;
C_noret_decl(f_4990)
static void C_ccall f_4990(C_word c,C_word *av) C_noret;
C_noret_decl(f_4999)
static void C_ccall f_4999(C_word c,C_word *av) C_noret;
C_noret_decl(f_4995)
static void C_ccall f_4995(C_word c,C_word *av) C_noret;
C_noret_decl(f_4545)
static void C_fcall f_4545(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4548)
static void C_ccall f_4548(C_word c,C_word *av) C_noret;
C_noret_decl(f_4542)
static void C_ccall f_4542(C_word c,C_word *av) C_noret;
C_noret_decl(f_4961)
static void C_ccall f_4961(C_word c,C_word *av) C_noret;
C_noret_decl(f_4965)
static void C_ccall f_4965(C_word c,C_word *av) C_noret;
C_noret_decl(f_3605)
static void C_ccall f_3605(C_word c,C_word *av) C_noret;
C_noret_decl(f_3602)
static void C_ccall f_3602(C_word c,C_word *av) C_noret;

C_noret_decl(trf_3233)
static void C_ccall trf_3233(C_word c,C_word *av) C_noret;
static void C_ccall trf_3233(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_3233(t0,t1);}

C_noret_decl(trf_2967)
static void C_ccall trf_2967(C_word c,C_word *av) C_noret;
static void C_ccall trf_2967(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_2967(t0,t1);}

C_noret_decl(trf_3015)
static void C_ccall trf_3015(C_word c,C_word *av) C_noret;
static void C_ccall trf_3015(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_3015(t0,t1,t2);}

C_noret_decl(trf_4775)
static void C_ccall trf_4775(C_word c,C_word *av) C_noret;
static void C_ccall trf_4775(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_4775(t0,t1,t2,t3);}

C_noret_decl(trf_3207)
static void C_ccall trf_3207(C_word c,C_word *av) C_noret;
static void C_ccall trf_3207(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_3207(t0,t1);}

C_noret_decl(trf_4097)
static void C_ccall trf_4097(C_word c,C_word *av) C_noret;
static void C_ccall trf_4097(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_4097(t0,t1);}

C_noret_decl(trf_3075)
static void C_ccall trf_3075(C_word c,C_word *av) C_noret;
static void C_ccall trf_3075(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_3075(t0,t1,t2);}

C_noret_decl(trf_2991)
static void C_ccall trf_2991(C_word c,C_word *av) C_noret;
static void C_ccall trf_2991(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_2991(t0,t1,t2);}

C_noret_decl(trf_3082)
static void C_ccall trf_3082(C_word c,C_word *av) C_noret;
static void C_ccall trf_3082(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_3082(t0,t1);}

C_noret_decl(trf_5283)
static void C_ccall trf_5283(C_word c,C_word *av) C_noret;
static void C_ccall trf_5283(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_5283(t0,t1);}

C_noret_decl(trf_5833)
static void C_ccall trf_5833(C_word c,C_word *av) C_noret;
static void C_ccall trf_5833(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_5833(t0,t1,t2);}

C_noret_decl(trf_6493)
static void C_ccall trf_6493(C_word c,C_word *av) C_noret;
static void C_ccall trf_6493(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_6493(t0,t1,t2);}

C_noret_decl(trf_4704)
static void C_ccall trf_4704(C_word c,C_word *av) C_noret;
static void C_ccall trf_4704(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_4704(t0,t1,t2);}

C_noret_decl(trf_4103)
static void C_ccall trf_4103(C_word c,C_word *av) C_noret;
static void C_ccall trf_4103(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_4103(t0,t1,t2,t3);}

C_noret_decl(trf_4711)
static void C_ccall trf_4711(C_word c,C_word *av) C_noret;
static void C_ccall trf_4711(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_4711(t0,t1);}

C_noret_decl(trf_4154)
static void C_ccall trf_4154(C_word c,C_word *av) C_noret;
static void C_ccall trf_4154(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_4154(t0,t1,t2);}

C_noret_decl(trf_6452)
static void C_ccall trf_6452(C_word c,C_word *av) C_noret;
static void C_ccall trf_6452(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_6452(t0,t1,t2);}

C_noret_decl(trf_2907)
static void C_ccall trf_2907(C_word c,C_word *av) C_noret;
static void C_ccall trf_2907(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_2907(t0,t1);}

C_noret_decl(trf_5872)
static void C_ccall trf_5872(C_word c,C_word *av) C_noret;
static void C_ccall trf_5872(C_word c,C_word *av){
C_word t0=av[6];
C_word t1=av[5];
C_word t2=av[4];
C_word t3=av[3];
C_word t4=av[2];
C_word t5=av[1];
C_word t6=av[0];
f_5872(t0,t1,t2,t3,t4,t5,t6);}

C_noret_decl(trf_5874)
static void C_ccall trf_5874(C_word c,C_word *av) C_noret;
static void C_ccall trf_5874(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_5874(t0,t1,t2);}

C_noret_decl(trf_4258)
static void C_ccall trf_4258(C_word c,C_word *av) C_noret;
static void C_ccall trf_4258(C_word c,C_word *av){
C_word t0=av[7];
C_word t1=av[6];
C_word t2=av[5];
C_word t3=av[4];
C_word t4=av[3];
C_word t5=av[2];
C_word t6=av[1];
C_word t7=av[0];
f_4258(t0,t1,t2,t3,t4,t5,t6,t7);}

C_noret_decl(trf_2721)
static void C_ccall trf_2721(C_word c,C_word *av) C_noret;
static void C_ccall trf_2721(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_2721(t0,t1);}

C_noret_decl(trf_4209)
static void C_ccall trf_4209(C_word c,C_word *av) C_noret;
static void C_ccall trf_4209(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_4209(t0,t1,t2);}

C_noret_decl(trf_4430)
static void C_ccall trf_4430(C_word c,C_word *av) C_noret;
static void C_ccall trf_4430(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_4430(t0,t1);}

C_noret_decl(trf_3309)
static void C_ccall trf_3309(C_word c,C_word *av) C_noret;
static void C_ccall trf_3309(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_3309(t0,t1,t2);}

C_noret_decl(trf_4175)
static void C_ccall trf_4175(C_word c,C_word *av) C_noret;
static void C_ccall trf_4175(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_4175(t0,t1);}

C_noret_decl(trf_3343)
static void C_ccall trf_3343(C_word c,C_word *av) C_noret;
static void C_ccall trf_3343(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_3343(t0,t1,t2);}

C_noret_decl(trf_5653)
static void C_ccall trf_5653(C_word c,C_word *av) C_noret;
static void C_ccall trf_5653(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_5653(t0,t1);}

C_noret_decl(trf_3913)
static void C_ccall trf_3913(C_word c,C_word *av) C_noret;
static void C_ccall trf_3913(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_3913(t0,t1,t2);}

C_noret_decl(trf_3901)
static void C_ccall trf_3901(C_word c,C_word *av) C_noret;
static void C_ccall trf_3901(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_3901(t0,t1,t2);}

C_noret_decl(trf_5195)
static void C_ccall trf_5195(C_word c,C_word *av) C_noret;
static void C_ccall trf_5195(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_5195(t0,t1,t2,t3);}

C_noret_decl(trf_3364)
static void C_ccall trf_3364(C_word c,C_word *av) C_noret;
static void C_ccall trf_3364(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_3364(t0,t1,t2);}

C_noret_decl(trf_5364)
static void C_ccall trf_5364(C_word c,C_word *av) C_noret;
static void C_ccall trf_5364(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_5364(t0,t1);}

C_noret_decl(trf_5352)
static void C_ccall trf_5352(C_word c,C_word *av) C_noret;
static void C_ccall trf_5352(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_5352(t0,t1);}

C_noret_decl(trf_5158)
static void C_ccall trf_5158(C_word c,C_word *av) C_noret;
static void C_ccall trf_5158(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_5158(t0,t1,t2,t3);}

C_noret_decl(trf_4649)
static void C_ccall trf_4649(C_word c,C_word *av) C_noret;
static void C_ccall trf_4649(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_4649(t0,t1,t2);}

C_noret_decl(trf_5117)
static void C_ccall trf_5117(C_word c,C_word *av) C_noret;
static void C_ccall trf_5117(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_5117(t0,t1,t2,t3);}

C_noret_decl(trf_4058)
static void C_ccall trf_4058(C_word c,C_word *av) C_noret;
static void C_ccall trf_4058(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_4058(t0,t1,t2,t3);}

C_noret_decl(trf_4602)
static void C_ccall trf_4602(C_word c,C_word *av) C_noret;
static void C_ccall trf_4602(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_4602(t0,t1,t2);}

C_noret_decl(trf_2808)
static void C_ccall trf_2808(C_word c,C_word *av) C_noret;
static void C_ccall trf_2808(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_2808(t0,t1,t2,t3,t4);}

C_noret_decl(trf_4184)
static void C_ccall trf_4184(C_word c,C_word *av) C_noret;
static void C_ccall trf_4184(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_4184(t0,t1,t2);}

C_noret_decl(trf_2771)
static void C_ccall trf_2771(C_word c,C_word *av) C_noret;
static void C_ccall trf_2771(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_2771(t0,t1,t2,t3);}

C_noret_decl(trf_3420)
static void C_ccall trf_3420(C_word c,C_word *av) C_noret;
static void C_ccall trf_3420(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_3420(t0,t1);}

C_noret_decl(trf_3429)
static void C_ccall trf_3429(C_word c,C_word *av) C_noret;
static void C_ccall trf_3429(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_3429(t0,t1,t2,t3,t4);}

C_noret_decl(trf_4350)
static void C_ccall trf_4350(C_word c,C_word *av) C_noret;
static void C_ccall trf_4350(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_4350(t0,t1,t2);}

C_noret_decl(trf_3417)
static void C_ccall trf_3417(C_word c,C_word *av) C_noret;
static void C_ccall trf_3417(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_3417(t0,t1);}

C_noret_decl(trf_3642)
static void C_ccall trf_3642(C_word c,C_word *av) C_noret;
static void C_ccall trf_3642(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_3642(t0,t1,t2);}

C_noret_decl(trf_4313)
static void C_ccall trf_4313(C_word c,C_word *av) C_noret;
static void C_ccall trf_4313(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_4313(t0,t1);}

C_noret_decl(trf_4545)
static void C_ccall trf_4545(C_word c,C_word *av) C_noret;
static void C_ccall trf_4545(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_4545(t0,t1);}

/* k3606 in k3603 in k3600 in k3597 in k3594 in k3591 in chicken.posix#find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3608(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,9)))){
C_save_and_reclaim((void *)f_3608,2,av);}
/* posix-common.scm:570: ##sys#find-files */
t2=*((C_word*)lf[115]+1);{
C_word *av2;
if(c >= 10) {
  av2=av;
} else {
  av2=C_alloc(10);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
av2[6]=((C_word*)t0)[7];
av2[7]=t1;
av2[8]=((C_word*)t0)[8];
av2[9]=lf[120];
((C_proc)(void*)(*((C_word*)t2+1)))(10,av2);}}

/* a3612 in k3603 in k3600 in k3597 in k3594 in k3591 in chicken.posix#find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3613(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3613,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a3615 in k3600 in k3597 in k3594 in k3591 in chicken.posix#find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3616(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3616,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a3618 in k3597 in k3594 in k3591 in chicken.posix#find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3619(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3619,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k3023 in for-each-loop385 in k2988 in chicken.posix#delete-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3025(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_3025,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_3015(t3,((C_word*)t0)[4],t2);}

/* a4980 in a4974 in k4963 in chicken.posix#with-input-from-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4981(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_4981,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4985,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:919: close-input-pipe */
t4=*((C_word*)lf[242]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k4983 in a4980 in a4974 in k4963 in chicken.posix#with-input-from-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4985(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4985,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* k2574 in chicken.posix#file-type in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2576(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2576,2,av);}
if(C_truep(t1)){
t2=C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_stat_type);
if(C_truep(C_i_eqvp(t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)S_IFREG)))){
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=lf[35];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_eqvp(t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)S_IFLNK)))){
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=lf[36];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_eqvp(t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)S_IFDIR)))){
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=lf[37];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_eqvp(t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)S_IFCHR)))){
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=lf[38];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_eqvp(t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)S_IFBLK)))){
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=lf[39];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_eqvp(t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)S_IFIFO)))){
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=lf[40];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_eqvp(t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)S_IFSOCK));
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(C_truep(t3)?lf[41]:lf[35]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}}}}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.posix#open-input-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4797(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +10,c,3)))){
C_save_and_reclaim((void*)f_4797,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+10);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_check_string_2(t2,lf[236]);
t5=C_i_pairp(t3);
t6=(C_truep(t5)?C_slot(t3,C_fix(0)):lf[237]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4811,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t8=C_eqp(t6,lf[237]);
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4818,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:864: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t9;
av2[2]=t2;
av2[3]=lf[236];
tp(4,av2);}}
else{
t9=C_eqp(t6,lf[238]);
if(C_truep(t9)){
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4828,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:865: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t10;
av2[2]=t2;
av2[3]=lf[236];
tp(4,av2);}}
else{
/* posixwin.scm:849: ##sys#error */
t10=*((C_word*)lf[64]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t10;
av2[1]=t7;
av2[2]=lf[239];
av2[3]=t6;
((C_proc)(void*)(*((C_word*)t10+1)))(4,av2);}}}}

/* k4789 in k4777 in check in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4791(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4791,2,av);}
t2=C_set_file_ptr(t1,((C_word*)t0)[2]);
t3=t1;
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.posix#create-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3047(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +10,c,2)))){
C_save_and_reclaim((void*)f_3047,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+10);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=t5;
t7=C_i_check_string_2(t2,lf[100]);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3057,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t9=C_block_size(t2);
t10=C_eqp(C_fix(0),t9);
t11=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3063,a[2]=t1,a[3]=t2,a[4]=t6,a[5]=t8,tmp=(C_word)a,a+=6,tmp);
if(C_truep(t10)){
t12=t11;{
C_word *av2=av;
av2[0]=t12;
av2[1]=t10;
f_3063(2,av2);}}
else{
/* posix-common.scm:469: file-exists? */
t12=*((C_word*)lf[105]+1);{
C_word *av2=av;
av2[0]=t12;
av2[1]=t11;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t12+1)))(3,av2);}}}

/* k3219 in loop in k3191 in k3187 in k3184 in k3181 in k3166 in chicken.posix#directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3221(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_3221,2,av);}
a=C_alloc(5);
t2=t1;
t3=C_i_string_ref(t2,C_fix(0));
t4=C_fixnum_greaterp(((C_word*)t0)[2],C_fix(1));
t5=(C_truep(t4)?C_i_string_ref(t2,C_fix(1)):C_SCHEME_FALSE);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3233,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t7=C_eqp(C_make_character(46),t3);
if(C_truep(t7)){
t8=C_i_not(t5);
if(C_truep(t8)){
t9=t6;
f_3233(t9,t8);}
else{
t9=C_eqp(C_make_character(46),t5);
if(C_truep(t9)){
t10=C_eqp(C_fix(2),((C_word*)t0)[2]);
t11=t6;
f_3233(t11,(C_truep(t10)?t10:C_i_not(((C_word*)t0)[5])));}
else{
t10=t6;
f_3233(t10,C_i_not(((C_word*)t0)[5]));}}}
else{
t8=t6;
f_3233(t8,C_SCHEME_FALSE);}}

/* k2941 in k2938 in chicken.posix#current-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2943(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_2943,2,av);}
if(C_truep(((C_word*)t0)[2])){
/* posix-common.scm:434: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[88]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[88]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}
else{
/* posix-common.scm:435: ##sys#signal-hook */
t2=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[13];
av2[3]=lf[89];
av2[4]=lf[90];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k2938 in chicken.posix#current-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2940(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_2940,2,av);}
a=C_alloc(5);
t2=t1;
t3=C_curdir(t2);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2943,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:432: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[9]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[9]+1);
av2[1]=t4;
tp(2,av2);}}

/* k3055 in chicken.posix#create-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3057(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3057,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k3231 in k3219 in loop in k3191 in k3187 in k3184 in k3181 in k3166 in chicken.posix#directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_3233(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_3233,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
/* posix-common.scm:504: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_3207(t2,((C_word*)t0)[3]);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3243,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:505: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_3207(t3,t2);}}

/* k2969 in rmdir in chicken.posix#delete-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2971(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_2971,2,av);}
t2=C_rmdir(t1);
t3=C_eqp(C_fix(0),t2);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
/* posix-common.scm:444: posix-error */
t4=lf[4];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[13];
av2[3]=lf[93];
av2[4]=lf[94];
av2[5]=((C_word*)t0)[3];
f_2416(6,av2);}}}

/* k3241 in k3231 in k3219 in loop in k3191 in k3187 in k3184 in k3181 in k3166 in chicken.posix#directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3243(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_3243,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2395(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_2395,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2398,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_lolevel_toplevel(2,av2);}}

/* k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_2392,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2395,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_port_toplevel(2,av2);}}

/* rmdir in chicken.posix#delete-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_2967(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_2967,2,t1,t2);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2971,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:442: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* chicken.posix#delete-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2961(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +8,c,6)))){
C_save_and_reclaim((void*)f_2961,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+8);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2967,a[2]=((C_word)li25),tmp=(C_word)a,a+=3,tmp);
t7=C_i_check_string_2(t2,lf[93]);
if(C_truep(t5)){
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2990,a[2]=t6,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:447: find-files */
t9=*((C_word*)lf[96]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t9;
av2[1]=t8;
av2[2]=t2;
av2[3]=lf[97];
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[98];
av2[6]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t9+1)))(7,av2);}}
else{
/* posix-common.scm:459: rmdir */
f_2967(t1,t2);}}

/* k2378 */
static void C_ccall f_2380(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_2380,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2383,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_irregex_toplevel(2,av2);}}

/* k2381 in k2378 */
static void C_ccall f_2383(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_2383,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2386,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_pathname_toplevel(2,av2);}}

/* k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2398(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_2398,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2401,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_data_2dstructures_toplevel(2,av2);}}

/* k4749 in k4740 in chicken.posix#change-directory in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4751(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_4751,2,av);}
/* posixwin.scm:835: ##sys#signal-hook */
t2=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[13];
av2[3]=lf[231];
av2[4]=lf[232];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k2999 in g386 in k2988 in chicken.posix#delete-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3001(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_3001,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=*((C_word*)lf[95]+1);
t3=*((C_word*)lf[95]+1);
/* posix-common.scm:452: g396 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[95]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[95]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3007,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:454: directory? */
t3=*((C_word*)lf[49]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}

/* k3005 in k2999 in g386 in k2988 in chicken.posix#delete-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3007(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_3007,2,av);}
if(C_truep(t1)){
/* posix-common.scm:452: g396 */
f_2967(((C_word*)t0)[3],((C_word*)t0)[4]);}
else{
t2=*((C_word*)lf[95]+1);
t3=*((C_word*)lf[95]+1);
/* posix-common.scm:452: g396 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[95]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[95]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}

/* k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2389(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_2389,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2392,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_files_toplevel(2,av2);}}

/* k2384 in k2381 in k2378 */
static void C_ccall f_2386(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_2386,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2389,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_extras_toplevel(2,av2);}}

/* k4064 in chicken.posix#list->c-string-buffer in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4066(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_4066,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4069,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4074,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word)li82),tmp=(C_word)a,a+=8,tmp);
/* posix-common.scm:719: call-with-current-continuation */
t5=*((C_word*)lf[170]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k4067 in k4064 in chicken.posix#list->c-string-buffer in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4069(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4069,2,av);}
/* posix-common.scm:715: g781 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* k3008 in k2988 in chicken.posix#delete-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3010(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_3010,2,av);}
/* posix-common.scm:458: rmdir */
f_2967(((C_word*)t0)[3],((C_word*)t0)[4]);}

/* chicken.posix#file-type in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +3,c,5)))){
C_save_and_reclaim((void*)f_2557,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+3);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=C_i_nullp(t3);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t3));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_SCHEME_TRUE:C_i_car(t7));
t10=C_i_nullp(t7);
t11=(C_truep(t10)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t12=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2576,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:281: ##sys#stat */
t13=*((C_word*)lf[12]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t13;
av2[1]=t12;
av2[2]=t2;
av2[3]=t5;
av2[4]=t9;
av2[5]=lf[42];
((C_proc)(void*)(*((C_word*)t13+1)))(6,av2);}}

/* for-each-loop385 in k2988 in chicken.posix#delete-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_3015(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_3015,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3025,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* posix-common.scm:451: g386 */
t5=((C_word*)t0)[3];
f_2991(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k2553 in chicken.posix#file-size in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2555(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_2555,2,av);}
a=C_alloc(7);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_int64_to_num(&a,C_statbuf.st_size);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k4777 in check in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4779(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_4779,2,av);}
a=C_alloc(4);
if(C_truep(C_null_pointerp(((C_word*)t0)[2]))){
/* posixwin.scm:853: ##sys#signal-hook */
t2=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[13];
av2[3]=lf[233];
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4791,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[5])){
/* posixwin.scm:854: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[71]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[71]+1);
av2[1]=t2;
av2[2]=C_fix(1);
av2[3]=*((C_word*)lf[72]+1);
av2[4]=lf[234];
av2[5]=lf[56];
tp(6,av2);}}
else{
/* posixwin.scm:854: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[71]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[71]+1);
av2[1]=t2;
av2[2]=C_fix(2);
av2[3]=*((C_word*)lf[72]+1);
av2[4]=lf[234];
av2[5]=lf[56];
tp(6,av2);}}}}

/* chicken.posix#file-size in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_2551,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2555,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:278: ##sys#stat */
t4=*((C_word*)lf[12]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[33];
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}

/* check in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_4775(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_4775,4,t1,t2,t3,t4);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4779,a[2]=t4,a[3]=t1,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm:851: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[9]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[9]+1);
av2[1]=t5;
tp(2,av2);}}

/* a4073 in k4064 in chicken.posix#list->c-string-buffer in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4074(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(14,c,3)))){
C_save_and_reclaim((void *)f_4074,3,av);}
a=C_alloc(14);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4080,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li76),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_4095,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word)li81),tmp=(C_word)a,a+=9,tmp);
/* posix-common.scm:719: with-exception-handler */
t5=*((C_word*)lf[169]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* loop in k3191 in k3187 in k3184 in k3181 in k3166 in chicken.posix#directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_3207(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_3207,2,t0,t1);}
a=C_alloc(6);
t2=C_readdir(((C_word*)t0)[2],((C_word*)t0)[3]);
if(C_truep(C_null_pointerp(((C_word*)t0)[3]))){
t3=C_closedir(((C_word*)t0)[2]);
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_block_size(((C_word*)t0)[4]);
t4=C_foundfile(((C_word*)t0)[3],((C_word*)t0)[4],t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3221,a[2]=t4,a[3]=((C_word*)t0)[5],a[4]=t1,a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:497: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[88]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[88]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(0);
av2[4]=t4;
tp(5,av2);}}}

/* a4085 in a4079 in a4073 in k4064 in chicken.posix#list->c-string-buffer in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4086(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_4086,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4090,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:721: free-c-string-buffer */
f_4175(t2,((C_word*)t0)[3]);}

/* a4079 in a4073 in k4064 in chicken.posix#list->c-string-buffer in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4080(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_4080,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4086,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li75),tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:719: k777 */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a4951 in k4939 in chicken.posix#call-with-output-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4952(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_4952,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4956,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:909: close-output-pipe */
t4=*((C_word*)lf[245]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k4954 in a4951 in k4939 in chicken.posix#call-with-output-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4956(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4956,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* tmp12324 in a4094 in a4073 in k4064 in chicken.posix#list->c-string-buffer in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_4097(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,0,4)))){
C_save_and_reclaim_args((void *)trf_4097,2,t0,t1);}
a=C_alloc(14);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4101,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4103,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t4,a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[5],a[7]=((C_word)li77),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_4103(t6,t2,((C_word*)t0)[6],C_fix(0));}

/* k4088 in a4085 in a4079 in a4073 in k4064 in chicken.posix#list->c-string-buffer in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4090(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4090,2,av);}
/* posix-common.scm:721: signal */
t2=*((C_word*)lf[164]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a4094 in a4073 in k4064 in chicken.posix#list->c-string-buffer in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4095(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_4095,2,av);}
a=C_alloc(16);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4097,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word)li78),tmp=(C_word)a,a+=8,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4154,a[2]=((C_word*)t0)[7],a[3]=((C_word)li80),tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4171,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* tmp12324 */
t5=t2;
f_4097(t5,t4);}

/* k5574 in a5568 in chicken.posix#process-spawn in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5576(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_5576,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k3801 in chicken.posix#time->string in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3803(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_3803,2,av);}
a=C_alloc(9);
if(C_truep(((C_word*)t0)[2])){
t2=C_i_check_string_2(((C_word*)t0)[2],lf[143]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3812,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3822,a[2]=((C_word*)t0)[4],a[3]=t3,a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:630: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[143];
tp(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3829,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3850,a[2]=((C_word*)t0)[4],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:632: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[91]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[91]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=C_make_character(0);
tp(4,av2);}}}

/* a5568 in chicken.posix#process-spawn in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5569(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_5569,5,av);}
a=C_alloc(4);
t5=C_flushall();
t6=(C_truep(t4)?C_u_i_spawnvpe(((C_word*)t0)[2],t2,t3,t4):C_u_i_spawnvp(((C_word*)t0)[2],t2,t3));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5576,a[2]=t1,a[3]=t7,tmp=(C_word)a,a+=4,tmp);
t9=C_eqp(t7,C_fix(-1));
if(C_truep(t9)){
/* posixwin.scm:1177: posix-error */
t10=lf[4];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t10;
av2[1]=t8;
av2[2]=lf[160];
av2[3]=lf[329];
av2[4]=lf[330];
av2[5]=((C_word*)t0)[3];
f_2416(6,av2);}}
else{
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* k3810 in k3801 in chicken.posix#time->string in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3812(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3812,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
/* posix-common.scm:631: ##sys#error */
t2=*((C_word*)lf[64]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[143];
av2[3]=lf[144];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k3061 in chicken.posix#create-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3063(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,5)))){
C_save_and_reclaim((void *)f_3063,2,av);}
a=C_alloc(10);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[4])){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3073,a[2]=((C_word*)t0)[5],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3117,a[2]=((C_word*)t0)[3],a[3]=((C_word)li30),tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3123,a[2]=((C_word)li31),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:471: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t2;
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
t2=((C_word*)t0)[5];
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3146,a[2]=t2,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:462: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[100];
tp(4,av2);}}}}

/* k3071 in k3061 in chicken.posix#create-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3073(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_3073,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3075,a[2]=t3,a[3]=((C_word)li29),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_3075(t5,((C_word*)t0)[2],t1);}

/* loop in k3071 in k3061 in chicken.posix#create-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_3075(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_3075,3,t0,t1,t2);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3082,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t2)){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3115,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:473: directory? */
t5=*((C_word*)lf[49]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=t3;
f_3082(t4,C_SCHEME_FALSE);}}

/* g386 in k2988 in chicken.posix#delete-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_2991(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_2991,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3001,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:453: symbolic-link? */
t4=*((C_word*)lf[44]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k2988 in chicken.posix#delete-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2990(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_2990,2,av);}
a=C_alloc(16);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2991,a[2]=((C_word*)t0)[2],a[3]=((C_word)li26),tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3010,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3015,a[2]=t5,a[3]=t2,a[4]=((C_word)li27),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_3015(t7,t3,t1);}

/* k5290 in k5281 in k5278 in chicken.posix#duplicate-fileno in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5292(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_5292,2,av);}
/* posixwin.scm:1078: ##sys#signal-hook */
t2=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[13];
av2[3]=lf[84];
av2[4]=lf[303];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k3083 in k3080 in loop in k3071 in k3061 in chicken.posix#create-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3085(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_3085,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3101,a[2]=t2,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:462: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[100];
tp(4,av2);}}

/* k3080 in loop in k3071 in k3061 in chicken.posix#create-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_3082(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_3082,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3085,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3108,a[2]=((C_word*)t0)[4],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:474: chicken.pathname#pathname-directory */
t4=*((C_word*)lf[102]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* chicken.posix#process-spawn in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5539(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +8,c,7)))){
C_save_and_reclaim((void*)f_5539,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+8);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_END_OF_LIST:C_i_car(t4));
t7=C_i_nullp(t4);
t8=(C_truep(t7)?C_SCHEME_END_OF_LIST:C_i_cdr(t4));
t9=C_i_nullp(t8);
t10=(C_truep(t9)?C_SCHEME_FALSE:C_i_car(t8));
t11=C_i_nullp(t8);
t12=(C_truep(t11)?C_SCHEME_END_OF_LIST:C_i_cdr(t8));
t13=C_i_nullp(t12);
t14=(C_truep(t13)?C_SCHEME_FALSE:C_i_car(t12));
t15=C_i_nullp(t12);
t16=(C_truep(t15)?C_SCHEME_END_OF_LIST:C_i_cdr(t12));
t17=(C_truep(t14)?(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5583,a[2]=((C_word)li151),tmp=(C_word)a,a+=3,tmp):lf[322]);
t18=C_i_check_exact_2(t2,lf[329]);
t19=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5569,a[2]=t2,a[3]=t3,a[4]=((C_word)li152),tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:1169: call-with-exec-args */
t20=lf[177];
f_4258(t20,t1,lf[329],t3,t17,t6,t10,t19);}

/* k4494 in chicken.posix#file-read in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4496(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_4496,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4499,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm:769: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[213];
tp(4,av2);}}

/* k4497 in k4494 in chicken.posix#file-read in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4499(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_4499,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4502,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(((C_word*)t0)[5]))){
t3=((C_word*)t0)[5];
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_car(t3);
f_4502(2,av2);}}
else{
/* posixwin.scm:770: make-string */
t3=*((C_word*)lf[216]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}

/* chicken.posix#file-read in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4492(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_4492,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4496,a[2]=t2,a[3]=t3,a[4]=t1,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm:768: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=lf[213];
tp(4,av2);}}

/* toplevel */
static C_TLS int toplevel_initialized=0;

void C_ccall C_posix_toplevel(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(toplevel_initialized) {C_kontinue(t1,C_SCHEME_UNDEFINED);}
else C_toplevel_entry(C_text("posix"));
C_check_nursery_minimum(C_calculate_demand(3,c,2));
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void*)C_posix_toplevel,c,av);}
toplevel_initialized=1;
if(C_unlikely(!C_demand_2(2870))){
C_save(t1);
C_rereclaim2(2870*sizeof(C_word),1);
t1=C_restore;}
a=C_alloc(3);
C_initialize_lf(lf,505);
lf[1]=C_decode_literal(C_heaptop,"\376B\000\000/this function is not available on this platform");
lf[2]=C_h_intern(&lf[2],5,"posix");
lf[3]=C_h_intern(&lf[3],14,"chicken.posix#");
lf[5]=C_h_intern(&lf[5],15,"\003syssignal-hook");
lf[6]=C_h_intern(&lf[6],13,"string-append");
lf[7]=C_decode_literal(C_heaptop,"\376B\000\000\003 - ");
lf[8]=C_h_intern(&lf[8],17,"\003syspeek-c-string");
lf[9]=C_h_intern(&lf[9],16,"\003sysupdate-errno");
lf[10]=C_h_intern(&lf[10],15,"\003sysposix-error");
lf[11]=C_h_intern(&lf[11],28,"chicken.posix#emergency-exit");
lf[12]=C_h_intern(&lf[12],8,"\003sysstat");
lf[13]=C_h_intern(&lf[13],11,"\000file-error");
lf[14]=C_decode_literal(C_heaptop,"\376B\000\000\022cannot access file");
lf[15]=C_h_intern(&lf[15],26,"chicken.posix#port->fileno");
lf[16]=C_h_intern(&lf[16],17,"\003sysmake-c-string");
lf[17]=C_h_intern(&lf[17],27,"\003sysplatform-fixup-pathname");
lf[18]=C_h_intern(&lf[18],11,"\000type-error");
lf[19]=C_decode_literal(C_heaptop,"\376B\000\000\052bad argument type - not a fixnum or string");
lf[20]=C_h_intern(&lf[20],5,"port\077");
lf[21]=C_h_intern(&lf[21],23,"chicken.posix#file-stat");
lf[22]=C_h_intern(&lf[22],9,"file-stat");
lf[23]=C_h_intern(&lf[23],36,"chicken.posix#file-modification-time");
lf[24]=C_h_intern(&lf[24],30,"chicken.posix#file-access-time");
lf[25]=C_h_intern(&lf[25],16,"file-access-time");
lf[26]=C_h_intern(&lf[26],30,"chicken.posix#file-change-time");
lf[27]=C_h_intern(&lf[27],16,"file-change-time");
lf[28]=C_h_intern(&lf[28],24,"chicken.posix#file-owner");
lf[29]=C_h_intern(&lf[29],10,"file-owner");
lf[30]=C_h_intern(&lf[30],30,"chicken.posix#file-permissions");
lf[31]=C_h_intern(&lf[31],16,"file-permissions");
lf[32]=C_h_intern(&lf[32],23,"chicken.posix#file-size");
lf[33]=C_h_intern(&lf[33],9,"file-size");
lf[34]=C_h_intern(&lf[34],23,"chicken.posix#file-type");
lf[35]=C_h_intern(&lf[35],12,"regular-file");
lf[36]=C_h_intern(&lf[36],13,"symbolic-link");
lf[37]=C_h_intern(&lf[37],9,"directory");
lf[38]=C_h_intern(&lf[38],16,"character-device");
lf[39]=C_h_intern(&lf[39],12,"block-device");
lf[40]=C_h_intern(&lf[40],4,"fifo");
lf[41]=C_h_intern(&lf[41],6,"socket");
lf[42]=C_h_intern(&lf[42],9,"file-type");
lf[43]=C_h_intern(&lf[43],27,"chicken.posix#regular-file\077");
lf[44]=C_h_intern(&lf[44],28,"chicken.posix#symbolic-link\077");
lf[45]=C_h_intern(&lf[45],27,"chicken.posix#block-device\077");
lf[46]=C_h_intern(&lf[46],31,"chicken.posix#character-device\077");
lf[47]=C_h_intern(&lf[47],19,"chicken.posix#fifo\077");
lf[48]=C_h_intern(&lf[48],21,"chicken.posix#socket\077");
lf[49]=C_h_intern(&lf[49],24,"chicken.posix#directory\077");
lf[50]=C_h_intern(&lf[50],22,"chicken.posix#seek/set");
lf[51]=C_h_intern(&lf[51],22,"chicken.posix#seek/end");
lf[52]=C_h_intern(&lf[52],22,"chicken.posix#seek/cur");
lf[53]=C_h_intern(&lf[53],32,"chicken.posix#set-file-position!");
lf[54]=C_h_intern(&lf[54],18,"set-file-position!");
lf[55]=C_decode_literal(C_heaptop,"\376B\000\000\030cannot set file position");
lf[56]=C_h_intern(&lf[56],6,"stream");
lf[57]=C_decode_literal(C_heaptop,"\376B\000\000\014invalid file");
lf[58]=C_h_intern(&lf[58],16,"\003syscheck-fixnum");
lf[59]=C_h_intern(&lf[59],27,"chicken.posix#file-position");
lf[60]=C_h_intern(&lf[60],26,"chicken.posix#fileno/stdin");
lf[61]=C_h_intern(&lf[61],27,"chicken.posix#fileno/stdout");
lf[62]=C_h_intern(&lf[62],27,"chicken.posix#fileno/stderr");
lf[63]=C_h_intern(&lf[63],7,"\000append");
lf[64]=C_h_intern(&lf[64],9,"\003syserror");
lf[65]=C_decode_literal(C_heaptop,"\376B\000\000\033invalid mode for input file");
lf[66]=C_decode_literal(C_heaptop,"\376B\000\000\001a");
lf[67]=C_decode_literal(C_heaptop,"\376B\000\000\025invalid mode argument");
lf[68]=C_decode_literal(C_heaptop,"\376B\000\000\001r");
lf[69]=C_decode_literal(C_heaptop,"\376B\000\000\001w");
lf[70]=C_decode_literal(C_heaptop,"\376B\000\000\020cannot open file");
lf[71]=C_h_intern(&lf[71],13,"\003sysmake-port");
lf[72]=C_h_intern(&lf[72],21,"\003sysstream-port-class");
lf[73]=C_decode_literal(C_heaptop,"\376B\000\000\010(fdport)");
lf[74]=C_h_intern(&lf[74],30,"chicken.posix#open-input-file\052");
lf[75]=C_h_intern(&lf[75],16,"open-input-file\052");
lf[76]=C_h_intern(&lf[76],31,"chicken.posix#open-output-file\052");
lf[77]=C_h_intern(&lf[77],17,"open-output-file\052");
lf[78]=C_h_intern(&lf[78],12,"port->fileno");
lf[79]=C_h_intern(&lf[79],13,"\003sysport-data");
lf[80]=C_decode_literal(C_heaptop,"\376B\000\000\031port has no attached file");
lf[81]=C_decode_literal(C_heaptop,"\376B\000\000%cannot access file-descriptor of port");
lf[82]=C_h_intern(&lf[82],25,"\003syspeek-unsigned-integer");
lf[83]=C_h_intern(&lf[83],30,"chicken.posix#duplicate-fileno");
lf[84]=C_h_intern(&lf[84],16,"duplicate-fileno");
lf[85]=C_decode_literal(C_heaptop,"\376B\000\000 cannot duplicate file-descriptor");
lf[86]=C_h_intern(&lf[86],31,"chicken.posix#current-directory");
lf[87]=C_h_intern(&lf[87],30,"chicken.posix#change-directory");
lf[88]=C_h_intern(&lf[88],13,"\003syssubstring");
lf[89]=C_h_intern(&lf[89],17,"current-directory");
lf[90]=C_decode_literal(C_heaptop,"\376B\000\000!cannot retrieve current directory");
lf[91]=C_h_intern(&lf[91],15,"\003sysmake-string");
lf[92]=C_h_intern(&lf[92],30,"chicken.posix#delete-directory");
lf[93]=C_h_intern(&lf[93],16,"delete-directory");
lf[94]=C_decode_literal(C_heaptop,"\376B\000\000\027cannot delete directory");
lf[95]=C_h_intern(&lf[95],11,"delete-file");
lf[96]=C_h_intern(&lf[96],24,"chicken.posix#find-files");
lf[97]=C_h_intern(&lf[97],9,"\000dotfiles");
lf[98]=C_h_intern(&lf[98],16,"\000follow-symlinks");
lf[99]=C_h_intern(&lf[99],30,"chicken.posix#create-directory");
lf[100]=C_h_intern(&lf[100],16,"create-directory");
lf[101]=C_decode_literal(C_heaptop,"\376B\000\000\027cannot create directory");
lf[102]=C_h_intern(&lf[102],35,"chicken.pathname#pathname-directory");
lf[103]=C_h_intern(&lf[103],35,"chicken.pathname#decompose-pathname");
lf[104]=C_h_intern(&lf[104],30,"chicken.pathname#make-pathname");
lf[105]=C_h_intern(&lf[105],12,"file-exists\077");
lf[106]=C_h_intern(&lf[106],23,"chicken.posix#directory");
lf[107]=C_decode_literal(C_heaptop,"\376B\000\000\025cannot open directory");
lf[108]=C_h_intern(&lf[108],16,"\003sysmake-pointer");
lf[109]=C_h_intern(&lf[109],18,"chicken.posix#glob");
lf[110]=C_h_intern(&lf[110],39,"chicken.irregex#irregex-match-substring");
lf[111]=C_h_intern(&lf[111],29,"chicken.irregex#irregex-match");
lf[112]=C_decode_literal(C_heaptop,"\376B\000\000\001.");
lf[113]=C_h_intern(&lf[113],16,"\003sysglob->regexp");
lf[114]=C_decode_literal(C_heaptop,"\376B\000\000\001\052");
lf[115]=C_h_intern(&lf[115],14,"\003sysfind-files");
lf[116]=C_decode_literal(C_heaptop,"\376B\000\000\001.");
lf[117]=C_decode_literal(C_heaptop,"\376B\000\000\002..");
lf[118]=C_h_intern(&lf[118],16,"\003sysdynamic-wind");
lf[119]=C_h_intern(&lf[119],23,"chicken.irregex#irregex");
lf[120]=C_h_intern(&lf[120],10,"find-files");
lf[121]=C_h_intern(&lf[121],15,"\003sysget-keyword");
lf[122]=C_h_intern(&lf[122],6,"\000limit");
lf[123]=C_h_intern(&lf[123],5,"\000seed");
lf[124]=C_h_intern(&lf[124],7,"\000action");
lf[125]=C_h_intern(&lf[125],5,"\000test");
lf[126]=C_h_intern(&lf[126],32,"chicken.posix#file-creation-mode");
lf[128]=C_decode_literal(C_heaptop,"\376B\000\000\025time vector too short");
lf[129]=C_h_intern(&lf[129],33,"chicken.posix#seconds->local-time");
lf[130]=C_h_intern(&lf[130],18,"\003sysdecode-seconds");
lf[131]=C_h_intern(&lf[131],23,"\003syscheck-exact-integer");
lf[132]=C_h_intern(&lf[132],19,"seconds->local-time");
lf[133]=C_h_intern(&lf[133],28,"chicken.time#current-seconds");
lf[134]=C_h_intern(&lf[134],31,"chicken.posix#seconds->utc-time");
lf[135]=C_h_intern(&lf[135],17,"seconds->utc-time");
lf[136]=C_h_intern(&lf[136],29,"chicken.posix#seconds->string");
lf[137]=C_h_intern(&lf[137],15,"seconds->string");
lf[138]=C_decode_literal(C_heaptop,"\376B\000\000 cannot convert seconds to string");
lf[139]=C_h_intern(&lf[139],33,"chicken.posix#local-time->seconds");
lf[140]=C_h_intern(&lf[140],19,"local-time->seconds");
lf[141]=C_decode_literal(C_heaptop,"\376B\000\000%cannot convert time vector to seconds");
lf[142]=C_h_intern(&lf[142],26,"chicken.posix#time->string");
lf[143]=C_h_intern(&lf[143],12,"time->string");
lf[144]=C_decode_literal(C_heaptop,"\376B\000\000 time formatting overflows buffer");
lf[145]=C_decode_literal(C_heaptop,"\376B\000\000$cannot convert time vector to string");
lf[146]=C_h_intern(&lf[146],39,"chicken.posix#set-environment-variable!");
lf[147]=C_h_intern(&lf[147],25,"set-environment-variable!");
lf[148]=C_h_intern(&lf[148],41,"chicken.posix#unset-environment-variable!");
lf[149]=C_h_intern(&lf[149],27,"unset-environment-variable!");
lf[150]=C_h_intern(&lf[150],39,"chicken.posix#get-environment-variables");
lf[151]=C_h_intern(&lf[151],33,"chicken.posix#set-signal-handler!");
lf[152]=C_h_intern(&lf[152],17,"\003syssignal-vector");
lf[153]=C_h_intern(&lf[153],19,"set-signal-handler!");
lf[154]=C_h_intern(&lf[154],28,"chicken.posix#signal-handler");
lf[155]=C_h_intern(&lf[155],32,"chicken.posix#current-process-id");
lf[156]=C_h_intern(&lf[156],27,"chicken.posix#process-sleep");
lf[157]=C_h_intern(&lf[157],13,"process-sleep");
lf[158]=C_h_intern(&lf[158],26,"chicken.posix#process-wait");
lf[159]=C_h_intern(&lf[159],16,"\003sysprocess-wait");
lf[160]=C_h_intern(&lf[160],14,"\000process-error");
lf[161]=C_h_intern(&lf[161],12,"process-wait");
lf[162]=C_decode_literal(C_heaptop,"\376B\000\000 waiting for child process failed");
lf[164]=C_h_intern(&lf[164],6,"signal");
lf[166]=C_h_intern(&lf[166],34,"chicken.memory#pointer-vector-set!");
lf[167]=C_h_intern(&lf[167],5,"error");
lf[168]=C_decode_literal(C_heaptop,"\376B\000\000\015Out of memory");
lf[169]=C_h_intern(&lf[169],22,"with-exception-handler");
lf[170]=C_h_intern(&lf[170],30,"call-with-current-continuation");
lf[171]=C_h_intern(&lf[171],34,"chicken.memory#make-pointer-vector");
lf[172]=C_h_intern(&lf[172],19,"chicken.memory#free");
lf[173]=C_h_intern(&lf[173],33,"chicken.memory#pointer-vector-ref");
lf[174]=C_h_intern(&lf[174],36,"chicken.memory#pointer-vector-length");
lf[176]=C_h_intern(&lf[176],41,"chicken.pathname#pathname-strip-directory");
lf[178]=C_h_intern(&lf[178],3,"map");
lf[179]=C_decode_literal(C_heaptop,"\376B\000\000\001=");
lf[180]=C_h_intern(&lf[180],22,"chicken.posix#pipe/buf");
lf[181]=C_h_intern(&lf[181],25,"chicken.posix#open/rdonly");
lf[182]=C_h_intern(&lf[182],25,"chicken.posix#open/wronly");
lf[183]=C_h_intern(&lf[183],23,"chicken.posix#open/rdwr");
lf[184]=C_h_intern(&lf[184],23,"chicken.posix#open/read");
lf[185]=C_h_intern(&lf[185],24,"chicken.posix#open/write");
lf[186]=C_h_intern(&lf[186],24,"chicken.posix#open/creat");
lf[187]=C_h_intern(&lf[187],25,"chicken.posix#open/append");
lf[188]=C_h_intern(&lf[188],23,"chicken.posix#open/excl");
lf[189]=C_h_intern(&lf[189],24,"chicken.posix#open/trunc");
lf[190]=C_h_intern(&lf[190],25,"chicken.posix#open/binary");
lf[191]=C_h_intern(&lf[191],23,"chicken.posix#open/text");
lf[193]=C_h_intern(&lf[193],24,"chicken.posix#perm/irusr");
lf[194]=C_h_intern(&lf[194],24,"chicken.posix#perm/iwusr");
lf[195]=C_h_intern(&lf[195],24,"chicken.posix#perm/ixusr");
lf[196]=C_h_intern(&lf[196],24,"chicken.posix#perm/irgrp");
lf[197]=C_h_intern(&lf[197],24,"chicken.posix#perm/iwgrp");
lf[198]=C_h_intern(&lf[198],24,"chicken.posix#perm/ixgrp");
lf[199]=C_h_intern(&lf[199],24,"chicken.posix#perm/iroth");
lf[200]=C_h_intern(&lf[200],24,"chicken.posix#perm/iwoth");
lf[201]=C_h_intern(&lf[201],24,"chicken.posix#perm/ixoth");
lf[202]=C_h_intern(&lf[202],24,"chicken.posix#perm/irwxu");
lf[203]=C_h_intern(&lf[203],24,"chicken.posix#perm/irwxg");
lf[204]=C_h_intern(&lf[204],24,"chicken.posix#perm/irwxo");
lf[205]=C_h_intern(&lf[205],23,"chicken.posix#file-open");
lf[206]=C_h_intern(&lf[206],9,"file-open");
lf[207]=C_decode_literal(C_heaptop,"\376B\000\000\020cannot open file");
lf[208]=C_h_intern(&lf[208],24,"chicken.posix#file-close");
lf[209]=C_h_intern(&lf[209],22,"\003sysdispatch-interrupt");
lf[210]=C_h_intern(&lf[210],10,"file-close");
lf[211]=C_decode_literal(C_heaptop,"\376B\000\000\021cannot close file");
lf[212]=C_h_intern(&lf[212],23,"chicken.posix#file-read");
lf[213]=C_h_intern(&lf[213],9,"file-read");
lf[214]=C_decode_literal(C_heaptop,"\376B\000\000\025cannot read from file");
lf[215]=C_decode_literal(C_heaptop,"\376B\000\000(bad argument type - not a string or blob");
lf[216]=C_h_intern(&lf[216],11,"make-string");
lf[217]=C_h_intern(&lf[217],24,"chicken.posix#file-write");
lf[218]=C_h_intern(&lf[218],10,"file-write");
lf[219]=C_decode_literal(C_heaptop,"\376B\000\000\024cannot write to file");
lf[220]=C_decode_literal(C_heaptop,"\376B\000\000(bad argument type - not a string or blob");
lf[221]=C_h_intern(&lf[221],26,"chicken.posix#file-mkstemp");
lf[222]=C_h_intern(&lf[222],12,"file-mkstemp");
lf[223]=C_decode_literal(C_heaptop,"\376B\000\000$0123456789abcdefghijklmnopqrstuvwxyz");
lf[224]=C_decode_literal(C_heaptop,"\376B\000\000\034cannot create temporary file");
lf[225]=C_h_intern(&lf[225],21,"chicken.random#random");
lf[226]=C_decode_literal(C_heaptop,"\376B\000\000\020invalid template");
lf[227]=C_decode_literal(C_heaptop,"\376B\000\000\026non-existent directory");
lf[228]=C_h_intern(&lf[228],17,"directory-exists\077");
lf[229]=C_decode_literal(C_heaptop,"\376B\000\000\001.");
lf[230]=C_h_intern(&lf[230],11,"string-copy");
lf[231]=C_h_intern(&lf[231],16,"change-directory");
lf[232]=C_decode_literal(C_heaptop,"\376B\000\000\037cannot change current directory");
lf[233]=C_decode_literal(C_heaptop,"\376B\000\000\020cannot open pipe");
lf[234]=C_decode_literal(C_heaptop,"\376B\000\000\006(pipe)");
lf[235]=C_h_intern(&lf[235],29,"chicken.posix#open-input-pipe");
lf[236]=C_h_intern(&lf[236],15,"open-input-pipe");
lf[237]=C_h_intern(&lf[237],5,"\000text");
lf[238]=C_h_intern(&lf[238],7,"\000binary");
lf[239]=C_decode_literal(C_heaptop,"\376B\000\000#illegal input/output mode specifier");
lf[240]=C_h_intern(&lf[240],30,"chicken.posix#open-output-pipe");
lf[241]=C_h_intern(&lf[241],16,"open-output-pipe");
lf[242]=C_h_intern(&lf[242],30,"chicken.posix#close-input-pipe");
lf[243]=C_h_intern(&lf[243],16,"close-input-pipe");
lf[244]=C_decode_literal(C_heaptop,"\376B\000\000\030error while closing pipe");
lf[245]=C_h_intern(&lf[245],31,"chicken.posix#close-output-pipe");
lf[246]=C_h_intern(&lf[246],17,"close-output-pipe");
lf[247]=C_decode_literal(C_heaptop,"\376B\000\000\030error while closing pipe");
lf[248]=C_h_intern(&lf[248],34,"chicken.posix#call-with-input-pipe");
lf[249]=C_h_intern(&lf[249],35,"chicken.posix#call-with-output-pipe");
lf[250]=C_h_intern(&lf[250],34,"chicken.posix#with-input-from-pipe");
lf[251]=C_h_intern(&lf[251],18,"\003sysstandard-input");
lf[252]=C_h_intern(&lf[252],33,"chicken.posix#with-output-to-pipe");
lf[253]=C_h_intern(&lf[253],19,"\003sysstandard-output");
lf[254]=C_h_intern(&lf[254],25,"chicken.posix#create-pipe");
lf[255]=C_h_intern(&lf[255],11,"create-pipe");
lf[256]=C_decode_literal(C_heaptop,"\376B\000\000\022cannot create pipe");
lf[257]=C_h_intern(&lf[257],25,"chicken.posix#signal/term");
lf[258]=C_h_intern(&lf[258],24,"chicken.posix#signal/int");
lf[259]=C_h_intern(&lf[259],24,"chicken.posix#signal/fpe");
lf[260]=C_h_intern(&lf[260],24,"chicken.posix#signal/ill");
lf[261]=C_h_intern(&lf[261],25,"chicken.posix#signal/segv");
lf[262]=C_h_intern(&lf[262],25,"chicken.posix#signal/abrt");
lf[263]=C_h_intern(&lf[263],26,"chicken.posix#signal/break");
lf[264]=C_h_intern(&lf[264],25,"chicken.posix#signal/alrm");
lf[265]=C_h_intern(&lf[265],24,"chicken.posix#signal/bus");
lf[266]=C_h_intern(&lf[266],25,"chicken.posix#signal/chld");
lf[267]=C_h_intern(&lf[267],25,"chicken.posix#signal/cont");
lf[268]=C_h_intern(&lf[268],24,"chicken.posix#signal/hup");
lf[269]=C_h_intern(&lf[269],23,"chicken.posix#signal/io");
lf[270]=C_h_intern(&lf[270],25,"chicken.posix#signal/kill");
lf[271]=C_h_intern(&lf[271],25,"chicken.posix#signal/pipe");
lf[272]=C_h_intern(&lf[272],25,"chicken.posix#signal/prof");
lf[273]=C_h_intern(&lf[273],25,"chicken.posix#signal/quit");
lf[274]=C_h_intern(&lf[274],25,"chicken.posix#signal/stop");
lf[275]=C_h_intern(&lf[275],25,"chicken.posix#signal/trap");
lf[276]=C_h_intern(&lf[276],25,"chicken.posix#signal/tstp");
lf[277]=C_h_intern(&lf[277],24,"chicken.posix#signal/urg");
lf[278]=C_h_intern(&lf[278],25,"chicken.posix#signal/usr1");
lf[279]=C_h_intern(&lf[279],25,"chicken.posix#signal/usr2");
lf[280]=C_h_intern(&lf[280],27,"chicken.posix#signal/vtalrm");
lf[281]=C_h_intern(&lf[281],26,"chicken.posix#signal/winch");
lf[282]=C_h_intern(&lf[282],25,"chicken.posix#signal/xcpu");
lf[283]=C_h_intern(&lf[283],25,"chicken.posix#signal/xfsz");
lf[284]=C_h_intern(&lf[284],26,"chicken.posix#signals-list");
lf[285]=C_h_intern(&lf[285],30,"chicken.posix#change-file-mode");
lf[286]=C_h_intern(&lf[286],16,"change-file-mode");
lf[287]=C_decode_literal(C_heaptop,"\376B\000\000\027cannot change file mode");
lf[288]=C_h_intern(&lf[288],31,"chicken.posix#file-read-access\077");
lf[289]=C_h_intern(&lf[289],17,"file-read-access\077");
lf[290]=C_h_intern(&lf[290],32,"chicken.posix#file-write-access\077");
lf[291]=C_h_intern(&lf[291],18,"file-write-access\077");
lf[292]=C_h_intern(&lf[292],34,"chicken.posix#file-execute-access\077");
lf[293]=C_h_intern(&lf[293],20,"file-execute-access\077");
lf[294]=C_decode_literal(C_heaptop,"\376B\000\000\033invalid mode for input file");
lf[295]=C_decode_literal(C_heaptop,"\376B\000\000\001a");
lf[296]=C_decode_literal(C_heaptop,"\376B\000\000\025invalid mode argument");
lf[297]=C_decode_literal(C_heaptop,"\376B\000\000\001r");
lf[298]=C_decode_literal(C_heaptop,"\376B\000\000\001w");
lf[299]=C_decode_literal(C_heaptop,"\376B\000\000\020cannot open file");
lf[300]=C_decode_literal(C_heaptop,"\376B\000\000\010(fdport)");
lf[301]=C_decode_literal(C_heaptop,"\376B\000\000\031port has no attached file");
lf[302]=C_decode_literal(C_heaptop,"\376B\000\000%cannot access file-descriptor of port");
lf[303]=C_decode_literal(C_heaptop,"\376B\000\000 cannot duplicate file descriptor");
lf[304]=C_h_intern(&lf[304],41,"chicken.posix#local-timezone-abbreviation");
lf[305]=C_h_intern(&lf[305],28,"chicken.posix#terminal-port\077");
lf[306]=C_h_intern(&lf[306],14,"terminal-port\077");
lf[307]=C_h_intern(&lf[307],27,"chicken.posix#terminal-size");
lf[308]=C_h_intern(&lf[308],13,"terminal-size");
lf[309]=C_decode_literal(C_heaptop,"\376B\000\000#port is not connected to a terminal");
lf[310]=C_h_intern(&lf[310],33,"chicken.posix#set-buffering-mode!");
lf[311]=C_h_intern(&lf[311],19,"set-buffering-mode!");
lf[312]=C_decode_literal(C_heaptop,"\376B\000\000\031cannot set buffering mode");
lf[313]=C_h_intern(&lf[313],5,"\000full");
lf[314]=C_h_intern(&lf[314],5,"\000line");
lf[315]=C_h_intern(&lf[315],5,"\000none");
lf[316]=C_decode_literal(C_heaptop,"\376B\000\000\026invalid buffering-mode");
lf[317]=C_h_intern(&lf[317],27,"chicken.posix#spawn/overlay");
lf[318]=C_h_intern(&lf[318],24,"chicken.posix#spawn/wait");
lf[319]=C_h_intern(&lf[319],26,"chicken.posix#spawn/nowait");
lf[320]=C_h_intern(&lf[320],27,"chicken.posix#spawn/nowaito");
lf[321]=C_h_intern(&lf[321],26,"chicken.posix#spawn/detach");
lf[323]=C_decode_literal(C_heaptop,"\376B\000\000\001\042");
lf[324]=C_decode_literal(C_heaptop,"\376B\000\000\001\042");
lf[325]=C_h_intern(&lf[325],29,"chicken.posix#process-execute");
lf[326]=C_h_intern(&lf[326],15,"process-execute");
lf[327]=C_decode_literal(C_heaptop,"\376B\000\000\026cannot execute process");
lf[328]=C_h_intern(&lf[328],27,"chicken.posix#process-spawn");
lf[329]=C_h_intern(&lf[329],13,"process-spawn");
lf[330]=C_decode_literal(C_heaptop,"\376B\000\000\024cannot spawn process");
lf[331]=C_h_intern(&lf[331],17,"\003sysshell-command");
lf[332]=C_decode_literal(C_heaptop,"\376B\000\000 cannot retrieve system directory");
lf[333]=C_h_intern(&lf[333],24,"get-environment-variable");
lf[334]=C_decode_literal(C_heaptop,"\376B\000\000\007COMSPEC");
lf[335]=C_h_intern(&lf[335],27,"\003sysshell-command-arguments");
lf[336]=C_decode_literal(C_heaptop,"\376B\000\000\002/c");
lf[337]=C_h_intern(&lf[337],25,"chicken.posix#process-run");
lf[338]=C_h_intern(&lf[338],11,"\003sysprocess");
lf[339]=C_decode_literal(C_heaptop,"\376B\000\000\026cannot execute process");
lf[340]=C_h_intern(&lf[340],17,"\003sysmake-locative");
lf[341]=C_h_intern(&lf[341],8,"location");
lf[342]=C_h_intern(&lf[342],42,"chicken.data-structures#string-intersperse");
lf[343]=C_h_intern(&lf[343],21,"chicken.posix#process");
lf[344]=C_h_intern(&lf[344],7,"process");
lf[345]=C_h_intern(&lf[345],22,"chicken.posix#process\052");
lf[346]=C_h_intern(&lf[346],8,"process\052");
lf[347]=C_h_intern(&lf[347],27,"chicken.posix#get-host-name");
lf[348]=C_h_intern(&lf[348],13,"get-host-name");
lf[349]=C_decode_literal(C_heaptop,"\376B\000\000\031cannot retrieve host-name");
lf[350]=C_h_intern(&lf[350],32,"chicken.posix#system-information");
lf[351]=C_decode_literal(C_heaptop,"\376B\000\000\007windows");
lf[352]=C_h_intern(&lf[352],18,"system-information");
lf[353]=C_decode_literal(C_heaptop,"\376B\000\000\042cannot retrieve system-information");
lf[354]=C_h_intern(&lf[354],31,"chicken.posix#current-user-name");
lf[355]=C_h_intern(&lf[355],17,"current-user-name");
lf[356]=C_decode_literal(C_heaptop,"\376B\000\000!cannot retrieve current user-name");
lf[357]=C_h_intern(&lf[357],31,"chicken.posix#change-directory\052");
lf[358]=C_h_intern(&lf[358],17,"change-directory\052");
lf[359]=C_h_intern(&lf[359],31,"chicken.posix#change-file-owner");
lf[360]=C_h_intern(&lf[360],17,"change-file-owner");
lf[361]=C_h_intern(&lf[361],25,"chicken.posix#create-fifo");
lf[362]=C_h_intern(&lf[362],11,"create-fifo");
lf[363]=C_h_intern(&lf[363],28,"chicken.posix#create-session");
lf[364]=C_h_intern(&lf[364],14,"create-session");
lf[365]=C_h_intern(&lf[365],34,"chicken.posix#create-symbolic-link");
lf[366]=C_h_intern(&lf[366],20,"create-symbolic-link");
lf[367]=C_h_intern(&lf[367],40,"chicken.posix#current-effective-group-id");
lf[368]=C_h_intern(&lf[368],26,"current-effective-group-id");
lf[369]=C_h_intern(&lf[369],39,"chicken.posix#current-effective-user-id");
lf[370]=C_h_intern(&lf[370],25,"current-effective-user-id");
lf[371]=C_h_intern(&lf[371],41,"chicken.posix#current-effective-user-name");
lf[372]=C_h_intern(&lf[372],27,"current-effective-user-name");
lf[373]=C_h_intern(&lf[373],30,"chicken.posix#current-group-id");
lf[374]=C_h_intern(&lf[374],16,"current-group-id");
lf[375]=C_h_intern(&lf[375],29,"chicken.posix#current-user-id");
lf[376]=C_h_intern(&lf[376],15,"current-user-id");
lf[377]=C_h_intern(&lf[377],26,"chicken.posix#file-control");
lf[378]=C_h_intern(&lf[378],12,"file-control");
lf[379]=C_h_intern(&lf[379],23,"chicken.posix#file-link");
lf[380]=C_h_intern(&lf[380],9,"file-link");
lf[381]=C_h_intern(&lf[381],23,"chicken.posix#file-lock");
lf[382]=C_h_intern(&lf[382],9,"file-lock");
lf[383]=C_h_intern(&lf[383],32,"chicken.posix#file-lock/blocking");
lf[384]=C_h_intern(&lf[384],18,"file-lock/blocking");
lf[385]=C_h_intern(&lf[385],25,"chicken.posix#file-select");
lf[386]=C_h_intern(&lf[386],11,"file-select");
lf[387]=C_h_intern(&lf[387],28,"chicken.posix#file-test-lock");
lf[388]=C_h_intern(&lf[388],14,"file-test-lock");
lf[389]=C_h_intern(&lf[389],27,"chicken.posix#file-truncate");
lf[390]=C_h_intern(&lf[390],13,"file-truncate");
lf[391]=C_h_intern(&lf[391],25,"chicken.posix#file-unlock");
lf[392]=C_h_intern(&lf[392],11,"file-unlock");
lf[393]=C_h_intern(&lf[393],31,"chicken.posix#parent-process-id");
lf[394]=C_h_intern(&lf[394],17,"parent-process-id");
lf[395]=C_h_intern(&lf[395],26,"chicken.posix#process-fork");
lf[396]=C_h_intern(&lf[396],12,"process-fork");
lf[397]=C_h_intern(&lf[397],30,"chicken.posix#process-group-id");
lf[398]=C_h_intern(&lf[398],16,"process-group-id");
lf[399]=C_h_intern(&lf[399],28,"chicken.posix#process-signal");
lf[400]=C_h_intern(&lf[400],14,"process-signal");
lf[401]=C_h_intern(&lf[401],32,"chicken.posix#read-symbolic-link");
lf[402]=C_h_intern(&lf[402],18,"read-symbolic-link");
lf[403]=C_h_intern(&lf[403],24,"chicken.posix#set-alarm!");
lf[404]=C_h_intern(&lf[404],10,"set-alarm!");
lf[405]=C_h_intern(&lf[405],33,"chicken.posix#set-root-directory!");
lf[406]=C_h_intern(&lf[406],19,"set-root-directory!");
lf[407]=C_h_intern(&lf[407],30,"chicken.posix#set-signal-mask!");
lf[408]=C_h_intern(&lf[408],16,"set-signal-mask!");
lf[409]=C_h_intern(&lf[409],25,"chicken.posix#signal-mask");
lf[410]=C_h_intern(&lf[410],11,"signal-mask");
lf[411]=C_h_intern(&lf[411],26,"chicken.posix#signal-mask!");
lf[412]=C_h_intern(&lf[412],12,"signal-mask!");
lf[413]=C_h_intern(&lf[413],28,"chicken.posix#signal-masked\077");
lf[414]=C_h_intern(&lf[414],14,"signal-masked\077");
lf[415]=C_h_intern(&lf[415],28,"chicken.posix#signal-unmask!");
lf[416]=C_h_intern(&lf[416],14,"signal-unmask!");
lf[417]=C_h_intern(&lf[417],27,"chicken.posix#terminal-name");
lf[418]=C_h_intern(&lf[418],13,"terminal-name");
lf[419]=C_h_intern(&lf[419],30,"chicken.posix#user-information");
lf[420]=C_h_intern(&lf[420],16,"user-information");
lf[421]=C_h_intern(&lf[421],31,"chicken.posix#utc-time->seconds");
lf[422]=C_h_intern(&lf[422],17,"utc-time->seconds");
lf[423]=C_h_intern(&lf[423],26,"chicken.posix#string->time");
lf[424]=C_h_intern(&lf[424],12,"string->time");
lf[425]=C_h_intern(&lf[425],25,"chicken.posix#fcntl/dupfd");
lf[426]=C_h_intern(&lf[426],25,"chicken.posix#fcntl/getfd");
lf[427]=C_h_intern(&lf[427],25,"chicken.posix#fcntl/setfd");
lf[428]=C_h_intern(&lf[428],25,"chicken.posix#fcntl/getfl");
lf[429]=C_h_intern(&lf[429],25,"chicken.posix#fcntl/setfl");
lf[430]=C_h_intern(&lf[430],24,"chicken.posix#open/fsync");
lf[431]=C_h_intern(&lf[431],25,"chicken.posix#open/noctty");
lf[432]=C_h_intern(&lf[432],27,"chicken.posix#open/nonblock");
lf[433]=C_h_intern(&lf[433],23,"chicken.posix#open/sync");
lf[434]=C_h_intern(&lf[434],24,"chicken.posix#perm/isgid");
lf[435]=C_h_intern(&lf[435],24,"chicken.posix#perm/isuid");
lf[436]=C_h_intern(&lf[436],24,"chicken.posix#perm/isvtx");
lf[437]=C_h_intern(&lf[437],14,"chicken.errno#");
lf[438]=C_h_intern(&lf[438],24,"chicken.errno#errno/2big");
lf[439]=C_h_intern(&lf[439],25,"chicken.errno#errno/acces");
lf[440]=C_h_intern(&lf[440],25,"chicken.errno#errno/again");
lf[441]=C_h_intern(&lf[441],24,"chicken.errno#errno/badf");
lf[442]=C_h_intern(&lf[442],24,"chicken.errno#errno/busy");
lf[443]=C_h_intern(&lf[443],25,"chicken.errno#errno/child");
lf[444]=C_h_intern(&lf[444],26,"chicken.errno#errno/deadlk");
lf[445]=C_h_intern(&lf[445],23,"chicken.errno#errno/dom");
lf[446]=C_h_intern(&lf[446],25,"chicken.errno#errno/exist");
lf[447]=C_h_intern(&lf[447],25,"chicken.errno#errno/fault");
lf[448]=C_h_intern(&lf[448],24,"chicken.errno#errno/fbig");
lf[449]=C_h_intern(&lf[449],25,"chicken.errno#errno/ilseq");
lf[450]=C_h_intern(&lf[450],24,"chicken.errno#errno/intr");
lf[451]=C_h_intern(&lf[451],25,"chicken.errno#errno/inval");
lf[452]=C_h_intern(&lf[452],22,"chicken.errno#errno/io");
lf[453]=C_h_intern(&lf[453],25,"chicken.errno#errno/isdir");
lf[454]=C_h_intern(&lf[454],25,"chicken.errno#errno/mfile");
lf[455]=C_h_intern(&lf[455],25,"chicken.errno#errno/mlink");
lf[456]=C_h_intern(&lf[456],31,"chicken.errno#errno/nametoolong");
lf[457]=C_h_intern(&lf[457],25,"chicken.errno#errno/nfile");
lf[458]=C_h_intern(&lf[458],25,"chicken.errno#errno/nodev");
lf[459]=C_h_intern(&lf[459],25,"chicken.errno#errno/noent");
lf[460]=C_h_intern(&lf[460],26,"chicken.errno#errno/noexec");
lf[461]=C_h_intern(&lf[461],25,"chicken.errno#errno/nolck");
lf[462]=C_h_intern(&lf[462],25,"chicken.errno#errno/nomem");
lf[463]=C_h_intern(&lf[463],25,"chicken.errno#errno/nospc");
lf[464]=C_h_intern(&lf[464],25,"chicken.errno#errno/nosys");
lf[465]=C_h_intern(&lf[465],26,"chicken.errno#errno/notdir");
lf[466]=C_h_intern(&lf[466],28,"chicken.errno#errno/notempty");
lf[467]=C_h_intern(&lf[467],25,"chicken.errno#errno/notty");
lf[468]=C_h_intern(&lf[468],24,"chicken.errno#errno/nxio");
lf[469]=C_h_intern(&lf[469],24,"chicken.errno#errno/perm");
lf[470]=C_h_intern(&lf[470],24,"chicken.errno#errno/pipe");
lf[471]=C_h_intern(&lf[471],25,"chicken.errno#errno/range");
lf[472]=C_h_intern(&lf[472],24,"chicken.errno#errno/rofs");
lf[473]=C_h_intern(&lf[473],25,"chicken.errno#errno/spipe");
lf[474]=C_h_intern(&lf[474],24,"chicken.errno#errno/srch");
lf[475]=C_h_intern(&lf[475],30,"chicken.errno#errno/wouldblock");
lf[476]=C_h_intern(&lf[476],24,"chicken.errno#errno/xdev");
lf[477]=C_h_intern(&lf[477],19,"chicken.file.posix#");
lf[478]=C_h_intern(&lf[478],19,"chicken.time.posix#");
lf[479]=C_h_intern(&lf[479],16,"chicken.process#");
lf[480]=C_h_intern(&lf[480],23,"chicken.process#system\052");
lf[481]=C_decode_literal(C_heaptop,"\376B\000\0003shell invocation failed with non-zero return status");
lf[482]=C_h_intern(&lf[482],6,"system");
lf[483]=C_h_intern(&lf[483],18,"chicken.process#qs");
lf[484]=C_h_intern(&lf[484],7,"mingw32");
lf[485]=C_decode_literal(C_heaptop,"\376B\000\000\002\042\042");
lf[486]=C_decode_literal(C_heaptop,"\376B\000\000\004\047\134\047\047");
lf[487]=C_h_intern(&lf[487],2,"qs");
lf[488]=C_decode_literal(C_heaptop,"\376B\000\0004NUL character can not be represented in shell string");
lf[489]=C_h_intern(&lf[489],16,"\003sysstring->list");
lf[490]=C_h_intern(&lf[490],31,"chicken.platform#build-platform");
lf[491]=C_h_intern(&lf[491],23,"chicken.process.signal#");
lf[492]=C_h_intern(&lf[492],24,"chicken.process-context#");
lf[493]=C_h_intern(&lf[493],14,"signal-handler");
lf[494]=C_h_intern(&lf[494],18,"getter-with-setter");
lf[495]=C_h_intern(&lf[495],18,"file-creation-mode");
lf[496]=C_decode_literal(C_heaptop,"\376B\000\000\031(file-creation-mode mode)");
lf[497]=C_h_intern(&lf[497],13,"file-position");
lf[498]=C_decode_literal(C_heaptop,"\376B\000\000%cannot retrieve file position of port");
lf[499]=C_decode_literal(C_heaptop,"\376B\000\000\014invalid file");
lf[500]=C_decode_literal(C_heaptop,"\376B\000\000\024(file-position port)");
lf[501]=C_h_intern(&lf[501],22,"file-modification-time");
lf[502]=C_h_intern(&lf[502],26,"set-file-modification-time");
lf[503]=C_decode_literal(C_heaptop,"\376B\000\000!cannot set file modification-time");
lf[504]=C_decode_literal(C_heaptop,"\376B\000\000\032(file-modification-time f)");
C_register_lf2(lf,505,create_ptable());{}
t2=C_mutate2(&lf[0] /* (set! c1617 ...) */,lf[1]);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2380,a[2]=t1,tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t3;
C_scheduler_toplevel(2,av2);}}

/* k3493 in k3483 in k3539 in k3449 in k3440 in loop in k3425 in k3418 in k3415 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3495(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3495,2,av);}
/* posix-common.scm:554: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_3429(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],t1);}

/* a3496 in k3483 in k3539 in k3449 in k3440 in loop in k3425 in k3418 in k3415 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3497(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3497,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate2(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k5255 in k5272 in chicken.posix#port->fileno in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5257(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_5257,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k5284 in k5281 in k5278 in chicken.posix#duplicate-fileno in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5286(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_5286,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k5281 in k5278 in chicken.posix#duplicate-fileno in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_5283(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_5283,2,t0,t1);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5286,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5292,a[2]=t3,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1077: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[9]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[9]+1);
av2[1]=t4;
tp(2,av2);}}
else{
t4=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k5278 in chicken.posix#duplicate-fileno in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5280(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_5280,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5283,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(((C_word*)t0)[4]))){
t3=t2;
f_5283(t3,C_dup(((C_word*)t0)[3]));}
else{
t3=C_i_car(((C_word*)t0)[4]);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5304,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=t4,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:1074: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[84];
tp(4,av2);}}}

/* chicken.posix#duplicate-fileno in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_5276,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5280,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:1070: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=*((C_word*)lf[83]+1);
tp(4,av2);}}

/* k5272 in chicken.posix#port->fileno in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5274(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,5)))){
C_save_and_reclaim((void *)f_5274,2,av);}
a=C_alloc(8);
if(C_truep(C_i_zerop(t1))){
/* posixwin.scm:1066: ##sys#signal-hook */
t2=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[18];
av2[3]=lf[78];
av2[4]=lf[301];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}
else{
t2=C_C_fileno(((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5257,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5263,a[2]=t3,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1063: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[9]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[9]+1);
av2[1]=t4;
tp(2,av2);}}
else{
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}

/* a5008 in k4997 in chicken.posix#with-output-to-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5009(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_5009,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5015,a[2]=((C_word*)t0)[2],a[3]=((C_word)li126),tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:926: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
C_call_with_values(4,av2);}}

/* a5003 in k4997 in chicken.posix#with-output-to-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5004(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_5004,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[253]+1));
t3=C_mutate2((C_word*)lf[253]+1 /* (set! ##sys#standard-output ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k3483 in k3539 in k3449 in k3440 in loop in k3425 in k3418 in k3415 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3485(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(31,c,4)))){
C_save_and_reclaim((void *)f_3485,2,av);}
a=C_alloc(31);
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],C_fix(1));
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3495,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3497,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word)li41),tmp=(C_word)a,a+=6,tmp);
t9=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_3502,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[9],a[6]=((C_word*)t0)[10],a[7]=((C_word*)t0)[11],a[8]=((C_word)li42),tmp=(C_word)a,a+=9,tmp);
t10=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3522,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word)li43),tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:556: ##sys#dynamic-wind */
t11=*((C_word*)lf[118]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t11;
av2[1]=t7;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3532,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_3535,a[2]=((C_word*)t0)[8],a[3]=t2,a[4]=((C_word*)t0)[7],a[5]=((C_word*)t0)[9],a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],tmp=(C_word)a,a+=10,tmp);
/* posix-common.scm:560: pproc */
t4=((C_word*)t0)[10];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k3827 in k3801 in chicken.posix#time->string in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3829(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3829,2,av);}
if(C_truep(t1)){
t2=C_block_size(t1);
t3=C_fixnum_difference(t2,C_fix(1));
/* posix-common.scm:634: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[88]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[88]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(0);
av2[4]=t3;
tp(5,av2);}}
else{
/* posix-common.scm:635: ##sys#error */
t2=*((C_word*)lf[64]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[143];
av2[3]=lf[145];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k3666 in k3663 in chicken.posix#seconds->local-time in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3668(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_3668,2,av);}
/* posix-common.scm:597: ##sys#decode-seconds */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[130]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[130]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}

/* k3663 in chicken.posix#seconds->local-time in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3665(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_3665,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3668,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:596: ##sys#check-exact-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[131]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[131]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[132];
tp(4,av2);}}

/* k3824 in k3820 in k3801 in chicken.posix#time->string in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3826(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_3826,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];
t3=C_a_i_bytevector(&a,1,C_fix(3));
if(C_truep(t1)){
t4=C_i_foreign_block_argumentp(t1);
t5=stub680(t3,t2,((C_word*)t0)[3],t4);
/* posix-common.scm:623: ##sys#peek-c-string */
t6=*((C_word*)lf[8]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=((C_word*)t0)[4];
av2[2]=t5;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t4=stub680(t3,t2,((C_word*)t0)[3],C_SCHEME_FALSE);
/* posix-common.scm:623: ##sys#peek-c-string */
t5=*((C_word*)lf[8]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=((C_word*)t0)[4];
av2[2]=t4;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* chicken.posix#seconds->local-time in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3661(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +3,c,2)))){
C_save_and_reclaim((void*)f_3661,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+3);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3665,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t2))){
/* posix-common.scm:595: chicken.time#current-seconds */
t4=*((C_word*)lf[133]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_car(t2);
f_3665(2,av2);}}}

/* k3820 in k3801 in chicken.posix#time->string in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3822(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_3822,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3826,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:630: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[91]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[91]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
av2[3]=C_make_character(0);
tp(4,av2);}}

/* map-loop1426 in process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_5833(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_5833,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_5858,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* posixwin.scm:1231: g1432 */
t5=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k3449 in k3440 in loop in k3425 in k3418 in k3415 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3451(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,4)))){
C_save_and_reclaim((void *)f_3451,2,av);}
a=C_alloc(14);
if(C_truep(t1)){
if(C_truep((C_truep(C_i_equalp(((C_word*)t0)[2],lf[116]))?C_SCHEME_TRUE:(C_truep(C_i_equalp(((C_word*)t0)[2],lf[117]))?C_SCHEME_TRUE:C_SCHEME_FALSE)))){
/* posix-common.scm:550: loop */
t2=((C_word*)((C_word*)t0)[3])[1];
f_3429(t2,((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[6],((C_word*)t0)[7]);}
else{
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_3541,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],a[13]=((C_word*)t0)[14],tmp=(C_word)a,a+=14,tmp);
/* posix-common.scm:551: symbolic-link? */
t3=*((C_word*)lf[44]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[10];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}
else{
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_3550,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[9],a[7]=((C_word*)t0)[10],a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* posix-common.scm:561: pproc */
t3=((C_word*)t0)[11];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[10];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}

/* chicken.posix#create-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5029(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_5029,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_fixnum_or(*((C_word*)lf[190]+1),lf[192]):C_i_car(t2));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5036,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=C_pipe(C_SCHEME_FALSE,t4);
if(C_truep(C_fixnum_lessp(t6,C_fix(0)))){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5045,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm:941: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[9]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[9]+1);
av2[1]=t7;
tp(2,av2);}}
else{
/* posixwin.scm:943: values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix((C_word)C_pipefds[ 0 ]);
av2[3]=C_fix((C_word)C_pipefds[ 1 ]);
C_values(4,av2);}}}

/* a5023 in k4997 in chicken.posix#with-output-to-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5024(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_5024,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[253]+1));
t3=C_mutate2((C_word*)lf[253]+1 /* (set! ##sys#standard-output ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k3687 in k3684 in chicken.posix#seconds->utc-time in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3689(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_3689,2,av);}
/* posix-common.scm:601: ##sys#decode-seconds */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[130]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[130]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_SCHEME_TRUE;
tp(4,av2);}}

/* map-loop2122 in k6471 in k6440 in chicken.process#qs in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_6493(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_6493,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_6518,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* posix.scm:138: g2128 */
t5=((C_word*)t0)[4];
f_6452(t5,t3,t4);}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k3684 in chicken.posix#seconds->utc-time in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3686(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_3686,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3689,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:600: ##sys#check-exact-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[131]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[131]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[135];
tp(4,av2);}}

/* chicken.posix#seconds->utc-time in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3682(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +3,c,2)))){
C_save_and_reclaim((void*)f_3682,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+3);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3686,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t2))){
/* posix-common.scm:599: chicken.time#current-seconds */
t4=*((C_word*)lf[133]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_car(t2);
f_3686(2,av2);}}}

/* k5017 in a5014 in a5008 in k4997 in chicken.posix#with-output-to-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5019(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_5019,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* a5014 in a5008 in k4997 in chicken.posix#with-output-to-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5015(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_5015,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5019,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:929: close-output-pipe */
t4=*((C_word*)lf[245]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k5856 in map-loop1426 in process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5858(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_5858,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate2(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_5833(t6,((C_word*)t0)[5],t5);}

/* k3474 in k3539 in k3449 in k3440 in loop in k3425 in k3418 in k3415 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3476(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3476,2,av);}
if(C_truep(t1)){
/* posix-common.scm:552: action */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}
else{
t2=((C_word*)t0)[5];
/* posix-common.scm:552: loop */
t3=((C_word*)((C_word*)t0)[6])[1];
f_3429(t3,((C_word*)t0)[7],((C_word*)t0)[8],((C_word*)t0)[9],t2);}}

/* k3471 in k3539 in k3449 in k3440 in loop in k3425 in k3418 in k3415 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3473(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3473,2,av);}
/* posix-common.scm:552: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_3429(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],t1);}

/* k5261 in k5272 in chicken.posix#port->fileno in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5263(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_5263,2,av);}
/* posixwin.scm:1064: ##sys#signal-hook */
t2=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[13];
av2[3]=lf[78];
av2[4]=lf[302];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k4117 in doloop786 in tmp12324 in a4094 in a4073 in k4064 in chicken.posix#list->c-string-buffer in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4119(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_4119,2,av);}
a=C_alloc(13);
t2=C_a_i_bytevector(&a,1,C_fix(3));
t3=stub768(t2,t1);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4125,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t4,tmp=(C_word)a,a+=8,tmp);
if(C_truep(t4)){
t6=t5;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
f_4125(2,av2);}}
else{
/* posix-common.scm:732: error */
t6=*((C_word*)lf[167]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[7];
av2[3]=lf[168];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k5034 in chicken.posix#create-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5036(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_5036,2,av);}
/* posixwin.scm:943: values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix((C_word)C_pipefds[ 0 ]);
av2[3]=C_fix((C_word)C_pipefds[ 1 ]);
C_values(4,av2);}}

/* loop in k4586 in k4583 in chicken.posix#file-mkstemp in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_4704(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_4704,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4711,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_greater_or_equal_p(t2,C_fix(0)))){
t4=C_i_string_ref(((C_word*)t0)[3],t2);
t5=t3;
f_4711(t5,C_eqp(t4,C_make_character(88)));}
else{
t4=t3;
f_4711(t4,C_SCHEME_FALSE);}}

/* doloop786 in tmp12324 in a4094 in a4073 in k4064 in chicken.posix#list->c-string-buffer in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_4103(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,2)))){
C_save_and_reclaim_args((void *)trf_4103,4,t0,t1,t2,t3);}
a=C_alloc(12);
t4=C_i_nullp(t2);
t5=(C_truep(t4)?t4:C_eqp(t3,((C_word*)t0)[2]));
if(C_truep(t5)){
t6=C_SCHEME_UNDEFINED;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t6=C_i_car(t2);
t7=C_i_check_string_2(t6,((C_word*)t0)[3]);
t8=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4119,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4144,a[2]=t8,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t10=t2;
t11=C_u_i_car(t10);
/* posix-common.scm:730: convert */
t12=((C_word*)t0)[6];{
C_word av2[3];
av2[0]=t12;
av2[1]=t9;
av2[2]=t11;
((C_proc)C_fast_retrieve_proc(t12))(3,av2);}}}

/* k4709 in loop in k4586 in k4583 in chicken.posix#file-mkstemp in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_4711(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_4711,2,t0,t1);}
if(C_truep(t1)){
t2=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
/* posixwin.scm:803: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_4704(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k4099 in tmp12324 in a4094 in a4073 in k4064 in chicken.posix#list->c-string-buffer in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4101(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4101,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k5219 in chicken.posix#open-input-file* in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5221(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_5221,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5229,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:1051: mode */
f_5158(t2,C_SCHEME_TRUE,((C_word*)t0)[6],lf[75]);}

/* k5227 in k5219 in chicken.posix#open-input-file* in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5229(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(2,c,4)))){
C_save_and_reclaim((void *)f_5229,2,av);}
a=C_alloc(2);
t2=C_fdopen(&a,2,((C_word*)t0)[2],t1);
/* posixwin.scm:1051: check */
f_5195(((C_word*)t0)[4],((C_word*)t0)[2],C_SCHEME_TRUE,t2);}

/* tmp22325 in a4094 in a4073 in k4064 in chicken.posix#list->c-string-buffer in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_4154(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_4154,3,t0,t1,t2);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4160,a[2]=t2,a[3]=((C_word)li79),tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:719: k777 */
t4=((C_word*)t0)[2];{
C_word av2[3];
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* chicken.posix#change-directory in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4735(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_4735,3,av);}
a=C_alloc(4);
t3=C_i_check_string_2(t2,lf[231]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4742,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:832: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[231];
tp(4,av2);}}

/* k4126 in k4123 in k4117 in doloop786 in tmp12324 in a4094 in a4073 in k4064 in chicken.posix#list->c-string-buffer in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 in ... */
static void C_ccall f_4128(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_4128,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
t5=((C_word*)((C_word*)t0)[4])[1];
f_4103(t5,((C_word*)t0)[5],t3,t4);}

/* k4123 in k4117 in doloop786 in tmp12324 in a4094 in a4073 in k4064 in chicken.posix#list->c-string-buffer in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4125(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_4125,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4128,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:733: chicken.memory#pointer-vector-set! */
t3=*((C_word*)lf[166]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=((C_word*)t0)[3];
av2[4]=((C_word*)t0)[7];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* chicken.posix#change-file-mode in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5091(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_5091,4,av);}
a=C_alloc(5);
t4=C_i_check_string_2(t2,lf[286]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5098,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:995: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t5;
av2[2]=t3;
av2[3]=lf[286];
tp(4,av2);}}

/* k5096 in chicken.posix#change-file-mode in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5098(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_5098,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5115,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:996: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[286];
tp(4,av2);}}

/* k4142 in doloop786 in tmp12324 in a4094 in a4073 in k4064 in chicken.posix#list->c-string-buffer in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4144(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_4144,2,av);}
/* posix-common.scm:730: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[16]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k5799 in k5795 in k5791 in k5747 in process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5801(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_5801,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_5805,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* posixwin.scm:1237: ##sys#make-locative */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[340]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[340]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[10];
av2[3]=C_fix(0);
av2[4]=C_SCHEME_FALSE;
av2[5]=lf[341];
tp(6,av2);}}

/* k5803 in k5799 in k5795 in k5791 in k5747 in process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5805(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_5805,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_5809,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
t4=(C_truep(((C_word*)t0)[8])?C_fix(0):C_fix(1));
t5=(C_truep(((C_word*)t0)[9])?C_fix(0):C_fix(2));
if(C_truep(((C_word*)t0)[10])){
/* posixwin.scm:1238: + */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t3;
av2[2]=t4;
av2[3]=t5;
av2[4]=C_fix(0);
C_plus(5,av2);}}
else{
/* posixwin.scm:1238: + */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t3;
av2[2]=t4;
av2[3]=t5;
av2[4]=C_fix(4);
C_plus(5,av2);}}}

/* k5807 in k5803 in k5799 in k5795 in k5791 in k5747 in process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5809(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_5809,2,av);}
a=C_alloc(9);
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];
t4=((C_word*)t0)[4];
t5=((C_word*)t0)[5];
t6=((C_word*)t0)[6];
t7=((C_word*)t0)[7];
t8=((C_word*)t0)[8];
t9=t1;
t10=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_5681,a[2]=t5,a[3]=t6,a[4]=t7,a[5]=t8,a[6]=t9,a[7]=t2,a[8]=t4,tmp=(C_word)a,a+=9,tmp);
if(C_truep(t3)){
t11=C_i_foreign_string_argumentp(t3);
/* posixwin.scm:1221: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t10;
av2[2]=t11;
tp(3,av2);}}
else{
t11=t10;{
C_word *av2=av;
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
f_5681(2,av2);}}}

/* k6471 in k6440 in chicken.process#qs in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6473(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_6473,2,av);}
a=C_alloc(13);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_6476,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_6493,a[2]=((C_word*)t0)[4],a[3]=t4,a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word)li208),tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_6493(t6,t2,t1);}

/* k6474 in k6471 in k6440 in chicken.process#qs in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6476(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_6476,2,av);}
a=C_alloc(7);
t2=C_a_i_string(&a,1,((C_word*)t0)[2]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_6487,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t4;
av2[2]=*((C_word*)lf[6]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* k2923 in k2902 */
static void C_ccall f_2925(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2925,2,av);}
t2=((C_word*)t0)[2];
f_2907(t2,C_dup2(((C_word*)t0)[3],((C_word*)t0)[4]));}

/* chicken.posix#current-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2927(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +3,c,3)))){
C_save_and_reclaim((void*)f_2927,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+3);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_i_car(t2));
if(C_truep(t4)){
/* posix-common.scm:428: change-directory */
t5=*((C_word*)lf[87]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2940,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[91]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[91]+1);
av2[1]=t5;
av2[2]=C_fix(1024);
av2[3]=C_make_character(32);
tp(4,av2);}}}

/* k6485 in k6474 in k6471 in k6440 in chicken.process#qs in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6487(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(2,c,4)))){
C_save_and_reclaim((void *)f_6487,2,av);}
a=C_alloc(2);
t2=C_a_i_string(&a,1,((C_word*)t0)[2]);
/* posix.scm:145: string-append */
t3=*((C_word*)lf[6]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t1;
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k5823 in process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5825(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_5825,2,av);}
/* posixwin.scm:1228: chicken.data-structures#string-intersperse */
t2=*((C_word*)lf[342]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k4266 in k4260 in chicken.posix#call-with-exec-args in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4268(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_4268,2,av);}
a=C_alloc(15);
t2=t1;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4271,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_4276,a[2]=t4,a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word)li97),tmp=(C_word)a,a+=10,tmp);
/* posix-common.scm:763: call-with-current-continuation */
t7=*((C_word*)lf[170]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}

/* g2128 in k6440 in chicken.process#qs in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_6452(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(2,0,4)))){
C_save_and_reclaim_args((void *)trf_6452,3,t0,t1,t2);}
a=C_alloc(2);
if(C_truep(C_i_char_equalp(t2,((C_word*)t0)[2]))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=t2;
if(C_truep(C_u_i_char_equalp(t3,C_make_character(0)))){
/* posix.scm:142: error */
t4=*((C_word*)lf[167]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[487];
av2[3]=lf[488];
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_a_i_string(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}

/* k4260 in chicken.posix#call-with-exec-args in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4262(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_4262,2,av);}
a=C_alloc(11);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4268,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],tmp=(C_word)a,a+=8,tmp);
/* posix-common.scm:760: list->c-string-buffer */
f_4058(t3,t2,((C_word*)t0)[9],((C_word*)t0)[6]);}

/* k2905 in k2902 */
static void C_fcall f_2907(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,5)))){
C_save_and_reclaim_args((void *)trf_2907,2,t0,t1);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2910,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
/* posix-common.scm:420: posix-error */
t4=lf[4];{
C_word av2[6];
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[13];
av2[3]=lf[84];
av2[4]=lf[85];
av2[5]=((C_word*)t0)[3];
f_2416(6,av2);}}
else{
t4=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k2902 */
static void C_ccall f_2904(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_2904,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2907,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(((C_word*)t0)[4]))){
t3=t2;
f_2907(t3,C_dup(((C_word*)t0)[3]));}
else{
t3=C_i_car(((C_word*)t0)[4]);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2925,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=t4,tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:417: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[84];
tp(4,av2);}}}

/* f_2900 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2900(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_2900,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2904,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:413: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=*((C_word*)lf[83]+1);
tp(4,av2);}}

/* a4275 in k4266 in k4260 in chicken.posix#call-with-exec-args in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(17,c,3)))){
C_save_and_reclaim((void *)f_4276,3,av);}
a=C_alloc(17);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4282,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word)li91),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_4303,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=t2,a[10]=((C_word)li96),tmp=(C_word)a,a+=11,tmp);
/* posix-common.scm:763: with-exception-handler */
t5=*((C_word*)lf[169]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k4269 in k4266 in k4260 in chicken.posix#call-with-exec-args in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4271,2,av);}
/* posix-common.scm:758: g853 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* chicken.posix#set-root-directory! in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6302(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6302,2,av);}
/* posixwin.scm:1350: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[406];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* chicken.posix#set-signal-mask! in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6308,2,av);}
/* posixwin.scm:1351: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[408];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2908 in k2905 in k2902 */
static void C_ccall f_2910(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2910,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a4287 in a4281 in a4275 in k4266 in k4260 in chicken.posix#call-with-exec-args in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4288(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_4288,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4292,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:765: free-c-string-buffer */
f_4175(t2,((C_word*)t0)[4]);}

/* a4281 in a4275 in k4266 in k4260 in chicken.posix#call-with-exec-args in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4282(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_4282,3,av);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4288,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li90),tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:763: k849 */
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* k2541 in chicken.posix#file-owner in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2543(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2543,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_uid);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.posix#file-permissions in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2545(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_2545,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2549,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:277: ##sys#stat */
t4=*((C_word*)lf[12]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[31];
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}

/* f_5500 in chicken.posix#process-execute in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_5500,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k2547 in chicken.posix#file-permissions in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2549(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2549,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_mode);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k4290 in a4287 in a4281 in a4275 in k4266 in k4260 in chicken.posix#call-with-exec-args in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4292(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_4292,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4295,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)((C_word*)t0)[4])[1])){
/* posix-common.scm:766: free-c-string-buffer */
f_4175(t2,((C_word*)((C_word*)t0)[4])[1]);}
else{
/* posix-common.scm:767: signal */
t3=*((C_word*)lf[164]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}

/* k4293 in k4290 in a4287 in a4281 in a4275 in k4266 in k4260 in chicken.posix#call-with-exec-args in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4295(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4295,2,av);}
/* posix-common.scm:767: signal */
t2=*((C_word*)lf[164]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k4743 in k4740 in chicken.posix#change-directory in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4745(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4745,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.posix#current-group-id in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6194(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6194,2,av);}
/* posixwin.scm:1332: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[374];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* chicken.posix#file-access-time in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2527(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_2527,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2531,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:274: ##sys#stat */
t4=*((C_word*)lf[12]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[25];
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}

/* k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2525(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(48,c,4)))){
C_save_and_reclaim((void *)f_2525,2,av);}
a=C_alloc(48);
t2=C_mutate2((C_word*)lf[23]+1 /* (set! chicken.posix#file-modification-time ...) */,t1);
t3=C_mutate2((C_word*)lf[24]+1 /* (set! chicken.posix#file-access-time ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2527,a[2]=((C_word)li4),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate2((C_word*)lf[26]+1 /* (set! chicken.posix#file-change-time ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2533,a[2]=((C_word)li5),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate2((C_word*)lf[28]+1 /* (set! chicken.posix#file-owner ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2539,a[2]=((C_word)li6),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate2((C_word*)lf[30]+1 /* (set! chicken.posix#file-permissions ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2545,a[2]=((C_word)li7),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate2((C_word*)lf[32]+1 /* (set! chicken.posix#file-size ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2551,a[2]=((C_word)li8),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate2((C_word*)lf[34]+1 /* (set! chicken.posix#file-type ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2557,a[2]=((C_word)li9),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate2((C_word*)lf[43]+1 /* (set! chicken.posix#regular-file? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2644,a[2]=((C_word)li10),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate2((C_word*)lf[44]+1 /* (set! chicken.posix#symbolic-link? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2654,a[2]=((C_word)li11),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate2((C_word*)lf[45]+1 /* (set! chicken.posix#block-device? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2664,a[2]=((C_word)li12),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate2((C_word*)lf[46]+1 /* (set! chicken.posix#character-device? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2674,a[2]=((C_word)li13),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate2((C_word*)lf[47]+1 /* (set! chicken.posix#fifo? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2684,a[2]=((C_word)li14),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate2((C_word*)lf[48]+1 /* (set! chicken.posix#socket? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2694,a[2]=((C_word)li15),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate2((C_word*)lf[49]+1 /* (set! chicken.posix#directory? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2704,a[2]=((C_word)li16),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate2((C_word*)lf[50]+1 /* (set! chicken.posix#seek/set ...) */,C_fix((C_word)SEEK_SET));
t17=C_mutate2((C_word*)lf[51]+1 /* (set! chicken.posix#seek/end ...) */,C_fix((C_word)SEEK_END));
t18=C_mutate2((C_word*)lf[52]+1 /* (set! chicken.posix#seek/cur ...) */,C_fix((C_word)SEEK_CUR));
t19=C_mutate2((C_word*)lf[53]+1 /* (set! chicken.posix#set-file-position! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2717,a[2]=((C_word)li17),tmp=(C_word)a,a+=3,tmp));
t20=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2766,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t21=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6582,a[2]=((C_word)li213),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:339: getter-with-setter */
t22=*((C_word*)lf[494]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t22;
av2[1]=t20;
av2[2]=t21;
av2[3]=*((C_word*)lf[53]+1);
av2[4]=lf[500];
((C_proc)(void*)(*((C_word*)t22+1)))(5,av2);}}

/* k4740 in chicken.posix#change-directory in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4742(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_4742,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4745,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_chdir(t1);
t4=C_eqp(C_fix(0),t3);
if(C_truep(t4)){
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4751,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:834: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[9]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[9]+1);
av2[1]=t5;
tp(2,av2);}}}

/* chicken.posix#terminal-name in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6344(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6344,2,av);}
/* posixwin.scm:1357: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[418];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2529 in chicken.posix#file-access-time in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2531(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_2531,2,av);}
a=C_alloc(7);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_int64_to_num(&a,C_statbuf.st_atime);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.posix#file-change-time in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2533(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_2533,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2537,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:275: ##sys#stat */
t4=*((C_word*)lf[12]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[27];
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}

/* k2535 in chicken.posix#file-change-time in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2537(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_2537,2,av);}
a=C_alloc(7);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_int64_to_num(&a,C_statbuf.st_ctime);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.posix#call-with-input-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4913(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_4913,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4917,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=*((C_word*)lf[235]+1);
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* chicken.posix#file-owner in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2539(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_2539,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2543,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:276: ##sys#stat */
t4=*((C_word*)lf[12]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[29];
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}

/* for-each-loop1504 in chkstrlst in %process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static C_word C_fcall f_5888(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=(
  /* posixwin.scm:1257: g1505 */
  f_5879(((C_word*)t0)[2],t2)
);
t4=C_slot(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* k4915 in chicken.posix#call-with-input-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4917(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_4917,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4922,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li114),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4928,a[2]=t2,a[3]=((C_word)li115),tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:897: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* chicken.posix#signal-masked? in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6332(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6332,2,av);}
/* posixwin.scm:1355: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[414];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2498 in k2478 in stat in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2500,2,av);}
/* posix-common.scm:236: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[16]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* chicken.posix#create-symbolic-link in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6170(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6170,2,av);}
/* posixwin.scm:1328: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[366];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* chicken.posix#signal-unmask! in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6338(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6338,2,av);}
/* posixwin.scm:1356: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[416];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* %process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_5872(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6,C_word t7){
C_word tmp;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(24,0,3)))){
C_save_and_reclaim_args((void *)trf_5872,7,t1,t2,t3,t4,t5,t6,t7);}
a=C_alloc(24);
t8=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t9=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t10=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5874,a[2]=t2,a[3]=((C_word)li161),tmp=(C_word)a,a+=4,tmp);
t12=C_i_check_string_2(((C_word*)t8)[1],t2);
t13=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_5915,a[2]=t2,a[3]=t8,a[4]=t9,a[5]=t6,a[6]=t3,a[7]=t10,a[8]=t1,tmp=(C_word)a,a+=9,tmp);
if(C_truep(((C_word*)t9)[1])){
/* posixwin.scm:1260: chkstrlst */
t14=t11;
f_5874(t14,t13,((C_word*)t9)[1]);}
else{
t14=C_set_block_item(t10,0,C_SCHEME_TRUE);
t15=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5950,a[2]=t9,a[3]=t8,a[4]=t13,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:1263: ##sys#shell-command-arguments */
t16=*((C_word*)lf[335]+1);{
C_word av2[3];
av2[0]=t16;
av2[1]=t15;
av2[2]=((C_word*)t8)[1];
((C_proc)(void*)(*((C_word*)t16+1)))(3,av2);}}}

/* chicken.posix#file-stat in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +3,c,5)))){
C_save_and_reclaim((void*)f_2505,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+3);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2512,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:253: ##sys#stat */
t7=*((C_word*)lf[12]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=t2;
av2[3]=t5;
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[22];
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}

/* chkstrlst in %process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_5874(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_5874,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_i_check_list_2(t2,((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5879,a[2]=((C_word*)t0)[2],a[3]=((C_word)li159),tmp=(C_word)a,a+=4,tmp);
t5=t2;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5888,a[2]=t4,a[3]=((C_word)li160),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=(
  f_5888(t6,t5)
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* g1505 in chkstrlst in %process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static C_word C_fcall f_5879(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_stack_overflow_check;{}
return(C_i_check_string_2(t1,((C_word*)t0)[2]));}

/* chicken.posix#seconds->string in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +3,c,2)))){
C_save_and_reclaim((void*)f_3714,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+3);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3718,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t2))){
/* posix-common.scm:605: chicken.time#current-seconds */
t4=*((C_word*)lf[133]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_car(t2);
f_3718(2,av2);}}}

/* chicken.posix#current-effective-user-id in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6182(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6182,2,av);}
/* posixwin.scm:1330: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[370];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2510 in chicken.posix#file-stat in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2512(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(42,c,1)))){
C_save_and_reclaim((void *)f_2512,2,av);}
a=C_alloc(42);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_vector(&a,13,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_ino),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_mode),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_nlink),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_uid),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_gid),C_int64_to_num(&a,C_statbuf.st_size),C_int64_to_num(&a,C_statbuf.st_atime),C_int64_to_num(&a,C_statbuf.st_ctime),C_int64_to_num(&a,C_statbuf.st_mtime),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_dev),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_rdev),((C_word)C_SCHEME_UNDEFINED),((C_word)C_SCHEME_UNDEFINED));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k4930 in a4927 in k4915 in chicken.posix#call-with-input-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4932(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4932,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* chicken.posix#current-effective-group-id in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6176(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6176,2,av);}
/* posixwin.scm:1329: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[368];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* chicken.posix#call-with-output-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4937(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_4937,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4941,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=*((C_word*)lf[240]+1);
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k3719 in k3716 in chicken.posix#seconds->string in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3721(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_3721,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3724,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_a_i_bytevector(&a,1,C_fix(3));
t4=C_fix((C_word)sizeof(int) * CHAR_BIT);
t5=C_i_foreign_ranged_integer_argumentp(((C_word*)t0)[3],t4);
t6=stub641(t3,t5);
/* posix-common.scm:604: ##sys#peek-c-string */
t7=*((C_word*)lf[8]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t7;
av2[1]=t2;
av2[2]=t6;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}

/* k3722 in k3719 in k3716 in chicken.posix#seconds->string in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3724(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3724,2,av);}
if(C_truep(t1)){
t2=C_block_size(t1);
t3=C_fixnum_difference(t2,C_fix(1));
/* posix-common.scm:609: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[88]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[88]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(0);
av2[4]=t3;
tp(5,av2);}}
else{
/* posix-common.scm:610: ##sys#error */
t2=*((C_word*)lf[64]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[137];
av2[3]=lf[138];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k3716 in chicken.posix#seconds->string in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3718(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_3718,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3721,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:606: ##sys#check-exact-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[131]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[131]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[137];
tp(4,av2);}}

/* chicken.posix#change-file-owner in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6152(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6152,2,av);}
/* posixwin.scm:1325: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[360];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k4900 in chicken.posix#close-output-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4902(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_4902,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4905,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_eqp(C_fix(-1),((C_word*)t0)[3]);
if(C_truep(t3)){
/* posixwin.scm:891: ##sys#signal-hook */
t4=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=lf[13];
av2[3]=lf[246];
av2[4]=lf[247];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}
else{
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* chicken.posix#system-information in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6100(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_6100,2,av);}
a=C_alloc(6);
if(C_truep(C_sysinfo())){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6111,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t3=*((C_word*)lf[8]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_mpointer(&a,(void*)C_hostname);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6126,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm:1303: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[9]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[9]+1);
av2[1]=t2;
tp(2,av2);}}}

/* chicken.posix#current-effective-user-name in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6188(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6188,2,av);}
/* posixwin.scm:1331: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[372];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k4903 in k4900 in chicken.posix#close-output-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4905(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4905,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.posix#create-session in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6164(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6164,2,av);}
/* posixwin.scm:1327: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[364];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* chicken.posix#create-fifo in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6158(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6158,2,av);}
/* posixwin.scm:1326: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[362];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* a4921 in k4915 in chicken.posix#call-with-input-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4922(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4922,2,av);}
/* posixwin.scm:898: proc */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k6121 in k6117 in k6113 in k6109 in chicken.posix#system-information in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6123(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,1)))){
C_save_and_reclaim((void *)f_6123,2,av);}
a=C_alloc(15);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list5(&a,5,lf[351],((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k6124 in chicken.posix#system-information in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6126(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6126,2,av);}
/* posixwin.scm:1304: ##sys#error */
t2=*((C_word*)lf[64]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[352];
av2[3]=lf[353];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* a4927 in k4915 in chicken.posix#call-with-input-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4928(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_4928,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4932,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:900: close-input-pipe */
t4=*((C_word*)lf[242]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k6109 in chicken.posix#system-information in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6111(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_6111,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_6115,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[8]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)C_osrel);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k6113 in k6109 in chicken.posix#system-information in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6115(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_6115,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_6119,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[8]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)C_osver);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k6117 in k6113 in k6109 in chicken.posix#system-information in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6119(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_6119,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_6123,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[8]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)C_processor);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* chicken.posix#current-user-id in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6200(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6200,2,av);}
/* posixwin.scm:1333: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[376];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* chicken.posix#file-control in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6206(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6206,2,av);}
/* posixwin.scm:1334: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[378];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2700 in chicken.posix#socket? in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2702(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2702,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_eqp(lf[41],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.posix#directory? in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2704(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_2704,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2712,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:311: file-type */
t4=*((C_word*)lf[34]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* for-each-loop816 in chicken.posix#check-environment-list in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static C_word C_fcall f_4233(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=(
  /* posix-common.scm:747: g817 */
  f_4214(((C_word*)t0)[2],t2)
);
t4=C_slot(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* k5209 in k5197 in check in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5211(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_5211,2,av);}
t2=C_set_file_ptr(t1,((C_word*)t0)[2]);
t3=t1;
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.posix#open-input-file* in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5217(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_5217,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+7);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_5221,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=((C_word*)t0)[3],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* posixwin.scm:1050: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[75];
tp(4,av2);}}

/* k4866 in chicken.posix#open-output-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4868(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(2,c,4)))){
C_save_and_reclaim((void *)f_4868,2,av);}
a=C_alloc(2);
t2=open_binary_output_pipe(&a,1,t1);
/* posixwin.scm:871: check */
f_4775(((C_word*)t0)[3],((C_word*)t0)[4],C_SCHEME_FALSE,t2);}

/* k2731 in k2725 in k2722 in k2719 in chicken.posix#set-file-position! in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2733(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_2733,2,av);}
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* posix-common.scm:336: posix-error */
t2=lf[4];{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[13];
av2[3]=lf[54];
av2[4]=lf[55];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
f_2416(7,av2);}}}

/* k2737 in k2725 in k2722 in k2719 in chicken.posix#set-file-position! in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2739(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_2739,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(7));
t3=C_eqp(t2,lf[56]);
if(C_truep(t3)){
t4=C_fseek(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t5=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
f_2733(2,av2);}}
else{
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_2733(2,av2);}}}
else{
if(C_truep(C_fixnump(((C_word*)t0)[2]))){
t2=C_lseek(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
f_2733(2,av2);}}
else{
/* posix-common.scm:335: ##sys#signal-hook */
t2=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[5];
av2[2]=lf[18];
av2[3]=lf[54];
av2[4]=lf[57];
av2[5]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}}

/* chicken.posix#call-with-exec-args in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_4258(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6,C_word t7){
C_word tmp;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_4258,8,t0,t1,t2,t3,t4,t5,t6,t7);}
a=C_alloc(10);
t8=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_4262,a[2]=t5,a[3]=t1,a[4]=t7,a[5]=t3,a[6]=t2,a[7]=t6,a[8]=((C_word*)t0)[2],a[9]=t4,tmp=(C_word)a,a+=10,tmp);
/* posix-common.scm:758: pathname-strip-directory */
t9=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t9;
av2[1]=t8;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t9+1)))(3,av2);}}

/* k5241 in k5233 in chicken.posix#open-output-file* in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5243(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(2,c,4)))){
C_save_and_reclaim((void *)f_5243,2,av);}
a=C_alloc(2);
t2=C_fdopen(&a,2,((C_word*)t0)[2],t1);
/* posixwin.scm:1055: check */
f_5195(((C_word*)t0)[4],((C_word*)t0)[2],C_SCHEME_FALSE,t2);}

/* nop in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4256(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4256,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.posix#port->fileno in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5245(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_5245,3,av);}
a=C_alloc(4);
t3=t2;
t4=C_i_check_port_2(t3,C_fix(0),C_SCHEME_TRUE,lf[78]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5274,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1060: ##sys#peek-unsigned-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[82]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[82]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=C_fix(0);
tp(4,av2);}}

/* chicken.posix#close-input-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4877(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_4877,3,av);}
a=C_alloc(5);
t3=t2;
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[243]);
t5=close_pipe(t2);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4884,a[2]=t1,a[3]=t5,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:881: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[9]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[9]+1);
av2[1]=t6;
tp(2,av2);}}

/* chicken.posix#set-signal-handler! in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3961(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_3961,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3965,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:673: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[153];
tp(4,av2);}}

/* chicken.posix#open-output-file* in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5231(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_5231,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+7);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_5235,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=((C_word*)t0)[3],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* posixwin.scm:1054: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[77];
tp(4,av2);}}

/* k3963 in chicken.posix#set-signal-handler! in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3965(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3965,2,av);}
if(C_truep(((C_word*)t0)[2])){
t2=((C_word*)t0)[3];
t3=C_establish_signal_handler(((C_word*)t0)[3],t2);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_vector_set(*((C_word*)lf[152]+1),((C_word*)t0)[3],((C_word*)t0)[2]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_establish_signal_handler(((C_word*)t0)[3],C_SCHEME_FALSE);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_vector_set(*((C_word*)lf[152]+1),((C_word*)t0)[3],((C_word*)t0)[2]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k5233 in chicken.posix#open-output-file* in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_5235,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5243,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:1055: mode */
f_5158(t2,C_SCHEME_FALSE,((C_word*)t0)[6],lf[77]);}

/* k4885 in k4882 in chicken.posix#close-input-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4887(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4887,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k4882 in chicken.posix#close-input-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_4884,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4887,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_eqp(C_fix(-1),((C_word*)t0)[3]);
if(C_truep(t3)){
/* posixwin.scm:883: ##sys#signal-hook */
t4=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=lf[13];
av2[3]=lf[243];
av2[4]=lf[244];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}
else{
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k5043 in chicken.posix#create-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5045(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_5045,2,av);}
/* posixwin.scm:942: ##sys#signal-hook */
t2=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[13];
av2[3]=lf[255];
av2[4]=lf[256];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k2710 in chicken.posix#directory? in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2712(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2712,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_eqp(lf[37],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.posix#set-file-position! in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2717(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_2717,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2721,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(t4))){
t6=t4;
t7=t5;
f_2721(t7,C_u_i_car(t6));}
else{
t6=t5;
f_2721(t6,C_fix((C_word)SEEK_SET));}}

/* chicken.posix#close-output-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4895(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_4895,3,av);}
a=C_alloc(5);
t3=t2;
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_TRUE,lf[246]);
t5=close_pipe(t2);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4902,a[2]=t1,a[3]=t5,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:889: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[9]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[9]+1);
av2[1]=t6;
tp(2,av2);}}

/* k2719 in chicken.posix#set-file-position! in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_2721(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_2721,2,t0,t1);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2724,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:327: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[54];
tp(4,av2);}}

/* k2722 in k2719 in chicken.posix#set-file-position! in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2724(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_2724,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2727,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:328: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[54];
tp(4,av2);}}

/* k2725 in k2722 in k2719 in chicken.posix#set-file-position! in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2727(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_2727,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2733,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2739,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:329: port? */
t4=*((C_word*)lf[20]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k3941 in k3937 in scan in k3903 in loop in chicken.posix#get-environment-variables in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3943(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_3943,2,av);}
a=C_alloc(7);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3931,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_fixnum_plus(((C_word*)t0)[4],C_fix(1));
/* posix-common.scm:665: loop */
t6=((C_word*)((C_word*)t0)[5])[1];
f_3901(t6,t4,t5);}

/* chicken.posix#check-environment-list in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_4209(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_4209,3,t1,t2,t3);}
a=C_alloc(8);
t4=C_i_check_list_2(t2,t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4214,a[2]=t3,a[3]=((C_word)li86),tmp=(C_word)a,a+=4,tmp);
t6=t2;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4233,a[2]=t5,a[3]=((C_word)li87),tmp=(C_word)a,a+=4,tmp);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=(
  f_4233(t7,t6)
);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* g817 in chicken.posix#check-environment-list in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static C_word C_fcall f_4214(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_stack_overflow_check;{}
t2=C_i_check_pair_2(t1,((C_word*)t0)[2]);
t3=t1;
t4=C_u_i_car(t3);
t5=C_i_check_string_2(t4,((C_word*)t0)[2]);
t6=t1;
t7=C_u_i_cdr(t6);
return(C_i_check_string_2(t7,((C_word*)t0)[2]));}

/* k4428 in chicken.posix#file-open in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_4430(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_4430,2,t0,t1);}
a=C_alloc(6);
t2=t1;
t3=C_i_check_string_2(((C_word*)t0)[2],lf[206]);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4436,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm:748: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[206];
tp(4,av2);}}

/* chicken.posix#current-process-id in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3978(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3978,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=stub740(C_SCHEME_UNDEFINED);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.posix#file-open in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4426(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_4426,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4430,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(t4))){
t6=t4;
t7=t5;
f_4430(t7,C_u_i_car(t6));}
else{
t6=t5;
f_4430(t6,((C_word*)t0)[2]);}}

/* k4441 in k4437 in k4434 in k4428 in chicken.posix#file-open in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_4443,2,av);}
a=C_alloc(10);
t2=C_open(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4446,a[2]=((C_word*)t0)[4],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_eqp(C_fix(-1),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4452,a[2]=t3,a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm:752: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[9]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[9]+1);
av2[1]=t5;
tp(2,av2);}}
else{
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3976(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word t67;
C_word t68;
C_word t69;
C_word t70;
C_word t71;
C_word t72;
C_word t73;
C_word t74;
C_word t75;
C_word t76;
C_word t77;
C_word t78;
C_word t79;
C_word t80;
C_word t81;
C_word t82;
C_word t83;
C_word t84;
C_word t85;
C_word t86;
C_word t87;
C_word t88;
C_word t89;
C_word t90;
C_word t91;
C_word t92;
C_word t93;
C_word t94;
C_word t95;
C_word t96;
C_word t97;
C_word t98;
C_word t99;
C_word t100;
C_word t101;
C_word t102;
C_word t103;
C_word t104;
C_word t105;
C_word t106;
C_word t107;
C_word t108;
C_word t109;
C_word t110;
C_word t111;
C_word t112;
C_word t113;
C_word t114;
C_word t115;
C_word t116;
C_word t117;
C_word t118;
C_word t119;
C_word t120;
C_word t121;
C_word t122;
C_word t123;
C_word t124;
C_word t125;
C_word t126;
C_word t127;
C_word t128;
C_word t129;
C_word t130;
C_word t131;
C_word t132;
C_word t133;
C_word t134;
C_word t135;
C_word t136;
C_word t137;
C_word t138;
C_word t139;
C_word t140;
C_word t141;
C_word t142;
C_word t143;
C_word t144;
C_word t145;
C_word t146;
C_word t147;
C_word t148;
C_word t149;
C_word t150;
C_word t151;
C_word t152;
C_word t153;
C_word t154;
C_word t155;
C_word t156;
C_word t157;
C_word t158;
C_word t159;
C_word t160;
C_word t161;
C_word t162;
C_word t163;
C_word t164;
C_word t165;
C_word t166;
C_word t167;
C_word t168;
C_word t169;
C_word t170;
C_word t171;
C_word t172;
C_word t173;
C_word t174;
C_word t175;
C_word t176;
C_word t177;
C_word t178;
C_word t179;
C_word t180;
C_word t181;
C_word t182;
C_word t183;
C_word t184;
C_word t185;
C_word t186;
C_word t187;
C_word t188;
C_word t189;
C_word t190;
C_word t191;
C_word t192;
C_word t193;
C_word t194;
C_word t195;
C_word t196;
C_word t197;
C_word t198;
C_word t199;
C_word t200;
C_word t201;
C_word t202;
C_word t203;
C_word t204;
C_word t205;
C_word t206;
C_word t207;
C_word t208;
C_word t209;
C_word t210;
C_word t211;
C_word t212;
C_word t213;
C_word t214;
C_word t215;
C_word t216;
C_word t217;
C_word t218;
C_word t219;
C_word t220;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(362,c,9)))){
C_save_and_reclaim((void *)f_3976,2,av);}
a=C_alloc(362);
t2=C_mutate2((C_word*)lf[154]+1 /* (set! chicken.posix#signal-handler ...) */,t1);
t3=C_mutate2((C_word*)lf[155]+1 /* (set! chicken.posix#current-process-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3978,a[2]=((C_word)li70),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate2((C_word*)lf[156]+1 /* (set! chicken.posix#process-sleep ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3981,a[2]=((C_word)li71),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate2((C_word*)lf[158]+1 /* (set! chicken.posix#process-wait ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3987,a[2]=((C_word)li74),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate2(&lf[163] /* (set! chicken.posix#list->c-string-buffer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4058,a[2]=((C_word)li83),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate2(&lf[165] /* (set! chicken.posix#free-c-string-buffer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4175,a[2]=((C_word)li85),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate2(&lf[175] /* (set! chicken.posix#check-environment-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4209,a[2]=((C_word)li88),tmp=(C_word)a,a+=3,tmp));
t9=*((C_word*)lf[176]+1);
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4256,a[2]=((C_word)li89),tmp=(C_word)a,a+=3,tmp);
t11=C_mutate2(&lf[177] /* (set! chicken.posix#call-with-exec-args ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4258,a[2]=t10,a[3]=t9,a[4]=((C_word)li98),tmp=(C_word)a,a+=5,tmp));
t12=C_mutate2((C_word*)lf[180]+1 /* (set! chicken.posix#pipe/buf ...) */,C_fix((C_word)PIPE_BUF));
t13=C_mutate2((C_word*)lf[181]+1 /* (set! chicken.posix#open/rdonly ...) */,C_fix((C_word)O_RDONLY));
t14=C_mutate2((C_word*)lf[182]+1 /* (set! chicken.posix#open/wronly ...) */,C_fix((C_word)O_WRONLY));
t15=C_mutate2((C_word*)lf[183]+1 /* (set! chicken.posix#open/rdwr ...) */,C_fix((C_word)O_RDWR));
t16=C_mutate2((C_word*)lf[184]+1 /* (set! chicken.posix#open/read ...) */,C_fix((C_word)O_RDWR));
t17=C_mutate2((C_word*)lf[185]+1 /* (set! chicken.posix#open/write ...) */,C_fix((C_word)O_WRONLY));
t18=C_mutate2((C_word*)lf[186]+1 /* (set! chicken.posix#open/creat ...) */,C_fix((C_word)O_CREAT));
t19=C_mutate2((C_word*)lf[187]+1 /* (set! chicken.posix#open/append ...) */,C_fix((C_word)O_APPEND));
t20=C_mutate2((C_word*)lf[188]+1 /* (set! chicken.posix#open/excl ...) */,C_fix((C_word)O_EXCL));
t21=C_mutate2((C_word*)lf[189]+1 /* (set! chicken.posix#open/trunc ...) */,C_fix((C_word)O_TRUNC));
t22=C_mutate2((C_word*)lf[190]+1 /* (set! chicken.posix#open/binary ...) */,C_fix((C_word)O_BINARY));
t23=C_mutate2((C_word*)lf[191]+1 /* (set! chicken.posix#open/text ...) */,C_fix((C_word)O_TEXT));
t24=C_mutate2(&lf[192] /* (set! chicken.posix#open/noinherit ...) */,C_fix((C_word)O_NOINHERIT));
t25=C_mutate2((C_word*)lf[193]+1 /* (set! chicken.posix#perm/irusr ...) */,C_fix((C_word)S_IREAD));
t26=C_mutate2((C_word*)lf[194]+1 /* (set! chicken.posix#perm/iwusr ...) */,C_fix((C_word)S_IWRITE));
t27=C_mutate2((C_word*)lf[195]+1 /* (set! chicken.posix#perm/ixusr ...) */,C_fix((C_word)S_IEXEC));
t28=C_mutate2((C_word*)lf[196]+1 /* (set! chicken.posix#perm/irgrp ...) */,C_fix((C_word)S_IREAD));
t29=C_mutate2((C_word*)lf[197]+1 /* (set! chicken.posix#perm/iwgrp ...) */,C_fix((C_word)S_IWRITE));
t30=C_mutate2((C_word*)lf[198]+1 /* (set! chicken.posix#perm/ixgrp ...) */,C_fix((C_word)S_IEXEC));
t31=C_mutate2((C_word*)lf[199]+1 /* (set! chicken.posix#perm/iroth ...) */,C_fix((C_word)S_IREAD));
t32=C_mutate2((C_word*)lf[200]+1 /* (set! chicken.posix#perm/iwoth ...) */,C_fix((C_word)S_IWRITE));
t33=C_mutate2((C_word*)lf[201]+1 /* (set! chicken.posix#perm/ixoth ...) */,C_fix((C_word)S_IEXEC));
t34=C_mutate2((C_word*)lf[202]+1 /* (set! chicken.posix#perm/irwxu ...) */,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC));
t35=C_mutate2((C_word*)lf[203]+1 /* (set! chicken.posix#perm/irwxg ...) */,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC));
t36=C_mutate2((C_word*)lf[204]+1 /* (set! chicken.posix#perm/irwxo ...) */,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC));
t37=C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC);
t38=C_fixnum_or(C_fix((C_word)S_IREAD),C_fix((C_word)S_IREAD));
t39=C_s_a_i_bitwise_ior(&a,2,t37,t38);
t40=C_mutate2((C_word*)lf[205]+1 /* (set! chicken.posix#file-open ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4426,a[2]=t39,a[3]=((C_word)li99),tmp=(C_word)a,a+=4,tmp));
t41=C_mutate2((C_word*)lf[208]+1 /* (set! chicken.posix#file-close ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4461,a[2]=((C_word)li101),tmp=(C_word)a,a+=3,tmp));
t42=C_mutate2((C_word*)lf[212]+1 /* (set! chicken.posix#file-read ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4492,a[2]=((C_word)li102),tmp=(C_word)a,a+=3,tmp));
t43=C_mutate2((C_word*)lf[217]+1 /* (set! chicken.posix#file-write ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4535,a[2]=((C_word)li103),tmp=(C_word)a,a+=3,tmp));
t44=C_mutate2((C_word*)lf[221]+1 /* (set! chicken.posix#file-mkstemp ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4575,a[2]=((C_word)li107),tmp=(C_word)a,a+=3,tmp));
t45=C_mutate2((C_word*)lf[87]+1 /* (set! chicken.posix#change-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4735,a[2]=((C_word)li108),tmp=(C_word)a,a+=3,tmp));
t46=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4775,a[2]=((C_word)li109),tmp=(C_word)a,a+=3,tmp);
t47=C_mutate2((C_word*)lf[235]+1 /* (set! chicken.posix#open-input-pipe ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4797,a[2]=t46,a[3]=((C_word)li110),tmp=(C_word)a,a+=4,tmp));
t48=C_mutate2((C_word*)lf[240]+1 /* (set! chicken.posix#open-output-pipe ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4837,a[2]=t46,a[3]=((C_word)li111),tmp=(C_word)a,a+=4,tmp));
t49=C_mutate2((C_word*)lf[242]+1 /* (set! chicken.posix#close-input-pipe ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4877,a[2]=((C_word)li112),tmp=(C_word)a,a+=3,tmp));
t50=C_mutate2((C_word*)lf[245]+1 /* (set! chicken.posix#close-output-pipe ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4895,a[2]=((C_word)li113),tmp=(C_word)a,a+=3,tmp));
t51=C_mutate2((C_word*)lf[248]+1 /* (set! chicken.posix#call-with-input-pipe ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4913,a[2]=((C_word)li116),tmp=(C_word)a,a+=3,tmp));
t52=C_mutate2((C_word*)lf[249]+1 /* (set! chicken.posix#call-with-output-pipe ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4937,a[2]=((C_word)li119),tmp=(C_word)a,a+=3,tmp));
t53=C_mutate2((C_word*)lf[250]+1 /* (set! chicken.posix#with-input-from-pipe ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4961,a[2]=((C_word)li124),tmp=(C_word)a,a+=3,tmp));
t54=C_mutate2((C_word*)lf[252]+1 /* (set! chicken.posix#with-output-to-pipe ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4995,a[2]=((C_word)li129),tmp=(C_word)a,a+=3,tmp));
t55=C_mutate2((C_word*)lf[254]+1 /* (set! chicken.posix#create-pipe ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5029,a[2]=((C_word)li130),tmp=(C_word)a,a+=3,tmp));
t56=C_mutate2((C_word*)lf[257]+1 /* (set! chicken.posix#signal/term ...) */,C_fix((C_word)SIGTERM));
t57=C_mutate2((C_word*)lf[258]+1 /* (set! chicken.posix#signal/int ...) */,C_fix((C_word)SIGINT));
t58=C_mutate2((C_word*)lf[259]+1 /* (set! chicken.posix#signal/fpe ...) */,C_fix((C_word)SIGFPE));
t59=C_mutate2((C_word*)lf[260]+1 /* (set! chicken.posix#signal/ill ...) */,C_fix((C_word)SIGILL));
t60=C_mutate2((C_word*)lf[261]+1 /* (set! chicken.posix#signal/segv ...) */,C_fix((C_word)SIGSEGV));
t61=C_mutate2((C_word*)lf[262]+1 /* (set! chicken.posix#signal/abrt ...) */,C_fix((C_word)SIGABRT));
t62=C_mutate2((C_word*)lf[263]+1 /* (set! chicken.posix#signal/break ...) */,C_fix((C_word)SIGBREAK));
t63=C_set_block_item(lf[264] /* chicken.posix#signal/alrm */,0,C_fix(0));
t64=C_set_block_item(lf[265] /* chicken.posix#signal/bus */,0,C_fix(0));
t65=C_set_block_item(lf[266] /* chicken.posix#signal/chld */,0,C_fix(0));
t66=C_set_block_item(lf[267] /* chicken.posix#signal/cont */,0,C_fix(0));
t67=C_set_block_item(lf[268] /* chicken.posix#signal/hup */,0,C_fix(0));
t68=C_set_block_item(lf[269] /* chicken.posix#signal/io */,0,C_fix(0));
t69=C_set_block_item(lf[270] /* chicken.posix#signal/kill */,0,C_fix(0));
t70=C_set_block_item(lf[271] /* chicken.posix#signal/pipe */,0,C_fix(0));
t71=C_set_block_item(lf[272] /* chicken.posix#signal/prof */,0,C_fix(0));
t72=C_set_block_item(lf[273] /* chicken.posix#signal/quit */,0,C_fix(0));
t73=C_set_block_item(lf[274] /* chicken.posix#signal/stop */,0,C_fix(0));
t74=C_set_block_item(lf[275] /* chicken.posix#signal/trap */,0,C_fix(0));
t75=C_set_block_item(lf[276] /* chicken.posix#signal/tstp */,0,C_fix(0));
t76=C_set_block_item(lf[277] /* chicken.posix#signal/urg */,0,C_fix(0));
t77=C_set_block_item(lf[278] /* chicken.posix#signal/usr1 */,0,C_fix(0));
t78=C_set_block_item(lf[279] /* chicken.posix#signal/usr2 */,0,C_fix(0));
t79=C_set_block_item(lf[280] /* chicken.posix#signal/vtalrm */,0,C_fix(0));
t80=C_set_block_item(lf[281] /* chicken.posix#signal/winch */,0,C_fix(0));
t81=C_set_block_item(lf[282] /* chicken.posix#signal/xcpu */,0,C_fix(0));
t82=C_set_block_item(lf[283] /* chicken.posix#signal/xfsz */,0,C_fix(0));
t83=C_a_i_list7(&a,7,*((C_word*)lf[257]+1),*((C_word*)lf[258]+1),*((C_word*)lf[259]+1),*((C_word*)lf[260]+1),*((C_word*)lf[261]+1),*((C_word*)lf[262]+1),*((C_word*)lf[263]+1));
t84=C_mutate2((C_word*)lf[284]+1 /* (set! chicken.posix#signals-list ...) */,t83);
t85=C_mutate2((C_word*)lf[285]+1 /* (set! chicken.posix#change-file-mode ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5091,a[2]=((C_word)li131),tmp=(C_word)a,a+=3,tmp));
t86=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5117,a[2]=((C_word)li132),tmp=(C_word)a,a+=3,tmp);
t87=C_mutate2((C_word*)lf[288]+1 /* (set! chicken.posix#file-read-access? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5137,a[2]=t86,a[3]=((C_word)li133),tmp=(C_word)a,a+=4,tmp));
t88=C_mutate2((C_word*)lf[290]+1 /* (set! chicken.posix#file-write-access? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5143,a[2]=t86,a[3]=((C_word)li134),tmp=(C_word)a,a+=4,tmp));
t89=C_mutate2((C_word*)lf[292]+1 /* (set! chicken.posix#file-execute-access? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5149,a[2]=t86,a[3]=((C_word)li135),tmp=(C_word)a,a+=4,tmp));
t90=C_mutate2((C_word*)lf[60]+1 /* (set! chicken.posix#fileno/stdin ...) */,C_fix((C_word)0));
t91=C_mutate2((C_word*)lf[61]+1 /* (set! chicken.posix#fileno/stdout ...) */,C_fix((C_word)1));
t92=C_mutate2((C_word*)lf[62]+1 /* (set! chicken.posix#fileno/stderr ...) */,C_fix((C_word)2));
t93=C_SCHEME_UNDEFINED;
t94=(*a=C_VECTOR_TYPE|1,a[1]=t93,tmp=(C_word)a,a+=2,tmp);
t95=C_SCHEME_UNDEFINED;
t96=(*a=C_VECTOR_TYPE|1,a[1]=t95,tmp=(C_word)a,a+=2,tmp);
t97=C_set_block_item(t94,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5158,a[2]=((C_word)li136),tmp=(C_word)a,a+=3,tmp));
t98=C_set_block_item(t96,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5195,a[2]=((C_word)li137),tmp=(C_word)a,a+=3,tmp));
t99=C_mutate2((C_word*)lf[74]+1 /* (set! chicken.posix#open-input-file* ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5217,a[2]=t96,a[3]=t94,a[4]=((C_word)li138),tmp=(C_word)a,a+=5,tmp));
t100=C_mutate2((C_word*)lf[76]+1 /* (set! chicken.posix#open-output-file* ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5231,a[2]=t96,a[3]=t94,a[4]=((C_word)li139),tmp=(C_word)a,a+=5,tmp));
t101=C_mutate2((C_word*)lf[15]+1 /* (set! chicken.posix#port->fileno ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5245,a[2]=((C_word)li140),tmp=(C_word)a,a+=3,tmp));
t102=C_mutate2((C_word*)lf[83]+1 /* (set! chicken.posix#duplicate-fileno ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5276,a[2]=((C_word)li141),tmp=(C_word)a,a+=3,tmp));
t103=C_mutate2((C_word*)lf[304]+1 /* (set! chicken.posix#local-timezone-abbreviation ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5306,a[2]=((C_word)li142),tmp=(C_word)a,a+=3,tmp));
t104=C_mutate2((C_word*)lf[305]+1 /* (set! chicken.posix#terminal-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5313,a[2]=((C_word)li143),tmp=(C_word)a,a+=3,tmp));
t105=C_mutate2((C_word*)lf[307]+1 /* (set! chicken.posix#terminal-size ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5331,a[2]=((C_word)li144),tmp=(C_word)a,a+=3,tmp));
t106=C_mutate2((C_word*)lf[310]+1 /* (set! chicken.posix#set-buffering-mode! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5346,a[2]=((C_word)li145),tmp=(C_word)a,a+=3,tmp));
t107=C_mutate2((C_word*)lf[317]+1 /* (set! chicken.posix#spawn/overlay ...) */,C_fix((C_word)P_OVERLAY));
t108=C_mutate2((C_word*)lf[318]+1 /* (set! chicken.posix#spawn/wait ...) */,C_fix((C_word)P_WAIT));
t109=C_mutate2((C_word*)lf[319]+1 /* (set! chicken.posix#spawn/nowait ...) */,C_fix((C_word)P_NOWAIT));
t110=C_mutate2((C_word*)lf[320]+1 /* (set! chicken.posix#spawn/nowaito ...) */,C_fix((C_word)P_NOWAITO));
t111=C_mutate2((C_word*)lf[321]+1 /* (set! chicken.posix#spawn/detach ...) */,C_fix((C_word)P_DETACH));
t112=C_mutate2(&lf[322] /* (set! chicken.posix#quote-arg-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5447,a[2]=((C_word)li147),tmp=(C_word)a,a+=3,tmp));
t113=C_mutate2((C_word*)lf[325]+1 /* (set! chicken.posix#process-execute ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5459,a[2]=((C_word)li150),tmp=(C_word)a,a+=3,tmp));
t114=C_mutate2((C_word*)lf[328]+1 /* (set! chicken.posix#process-spawn ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5539,a[2]=((C_word)li153),tmp=(C_word)a,a+=3,tmp));
t115=C_mutate2((C_word*)lf[331]+1 /* (set! ##sys#shell-command ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5622,a[2]=((C_word)li154),tmp=(C_word)a,a+=3,tmp));
t116=C_mutate2((C_word*)lf[335]+1 /* (set! ##sys#shell-command-arguments ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5643,a[2]=((C_word)li155),tmp=(C_word)a,a+=3,tmp));
t117=C_mutate2((C_word*)lf[337]+1 /* (set! chicken.posix#process-run ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5649,a[2]=((C_word)li156),tmp=(C_word)a,a+=3,tmp));
t118=C_mutate2((C_word*)lf[338]+1 /* (set! ##sys#process ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5739,a[2]=((C_word)li158),tmp=(C_word)a,a+=3,tmp));
t119=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5872,a[2]=((C_word)li164),tmp=(C_word)a,a+=3,tmp);
t120=C_mutate2((C_word*)lf[343]+1 /* (set! chicken.posix#process ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5956,a[2]=t119,a[3]=((C_word)li165),tmp=(C_word)a,a+=4,tmp));
t121=C_mutate2((C_word*)lf[345]+1 /* (set! chicken.posix#process* ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_6016,a[2]=t119,a[3]=((C_word)li166),tmp=(C_word)a,a+=4,tmp));
t122=C_mutate2((C_word*)lf[159]+1 /* (set! ##sys#process-wait ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6076,a[2]=((C_word)li167),tmp=(C_word)a,a+=3,tmp));
t123=C_mutate2((C_word*)lf[347]+1 /* (set! chicken.posix#get-host-name ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6088,a[2]=((C_word)li168),tmp=(C_word)a,a+=3,tmp));
t124=C_mutate2((C_word*)lf[350]+1 /* (set! chicken.posix#system-information ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6100,a[2]=((C_word)li169),tmp=(C_word)a,a+=3,tmp));
t125=C_mutate2((C_word*)lf[354]+1 /* (set! chicken.posix#current-user-name ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6131,a[2]=((C_word)li170),tmp=(C_word)a,a+=3,tmp));
t126=C_mutate2((C_word*)lf[357]+1 /* (set! chicken.posix#change-directory* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6146,a[2]=((C_word)li171),tmp=(C_word)a,a+=3,tmp));
t127=C_mutate2((C_word*)lf[359]+1 /* (set! chicken.posix#change-file-owner ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6152,a[2]=((C_word)li172),tmp=(C_word)a,a+=3,tmp));
t128=C_mutate2((C_word*)lf[361]+1 /* (set! chicken.posix#create-fifo ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6158,a[2]=((C_word)li173),tmp=(C_word)a,a+=3,tmp));
t129=C_mutate2((C_word*)lf[363]+1 /* (set! chicken.posix#create-session ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6164,a[2]=((C_word)li174),tmp=(C_word)a,a+=3,tmp));
t130=C_mutate2((C_word*)lf[365]+1 /* (set! chicken.posix#create-symbolic-link ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6170,a[2]=((C_word)li175),tmp=(C_word)a,a+=3,tmp));
t131=C_mutate2((C_word*)lf[367]+1 /* (set! chicken.posix#current-effective-group-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6176,a[2]=((C_word)li176),tmp=(C_word)a,a+=3,tmp));
t132=C_mutate2((C_word*)lf[369]+1 /* (set! chicken.posix#current-effective-user-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6182,a[2]=((C_word)li177),tmp=(C_word)a,a+=3,tmp));
t133=C_mutate2((C_word*)lf[371]+1 /* (set! chicken.posix#current-effective-user-name ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6188,a[2]=((C_word)li178),tmp=(C_word)a,a+=3,tmp));
t134=C_mutate2((C_word*)lf[373]+1 /* (set! chicken.posix#current-group-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6194,a[2]=((C_word)li179),tmp=(C_word)a,a+=3,tmp));
t135=C_mutate2((C_word*)lf[375]+1 /* (set! chicken.posix#current-user-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6200,a[2]=((C_word)li180),tmp=(C_word)a,a+=3,tmp));
t136=C_mutate2((C_word*)lf[377]+1 /* (set! chicken.posix#file-control ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6206,a[2]=((C_word)li181),tmp=(C_word)a,a+=3,tmp));
t137=C_mutate2((C_word*)lf[379]+1 /* (set! chicken.posix#file-link ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6212,a[2]=((C_word)li182),tmp=(C_word)a,a+=3,tmp));
t138=C_mutate2((C_word*)lf[381]+1 /* (set! chicken.posix#file-lock ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6218,a[2]=((C_word)li183),tmp=(C_word)a,a+=3,tmp));
t139=C_mutate2((C_word*)lf[383]+1 /* (set! chicken.posix#file-lock/blocking ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6224,a[2]=((C_word)li184),tmp=(C_word)a,a+=3,tmp));
t140=C_mutate2((C_word*)lf[385]+1 /* (set! chicken.posix#file-select ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6230,a[2]=((C_word)li185),tmp=(C_word)a,a+=3,tmp));
t141=C_mutate2((C_word*)lf[387]+1 /* (set! chicken.posix#file-test-lock ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6236,a[2]=((C_word)li186),tmp=(C_word)a,a+=3,tmp));
t142=C_mutate2((C_word*)lf[389]+1 /* (set! chicken.posix#file-truncate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6242,a[2]=((C_word)li187),tmp=(C_word)a,a+=3,tmp));
t143=C_mutate2((C_word*)lf[391]+1 /* (set! chicken.posix#file-unlock ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6248,a[2]=((C_word)li188),tmp=(C_word)a,a+=3,tmp));
t144=C_mutate2((C_word*)lf[393]+1 /* (set! chicken.posix#parent-process-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6254,a[2]=((C_word)li189),tmp=(C_word)a,a+=3,tmp));
t145=C_mutate2((C_word*)lf[395]+1 /* (set! chicken.posix#process-fork ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6260,a[2]=((C_word)li190),tmp=(C_word)a,a+=3,tmp));
t146=C_mutate2((C_word*)lf[397]+1 /* (set! chicken.posix#process-group-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6266,a[2]=((C_word)li191),tmp=(C_word)a,a+=3,tmp));
t147=C_mutate2((C_word*)lf[399]+1 /* (set! chicken.posix#process-signal ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6272,a[2]=((C_word)li192),tmp=(C_word)a,a+=3,tmp));
t148=C_mutate2((C_word*)lf[401]+1 /* (set! chicken.posix#read-symbolic-link ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6278,a[2]=((C_word)li193),tmp=(C_word)a,a+=3,tmp));
t149=C_mutate2((C_word*)lf[403]+1 /* (set! chicken.posix#set-alarm! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6284,a[2]=((C_word)li194),tmp=(C_word)a,a+=3,tmp));
t150=C_mutate2((C_word*)lf[405]+1 /* (set! chicken.posix#set-root-directory! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6302,a[2]=((C_word)li195),tmp=(C_word)a,a+=3,tmp));
t151=C_mutate2((C_word*)lf[407]+1 /* (set! chicken.posix#set-signal-mask! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6308,a[2]=((C_word)li196),tmp=(C_word)a,a+=3,tmp));
t152=C_mutate2((C_word*)lf[409]+1 /* (set! chicken.posix#signal-mask ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6320,a[2]=((C_word)li197),tmp=(C_word)a,a+=3,tmp));
t153=C_mutate2((C_word*)lf[411]+1 /* (set! chicken.posix#signal-mask! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6326,a[2]=((C_word)li198),tmp=(C_word)a,a+=3,tmp));
t154=C_mutate2((C_word*)lf[413]+1 /* (set! chicken.posix#signal-masked? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6332,a[2]=((C_word)li199),tmp=(C_word)a,a+=3,tmp));
t155=C_mutate2((C_word*)lf[415]+1 /* (set! chicken.posix#signal-unmask! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6338,a[2]=((C_word)li200),tmp=(C_word)a,a+=3,tmp));
t156=C_mutate2((C_word*)lf[417]+1 /* (set! chicken.posix#terminal-name ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6344,a[2]=((C_word)li201),tmp=(C_word)a,a+=3,tmp));
t157=C_mutate2((C_word*)lf[419]+1 /* (set! chicken.posix#user-information ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6350,a[2]=((C_word)li202),tmp=(C_word)a,a+=3,tmp));
t158=C_mutate2((C_word*)lf[421]+1 /* (set! chicken.posix#utc-time->seconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6356,a[2]=((C_word)li203),tmp=(C_word)a,a+=3,tmp));
t159=C_mutate2((C_word*)lf[423]+1 /* (set! chicken.posix#string->time ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6362,a[2]=((C_word)li204),tmp=(C_word)a,a+=3,tmp));
t160=C_mutate2((C_word*)lf[47]+1 /* (set! chicken.posix#fifo? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6368,a[2]=((C_word)li205),tmp=(C_word)a,a+=3,tmp));
t161=C_set_block_item(lf[425] /* chicken.posix#fcntl/dupfd */,0,C_fix(0));
t162=C_set_block_item(lf[426] /* chicken.posix#fcntl/getfd */,0,C_fix(0));
t163=C_set_block_item(lf[427] /* chicken.posix#fcntl/setfd */,0,C_fix(0));
t164=C_set_block_item(lf[428] /* chicken.posix#fcntl/getfl */,0,C_fix(0));
t165=C_set_block_item(lf[429] /* chicken.posix#fcntl/setfl */,0,C_fix(0));
t166=C_set_block_item(lf[430] /* chicken.posix#open/fsync */,0,C_fix(0));
t167=C_set_block_item(lf[431] /* chicken.posix#open/noctty */,0,C_fix(0));
t168=C_set_block_item(lf[432] /* chicken.posix#open/nonblock */,0,C_fix(0));
t169=C_set_block_item(lf[433] /* chicken.posix#open/sync */,0,C_fix(0));
t170=C_set_block_item(lf[434] /* chicken.posix#perm/isgid */,0,C_fix(0));
t171=C_set_block_item(lf[435] /* chicken.posix#perm/isuid */,0,C_fix(0));
t172=C_set_block_item(lf[436] /* chicken.posix#perm/isvtx */,0,C_fix(0));
t173=C_a_i_provide(&a,1,lf[437]);
t174=C_mutate2((C_word*)lf[438]+1 /* (set! chicken.errno#errno/2big ...) */,C_fix((C_word)E2BIG));
t175=C_mutate2((C_word*)lf[439]+1 /* (set! chicken.errno#errno/acces ...) */,C_fix((C_word)EACCES));
t176=C_mutate2((C_word*)lf[440]+1 /* (set! chicken.errno#errno/again ...) */,C_fix((C_word)EAGAIN));
t177=C_mutate2((C_word*)lf[441]+1 /* (set! chicken.errno#errno/badf ...) */,C_fix((C_word)EBADF));
t178=C_mutate2((C_word*)lf[442]+1 /* (set! chicken.errno#errno/busy ...) */,C_fix((C_word)EBUSY));
t179=C_mutate2((C_word*)lf[443]+1 /* (set! chicken.errno#errno/child ...) */,C_fix((C_word)ECHILD));
t180=C_mutate2((C_word*)lf[444]+1 /* (set! chicken.errno#errno/deadlk ...) */,C_fix((C_word)EDEADLK));
t181=C_mutate2((C_word*)lf[445]+1 /* (set! chicken.errno#errno/dom ...) */,C_fix((C_word)EDOM));
t182=C_mutate2((C_word*)lf[446]+1 /* (set! chicken.errno#errno/exist ...) */,C_fix((C_word)EEXIST));
t183=C_mutate2((C_word*)lf[447]+1 /* (set! chicken.errno#errno/fault ...) */,C_fix((C_word)EFAULT));
t184=C_mutate2((C_word*)lf[448]+1 /* (set! chicken.errno#errno/fbig ...) */,C_fix((C_word)EFBIG));
t185=C_mutate2((C_word*)lf[449]+1 /* (set! chicken.errno#errno/ilseq ...) */,C_fix((C_word)EILSEQ));
t186=C_mutate2((C_word*)lf[450]+1 /* (set! chicken.errno#errno/intr ...) */,C_fix((C_word)EINTR));
t187=C_mutate2((C_word*)lf[451]+1 /* (set! chicken.errno#errno/inval ...) */,C_fix((C_word)EINVAL));
t188=C_mutate2((C_word*)lf[452]+1 /* (set! chicken.errno#errno/io ...) */,C_fix((C_word)EIO));
t189=C_mutate2((C_word*)lf[453]+1 /* (set! chicken.errno#errno/isdir ...) */,C_fix((C_word)EISDIR));
t190=C_mutate2((C_word*)lf[454]+1 /* (set! chicken.errno#errno/mfile ...) */,C_fix((C_word)EMFILE));
t191=C_mutate2((C_word*)lf[455]+1 /* (set! chicken.errno#errno/mlink ...) */,C_fix((C_word)EMLINK));
t192=C_mutate2((C_word*)lf[456]+1 /* (set! chicken.errno#errno/nametoolong ...) */,C_fix((C_word)ENAMETOOLONG));
t193=C_mutate2((C_word*)lf[457]+1 /* (set! chicken.errno#errno/nfile ...) */,C_fix((C_word)ENFILE));
t194=C_mutate2((C_word*)lf[458]+1 /* (set! chicken.errno#errno/nodev ...) */,C_fix((C_word)ENODEV));
t195=C_mutate2((C_word*)lf[459]+1 /* (set! chicken.errno#errno/noent ...) */,C_fix((C_word)ENOENT));
t196=C_mutate2((C_word*)lf[460]+1 /* (set! chicken.errno#errno/noexec ...) */,C_fix((C_word)ENOEXEC));
t197=C_mutate2((C_word*)lf[461]+1 /* (set! chicken.errno#errno/nolck ...) */,C_fix((C_word)ENOLCK));
t198=C_mutate2((C_word*)lf[462]+1 /* (set! chicken.errno#errno/nomem ...) */,C_fix((C_word)ENOMEM));
t199=C_mutate2((C_word*)lf[463]+1 /* (set! chicken.errno#errno/nospc ...) */,C_fix((C_word)ENOSPC));
t200=C_mutate2((C_word*)lf[464]+1 /* (set! chicken.errno#errno/nosys ...) */,C_fix((C_word)ENOSYS));
t201=C_mutate2((C_word*)lf[465]+1 /* (set! chicken.errno#errno/notdir ...) */,C_fix((C_word)ENOTDIR));
t202=C_mutate2((C_word*)lf[466]+1 /* (set! chicken.errno#errno/notempty ...) */,C_fix((C_word)ENOTEMPTY));
t203=C_mutate2((C_word*)lf[467]+1 /* (set! chicken.errno#errno/notty ...) */,C_fix((C_word)ENOTTY));
t204=C_mutate2((C_word*)lf[468]+1 /* (set! chicken.errno#errno/nxio ...) */,C_fix((C_word)ENXIO));
t205=C_mutate2((C_word*)lf[469]+1 /* (set! chicken.errno#errno/perm ...) */,C_fix((C_word)EPERM));
t206=C_mutate2((C_word*)lf[470]+1 /* (set! chicken.errno#errno/pipe ...) */,C_fix((C_word)EPIPE));
t207=C_mutate2((C_word*)lf[471]+1 /* (set! chicken.errno#errno/range ...) */,C_fix((C_word)ERANGE));
t208=C_mutate2((C_word*)lf[472]+1 /* (set! chicken.errno#errno/rofs ...) */,C_fix((C_word)EROFS));
t209=C_mutate2((C_word*)lf[473]+1 /* (set! chicken.errno#errno/spipe ...) */,C_fix((C_word)ESPIPE));
t210=C_mutate2((C_word*)lf[474]+1 /* (set! chicken.errno#errno/srch ...) */,C_fix((C_word)ESRCH));
t211=C_mutate2((C_word*)lf[475]+1 /* (set! chicken.errno#errno/wouldblock ...) */,C_fix((C_word)EWOULDBLOCK));
t212=C_mutate2((C_word*)lf[476]+1 /* (set! chicken.errno#errno/xdev ...) */,C_fix((C_word)EXDEV));
t213=C_a_i_provide(&a,1,lf[477]);
t214=C_a_i_provide(&a,1,lf[478]);
t215=C_a_i_provide(&a,1,lf[479]);
t216=C_mutate2((C_word*)lf[480]+1 /* (set! chicken.process#system* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6422,a[2]=((C_word)li206),tmp=(C_word)a,a+=3,tmp));
t217=C_mutate2((C_word*)lf[483]+1 /* (set! chicken.process#qs ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6438,a[2]=((C_word)li209),tmp=(C_word)a,a+=3,tmp));
t218=C_a_i_provide(&a,1,lf[491]);
t219=C_a_i_provide(&a,1,lf[492]);
t220=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t220;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t220+1)))(2,av2);}}

/* chicken.posix#process-wait in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3987(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_3987,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_i_car(t2));
t5=C_i_nullp(t2);
t6=(C_truep(t5)?C_SCHEME_END_OF_LIST:C_i_cdr(t2));
t7=C_i_nullp(t6);
t8=(C_truep(t7)?C_SCHEME_FALSE:C_i_car(t6));
t9=t8;
t10=C_i_nullp(t6);
t11=(C_truep(t10)?C_SCHEME_END_OF_LIST:C_i_cdr(t6));
t12=(C_truep(t4)?t4:C_fix(-1));
t13=t12;
t14=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4006,a[2]=t13,a[3]=t9,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:697: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t14;
av2[2]=t13;
av2[3]=lf[161];
tp(4,av2);}}

/* k4434 in k4428 in chicken.posix#file-open in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4436(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_4436,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4439,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm:749: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[206];
tp(4,av2);}}

/* k4437 in k4434 in k4428 in chicken.posix#file-open in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4439(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_4439,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4443,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm:750: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[206];
tp(4,av2);}}

/* k3983 in chicken.posix#process-sleep in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3985(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3985,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_process_sleep(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.posix#process-sleep in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3981(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_3981,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3985,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:690: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[157];
tp(4,av2);}}

/* k5683 in k5679 in k5807 in k5803 in k5799 in k5795 in k5791 in k5747 in process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 in ... */
static void C_ccall f_5685(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_5685,2,av);}
t2=(C_truep(((C_word*)t0)[2])?C_i_foreign_pointer_argumentp(((C_word*)t0)[2]):C_SCHEME_FALSE);
t3=(C_truep(((C_word*)t0)[3])?C_i_foreign_pointer_argumentp(((C_word*)t0)[3]):C_SCHEME_FALSE);
t4=(C_truep(((C_word*)t0)[4])?C_i_foreign_pointer_argumentp(((C_word*)t0)[4]):C_SCHEME_FALSE);
t5=(C_truep(((C_word*)t0)[5])?C_i_foreign_pointer_argumentp(((C_word*)t0)[5]):C_SCHEME_FALSE);
t6=C_i_foreign_fixnum_argumentp(((C_word*)t0)[6]);
t7=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t7;
av2[1]=stub1381(C_SCHEME_UNDEFINED,((C_word*)t0)[8],t1,C_SCHEME_FALSE,t2,t3,t4,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* k4444 in k4441 in k4437 in k4434 in k4428 in chicken.posix#file-open in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4446(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4446,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k5679 in k5807 in k5803 in k5799 in k5795 in k5791 in k5747 in process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5681(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_5681,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_5685,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
if(C_truep(((C_word*)t0)[8])){
t4=C_i_foreign_string_argumentp(((C_word*)t0)[8]);
/* posixwin.scm:1221: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_5685(2,av2);}}}

/* chicken.posix#signal-mask in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6320(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6320,2,av);}
/* posixwin.scm:1353: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[410];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* chicken.posix#signal-mask! in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6326(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6326,2,av);}
/* posixwin.scm:1354: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[412];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k6139 in chicken.posix#current-user-name in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6141(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6141,2,av);}
/* posixwin.scm:1313: ##sys#error */
t2=*((C_word*)lf[64]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[355];
av2[3]=lf[356];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* chicken.posix#change-directory* in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6146,2,av);}
/* posixwin.scm:1324: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[358];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2491 in k2478 in stat in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2493(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2493,2,av);}
if(C_truep(((C_word*)t0)[2])){
t2=C_lstat(t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
f_2459(2,av2);}}
else{
t2=C_stat(t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
f_2459(2,av2);}}}

/* f_2855 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2855(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_2855,3,av);}
a=C_alloc(4);
t3=t2;
t4=C_i_check_port_2(t3,C_fix(0),C_SCHEME_TRUE,lf[78]);
t5=C_slot(t2,C_fix(7));
t6=C_eqp(lf[41],t5);
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2871,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:403: ##sys#port-data */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[79]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[79]+1);
av2[1]=t7;
av2[2]=t2;
tp(3,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2894,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:404: ##sys#peek-unsigned-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[82]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[82]+1);
av2[1]=t7;
av2[2]=t2;
av2[3]=C_fix(0);
tp(4,av2);}}}

/* k2851 in k2843 */
static void C_ccall f_2853(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(2,c,5)))){
C_save_and_reclaim((void *)f_2853,2,av);}
a=C_alloc(2);
t2=C_fdopen(&a,2,((C_word*)t0)[2],t1);
/* posix-common.scm:393: check */
f_2808(((C_word*)t0)[4],lf[77],((C_word*)t0)[2],C_SCHEME_FALSE,t2);}

/* chicken.posix#current-user-name in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6131(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_6131,2,av);}
a=C_alloc(3);
if(C_truep(C_get_user_name())){
/* ##sys#peek-c-string */
t2=*((C_word*)lf[8]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=C_mpointer(&a,(void*)C_username);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6141,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm:1312: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[9]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[9]+1);
av2[1]=t2;
tp(2,av2);}}}

/* k2690 */
static void C_ccall f_2692(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2692,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_eqp(lf[40],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.posix#socket? in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2694(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_2694,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2702,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:308: file-type */
t4=*((C_word*)lf[34]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k2843 */
static void C_ccall f_2845(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_2845,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2853,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:393: mode */
f_2771(t2,C_SCHEME_FALSE,((C_word*)t0)[6],lf[77]);}

/* f_2841 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2841(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_2841,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+7);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2845,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=((C_word*)t0)[3],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* posix-common.scm:392: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[77];
tp(4,av2);}}

/* a3501 in k3483 in k3539 in k3449 in k3440 in loop in k3425 in k3418 in k3415 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3502(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_3502,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3510,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* posix-common.scm:558: directory */
t3=*((C_word*)lf[106]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[7];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* chicken.posix#time->string in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3796(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_3796,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3803,a[2]=t6,a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:626: check-time-vector */
f_3642(t7,lf[143],t2);}

/* k4463 in chicken.posix#file-close in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4465(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_4465,2,av);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4470,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word)li100),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];{
C_word *av2=av;
av2[0]=t5;
av2[1]=((C_word*)t0)[3];
f_4470(2,av2);}}

/* k2457 in stat in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2459(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_2459,2,av);}
if(C_truep(C_fixnum_lessp(t1,C_fix(0)))){
if(C_truep(((C_word*)t0)[2])){
/* posix-common.scm:248: posix-error */
t2=lf[4];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[13];
av2[3]=((C_word*)t0)[4];
av2[4]=lf[14];
av2[5]=((C_word*)t0)[5];
f_2416(6,av2);}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.posix#file-close in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4461(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_4461,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4465,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:758: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[210];
tp(4,av2);}}

/* ##sys#stat in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2455(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_2455,6,av);}
a=C_alloc(12);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2459,a[2]=t4,a[3]=t1,a[4]=t5,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnump(t2))){
t7=t6;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_fstat(t2);
f_2459(2,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2480,a[2]=t6,a[3]=t2,a[4]=t3,a[5]=t5,tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:234: port? */
t8=*((C_word*)lf[20]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}

/* k3530 in k3483 in k3539 in k3449 in k3440 in loop in k3425 in k3418 in k3415 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3532,2,av);}
/* posix-common.scm:560: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_3429(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],t1);}

/* k3533 in k3483 in k3539 in k3449 in k3440 in loop in k3425 in k3418 in k3415 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3535(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3535,2,av);}
if(C_truep(t1)){
/* posix-common.scm:560: action */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}
else{
t2=((C_word*)t0)[5];
/* posix-common.scm:560: loop */
t3=((C_word*)((C_word*)t0)[6])[1];
f_3429(t3,((C_word*)t0)[7],((C_word*)t0)[8],((C_word*)t0)[9],t2);}}

/* k2482 in k2478 in stat in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2484,2,av);}
t2=C_fstat(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
f_2459(2,av2);}}

/* k2478 in stat in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2480(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,5)))){
C_save_and_reclaim((void *)f_2480,2,av);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2484,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:234: port->fileno */
t3=*((C_word*)lf[15]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[3]))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2493,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2500,a[2]=t2,a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:237: ##sys#platform-fixup-pathname */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[17]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[17]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* posix-common.scm:244: ##sys#signal-hook */
t2=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[18];
av2[3]=((C_word*)t0)[5];
av2[4]=lf[19];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}}

/* k4849 in chicken.posix#open-output-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4851(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_4851,2,av);}
/* posixwin.scm:871: check */
f_4775(((C_word*)t0)[3],((C_word*)t0)[4],C_SCHEME_FALSE,t1);}

/* loop in k4463 in chicken.posix#file-close in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4470(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_4470,2,av);}
t2=C_close(((C_word*)t0)[2]);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t3=C_fix((C_word)errno);
if(C_truep(C_i_eqvp(t3,C_fix((C_word)EINTR)))){
/* posixwin.scm:762: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[209]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[209]+1);
av2[1]=t1;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}
else{
/* posixwin.scm:764: posix-error */
t4=lf[4];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[13];
av2[3]=lf[210];
av2[4]=lf[211];
av2[5]=((C_word*)t0)[2];
f_2416(6,av2);}}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k3144 in k3061 in chicken.posix#create-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_3146,2,av);}
t2=C_mkdir(t1);
t3=C_eqp(C_fix(0),t2);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
/* posix-common.scm:463: posix-error */
t4=lf[4];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[13];
av2[3]=lf[100];
av2[4]=lf[101];
av2[5]=((C_word*)t0)[3];
f_2416(6,av2);}}}

/* k4856 in chicken.posix#open-output-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4858(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(2,c,4)))){
C_save_and_reclaim((void *)f_4858,2,av);}
a=C_alloc(2);
t2=open_text_output_pipe(&a,1,t1);
/* posixwin.scm:871: check */
f_4775(((C_word*)t0)[3],((C_word*)t0)[4],C_SCHEME_FALSE,t2);}

/* k3539 in k3449 in k3440 in loop in k3425 in k3418 in k3415 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3541(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,2)))){
C_save_and_reclaim((void *)f_3541,2,av);}
a=C_alloc(16);
t2=(C_truep(t1)?C_i_not(((C_word*)t0)[2]):C_SCHEME_FALSE);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3473,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_3476,a[2]=((C_word*)t0)[7],a[3]=t3,a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[9],a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],tmp=(C_word)a,a+=10,tmp);
/* posix-common.scm:552: pproc */
t5=((C_word*)t0)[10];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_3485,a[2]=((C_word*)t0)[11],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[12],tmp=(C_word)a,a+=12,tmp);
/* posix-common.scm:553: lproc */
t4=((C_word*)t0)[13];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[8];
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}}

/* k2869 */
static void C_ccall f_2871(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2871,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_slot(t1,C_fix(0));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k3508 in a3501 in k3483 in k3539 in k3449 in k3440 in loop in k3425 in k3418 in k3415 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 in ... */
static void C_ccall f_3510(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_3510,2,av);}
a=C_alloc(15);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3514,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_3517,a[2]=((C_word*)t0)[5],a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[3],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
/* posix-common.scm:559: pproc */
t5=((C_word*)t0)[7];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k3512 in k3508 in a3501 in k3483 in k3539 in k3449 in k3440 in loop in k3425 in k3418 in k3415 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in ... */
static void C_ccall f_3514(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3514,2,av);}
/* posix-common.scm:557: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_3429(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],t1);}

/* k3515 in k3508 in a3501 in k3483 in k3539 in k3449 in k3440 in loop in k3425 in k3418 in k3415 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in ... */
static void C_ccall f_3517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3517,2,av);}
if(C_truep(t1)){
/* posix-common.scm:559: action */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}
else{
t2=((C_word*)t0)[5];
/* posix-common.scm:557: loop */
t3=((C_word*)((C_word*)t0)[6])[1];
f_3429(t3,((C_word*)t0)[7],((C_word*)t0)[4],((C_word*)t0)[8],t2);}}

/* k3758 in k3754 in chicken.posix#local-time->seconds in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3760(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_3760,2,av);}
a=C_alloc(7);
t2=C_a_mktime(&a,2,((C_word*)t0)[2],t1);
if(C_truep(C_i_nequalp(C_fix(-1),t2))){
/* posix-common.scm:618: ##sys#error */
t3=*((C_word*)lf[64]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[140];
av2[3]=lf[141];
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k4670 in suffix-loop in loop in k4595 in k4592 in k4586 in k4583 in chicken.posix#file-mkstemp in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4672(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4672,2,av);}
t2=C_i_string_ref(((C_word*)t0)[2],t1);
t3=C_i_string_set(((C_word*)t0)[3],((C_word*)t0)[4],t2);
t4=C_fixnum_difference(((C_word*)t0)[4],C_fix(1));
/* posixwin.scm:816: suffix-loop */
t5=((C_word*)((C_word*)t0)[5])[1];
f_4649(t5,((C_word*)t0)[6],t4);}

/* a5485 in chicken.posix#process-execute in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5486(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_5486,5,av);}
t5=C_flushall();
t6=(C_truep(t4)?C_u_i_execve(t2,t3,t4):C_u_i_execvp(t2,t3));
t7=C_eqp(t6,C_fix(-1));
if(C_truep(t7)){
/* posixwin.scm:1164: posix-error */
t8=lf[4];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t8;
av2[1]=t1;
av2[2]=lf[160];
av2[3]=lf[326];
av2[4]=lf[327];
av2[5]=((C_word*)t0)[2];
f_2416(6,av2);}}
else{
t8=C_SCHEME_UNDEFINED;
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* a3521 in k3483 in k3539 in k3449 in k3440 in loop in k3425 in k3418 in k3415 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3522(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3522,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate2(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k3754 in chicken.posix#local-time->seconds in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3756(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_3756,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3760,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:616: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[91]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[91]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=C_make_character(0);
tp(4,av2);}}

/* chicken.posix#local-time->seconds in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3752(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_3752,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3756,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:615: check-time-vector */
f_3642(t3,lf[140],t2);}

/* k4689 in k4592 in k4586 in k4583 in chicken.posix#file-mkstemp in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4691(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_4691,2,av);}
if(C_truep(t1)){
t2=C_eqp(((C_word*)t0)[2],((C_word*)t0)[3]);
if(C_truep(t2)){
/* posixwin.scm:811: ##sys#signal-hook */
t3=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
av2[2]=lf[13];
av2[3]=lf[222];
av2[4]=lf[226];
av2[5]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
f_4597(2,av2);}}}
else{
/* posixwin.scm:809: ##sys#signal-hook */
t2=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[4];
av2[2]=lf[13];
av2[3]=lf[222];
av2[4]=lf[227];
av2[5]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* k4693 in k4592 in k4586 in k4583 in chicken.posix#file-mkstemp in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4695(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4695,2,av);}
if(C_truep(t1)){
t2=t1;
/* posixwin.scm:805: directory-exists? */
t3=*((C_word*)lf[228]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
/* posixwin.scm:805: directory-exists? */
t2=*((C_word*)lf[228]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[229];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}}

/* a3323 in conc-loop in chicken.posix#glob in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3324(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_3324,2,av);}
/* posix-common.scm:515: chicken.pathname#decompose-pathname */
t2=*((C_word*)lf[103]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k3332 in a3329 in conc-loop in chicken.posix#glob in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3334(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_3334,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_3341,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[4])){
/* posix-common.scm:517: directory */
t4=*((C_word*)lf[106]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}
else{
/* posix-common.scm:517: directory */
t4=*((C_word*)lf[106]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[112];
av2[3]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}

/* a3329 in conc-loop in chicken.posix#glob in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3330(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_3330,5,av);}
a=C_alloc(9);
t5=t2;
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3334,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t5,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3404,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
if(C_truep(t3)){
t8=t3;
/* posix-common.scm:516: chicken.pathname#make-pathname */
t9=*((C_word*)lf[104]+1);{
C_word *av2=av;
av2[0]=t9;
av2[1]=t7;
av2[2]=C_SCHEME_FALSE;
av2[3]=t8;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}
else{
/* posix-common.scm:516: chicken.pathname#make-pathname */
t8=*((C_word*)lf[104]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=C_SCHEME_FALSE;
av2[3]=lf[114];
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}}

/* k4450 in k4441 in k4437 in k4434 in k4428 in chicken.posix#file-open in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4452(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,7)))){
C_save_and_reclaim((void *)f_4452,2,av);}
/* posixwin.scm:753: ##sys#signal-hook */
t2=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 8) {
  av2=av;
} else {
  av2=C_alloc(8);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[13];
av2[3]=lf[206];
av2[4]=lf[207];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
av2[7]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t2+1)))(8,av2);}}

/* k5668 in k5664 in k5651 in chicken.posix#process-run in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5670(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_5670,2,av);}
/* posixwin.scm:1198: process-spawn */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[328]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[328]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[319]+1);
av2[3]=((C_word*)t0)[3];
av2[4]=t1;
tp(5,av2);}}

/* k2892 */
static void C_ccall f_2894(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_2894,2,av);}
a=C_alloc(4);
if(C_truep(C_i_zerop(t1))){
/* posix-common.scm:409: posix-error */
t2=lf[4];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[18];
av2[3]=lf[78];
av2[4]=lf[80];
av2[5]=((C_word*)t0)[3];
f_2416(6,av2);}}
else{
t2=C_C_fileno(((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2880,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
/* posix-common.scm:407: posix-error */
t4=lf[4];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[13];
av2[3]=lf[78];
av2[4]=lf[81];
av2[5]=((C_word*)t0)[3];
f_2416(6,av2);}}
else{
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}

/* k5664 in k5651 in chicken.posix#process-run in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5666(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_5666,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5670,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1198: ##sys#shell-command-arguments */
t4=*((C_word*)lf[335]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k5754 in k5747 in process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5756(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_5756,2,av);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_5766,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
if(C_truep(((C_word*)t0)[8])){
/* posixwin.scm:1241: open-input-file* */
t3=*((C_word*)lf[74]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_fix((C_word)*((int *)C_data_pointer(((C_word*)t0)[9])));
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_5766(2,av2);}}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5786,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[10],a[4]=((C_word*)t0)[11],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:1246: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[9]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[9]+1);
av2[1]=t2;
tp(2,av2);}}}

/* conc-loop in chicken.posix#glob in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_3309(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,5)))){
C_save_and_reclaim_args((void *)trf_3309,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3324,a[2]=t4,a[3]=((C_word)li35),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3330,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li38),tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:515: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=t5;
av2[3]=t6;
C_call_with_values(4,av2);}}}

/* k2878 in k2892 */
static void C_ccall f_2880(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2880,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.posix#file-truncate in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6242(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6242,2,av);}
/* posixwin.scm:1340: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[390];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* chicken.posix#file-unlock in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6248(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6248,2,av);}
/* posixwin.scm:1341: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[392];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k5747 in process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5749(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(35,c,5)))){
C_save_and_reclaim((void *)f_5749,2,av);}
a=C_alloc(35);
t2=t1;
t3=C_a_i_bytevector(&a,1,C_fix(1));
t4=((*(int *)C_data_pointer(t3))=C_unfix(C_fix(-1)),C_SCHEME_UNDEFINED);
t5=C_a_i_bytevector(&a,1,C_fix(1));
t6=((*(int *)C_data_pointer(t5))=C_unfix(C_fix(-1)),C_SCHEME_UNDEFINED);
t7=C_a_i_bytevector(&a,1,C_fix(1));
t8=((*(int *)C_data_pointer(t7))=C_unfix(C_fix(-1)),C_SCHEME_UNDEFINED);
t9=C_a_i_bytevector(&a,1,C_fix(1));
t10=((*(int *)C_data_pointer(t9))=C_unfix(C_fix(-1)),C_SCHEME_UNDEFINED);
t11=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_5756,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t9,a[6]=((C_word*)t0)[4],a[7]=t5,a[8]=((C_word*)t0)[5],a[9]=t7,a[10]=((C_word*)t0)[6],a[11]=t2,tmp=(C_word)a,a+=12,tmp);
t12=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_5793,a[2]=t11,a[3]=((C_word*)t0)[7],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[3],a[8]=t9,a[9]=t7,a[10]=t5,tmp=(C_word)a,a+=11,tmp);
/* posixwin.scm:1236: ##sys#make-locative */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[340]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[340]+1);
av2[1]=t12;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=C_SCHEME_FALSE;
av2[5]=lf[341];
tp(6,av2);}}

/* k3591 in chicken.posix#find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3593(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_3593,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3596,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3625,a[2]=((C_word)li54),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:564: ##sys#get-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[121]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[121]+1);
av2[1]=t3;
av2[2]=lf[124];
av2[3]=((C_word*)t0)[4];
av2[4]=t4;
tp(5,av2);}}

/* k3594 in k3591 in chicken.posix#find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3596(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_3596,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_3599,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3622,a[2]=((C_word)li52),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:564: ##sys#get-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[121]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[121]+1);
av2[1]=t3;
av2[2]=lf[123];
av2[3]=((C_word*)t0)[5];
av2[4]=t4;
tp(5,av2);}}

/* k3597 in k3594 in k3591 in chicken.posix#find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3599(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_3599,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3602,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3619,a[2]=((C_word)li51),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:564: ##sys#get-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[121]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[121]+1);
av2[1]=t3;
av2[2]=lf[122];
av2[3]=((C_word*)t0)[6];
av2[4]=t4;
tp(5,av2);}}

/* a3116 in k3061 in chicken.posix#create-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3117(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_3117,2,av);}
/* posix-common.scm:471: chicken.pathname#decompose-pathname */
t2=*((C_word*)lf[103]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k3113 in loop in k3071 in k3061 in chicken.posix#create-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3115(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3115,2,av);}
t2=((C_word*)t0)[2];
f_3082(t2,C_i_not(t1));}

/* chicken.posix#process-execute in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5459(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +7,c,7)))){
C_save_and_reclaim((void*)f_5459,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+7);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_END_OF_LIST:C_i_car(t3));
t6=C_i_nullp(t3);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t3));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_SCHEME_FALSE:C_i_car(t7));
t10=C_i_nullp(t7);
t11=(C_truep(t10)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t12=C_i_nullp(t11);
t13=(C_truep(t12)?C_SCHEME_FALSE:C_i_car(t11));
t14=C_i_nullp(t11);
t15=(C_truep(t14)?C_SCHEME_END_OF_LIST:C_i_cdr(t11));
t16=(C_truep(t13)?(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5500,a[2]=((C_word)li148),tmp=(C_word)a,a+=3,tmp):lf[322]);
t17=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5486,a[2]=t2,a[3]=((C_word)li149),tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1156: call-with-exec-args */
t18=lf[177];
f_4258(t18,t1,lf[326],t2,t16,t5,t9,t17);}

/* chicken.posix#file-select in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6230(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6230,2,av);}
/* posixwin.scm:1338: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[386];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* chicken.posix#file-test-lock in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6236(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6236,2,av);}
/* posixwin.scm:1339: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[388];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k4177 in chicken.posix#free-c-string-buffer in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4179(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_4179,2,av);}
a=C_alloc(8);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4184,a[2]=t2,a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=((C_word)li84),tmp=(C_word)a,a+=6,tmp));
t6=((C_word*)t4)[1];
f_4184(t6,((C_word*)t0)[3],C_fix(0));}

/* k4169 in a4094 in a4073 in k4064 in chicken.posix#list->c-string-buffer in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4171(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_4171,2,av);}
a=C_alloc(3);
/* tmp22325 */
t2=((C_word*)t0)[2];
f_4154(t2,((C_word*)t0)[3],C_a_i_list(&a,1,t1));}

/* chicken.posix#free-c-string-buffer in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_4175(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_4175,2,t1,t2);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4179,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:738: chicken.memory#pointer-vector-length */
t4=*((C_word*)lf[174]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k5636 in k5624 in shell-command in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5638(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_5638,2,av);}
/* posixwin.scm:1188: ##sys#error */
t2=*((C_word*)lf[64]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[331];
av2[3]=lf[332];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* a3122 in k3061 in chicken.posix#create-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3123(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3123,5,av);}
if(C_truep(t3)){
/* posix-common.scm:472: chicken.pathname#make-pathname */
t5=*((C_word*)lf[104]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t5=t2;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* chicken.posix#process* in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6016(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,7)))){
C_save_and_reclaim((void*)f_6016,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=C_i_nullp(t3);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t3));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_SCHEME_FALSE:C_i_car(t7));
t10=C_i_nullp(t7);
t11=(C_truep(t10)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t12=C_i_nullp(t11);
t13=(C_truep(t12)?C_SCHEME_FALSE:C_i_car(t11));
if(C_truep(C_i_nullp(t11))){
/* posixwin.scm:1275: %process */
f_5872(t1,lf[346],C_SCHEME_TRUE,t2,t5,t9,t13);}
else{
t14=C_i_cdr(t11);
/* posixwin.scm:1275: %process */
f_5872(t1,lf[346],C_SCHEME_TRUE,t2,t5,t9,t13);}}

/* loop in k3339 in k3332 in a3329 in conc-loop in chicken.posix#glob in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_3343(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_3343,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_nullp(t2))){
t3=C_i_cdr(((C_word*)t0)[2]);
/* posix-common.scm:518: conc-loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_3309(t4,t1,t3);}
else{
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3360,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_i_car(t2);
/* posix-common.scm:519: chicken.irregex#irregex-match */
t5=*((C_word*)lf[111]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k3339 in k3332 in a3329 in conc-loop in chicken.posix#glob in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3341(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_3341,2,av);}
a=C_alloc(10);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3343,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li37),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_3343(t5,((C_word*)t0)[6],t1);}

/* chicken.posix#file-lock/blocking in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6224(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6224,2,av);}
/* posixwin.scm:1337: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[384];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k5624 in shell-command in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5626(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_5626,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_get_shlcmd())){
/* ##sys#peek-c-string */
t2=*((C_word*)lf[8]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_mpointer(&a,(void*)C_shlcmd);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5638,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm:1187: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[9]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[9]+1);
av2[1]=t2;
tp(2,av2);}}}}

/* ##sys#shell-command in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5622(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_5622,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5626,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm:1183: get-environment-variable */
t3=*((C_word*)lf[333]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[334];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k3106 in k3080 in loop in k3071 in k3061 in chicken.posix#create-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3108(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_3108,2,av);}
/* posix-common.scm:474: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_3075(t2,((C_word*)t0)[3],t1);}

/* chicken.posix#file-link in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6212(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6212,2,av);}
/* posixwin.scm:1335: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[380];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k4195 in k4192 in doloop805 in k4177 in chicken.posix#free-c-string-buffer in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4197(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4197,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_4184(t3,((C_word*)t0)[4],t2);}

/* chicken.posix#file-lock in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6218(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6218,2,av);}
/* posixwin.scm:1336: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[382];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k5651 in chicken.posix#process-run in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_5653(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,4)))){
C_save_and_reclaim_args((void *)trf_5653,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
/* posixwin.scm:1197: process-spawn */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[328]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[328]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[319]+1);
av2[3]=((C_word*)t0)[3];
av2[4]=t1;
tp(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5666,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1198: ##sys#shell-command */
t3=*((C_word*)lf[331]+1);{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k4192 in doloop805 in k4177 in chicken.posix#free-c-string-buffer in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4194(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_4194,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4197,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t1)){
/* posix-common.scm:742: chicken.memory#free */
t3=*((C_word*)lf[172]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t4=((C_word*)((C_word*)t0)[3])[1];
f_4184(t4,((C_word*)t0)[4],t3);}}

/* k3099 in k3083 in k3080 in loop in k3071 in k3061 in chicken.posix#create-directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3101(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_3101,2,av);}
t2=C_mkdir(t1);
t3=C_eqp(C_fix(0),t2);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
/* posix-common.scm:463: posix-error */
t4=lf[4];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[13];
av2[3]=lf[100];
av2[4]=lf[101];
av2[5]=((C_word*)t0)[3];
f_2416(6,av2);}}}

/* ##sys#shell-command-arguments in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5643(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_5643,3,av);}
a=C_alloc(6);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_list2(&a,2,lf[336],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a4159 in tmp22325 in a4094 in a4073 in k4064 in chicken.posix#list->c-string-buffer in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4160(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4160,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}

/* chicken.posix#process-run in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5649(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_5649,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5653,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=t4;
f_5653(t6,C_u_i_car(t5));}
else{
t5=t4;
f_5653(t5,C_SCHEME_FALSE);}}

/* scan in k3903 in loop in chicken.posix#get-environment-variables in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_3913(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_3913,3,t0,t1,t2);}
a=C_alloc(7);
t3=C_subchar(((C_word*)t0)[2],t2);
if(C_truep(C_i_char_equalp(C_make_character(61),t3))){
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_3939,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* posix-common.scm:663: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[88]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[88]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
av2[3]=C_fix(0);
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_fixnum_plus(t2,C_fix(1));
/* posix-common.scm:666: scan */
t6=t1;
t7=t4;
t1=t6;
t2=t7;
goto loop;}}

/* chicken.posix#directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3164(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_3164,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3168,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t3))){
/* posix-common.scm:480: current-directory */
t5=*((C_word*)lf[86]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(t3);
f_3168(2,av2);}}}

/* k3166 in chicken.posix#directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3168(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_3168,2,av);}
a=C_alloc(5);
t2=t1;
t3=C_i_nullp(((C_word*)t0)[2]);
t4=(C_truep(t3)?C_SCHEME_END_OF_LIST:C_i_cdr(((C_word*)t0)[2]));
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=t6;
t8=C_i_nullp(t4);
t9=(C_truep(t8)?C_SCHEME_END_OF_LIST:C_i_cdr(t4));
t10=C_i_check_string_2(t2,lf[37]);
t11=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3183,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=t7,tmp=(C_word)a,a+=5,tmp);
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[91]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[91]+1);
av2[1]=t11;
av2[2]=C_fix(256);
av2[3]=C_make_character(32);
tp(4,av2);}}

/* chicken.posix#quote-arg-string in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5447(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_5447,3,av);}
a=C_alloc(5);
t3=t2;
t4=C_i_string_length(t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5422,a[2]=t5,a[3]=t3,a[4]=((C_word)li146),tmp=(C_word)a,a+=5,tmp);
t7=(
  f_5422(t6,C_fix(0))
);
if(C_truep(t7)){
/* posixwin.scm:1152: string-append */
t8=*((C_word*)lf[6]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t8;
av2[1]=t1;
av2[2]=lf[323];
av2[3]=t2;
av2[4]=lf[324];
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}
else{
t8=t2;
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* chicken.posix#glob in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3303(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_3303,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3309,a[2]=t4,a[3]=((C_word)li39),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_3309(t6,t1,t2);}

/* a6550 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_6551,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_i_car(t2));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_6558,a[2]=t5,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t5)){
/* posix-common.scm:578: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t6;
av2[2]=t5;
av2[3]=lf[495];
tp(4,av2);}}
else{
t7=t6;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_6558(2,av2);}}}

/* k6556 in a6550 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6558(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_6558,2,av);}
if(C_truep(((C_word*)t0)[2])){
t2=C_umask(((C_word*)t0)[2]);
if(C_truep(((C_word*)t0)[2])){
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_umask(t2);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t2=C_umask(C_fix(0));
if(C_truep(((C_word*)t0)[2])){
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_umask(t2);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}

/* k3382 in g519 in k3358 in loop in k3339 in k3332 in a3329 in conc-loop in chicken.posix#glob in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3384(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_3384,2,av);}
/* posix-common.scm:522: chicken.pathname#make-pathname */
t2=*((C_word*)lf[104]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k3358 in loop in k3339 in k3332 in a3329 in conc-loop in chicken.posix#glob in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3360(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_3360,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3364,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li36),tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:518: g519 */
t3=t2;
f_3364(t3,((C_word*)t0)[5],t1);}
else{
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
/* posix-common.scm:524: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_3343(t4,((C_word*)t0)[5],t3);}}

/* k6578 in a6575 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6580(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_6580,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_umask(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k5164 in mode in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5166(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_5166,2,av);}
/* posixwin.scm:1032: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[16]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* a6581 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6582(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_6582,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_6586,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_6597,a[2]=t2,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:341: port? */
t5=*((C_word*)lf[20]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k3903 in loop in chicken.posix#get-environment-variables in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3905(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_3905,2,av);}
a=C_alloc(9);
t2=t1;
if(C_truep(t2)){
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_3913,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t4,a[6]=((C_word)li66),tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_3913(t6,((C_word*)t0)[4],C_fix(0));}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* loop in chicken.posix#get-environment-variables in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_3901(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_3901,3,t0,t1,t2);}
a=C_alloc(10);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3905,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=t2;
t5=C_a_i_bytevector(&a,1,C_fix(3));
t6=C_i_foreign_fixnum_argumentp(t4);
t7=stub719(t5,t6);
/* posix-common.scm:656: ##sys#peek-c-string */
t8=*((C_word*)lf[8]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t3;
av2[2]=t7;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* k3191 in k3187 in k3184 in k3181 in k3166 in chicken.posix#directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3193(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,5)))){
C_save_and_reclaim((void *)f_3193,2,av);}
a=C_alloc(10);
t2=C_opendir(t1,((C_word*)t0)[2]);
if(C_truep(C_null_pointerp(((C_word*)t0)[2]))){
/* posix-common.scm:489: posix-error */
t3=lf[4];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[13];
av2[3]=lf[37];
av2[4]=lf[107];
av2[5]=((C_word*)t0)[4];
f_2416(6,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3207,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=t4,a[6]=((C_word*)t0)[7],a[7]=((C_word)li33),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_3207(t6,((C_word*)t0)[3]);}}

/* check in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_5195(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_5195,4,t1,t2,t3,t4);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_5199,a[2]=t4,a[3]=t1,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm:1042: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[9]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[9]+1);
av2[1]=t5;
tp(2,av2);}}

/* k5197 in check in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5199(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_5199,2,av);}
a=C_alloc(4);
if(C_truep(C_null_pointerp(((C_word*)t0)[2]))){
/* posixwin.scm:1044: ##sys#signal-hook */
t2=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[13];
av2[3]=lf[299];
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5211,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[5])){
/* posixwin.scm:1045: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[71]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[71]+1);
av2[1]=t2;
av2[2]=C_fix(1);
av2[3]=*((C_word*)lf[72]+1);
av2[4]=lf[300];
av2[5]=lf[56];
tp(6,av2);}}
else{
/* posixwin.scm:1045: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[71]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[71]+1);
av2[1]=t2;
av2[2]=C_fix(2);
av2[3]=*((C_word*)lf[72]+1);
av2[4]=lf[300];
av2[5]=lf[56];
tp(6,av2);}}}}

/* k6584 in a6581 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6586(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_6586,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_6589,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_lessp(t2,C_fix(0)))){
/* posix-common.scm:350: posix-error */
t4=lf[4];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[13];
av2[3]=lf[497];
av2[4]=lf[498];
av2[5]=((C_word*)t0)[3];
f_2416(6,av2);}}
else{
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k6587 in k6584 in a6581 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6589(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_6589,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* g519 in k3358 in loop in k3339 in k3332 in a3329 in conc-loop in chicken.posix#glob in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_3364(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_3364,3,t0,t1,t2);}
a=C_alloc(9);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3372,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3384,a[2]=t3,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:522: chicken.irregex#irregex-match-substring */
t5=*((C_word*)lf[110]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k5362 in k5356 in k5353 in k5350 in chicken.posix#set-buffering-mode! in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_5364(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,6)))){
C_save_and_reclaim_args((void *)trf_5364,2,t0,t1);}
if(C_truep(t1)){
/* posixwin.scm:1121: ##sys#error */
t2=*((C_word*)lf[64]+1);{
C_word av2[7];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[311];
av2[3]=lf[312];
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[4];
av2[6]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k6595 in a6581 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6597(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_6597,2,av);}
a=C_alloc(7);
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(7));
t3=C_eqp(t2,lf[56]);
if(C_truep(t3)){
t4=C_ftell(&a,1,((C_word*)t0)[2]);
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
f_6586(2,av2);}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fix(-1);
f_6586(2,av2);}}}
else{
if(C_truep(C_fixnump(((C_word*)t0)[2]))){
t2=C_lseek(((C_word*)t0)[2],C_fix(0),C_fix((C_word)SEEK_CUR));
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
f_6586(2,av2);}}
else{
/* posix-common.scm:348: ##sys#signal-hook */
t2=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[18];
av2[3]=lf[497];
av2[4]=lf[499];
av2[5]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}}

/* chicken.posix#get-host-name in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6088(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_6088,2,av);}
a=C_alloc(3);
if(C_truep(C_get_hostname())){
/* ##sys#peek-c-string */
t2=*((C_word*)lf[8]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=C_mpointer(&a,(void*)C_hostname);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}
else{
/* posixwin.scm:1293: ##sys#error */
t2=*((C_word*)lf[64]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[348];
av2[3]=lf[349];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}}

/* k5353 in k5350 in chicken.posix#set-buffering-mode! in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5355(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_5355,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_5358,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm:1116: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[311];
tp(4,av2);}}

/* k5356 in k5353 in k5350 in chicken.posix#set-buffering-mode! in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5358(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_5358,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_5364,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_slot(((C_word*)t0)[3],C_fix(7));
t4=C_eqp(lf[56],t3);
if(C_truep(t4)){
t5=C_setvbuf(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
t6=t2;
f_5364(t6,C_fixnum_lessp(t5,C_fix(0)));}
else{
t5=t2;
f_5364(t5,C_SCHEME_TRUE);}}

/* k5350 in chicken.posix#set-buffering-mode! in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_5352(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,5)))){
C_save_and_reclaim_args((void *)trf_5352,2,t0,t1);}
a=C_alloc(5);
t2=t1;
t3=((C_word*)t0)[2];
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5355,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t5=C_eqp(t3,lf[313]);
if(C_truep(t5)){
t6=t4;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_fix((C_word)_IOFBF);
f_5355(2,av2);}}
else{
t6=C_eqp(t3,lf[314]);
if(C_truep(t6)){
t7=C_fix((C_word)_IOLBF);
t8=t4;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
f_5355(2,av2);}}
else{
t7=C_eqp(t3,lf[315]);
if(C_truep(t7)){
t8=t4;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_fix((C_word)_IONBF);
f_5355(2,av2);}}
else{
/* posixwin.scm:1115: ##sys#error */
t8=*((C_word*)lf[64]+1);{
C_word av2[6];
av2[0]=t8;
av2[1]=t4;
av2[2]=lf[311];
av2[3]=lf[316];
av2[4]=((C_word*)t0)[2];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}}}}

/* k3370 in g519 in k3358 in loop in k3339 in k3332 in a3329 in conc-loop in chicken.posix#glob in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3372(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_3372,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3376,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_i_cdr(((C_word*)t0)[3]);
/* posix-common.scm:523: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_3343(t5,t3,t4);}

/* k3374 in k3370 in g519 in k3358 in loop in k3339 in k3332 in a3329 in conc-loop in chicken.posix#glob in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3376(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_3376,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k3937 in scan in k3903 in loop in chicken.posix#get-environment-variables in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3939(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_3939,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3943,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=C_fixnum_plus(((C_word*)t0)[5],C_fix(1));
t5=C_block_size(((C_word*)t0)[6]);
/* posix-common.scm:664: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[88]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[88]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
av2[3]=t4;
av2[4]=t5;
tp(5,av2);}}

/* k3929 in k3941 in k3937 in scan in k3903 in loop in chicken.posix#get-environment-variables in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3931(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_3931,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k3181 in k3166 in chicken.posix#directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_3183,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3186,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:483: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[108]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[108]+1);
av2[1]=t3;
tp(2,av2);}}

/* k3187 in k3184 in k3181 in k3166 in chicken.posix#directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3189(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_3189,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3193,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* posix-common.scm:487: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[37];
tp(4,av2);}}

/* k3184 in k3181 in k3166 in chicken.posix#directory in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3186(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_3186,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_3189,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* posix-common.scm:484: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[108]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[108]+1);
av2[1]=t3;
tp(2,av2);}}

/* a5928 in k5916 in k5913 in %process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5929(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_5929,6,av);}
if(C_truep(((C_word*)t0)[2])){
/* posixwin.scm:1268: values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=t4;
av2[5]=t5;
C_values(6,av2);}}
else{
/* posixwin.scm:1269: values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=t4;
C_values(5,av2);}}}

/* f_2684 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2684(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_2684,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2692,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:305: file-type */
t4=*((C_word*)lf[34]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k2680 in chicken.posix#character-device? in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2682(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2682,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_eqp(lf[38],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a5922 in k5916 in k5913 in %process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5923(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,9)))){
C_save_and_reclaim((void *)f_5923,2,av);}
/* posixwin.scm:1266: ##sys#process */
t2=*((C_word*)lf[338]+1);{
C_word *av2;
if(c >= 10) {
  av2=av;
} else {
  av2=C_alloc(10);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)((C_word*)t0)[3])[1];
av2[4]=((C_word*)((C_word*)t0)[4])[1];
av2[5]=((C_word*)t0)[5];
av2[6]=C_SCHEME_TRUE;
av2[7]=C_SCHEME_TRUE;
av2[8]=((C_word*)t0)[6];
av2[9]=((C_word*)((C_word*)t0)[7])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(10,av2);}}

/* a4010 in k4004 in chicken.posix#process-wait in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4011(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_4011,2,av);}
/* posix-common.scm:698: ##sys#process-wait */
t2=*((C_word*)lf[159]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* mode in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_5158(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_5158,4,t1,t2,t3,t4);}
a=C_alloc(4);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5166,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_pairp(t3))){
t6=t3;
t7=C_u_i_car(t6);
t8=C_eqp(t7,lf[63]);
if(C_truep(t8)){
t9=t2;
if(C_truep(t9)){
/* posixwin.scm:1036: ##sys#error */
t10=*((C_word*)lf[64]+1);{
C_word av2[4];
av2[0]=t10;
av2[1]=t5;
av2[2]=lf[294];
av2[3]=t7;
((C_proc)(void*)(*((C_word*)t10+1)))(4,av2);}}
else{
/* posixwin.scm:1032: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t1;
av2[2]=lf[295];
av2[3]=t4;
tp(4,av2);}}}
else{
/* posixwin.scm:1037: ##sys#error */
t9=*((C_word*)lf[64]+1);{
C_word av2[4];
av2[0]=t9;
av2[1]=t5;
av2[2]=lf[296];
av2[3]=t7;
((C_proc)(void*)(*((C_word*)t9+1)))(4,av2);}}}
else{
if(C_truep(t2)){
/* posixwin.scm:1032: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t1;
av2[2]=lf[297];
av2[3]=t4;
tp(4,av2);}}
else{
/* posixwin.scm:1032: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t1;
av2[2]=lf[298];
av2[3]=t4;
tp(4,av2);}}}}

/* k2429 in k2418 in chicken.posix#posix-error in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2431(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_2431,2,av);}
/* posix-common.scm:183: string-append */
t2=*((C_word*)lf[6]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[7];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k4004 in chicken.posix#process-wait in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4006(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_4006,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4011,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li72),tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4017,a[2]=((C_word*)t0)[2],a[3]=((C_word)li73),tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:698: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[4];
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* chicken.posix#process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5956(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,7)))){
C_save_and_reclaim((void*)f_5956,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=C_i_nullp(t3);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t3));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_SCHEME_FALSE:C_i_car(t7));
t10=C_i_nullp(t7);
t11=(C_truep(t10)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t12=C_i_nullp(t11);
t13=(C_truep(t12)?C_SCHEME_FALSE:C_i_car(t11));
if(C_truep(C_i_nullp(t11))){
/* posixwin.scm:1272: %process */
f_5872(t1,lf[344],C_SCHEME_FALSE,t2,t5,t9,t13);}
else{
t14=C_i_cdr(t11);
/* posixwin.scm:1272: %process */
f_5872(t1,lf[344],C_SCHEME_FALSE,t2,t5,t9,t13);}}

/* chicken.posix#character-device? in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2674(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_2674,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2682,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:302: file-type */
t4=*((C_word*)lf[34]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k2670 in chicken.posix#block-device? in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2672(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2672,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_eqp(lf[39],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k5948 in %process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5950(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_5950,2,av);}
a=C_alloc(4);
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5954,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1264: ##sys#shell-command */
t4=*((C_word*)lf[331]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k5952 in k5948 in %process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5954(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_5954,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
f_5915(2,av2);}}

/* ##sys#process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5739(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7=av[7];
C_word t8=av[8];
C_word t9;
C_word *a;
if(c<9) C_bad_min_argc_2(c,9,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-9)*C_SIZEOF_PAIR +28,c,3)))){
C_save_and_reclaim((void*)f_5739,c,av);}
a=C_alloc((c-9)*C_SIZEOF_PAIR+28);
t9=C_build_rest(&a,c,9,av);
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
t10=C_i_nullp(t9);
t11=(C_truep(t10)?C_SCHEME_FALSE:C_i_car(t9));
t12=C_a_i_cons(&a,2,t3,t4);
t13=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_5749,a[2]=t1,a[3]=t8,a[4]=t7,a[5]=t6,a[6]=t2,a[7]=t3,tmp=(C_word)a,a+=8,tmp);
t14=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5825,a[2]=t13,tmp=(C_word)a,a+=3,tmp);
if(C_truep(t11)){
/* posixwin.scm:1228: chicken.data-structures#string-intersperse */
t15=*((C_word*)lf[342]+1);{
C_word *av2=av;
av2[0]=t15;
av2[1]=t13;
av2[2]=t12;
((C_proc)(void*)(*((C_word*)t15+1)))(3,av2);}}
else{
t15=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t16=t15;
t17=(*a=C_VECTOR_TYPE|1,a[1]=t16,tmp=(C_word)a,a+=2,tmp);
t18=((C_word*)t17)[1];
t19=lf[322];
t20=C_SCHEME_UNDEFINED;
t21=(*a=C_VECTOR_TYPE|1,a[1]=t20,tmp=(C_word)a,a+=2,tmp);
t22=C_set_block_item(t21,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_5833,a[2]=t17,a[3]=t21,a[4]=t19,a[5]=t18,a[6]=((C_word)li157),tmp=(C_word)a,a+=7,tmp));
t23=((C_word*)t21)[1];
f_5833(t23,t14,t12);}}

/* chicken.posix#emergency-exit in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2440(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_2440,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=t1;
t4=C_i_foreign_fixnum_argumentp(C_fix(0));
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=stub158(C_SCHEME_UNDEFINED,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t1;
t5=C_i_foreign_fixnum_argumentp(t3);
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=stub158(C_SCHEME_UNDEFINED,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* a4016 in k4004 in chicken.posix#process-wait in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4017(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_4017,5,av);}
t5=C_eqp(t2,C_fix(-1));
if(C_truep(t5)){
/* posix-common.scm:700: posix-error */
t6=lf[4];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[160];
av2[3]=lf[161];
av2[4]=lf[162];
av2[5]=((C_word*)t0)[2];
f_2416(6,av2);}}
else{
/* posix-common.scm:701: values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=t4;
C_values(5,av2);}}}

/* k2660 in chicken.posix#symbolic-link? in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2662(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2662,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_eqp(lf[36],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.posix#block-device? in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2664(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_2664,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2672,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:299: file-type */
t4=*((C_word*)lf[34]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* chicken.posix#posix-error in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +7,c,2)))){
C_save_and_reclaim((void*)f_2416,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+7);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2420,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t5,a[6]=t4,tmp=(C_word)a,a+=7,tmp);
/* posix-common.scm:182: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[9]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[9]+1);
av2[1]=t6;
tp(2,av2);}}

/* k2650 in chicken.posix#regular-file? in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2652(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2652,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_eqp(lf[35],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.posix#symbolic-link? in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2654(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_2654,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2662,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:296: file-type */
t4=*((C_word*)lf[34]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* a6541 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6542(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_6542,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_6546,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:680: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[493];
tp(4,av2);}}

/* k6544 in a6541 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6546(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_6546,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_slot(*((C_word*)lf[152]+1),((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2418 in chicken.posix#posix-error in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2420(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_2420,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2427,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2431,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
t4=C_a_i_bytevector(&a,1,C_fix(3));
t5=C_i_foreign_fixnum_argumentp(t1);
t6=stub145(t4,t5);
/* posix-common.scm:179: ##sys#peek-c-string */
t7=*((C_word*)lf[8]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t7;
av2[1]=t3;
av2[2]=t6;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}

/* k2425 in k2418 in chicken.posix#posix-error in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2427(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_2427,2,av);}{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[5]+1);
av2[3]=((C_word*)t0)[3];
av2[4]=((C_word*)t0)[4];
av2[5]=t1;
av2[6]=((C_word*)t0)[5];
C_apply(7,av2);}}

/* suffix-loop in loop in k4595 in k4592 in k4586 in k4583 in chicken.posix#file-mkstemp in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_4649(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_4649,3,t0,t1,t2);}
a=C_alloc(7);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_4672,a[2]=t3,a[3]=((C_word*)t0)[4],a[4]=t2,a[5]=((C_word*)t0)[5],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* posixwin.scm:815: chicken.random#random */
t5=*((C_word*)lf[225]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* chicken.posix#terminal-size in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_5331,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5338,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1098: terminal-port? */
t4=*((C_word*)lf[305]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k5336 in chicken.posix#terminal-size in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5338(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_5338,2,av);}
if(C_truep(t1)){
/* posixwin.scm:1099: values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(0);
av2[3]=C_fix(0);
C_values(4,av2);}}
else{
/* posixwin.scm:1100: ##sys#error */
t2=*((C_word*)lf[64]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[308];
av2[3]=lf[309];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k5772 in k5768 in k5764 in k5754 in k5747 in process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5774(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_5774,2,av);}
/* posixwin.scm:1240: values */{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=C_fix((C_word)*((int *)C_data_pointer(((C_word*)t0)[5])));
av2[5]=t1;
C_values(6,av2);}}

/* k4555 in k4546 in k4543 in k4540 in k4537 in chicken.posix#file-write in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_4557,2,av);}
/* posixwin.scm:789: ##sys#signal-hook */
t2=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[13];
av2[3]=lf[218];
av2[4]=lf[219];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* check in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_5117(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_5117,4,t1,t2,t3,t4);}
a=C_alloc(4);
t5=C_i_check_string_2(t2,t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5135,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1011: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t4;
tp(4,av2);}}

/* k5768 in k5764 in k5754 in k5747 in process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5770(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_5770,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_5774,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[5])){
/* posixwin.scm:1244: open-input-file* */
t4=*((C_word*)lf[74]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_fix((C_word)*((int *)C_data_pointer(((C_word*)t0)[6])));
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
/* posixwin.scm:1240: values */{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
av2[4]=C_fix((C_word)*((int *)C_data_pointer(((C_word*)t0)[4])));
av2[5]=C_SCHEME_FALSE;
C_values(6,av2);}}}

/* k4549 in k4546 in k4543 in k4540 in k4537 in chicken.posix#file-write in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4551,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k5113 in k5096 in chicken.posix#change-file-mode in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5115(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_5115,2,av);}
a=C_alloc(5);
t2=C_chmod(t1,((C_word*)t0)[2]);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5107,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:997: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[9]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[9]+1);
av2[1]=t3;
tp(2,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k4608 in k4604 in loop in k4595 in k4592 in k4586 in k4583 in chicken.posix#file-mkstemp in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4610(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,5)))){
C_save_and_reclaim((void *)f_4610,2,av);}
a=C_alloc(10);
t2=C_s_a_i_bitwise_ior(&a,2,C_s_a_i_bitwise_ior(&a,2,*((C_word*)lf[183]+1),*((C_word*)lf[186]+1)),*((C_word*)lf[188]+1));
t3=C_fixnum_or(C_fix((C_word)S_IREAD),C_fix((C_word)S_IWRITE));
t4=C_open(t1,t2,t3);
t5=C_eqp(C_fix(-1),t4);
if(C_truep(t5)){
if(C_truep(C_fixnum_lessp(((C_word*)t0)[2],((C_word*)t0)[3]))){
t6=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* posixwin.scm:823: loop */
t7=((C_word*)((C_word*)t0)[4])[1];
f_4602(t7,((C_word*)t0)[5],t6);}
else{
/* posixwin.scm:824: posix-error */
t6=lf[4];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=((C_word*)t0)[5];
av2[2]=lf[13];
av2[3]=lf[222];
av2[4]=lf[224];
av2[5]=((C_word*)t0)[6];
f_2416(6,av2);}}}
else{
/* posixwin.scm:825: values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=((C_word*)t0)[7];
C_values(4,av2);}}}

/* k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2401(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_2401,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2404,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_library_toplevel(2,av2);}}

/* k5764 in k5754 in k5747 in process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5766(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_5766,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_5770,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[6])){
/* posixwin.scm:1242: open-output-file* */
t4=*((C_word*)lf[76]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_fix((C_word)*((int *)C_data_pointer(((C_word*)t0)[7])));
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_5770(2,av2);}}}

/* chicken.posix#list->c-string-buffer in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_4058(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,3)))){
C_save_and_reclaim_args((void *)trf_4058,4,t1,t2,t3,t4);}
a=C_alloc(12);
t5=C_i_check_list_2(t2,t4);
t6=t2;
t7=C_u_i_length(t6);
t8=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_4066,a[2]=t1,a[3]=t7,a[4]=t4,a[5]=t3,a[6]=t2,tmp=(C_word)a,a+=7,tmp);
t9=C_a_i_fixnum_plus(&a,2,t7,C_fix(1));
/* posix-common.scm:717: chicken.memory#make-pointer-vector */
t10=*((C_word*)lf[171]+1);{
C_word av2[4];
av2[0]=t10;
av2[1]=t8;
av2[2]=t9;
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t10+1)))(4,av2);}}

/* k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2404(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(37,c,6)))){
C_save_and_reclaim((void *)f_2404,2,av);}
a=C_alloc(37);
t2=C_a_i_provide(&a,1,lf[2]);
t3=C_a_i_provide(&a,1,lf[3]);
t4=C_mutate2(&lf[4] /* (set! chicken.posix#posix-error ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2416,a[2]=((C_word)li0),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate2((C_word*)lf[10]+1 /* (set! ##sys#posix-error ...) */,lf[4]);
t6=C_mutate2((C_word*)lf[11]+1 /* (set! chicken.posix#emergency-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2440,a[2]=((C_word)li1),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate2((C_word*)lf[12]+1 /* (set! ##sys#stat ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2455,a[2]=((C_word)li2),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate2((C_word*)lf[21]+1 /* (set! chicken.posix#file-stat ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2505,a[2]=((C_word)li3),tmp=(C_word)a,a+=3,tmp));
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2525,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6618,a[2]=((C_word)li214),tmp=(C_word)a,a+=3,tmp);
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6624,a[2]=((C_word)li215),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:261: getter-with-setter */
t12=*((C_word*)lf[494]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t12;
av2[1]=t9;
av2[2]=t10;
av2[3]=t11;
av2[4]=lf[504];
((C_proc)(void*)(*((C_word*)t12+1)))(5,av2);}}

/* k5105 in k5113 in k5096 in chicken.posix#change-file-mode in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5107(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_5107,2,av);}
/* posixwin.scm:998: ##sys#signal-hook */
t2=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[13];
av2[3]=lf[286];
av2[4]=lf[287];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k6516 in map-loop2122 in k6471 in k6440 in chicken.process#qs in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6518(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_6518,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate2(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_6493(t6,((C_word*)t0)[5],t5);}

/* k5791 in k5747 in process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5793(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_5793,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_5797,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* posixwin.scm:1237: ##sys#make-locative */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[340]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[340]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[10];
av2[3]=C_fix(0);
av2[4]=C_SCHEME_FALSE;
av2[5]=lf[341];
tp(6,av2);}}

/* k5795 in k5791 in k5747 in process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5797(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_5797,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_5801,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* posixwin.scm:1237: ##sys#make-locative */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[340]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[340]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[10];
av2[3]=C_fix(0);
av2[4]=C_SCHEME_FALSE;
av2[5]=lf[341];
tp(6,av2);}}

/* chicken.posix#file-mkstemp in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4575(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_4575,3,av);}
a=C_alloc(6);
t3=C_i_check_string_2(t2,lf[222]);
t4=lf[223];
t5=C_block_size(t4);
t6=t5;
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4585,a[2]=t2,a[3]=t4,a[4]=t6,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm:797: * */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t7;
av2[2]=t6;
av2[3]=t6;
av2[4]=t6;
C_times(5,av2);}}

/* chicken.posix#local-timezone-abbreviation in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5306(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_5306,2,av);}
a=C_alloc(5);
t2=C_a_i_bytevector(&a,1,C_fix(3));
t3=stub1264(t2);
/* posixwin.scm:1085: ##sys#peek-c-string */
t4=*((C_word*)lf[8]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k5302 in k5278 in chicken.posix#duplicate-fileno in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_5304,2,av);}
t2=((C_word*)t0)[2];
f_5283(t2,C_dup2(((C_word*)t0)[3],((C_word*)t0)[4]));}

/* k4373 in map-loop861 in k4321 in a4308 in a4302 in a4275 in k4266 in k4260 in chicken.posix#call-with-exec-args in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 in ... */
static void C_ccall f_4375(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_4375,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate2(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_4350(t6,((C_word*)t0)[5],t5);}

/* k5784 in k5754 in k5747 in process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5786(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_5786,2,av);}
/* posixwin.scm:1247: ##sys#signal-hook */
t2=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[160];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[339];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k4586 in k4583 in chicken.posix#file-mkstemp in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4588(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_4588,2,av);}
a=C_alloc(16);
t2=t1;
t3=C_block_size(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_4594,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t4,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],tmp=(C_word)a,a+=9,tmp);
t6=C_fixnum_difference(t4,C_fix(1));
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4704,a[2]=t8,a[3]=t2,a[4]=((C_word)li106),tmp=(C_word)a,a+=5,tmp));
t10=((C_word*)t8)[1];
f_4704(t10,t5,t6);}

/* k4583 in chicken.posix#file-mkstemp in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4585(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_4585,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_4588,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* posixwin.scm:798: string-copy */
t4=*((C_word*)lf[230]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k4604 in loop in k4595 in k4592 in k4586 in k4583 in chicken.posix#file-mkstemp in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4606(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_4606,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4610,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* posixwin.scm:818: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=lf[206];
tp(4,av2);}}

/* a6575 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6576(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_6576,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_6580,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:583: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[495];
tp(4,av2);}}

/* f_2827 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2827(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_2827,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+7);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2831,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=((C_word*)t0)[3],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* posix-common.scm:388: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[75];
tp(4,av2);}}

/* k2819 in check in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2821(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2821,2,av);}
t2=C_set_file_ptr(t1,((C_word*)t0)[2]);
t3=t1;
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in k4595 in k4592 in k4586 in k4583 in chicken.posix#file-mkstemp in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_4602(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,0,3)))){
C_save_and_reclaim_args((void *)trf_4602,3,t0,t1,t2);}
a=C_alloc(18);
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4606,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t4=C_fixnum_difference(((C_word*)t0)[6],C_fix(1));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4649,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[5],a[5]=t6,a[6]=((C_word*)t0)[9],a[7]=((C_word)li104),tmp=(C_word)a,a+=8,tmp));
t8=((C_word*)t6)[1];
f_4649(t8,t3,t4);}

/* a4383 in a4302 in a4275 in k4266 in k4260 in chicken.posix#call-with-exec-args in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4384(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_4384,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4390,a[2]=t2,a[3]=((C_word)li94),tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:763: k849 */
t4=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* k4595 in k4592 in k4586 in k4583 in chicken.posix#file-mkstemp in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4597(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_4597,2,av);}
a=C_alloc(13);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_4602,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word)li105),tmp=(C_word)a,a+=11,tmp));
t5=((C_word*)t3)[1];
f_4602(t5,((C_word*)t0)[9],C_fix(1));}

/* k4592 in k4586 in k4583 in chicken.posix#file-mkstemp in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,2)))){
C_save_and_reclaim((void *)f_4594,2,av);}
a=C_alloc(19);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_4597,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4691,a[2]=t2,a[3]=((C_word*)t0)[5],a[4]=t3,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4695,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm:805: chicken.pathname#pathname-directory */
t6=*((C_word*)lf[102]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k2837 in k2829 */
static void C_ccall f_2839(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(2,c,5)))){
C_save_and_reclaim((void *)f_2839,2,av);}
a=C_alloc(2);
t2=C_fdopen(&a,2,((C_word*)t0)[2],t1);
/* posix-common.scm:389: check */
f_2808(((C_word*)t0)[4],lf[75],((C_word*)t0)[2],C_SCHEME_TRUE,t2);}

/* k2829 */
static void C_ccall f_2831(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_2831,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2839,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:389: mode */
f_2771(t2,C_SCHEME_TRUE,((C_word*)t0)[6],lf[75]);}

/* chicken.posix#utc-time->seconds in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6356(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6356,2,av);}
/* posixwin.scm:1359: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[422];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* a4389 in a4383 in a4302 in a4275 in k4266 in k4260 in chicken.posix#call-with-exec-args in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4390(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4390,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}

/* chicken.posix#user-information in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6350(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6350,2,av);}
/* posixwin.scm:1358: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[420];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* check in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_2808(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,5)))){
C_save_and_reclaim_args((void *)trf_2808,5,t1,t2,t3,t4,t5);}
a=C_alloc(4);
if(C_truep(C_null_pointerp(t5))){
/* posix-common.scm:382: posix-error */
t6=lf[4];{
C_word av2[6];
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[13];
av2[3]=t2;
av2[4]=lf[70];
av2[5]=t3;
f_2416(6,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2821,a[2]=t5,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t4)){
/* posix-common.scm:383: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[71]+1));
C_word av2[6];
av2[0]=*((C_word*)lf[71]+1);
av2[1]=t6;
av2[2]=C_fix(1);
av2[3]=*((C_word*)lf[72]+1);
av2[4]=lf[73];
av2[5]=lf[56];
tp(6,av2);}}
else{
/* posix-common.scm:383: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[71]+1));
C_word av2[6];
av2[0]=*((C_word*)lf[71]+1);
av2[1]=t6;
av2[2]=C_fix(2);
av2[3]=*((C_word*)lf[72]+1);
av2[4]=lf[73];
av2[5]=lf[56];
tp(6,av2);}}}}

/* chicken.posix#fifo? in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6368(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_6368,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k6620 in a6617 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6622(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_6622,2,av);}
a=C_alloc(7);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_int64_to_num(&a,C_statbuf.st_mtime);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.posix#string->time in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6362(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6362,2,av);}
/* posixwin.scm:1360: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[424];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k6626 in a6623 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_6628,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_6644,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=t2;
t4=((C_word*)t0)[3];
t5=((C_word*)t0)[4];
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_6634,a[2]=t3,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t4)){
t7=C_i_foreign_string_argumentp(t4);
/* posix-common.scm:266: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t6;
av2[2]=t7;
tp(3,av2);}}
else{
t7=t3;{
C_word *av2=av;
av2[0]=t7;
av2[1]=stub214(C_SCHEME_UNDEFINED,C_SCHEME_FALSE,t5);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* a6623 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6624(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_6624,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_6628,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:265: ##sys#check-exact-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[131]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[131]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[502];
tp(4,av2);}}

/* f_3575 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3575(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3575,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.posix#find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3589(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +8,c,4)))){
C_save_and_reclaim((void*)f_3589,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+8);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3593,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3633,a[2]=((C_word)li56),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:564: ##sys#get-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[121]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[121]+1);
av2[1]=t4;
av2[2]=lf[125];
av2[3]=t3;
av2[4]=t5;
tp(5,av2);}}

/* f_3583 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3583(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3583,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_fixnum_lessp(((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in chicken.posix#quote-arg-string in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static C_word C_fcall f_5422(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
t2=C_eqp(t1,((C_word*)t0)[2]);
if(C_truep(t2)){
return(C_SCHEME_FALSE);}
else{
t3=C_i_string_ref(((C_word*)t0)[3],t1);
if(C_truep(C_u_i_char_whitespacep(t3))){
return(C_SCHEME_TRUE);}
else{
t4=C_fixnum_plus(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}}}

/* k4809 in chicken.posix#open-input-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4811(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_4811,2,av);}
/* posixwin.scm:861: check */
f_4775(((C_word*)t0)[3],((C_word*)t0)[4],C_SCHEME_TRUE,t1);}

/* k3555 in k3548 in k3449 in k3440 in loop in k3425 in k3418 in k3415 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3557,2,av);}
/* posix-common.scm:561: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_3429(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],t1);}

/* k3548 in k3449 in k3440 in loop in k3425 in k3418 in k3415 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3550(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_3550,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3557,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:561: action */
t3=((C_word*)t0)[6];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=((C_word*)t0)[8];
((C_proc)C_fast_retrieve_proc(t3))(4,av2);}}
else{
/* posix-common.scm:562: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_3429(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[8]);}}

/* k6642 in k6626 in a6623 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6644(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_6644,2,av);}
if(C_truep(C_fixnum_lessp(t1,C_fix(0)))){
/* posix-common.scm:269: posix-error */
t2=lf[4];{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[13];
av2[3]=lf[502];
av2[4]=lf[503];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
f_2416(7,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k4816 in chicken.posix#open-input-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4818(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(2,c,4)))){
C_save_and_reclaim((void *)f_4818,2,av);}
a=C_alloc(2);
t2=open_text_input_pipe(&a,1,t1);
/* posixwin.scm:861: check */
f_4775(((C_word*)t0)[3],((C_word*)t0)[4],C_SCHEME_TRUE,t2);}

/* k3564 in k3415 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3566(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_3566,2,av);}
a=C_alloc(4);
t2=t1;
t3=((C_word*)t0)[2];
f_3420(t3,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3567,a[2]=t2,a[3]=((C_word)li45),tmp=(C_word)a,a+=4,tmp));}

/* f_3567 in k3564 in k3415 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3567(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_3567,3,av);}
/* posix-common.scm:540: chicken.irregex#irregex-match */
t3=*((C_word*)lf[111]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k6632 in k6626 in a6623 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6634(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_6634,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=stub214(C_SCHEME_UNDEFINED,t1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k4826 in chicken.posix#open-input-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4828(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(2,c,4)))){
C_save_and_reclaim((void *)f_4828,2,av);}
a=C_alloc(2);
t2=open_binary_input_pipe(&a,1,t1);
/* posixwin.scm:861: check */
f_4775(((C_word*)t0)[3],((C_word*)t0)[4],C_SCHEME_TRUE,t2);}

/* chicken.posix#set-alarm! in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6284(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6284,2,av);}
/* posixwin.scm:1347: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[404];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* chicken.posix#open-output-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4837(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +10,c,3)))){
C_save_and_reclaim((void*)f_4837,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+10);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_check_string_2(t2,lf[241]);
t5=C_i_pairp(t3);
t6=(C_truep(t5)?C_slot(t3,C_fix(0)):lf[237]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4851,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t8=C_eqp(t6,lf[237]);
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4858,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:874: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t9;
av2[2]=t2;
av2[3]=lf[241];
tp(4,av2);}}
else{
t9=C_eqp(t6,lf[238]);
if(C_truep(t9)){
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4868,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:875: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t10;
av2[2]=t2;
av2[3]=lf[241];
tp(4,av2);}}
else{
/* posixwin.scm:849: ##sys#error */
t10=*((C_word*)lf[64]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t10;
av2[1]=t7;
av2[2]=lf[239];
av2[3]=t6;
((C_proc)(void*)(*((C_word*)t10+1)))(4,av2);}}}}

/* k6440 in chicken.process#qs in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,3)))){
C_save_and_reclaim((void *)f_6442,2,av);}
a=C_alloc(18);
t2=C_eqp(t1,lf[484]);
t3=(C_truep(t2)?C_make_character(34):C_make_character(39));
t4=t3;
t5=C_eqp(t1,lf[484]);
t6=(C_truep(t5)?lf[485]:lf[486]);
t7=t6;
t8=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t9=t8;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=((C_word*)t10)[1];
t12=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_6452,a[2]=t4,a[3]=t7,a[4]=((C_word*)t0)[2],a[5]=((C_word)li207),tmp=(C_word)a,a+=6,tmp);
t13=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_6473,a[2]=t4,a[3]=((C_word*)t0)[3],a[4]=t10,a[5]=t12,a[6]=t11,tmp=(C_word)a,a+=7,tmp);
/* string->list */
t14=*((C_word*)lf[489]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t14;
av2[1]=t13;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t14+1)))(3,av2);}}

/* chicken.process#qs in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6438(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_6438,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_6442,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t3))){
/* posix.scm:134: chicken.platform#build-platform */
t5=*((C_word*)lf[490]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(t3);
f_6442(2,av2);}}}

/* chicken.posix#process-fork in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6260(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6260,2,av);}
/* posixwin.scm:1343: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[396];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k5913 in %process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5915(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_5915,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_5918,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
if(C_truep(((C_word*)t0)[5])){
/* posixwin.scm:1265: check-environment-list */
f_4209(t2,((C_word*)t0)[5],((C_word*)t0)[2]);}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_5918(2,av2);}}}

/* k5916 in k5913 in %process in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5918(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,6)))){
C_save_and_reclaim((void *)f_5918,2,av);}
a=C_alloc(13);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_5923,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word)li162),tmp=(C_word)a,a+=9,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5929,a[2]=((C_word*)t0)[6],a[3]=((C_word)li163),tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1266: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[8];
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* chicken.posix#process-group-id in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6266(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6266,2,av);}
/* posixwin.scm:1344: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[398];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* chicken.posix#process-signal in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6272(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6272,2,av);}
/* posixwin.scm:1345: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[400];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* chicken.posix#read-symbolic-link in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6278(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6278,2,av);}
/* posixwin.scm:1346: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[402];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* chicken.posix#parent-process-id in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6254(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6254,2,av);}
/* posixwin.scm:1342: error */
t2=*((C_word*)lf[167]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[394];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##sys#process-wait in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6076(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_6076,4,av);}
if(C_truep(C_process_wait(t2,t3))){
/* posixwin.scm:1281: values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_fix((C_word)C_exstatus);
C_values(5,av2);}}
else{
/* posixwin.scm:1282: values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(-1);
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}}

/* doloop805 in k4177 in chicken.posix#free-c-string-buffer in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_4184(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_4184,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4194,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:741: chicken.memory#pointer-vector-ref */
t5=*((C_word*)lf[173]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[4];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k3867 in chicken.posix#set-environment-variable! in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3869(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_3869,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3873,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:646: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[147];
tp(4,av2);}}

/* chicken.posix#terminal-port? in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5313(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_5313,3,av);}
a=C_alloc(4);
t3=t2;
t4=C_i_check_port_2(t3,C_fix(0),C_SCHEME_TRUE,lf[306]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5319,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1094: ##sys#peek-unsigned-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[82]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[82]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=C_fix(0);
tp(4,av2);}}

/* k5317 in chicken.posix#terminal-port? in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_5319,2,av);}
t2=C_eqp(C_fix(0),t1);
if(C_truep(t2)){
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_tty_portp(((C_word*)t0)[3]);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k3871 in k3867 in chicken.posix#set-environment-variable! in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3873(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3873,2,av);}
t2=C_setenv(((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.posix#unset-environment-variable! in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3875(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_3875,3,av);}
a=C_alloc(3);
t3=C_i_check_string_2(t2,lf[149]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3883,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:652: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[149];
tp(4,av2);}}

/* chicken.posix#set-buffering-mode! in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5346(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_5346,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=t2;
t6=C_i_check_port_2(t5,C_fix(0),C_SCHEME_TRUE,lf[311]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5352,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(t4))){
t8=t4;
t9=t7;
f_5352(t9,C_u_i_car(t8));}
else{
t8=t7;
f_5352(t8,C_fix((C_word)BUFSIZ));}}

/* k3881 in chicken.posix#unset-environment-variable! in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3883(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3883,2,av);}
t2=C_unsetenv(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k4325 in k4321 in a4308 in a4302 in a4275 in k4266 in k4260 in chicken.posix#call-with-exec-args in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4327(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4327,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_4313(t3,t2);}

/* k4321 in a4308 in a4302 in a4275 in k4266 in k4260 in chicken.posix#call-with-exec-args in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4323(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(22,c,3)))){
C_save_and_reclaim((void *)f_4323,2,av);}
a=C_alloc(22);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4327,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t4=t3;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=((C_word*)t5)[1];
t7=((C_word*)t0)[4];
t8=C_i_check_list_2(t7,lf[178]);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4348,a[2]=t2,a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4350,a[2]=t5,a[3]=t11,a[4]=t6,a[5]=((C_word)li92),tmp=(C_word)a,a+=6,tmp));
t13=((C_word*)t11)[1];
f_4350(t13,t9,t7);}

/* chicken.posix#get-environment-variables in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3895(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_3895,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3901,a[2]=t3,a[3]=((C_word)li67),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_3901(t5,t1,C_fix(0));}

/* chicken.posix#regular-file? in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2644(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_2644,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2652,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:293: file-type */
t4=*((C_word*)lf[34]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k4318 in k4311 in a4308 in a4302 in a4275 in k4266 in k4260 in chicken.posix#call-with-exec-args in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4320(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_4320,2,av);}
/* posix-common.scm:777: proc */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)((C_word*)t0)[5])[1];
((C_proc)C_fast_retrieve_proc(t2))(5,av2);}}

/* k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2766(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(56,c,10)))){
C_save_and_reclaim((void *)f_2766,2,av);}
a=C_alloc(56);
t2=C_mutate2((C_word*)lf[59]+1 /* (set! chicken.posix#file-position ...) */,t1);
t3=C_mutate2((C_word*)lf[60]+1 /* (set! chicken.posix#fileno/stdin ...) */,C_fix((C_word)STDIN_FILENO));
t4=C_mutate2((C_word*)lf[61]+1 /* (set! chicken.posix#fileno/stdout ...) */,C_fix((C_word)STDOUT_FILENO));
t5=C_mutate2((C_word*)lf[62]+1 /* (set! chicken.posix#fileno/stderr ...) */,C_fix((C_word)STDERR_FILENO));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2771,a[2]=((C_word)li18),tmp=(C_word)a,a+=3,tmp));
t11=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2808,a[2]=((C_word)li19),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate2((C_word*)lf[74]+1 /* (set! chicken.posix#open-input-file* ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2827,a[2]=t9,a[3]=t7,a[4]=((C_word)li20),tmp=(C_word)a,a+=5,tmp));
t13=C_mutate2((C_word*)lf[76]+1 /* (set! chicken.posix#open-output-file* ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2841,a[2]=t9,a[3]=t7,a[4]=((C_word)li21),tmp=(C_word)a,a+=5,tmp));
t14=C_mutate2((C_word*)lf[15]+1 /* (set! chicken.posix#port->fileno ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2855,a[2]=((C_word)li22),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate2((C_word*)lf[83]+1 /* (set! chicken.posix#duplicate-fileno ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2900,a[2]=((C_word)li23),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate2((C_word*)lf[86]+1 /* (set! chicken.posix#current-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2927,a[2]=((C_word)li24),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate2((C_word*)lf[92]+1 /* (set! chicken.posix#delete-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2961,a[2]=((C_word)li28),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate2((C_word*)lf[99]+1 /* (set! chicken.posix#create-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3047,a[2]=((C_word)li32),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate2((C_word*)lf[106]+1 /* (set! chicken.posix#directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3164,a[2]=((C_word)li34),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate2((C_word*)lf[109]+1 /* (set! chicken.posix#glob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3303,a[2]=((C_word)li40),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate2((C_word*)lf[115]+1 /* (set! ##sys#find-files ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3410,a[2]=((C_word)li48),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate2((C_word*)lf[96]+1 /* (set! chicken.posix#find-files ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3589,a[2]=((C_word)li57),tmp=(C_word)a,a+=3,tmp));
t23=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3640,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t24=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6551,a[2]=((C_word)li211),tmp=(C_word)a,a+=3,tmp);
t25=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6576,a[2]=((C_word)li212),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:576: getter-with-setter */
t26=*((C_word*)lf[494]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t26;
av2[1]=t23;
av2[2]=t24;
av2[3]=t25;
av2[4]=lf[496];
((C_proc)(void*)(*((C_word*)t26+1)))(5,av2);}}

/* k4346 in k4321 in a4308 in a4302 in a4275 in k4266 in k4260 in chicken.posix#call-with-exec-args in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4348(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_4348,2,av);}
/* posix-common.scm:773: list->c-string-buffer */
f_4058(((C_word*)t0)[2],t1,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* k5133 in check in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5135(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_5135,2,av);}
a=C_alloc(4);
t2=C_test_access(t1,((C_word*)t0)[2]);
t3=C_eqp(C_fix(0),t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5127,a[2]=((C_word*)t0)[3],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t4)){
t6=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* posixwin.scm:1012: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[9]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[9]+1);
av2[1]=t5;
tp(2,av2);}}}

/* chicken.posix#file-read-access? in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5137(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_5137,3,av);}
/* posixwin.scm:1014: check */
f_5117(t1,t2,C_fix((C_word)2),lf[289]);}

/* mode in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_2771(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_2771,4,t1,t2,t3,t4);}
a=C_alloc(4);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2779,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_pairp(t3))){
t6=t3;
t7=C_u_i_car(t6);
t8=C_eqp(t7,lf[63]);
if(C_truep(t8)){
t9=t2;
if(C_truep(t9)){
/* posix-common.scm:375: ##sys#error */
t10=*((C_word*)lf[64]+1);{
C_word av2[4];
av2[0]=t10;
av2[1]=t5;
av2[2]=lf[65];
av2[3]=t7;
((C_proc)(void*)(*((C_word*)t10+1)))(4,av2);}}
else{
/* posix-common.scm:371: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t1;
av2[2]=lf[66];
av2[3]=t4;
tp(4,av2);}}}
else{
/* posix-common.scm:376: ##sys#error */
t9=*((C_word*)lf[64]+1);{
C_word av2[4];
av2[0]=t9;
av2[1]=t5;
av2[2]=lf[67];
av2[3]=t7;
((C_proc)(void*)(*((C_word*)t9+1)))(4,av2);}}}
else{
if(C_truep(t2)){
/* posix-common.scm:371: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t1;
av2[2]=lf[68];
av2[3]=t4;
tp(4,av2);}}
else{
/* posix-common.scm:371: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t1;
av2[2]=lf[69];
av2[3]=t4;
tp(4,av2);}}}}

/* k3418 in k3415 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_3420(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_3420,2,t0,t1);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_3427,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* posix-common.scm:542: directory */
t4=*((C_word*)lf[106]+1);{
C_word av2[4];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[8];
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k3425 in k3418 in k3415 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3427(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,5)))){
C_save_and_reclaim((void *)f_3427,2,av);}
a=C_alloc(12);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_3429,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word)li44),tmp=(C_word)a,a+=10,tmp));
t5=((C_word*)t3)[1];
f_3429(t5,((C_word*)t0)[8],((C_word*)t0)[9],t1,((C_word*)t0)[10]);}

/* loop in k3425 in k3418 in k3415 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_3429(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,0,3)))){
C_save_and_reclaim_args((void *)trf_3429,5,t0,t1,t2,t3,t4);}
a=C_alloc(14);
if(C_truep(C_i_nullp(t3))){
t5=t4;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_slot(t3,C_fix(0));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_3442,a[2]=t3,a[3]=t6,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=t2,a[7]=t4,a[8]=((C_word*)t0)[3],a[9]=((C_word*)t0)[4],a[10]=((C_word*)t0)[5],a[11]=((C_word*)t0)[6],a[12]=((C_word*)t0)[7],a[13]=((C_word*)t0)[8],tmp=(C_word)a,a+=14,tmp);
/* posix-common.scm:547: chicken.pathname#make-pathname */
t8=*((C_word*)lf[104]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
av2[3]=t6;
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}}

/* k5125 in k5133 in check in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5127(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_5127,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* map-loop861 in k4321 in a4308 in a4302 in a4275 in k4266 in k4260 in chicken.posix#call-with-exec-args in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_4350(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_4350,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4375,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
t5=C_i_car(t4);
t6=C_u_i_cdr(t4);
/* posix-common.scm:774: string-append */
t7=*((C_word*)lf[6]+1);{
C_word av2[5];
av2[0]=t7;
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[179];
av2[4]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k2777 in mode in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_2779(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2779,2,av);}
/* posix-common.scm:371: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[16]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k3848 in k3801 in chicken.posix#time->string in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3850(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_3850,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];
t3=C_a_i_bytevector(&a,1,C_fix(3));
if(C_truep(t1)){
t4=C_i_foreign_block_argumentp(t1);
t5=stub670(t3,t2,t4);
/* posix-common.scm:622: ##sys#peek-c-string */
t6=*((C_word*)lf[8]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=((C_word*)t0)[3];
av2[2]=t5;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t4=stub670(t3,t2,C_SCHEME_FALSE);
/* posix-common.scm:622: ##sys#peek-c-string */
t5=*((C_word*)lf[8]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=((C_word*)t0)[3];
av2[2]=t4;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* chicken.posix#set-environment-variable! in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3858(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_3858,4,av);}
a=C_alloc(4);
t4=C_i_check_string_2(t2,lf[147]);
t5=C_i_check_string_2(t3,lf[147]);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3869,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:645: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=lf[147];
tp(4,av2);}}

/* k3440 in loop in k3425 in k3418 in k3415 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_3442,2,av);}
a=C_alloc(15);
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(1));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_3451,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=t4,a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=t2,a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],a[14]=((C_word*)t0)[13],tmp=(C_word)a,a+=15,tmp);
/* posix-common.scm:549: directory? */
t6=*((C_word*)lf[49]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* chicken.posix#file-write-access? in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5143(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_5143,3,av);}
/* posixwin.scm:1015: check */
f_5117(t1,t2,C_fix((C_word)4),lf[291]);}

/* chicken.posix#file-execute-access? in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5149(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_5149,3,av);}
/* posixwin.scm:1016: check */
f_5117(t1,t2,C_fix((C_word)2),lf[293]);}

/* a3621 in k3594 in k3591 in chicken.posix#find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3622(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3622,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_3627 in a3624 in k3591 in chicken.posix#find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3627(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_3627,4,av);}
a=C_alloc(3);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a3624 in k3591 in chicken.posix#find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3625(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_3625,2,av);}
a=C_alloc(3);
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3627,a[2]=((C_word)li53),tmp=(C_word)a,a+=3,tmp);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3410(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7=av[7];
C_word t8=av[8];
C_word t9=av[9];
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(c!=10) C_bad_argc_2(c,10,t0);
if(C_unlikely(!C_demand(C_calculate_demand(17,c,2)))){
C_save_and_reclaim((void *)f_3410,10,av);}
a=C_alloc(17);
t10=C_i_check_string_2(t2,t9);
t11=C_fix(0);
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_3417,a[2]=t7,a[3]=t4,a[4]=t12,a[5]=t8,a[6]=t1,a[7]=t2,a[8]=t5,a[9]=t3,tmp=(C_word)a,a+=10,tmp);
t14=t6;
if(C_truep(t14)){
if(C_truep(C_fixnump(t6))){
t15=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3583,a[2]=t12,a[3]=t6,a[4]=((C_word)li46),tmp=(C_word)a,a+=5,tmp);
t16=t13;
f_3417(t16,t15);}
else{
t15=t6;
t16=t13;
f_3417(t16,t15);}}
else{
t15=t13;
f_3417(t15,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3575,a[2]=((C_word)li47),tmp=(C_word)a,a+=3,tmp));}}

/* a4308 in a4302 in a4275 in k4266 in k4260 in chicken.posix#call-with-exec-args in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4309(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_4309,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4313,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
if(C_truep(((C_word*)t0)[7])){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_4323,a[2]=((C_word*)t0)[4],a[3]=t2,a[4]=((C_word*)t0)[7],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* posix-common.scm:771: check-environment-list */
f_4209(t3,((C_word*)t0)[7],((C_word*)t0)[6]);}
else{
t3=t2;
f_4313(t3,C_SCHEME_UNDEFINED);}}

/* k3415 in find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_3417(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,2)))){
C_save_and_reclaim_args((void *)trf_3417,2,t0,t1);}
a=C_alloc(13);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_3420,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
if(C_truep(C_i_closurep(((C_word*)t0)[9]))){
t4=t3;
f_3420(t4,((C_word*)t0)[9]);}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3566,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:539: chicken.irregex#irregex */
t5=*((C_word*)lf[119]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[9];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}}

/* a3632 in chicken.posix#find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3633(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_3633,2,av);}
a=C_alloc(3);
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3635,a[2]=((C_word)li55),tmp=(C_word)a,a+=3,tmp);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k4506 in k4503 in k4500 in k4497 in k4494 in chicken.posix#file-read in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4508(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_4508,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_3635 in a3632 in chicken.posix#find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3635(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3635,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k4503 in k4500 in k4497 in k4494 in chicken.posix#file-read in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_4505,2,av);}
a=C_alloc(11);
t2=C_read(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4508,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_eqp(C_fix(-1),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4517,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:775: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[9]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[9]+1);
av2[1]=t5;
tp(2,av2);}}
else{
t5=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_list2(&a,2,((C_word*)t0)[3],t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* a4302 in a4275 in k4266 in k4260 in chicken.posix#call-with-exec-args in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4303(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(14,c,3)))){
C_save_and_reclaim((void *)f_4303,2,av);}
a=C_alloc(14);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_4309,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word)li93),tmp=(C_word)a,a+=10,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4384,a[2]=((C_word*)t0)[9],a[3]=((C_word)li95),tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:763: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* k4500 in k4497 in k4494 in chicken.posix#file-read in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4502(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_4502,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4505,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_blockp(t2))){
if(C_truep(C_byteblockp(t2))){
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_4505(2,av2);}}
else{
/* posixwin.scm:772: ##sys#signal-hook */
t4=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[18];
av2[3]=lf[213];
av2[4]=lf[215];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}
else{
/* posixwin.scm:772: ##sys#signal-hook */
t4=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[18];
av2[3]=lf[213];
av2[4]=lf[215];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}

/* a6617 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6618(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_6618,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6622,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:263: ##sys#stat */
t4=*((C_word*)lf[12]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[501];
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}

/* k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3640(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,4)))){
C_save_and_reclaim((void *)f_3640,2,av);}
a=C_alloc(38);
t2=C_mutate2((C_word*)lf[126]+1 /* (set! chicken.posix#file-creation-mode ...) */,t1);
t3=C_mutate2(&lf[127] /* (set! chicken.posix#check-time-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3642,a[2]=((C_word)li58),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate2((C_word*)lf[129]+1 /* (set! chicken.posix#seconds->local-time ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3661,a[2]=((C_word)li59),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate2((C_word*)lf[134]+1 /* (set! chicken.posix#seconds->utc-time ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3682,a[2]=((C_word)li60),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate2((C_word*)lf[136]+1 /* (set! chicken.posix#seconds->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3714,a[2]=((C_word)li61),tmp=(C_word)a,a+=3,tmp));
t7=C_fix((C_word)sizeof(struct tm));
t8=C_mutate2((C_word*)lf[139]+1 /* (set! chicken.posix#local-time->seconds ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3752,a[2]=t7,a[3]=((C_word)li62),tmp=(C_word)a,a+=4,tmp));
t9=C_fix((C_word)sizeof(struct tm));
t10=C_mutate2((C_word*)lf[142]+1 /* (set! chicken.posix#time->string ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3796,a[2]=t9,a[3]=((C_word)li63),tmp=(C_word)a,a+=4,tmp));
t11=C_mutate2((C_word*)lf[146]+1 /* (set! chicken.posix#set-environment-variable! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3858,a[2]=((C_word)li64),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate2((C_word*)lf[148]+1 /* (set! chicken.posix#unset-environment-variable! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3875,a[2]=((C_word)li65),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate2((C_word*)lf[150]+1 /* (set! chicken.posix#get-environment-variables ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3895,a[2]=((C_word)li68),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate2((C_word*)lf[151]+1 /* (set! chicken.posix#set-signal-handler! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3961,a[2]=((C_word)li69),tmp=(C_word)a,a+=3,tmp));
t15=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3976,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t16=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6542,a[2]=((C_word)li210),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:678: getter-with-setter */
t17=*((C_word*)lf[494]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t17;
av2[1]=t15;
av2[2]=t16;
av2[3]=*((C_word*)lf[151]+1);
((C_proc)(void*)(*((C_word*)t17+1)))(4,av2);}}

/* chicken.posix#check-time-vector in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_3642(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_3642,3,t1,t2,t3);}
t4=C_i_check_vector_2(t3,t2);
t5=C_block_size(t3);
if(C_truep(C_fixnum_lessp(t5,C_fix(10)))){
/* posix-common.scm:593: ##sys#error */
t6=*((C_word*)lf[64]+1);{
C_word av2[5];
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[128];
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t6=C_SCHEME_UNDEFINED;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k4515 in k4503 in k4500 in k4497 in k4494 in chicken.posix#file-read in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_4517,2,av);}
/* posixwin.scm:776: ##sys#signal-hook */
t2=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[13];
av2[3]=lf[213];
av2[4]=lf[214];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k4311 in a4308 in a4302 in a4275 in k4266 in k4260 in chicken.posix#call-with-exec-args in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_4313(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_4313,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4320,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:777: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[16]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[16]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=((C_word*)t0)[7];
tp(4,av2);}}

/* a4969 in k4963 in chicken.posix#with-input-from-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4970(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4970,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[251]+1));
t3=C_mutate2((C_word*)lf[251]+1 /* (set! ##sys#standard-input ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a4974 in k4963 in chicken.posix#with-input-from-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4975(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_4975,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4981,a[2]=((C_word*)t0)[2],a[3]=((C_word)li121),tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:916: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
C_call_with_values(4,av2);}}

/* chicken.process#system* in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6422(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_6422,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_6426,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posix.scm:127: system */
t4=*((C_word*)lf[482]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k6424 in chicken.process#system* in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_6426(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_6426,2,av);}
t2=C_eqp(t1,C_fix(0));
if(C_truep(t2)){
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
/* posix.scm:129: ##sys#error */
t3=*((C_word*)lf[64]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[481];
av2[3]=((C_word*)t0)[3];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}

/* k4939 in chicken.posix#call-with-output-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4941(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_4941,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4946,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li117),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4952,a[2]=t2,a[3]=((C_word)li118),tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:906: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a4945 in k4939 in chicken.posix#call-with-output-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4946(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4946,2,av);}
/* posixwin.scm:907: proc */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k3402 in a3329 in conc-loop in chicken.posix#glob in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3404(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_3404,2,av);}
/* posix-common.scm:516: ##sys#glob->regexp */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[113]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[113]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}

/* chicken.posix#file-write in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4535(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_4535,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4539,a[2]=t2,a[3]=t3,a[4]=t1,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm:781: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=lf[218];
tp(4,av2);}}

/* k4537 in chicken.posix#file-write in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4539(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_4539,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4542,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_blockp(((C_word*)t0)[3]))){
if(C_truep(C_byteblockp(((C_word*)t0)[3]))){
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_4542(2,av2);}}
else{
/* posixwin.scm:783: ##sys#signal-hook */
t3=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[18];
av2[3]=lf[218];
av2[4]=lf[220];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}
else{
/* posixwin.scm:783: ##sys#signal-hook */
t3=*((C_word*)lf[5]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[18];
av2[3]=lf[218];
av2[4]=lf[220];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* f_5583 in chicken.posix#process-spawn in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_5583(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_5583,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a4989 in k4963 in chicken.posix#with-input-from-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4990(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4990,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[251]+1));
t3=C_mutate2((C_word*)lf[251]+1 /* (set! ##sys#standard-input ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k4997 in chicken.posix#with-output-to-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4999(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,4)))){
C_save_and_reclaim((void *)f_4999,2,av);}
a=C_alloc(19);
t2=t1;
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5004,a[2]=t6,a[3]=t4,a[4]=((C_word)li125),tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5009,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li127),tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5024,a[2]=t4,a[3]=t6,a[4]=((C_word)li128),tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:925: ##sys#dynamic-wind */
t10=*((C_word*)lf[118]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* chicken.posix#with-output-to-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4995(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_4995,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4999,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=*((C_word*)lf[240]+1);
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k4543 in k4540 in k4537 in chicken.posix#file-write in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_fcall f_4545(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_4545,2,t0,t1);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4548,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm:785: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[58]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[58]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[218];
tp(4,av2);}}

/* k4546 in k4543 in k4540 in k4537 in chicken.posix#file-write in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4548(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_4548,2,av);}
a=C_alloc(9);
t2=C_write(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4551,a[2]=((C_word*)t0)[5],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_eqp(C_fix(-1),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4557,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:788: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[9]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[9]+1);
av2[1]=t5;
tp(2,av2);}}
else{
t5=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k4540 in k4537 in chicken.posix#file-write in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4542(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_4542,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4545,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(((C_word*)t0)[5]))){
t3=((C_word*)t0)[5];
t4=t2;
f_4545(t4,C_u_i_car(t3));}
else{
t3=t2;
f_4545(t3,C_block_size(((C_word*)t0)[3]));}}

/* chicken.posix#with-input-from-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4961(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_4961,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4965,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=*((C_word*)lf[235]+1);
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k4963 in chicken.posix#with-input-from-pipe in k3974 in k3638 in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_4965(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,4)))){
C_save_and_reclaim((void *)f_4965,2,av);}
a=C_alloc(19);
t2=t1;
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4970,a[2]=t6,a[3]=t4,a[4]=((C_word)li120),tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4975,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li122),tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4990,a[2]=t4,a[3]=t6,a[4]=((C_word)li123),tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:915: ##sys#dynamic-wind */
t10=*((C_word*)lf[118]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* k3603 in k3600 in k3597 in k3594 in k3591 in chicken.posix#find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3605(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_3605,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_3608,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3613,a[2]=((C_word)li49),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:564: ##sys#get-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[121]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[121]+1);
av2[1]=t3;
av2[2]=lf[98];
av2[3]=((C_word*)t0)[8];
av2[4]=t4;
tp(5,av2);}}

/* k3600 in k3597 in k3594 in k3591 in chicken.posix#find-files in k2764 in k2523 in k2402 in k2399 in k2396 in k2393 in k2390 in k2387 in k2384 in k2381 in k2378 */
static void C_ccall f_3602(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_3602,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_3605,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3616,a[2]=((C_word)li50),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:564: ##sys#get-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[121]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[121]+1);
av2[1]=t3;
av2[2]=lf[97];
av2[3]=((C_word*)t0)[7];
av2[4]=t4;
tp(5,av2);}}

#ifdef C_ENABLE_PTABLES
static C_PTABLE_ENTRY ptable[502] = {
{"f_3608:posix_2escm",(void*)f_3608},
{"f_3613:posix_2escm",(void*)f_3613},
{"f_3616:posix_2escm",(void*)f_3616},
{"f_3619:posix_2escm",(void*)f_3619},
{"f_3025:posix_2escm",(void*)f_3025},
{"f_4981:posix_2escm",(void*)f_4981},
{"f_4985:posix_2escm",(void*)f_4985},
{"f_2576:posix_2escm",(void*)f_2576},
{"f_4797:posix_2escm",(void*)f_4797},
{"f_4791:posix_2escm",(void*)f_4791},
{"f_3047:posix_2escm",(void*)f_3047},
{"f_3221:posix_2escm",(void*)f_3221},
{"f_2943:posix_2escm",(void*)f_2943},
{"f_2940:posix_2escm",(void*)f_2940},
{"f_3057:posix_2escm",(void*)f_3057},
{"f_3233:posix_2escm",(void*)f_3233},
{"f_2971:posix_2escm",(void*)f_2971},
{"f_3243:posix_2escm",(void*)f_3243},
{"f_2395:posix_2escm",(void*)f_2395},
{"f_2392:posix_2escm",(void*)f_2392},
{"f_2967:posix_2escm",(void*)f_2967},
{"f_2961:posix_2escm",(void*)f_2961},
{"f_2380:posix_2escm",(void*)f_2380},
{"f_2383:posix_2escm",(void*)f_2383},
{"f_2398:posix_2escm",(void*)f_2398},
{"f_4751:posix_2escm",(void*)f_4751},
{"f_3001:posix_2escm",(void*)f_3001},
{"f_3007:posix_2escm",(void*)f_3007},
{"f_2389:posix_2escm",(void*)f_2389},
{"f_2386:posix_2escm",(void*)f_2386},
{"f_4066:posix_2escm",(void*)f_4066},
{"f_4069:posix_2escm",(void*)f_4069},
{"f_3010:posix_2escm",(void*)f_3010},
{"f_2557:posix_2escm",(void*)f_2557},
{"f_3015:posix_2escm",(void*)f_3015},
{"f_2555:posix_2escm",(void*)f_2555},
{"f_4779:posix_2escm",(void*)f_4779},
{"f_2551:posix_2escm",(void*)f_2551},
{"f_4775:posix_2escm",(void*)f_4775},
{"f_4074:posix_2escm",(void*)f_4074},
{"f_3207:posix_2escm",(void*)f_3207},
{"f_4086:posix_2escm",(void*)f_4086},
{"f_4080:posix_2escm",(void*)f_4080},
{"f_4952:posix_2escm",(void*)f_4952},
{"f_4956:posix_2escm",(void*)f_4956},
{"f_4097:posix_2escm",(void*)f_4097},
{"f_4090:posix_2escm",(void*)f_4090},
{"f_4095:posix_2escm",(void*)f_4095},
{"f_5576:posix_2escm",(void*)f_5576},
{"f_3803:posix_2escm",(void*)f_3803},
{"f_5569:posix_2escm",(void*)f_5569},
{"f_3812:posix_2escm",(void*)f_3812},
{"f_3063:posix_2escm",(void*)f_3063},
{"f_3073:posix_2escm",(void*)f_3073},
{"f_3075:posix_2escm",(void*)f_3075},
{"f_2991:posix_2escm",(void*)f_2991},
{"f_2990:posix_2escm",(void*)f_2990},
{"f_5292:posix_2escm",(void*)f_5292},
{"f_3085:posix_2escm",(void*)f_3085},
{"f_3082:posix_2escm",(void*)f_3082},
{"f_5539:posix_2escm",(void*)f_5539},
{"f_4496:posix_2escm",(void*)f_4496},
{"f_4499:posix_2escm",(void*)f_4499},
{"f_4492:posix_2escm",(void*)f_4492},
{"toplevel:posix_2escm",(void*)C_posix_toplevel},
{"f_3495:posix_2escm",(void*)f_3495},
{"f_3497:posix_2escm",(void*)f_3497},
{"f_5257:posix_2escm",(void*)f_5257},
{"f_5286:posix_2escm",(void*)f_5286},
{"f_5283:posix_2escm",(void*)f_5283},
{"f_5280:posix_2escm",(void*)f_5280},
{"f_5276:posix_2escm",(void*)f_5276},
{"f_5274:posix_2escm",(void*)f_5274},
{"f_5009:posix_2escm",(void*)f_5009},
{"f_5004:posix_2escm",(void*)f_5004},
{"f_3485:posix_2escm",(void*)f_3485},
{"f_3829:posix_2escm",(void*)f_3829},
{"f_3668:posix_2escm",(void*)f_3668},
{"f_3665:posix_2escm",(void*)f_3665},
{"f_3826:posix_2escm",(void*)f_3826},
{"f_3661:posix_2escm",(void*)f_3661},
{"f_3822:posix_2escm",(void*)f_3822},
{"f_5833:posix_2escm",(void*)f_5833},
{"f_3451:posix_2escm",(void*)f_3451},
{"f_5029:posix_2escm",(void*)f_5029},
{"f_5024:posix_2escm",(void*)f_5024},
{"f_3689:posix_2escm",(void*)f_3689},
{"f_6493:posix_2escm",(void*)f_6493},
{"f_3686:posix_2escm",(void*)f_3686},
{"f_3682:posix_2escm",(void*)f_3682},
{"f_5019:posix_2escm",(void*)f_5019},
{"f_5015:posix_2escm",(void*)f_5015},
{"f_5858:posix_2escm",(void*)f_5858},
{"f_3476:posix_2escm",(void*)f_3476},
{"f_3473:posix_2escm",(void*)f_3473},
{"f_5263:posix_2escm",(void*)f_5263},
{"f_4119:posix_2escm",(void*)f_4119},
{"f_5036:posix_2escm",(void*)f_5036},
{"f_4704:posix_2escm",(void*)f_4704},
{"f_4103:posix_2escm",(void*)f_4103},
{"f_4711:posix_2escm",(void*)f_4711},
{"f_4101:posix_2escm",(void*)f_4101},
{"f_5221:posix_2escm",(void*)f_5221},
{"f_5229:posix_2escm",(void*)f_5229},
{"f_4154:posix_2escm",(void*)f_4154},
{"f_4735:posix_2escm",(void*)f_4735},
{"f_4128:posix_2escm",(void*)f_4128},
{"f_4125:posix_2escm",(void*)f_4125},
{"f_5091:posix_2escm",(void*)f_5091},
{"f_5098:posix_2escm",(void*)f_5098},
{"f_4144:posix_2escm",(void*)f_4144},
{"f_5801:posix_2escm",(void*)f_5801},
{"f_5805:posix_2escm",(void*)f_5805},
{"f_5809:posix_2escm",(void*)f_5809},
{"f_6473:posix_2escm",(void*)f_6473},
{"f_6476:posix_2escm",(void*)f_6476},
{"f_2925:posix_2escm",(void*)f_2925},
{"f_2927:posix_2escm",(void*)f_2927},
{"f_6487:posix_2escm",(void*)f_6487},
{"f_5825:posix_2escm",(void*)f_5825},
{"f_4268:posix_2escm",(void*)f_4268},
{"f_6452:posix_2escm",(void*)f_6452},
{"f_4262:posix_2escm",(void*)f_4262},
{"f_2907:posix_2escm",(void*)f_2907},
{"f_2904:posix_2escm",(void*)f_2904},
{"f_2900:posix_2escm",(void*)f_2900},
{"f_4276:posix_2escm",(void*)f_4276},
{"f_4271:posix_2escm",(void*)f_4271},
{"f_6302:posix_2escm",(void*)f_6302},
{"f_6308:posix_2escm",(void*)f_6308},
{"f_2910:posix_2escm",(void*)f_2910},
{"f_4288:posix_2escm",(void*)f_4288},
{"f_4282:posix_2escm",(void*)f_4282},
{"f_2543:posix_2escm",(void*)f_2543},
{"f_2545:posix_2escm",(void*)f_2545},
{"f_5500:posix_2escm",(void*)f_5500},
{"f_2549:posix_2escm",(void*)f_2549},
{"f_4292:posix_2escm",(void*)f_4292},
{"f_4295:posix_2escm",(void*)f_4295},
{"f_4745:posix_2escm",(void*)f_4745},
{"f_6194:posix_2escm",(void*)f_6194},
{"f_2527:posix_2escm",(void*)f_2527},
{"f_2525:posix_2escm",(void*)f_2525},
{"f_4742:posix_2escm",(void*)f_4742},
{"f_6344:posix_2escm",(void*)f_6344},
{"f_2531:posix_2escm",(void*)f_2531},
{"f_2533:posix_2escm",(void*)f_2533},
{"f_2537:posix_2escm",(void*)f_2537},
{"f_4913:posix_2escm",(void*)f_4913},
{"f_2539:posix_2escm",(void*)f_2539},
{"f_5888:posix_2escm",(void*)f_5888},
{"f_4917:posix_2escm",(void*)f_4917},
{"f_6332:posix_2escm",(void*)f_6332},
{"f_2500:posix_2escm",(void*)f_2500},
{"f_6170:posix_2escm",(void*)f_6170},
{"f_6338:posix_2escm",(void*)f_6338},
{"f_5872:posix_2escm",(void*)f_5872},
{"f_2505:posix_2escm",(void*)f_2505},
{"f_5874:posix_2escm",(void*)f_5874},
{"f_5879:posix_2escm",(void*)f_5879},
{"f_3714:posix_2escm",(void*)f_3714},
{"f_6182:posix_2escm",(void*)f_6182},
{"f_2512:posix_2escm",(void*)f_2512},
{"f_4932:posix_2escm",(void*)f_4932},
{"f_6176:posix_2escm",(void*)f_6176},
{"f_4937:posix_2escm",(void*)f_4937},
{"f_3721:posix_2escm",(void*)f_3721},
{"f_3724:posix_2escm",(void*)f_3724},
{"f_3718:posix_2escm",(void*)f_3718},
{"f_6152:posix_2escm",(void*)f_6152},
{"f_4902:posix_2escm",(void*)f_4902},
{"f_6100:posix_2escm",(void*)f_6100},
{"f_6188:posix_2escm",(void*)f_6188},
{"f_4905:posix_2escm",(void*)f_4905},
{"f_6164:posix_2escm",(void*)f_6164},
{"f_6158:posix_2escm",(void*)f_6158},
{"f_4922:posix_2escm",(void*)f_4922},
{"f_6123:posix_2escm",(void*)f_6123},
{"f_6126:posix_2escm",(void*)f_6126},
{"f_4928:posix_2escm",(void*)f_4928},
{"f_6111:posix_2escm",(void*)f_6111},
{"f_6115:posix_2escm",(void*)f_6115},
{"f_6119:posix_2escm",(void*)f_6119},
{"f_6200:posix_2escm",(void*)f_6200},
{"f_6206:posix_2escm",(void*)f_6206},
{"f_2702:posix_2escm",(void*)f_2702},
{"f_2704:posix_2escm",(void*)f_2704},
{"f_4233:posix_2escm",(void*)f_4233},
{"f_5211:posix_2escm",(void*)f_5211},
{"f_5217:posix_2escm",(void*)f_5217},
{"f_4868:posix_2escm",(void*)f_4868},
{"f_2733:posix_2escm",(void*)f_2733},
{"f_2739:posix_2escm",(void*)f_2739},
{"f_4258:posix_2escm",(void*)f_4258},
{"f_5243:posix_2escm",(void*)f_5243},
{"f_4256:posix_2escm",(void*)f_4256},
{"f_5245:posix_2escm",(void*)f_5245},
{"f_4877:posix_2escm",(void*)f_4877},
{"f_3961:posix_2escm",(void*)f_3961},
{"f_5231:posix_2escm",(void*)f_5231},
{"f_3965:posix_2escm",(void*)f_3965},
{"f_5235:posix_2escm",(void*)f_5235},
{"f_4887:posix_2escm",(void*)f_4887},
{"f_4884:posix_2escm",(void*)f_4884},
{"f_5045:posix_2escm",(void*)f_5045},
{"f_2712:posix_2escm",(void*)f_2712},
{"f_2717:posix_2escm",(void*)f_2717},
{"f_4895:posix_2escm",(void*)f_4895},
{"f_2721:posix_2escm",(void*)f_2721},
{"f_2724:posix_2escm",(void*)f_2724},
{"f_2727:posix_2escm",(void*)f_2727},
{"f_3943:posix_2escm",(void*)f_3943},
{"f_4209:posix_2escm",(void*)f_4209},
{"f_4214:posix_2escm",(void*)f_4214},
{"f_4430:posix_2escm",(void*)f_4430},
{"f_3978:posix_2escm",(void*)f_3978},
{"f_4426:posix_2escm",(void*)f_4426},
{"f_4443:posix_2escm",(void*)f_4443},
{"f_3976:posix_2escm",(void*)f_3976},
{"f_3987:posix_2escm",(void*)f_3987},
{"f_4436:posix_2escm",(void*)f_4436},
{"f_4439:posix_2escm",(void*)f_4439},
{"f_3985:posix_2escm",(void*)f_3985},
{"f_3981:posix_2escm",(void*)f_3981},
{"f_5685:posix_2escm",(void*)f_5685},
{"f_4446:posix_2escm",(void*)f_4446},
{"f_5681:posix_2escm",(void*)f_5681},
{"f_6320:posix_2escm",(void*)f_6320},
{"f_6326:posix_2escm",(void*)f_6326},
{"f_6141:posix_2escm",(void*)f_6141},
{"f_6146:posix_2escm",(void*)f_6146},
{"f_2493:posix_2escm",(void*)f_2493},
{"f_2855:posix_2escm",(void*)f_2855},
{"f_2853:posix_2escm",(void*)f_2853},
{"f_6131:posix_2escm",(void*)f_6131},
{"f_2692:posix_2escm",(void*)f_2692},
{"f_2694:posix_2escm",(void*)f_2694},
{"f_2845:posix_2escm",(void*)f_2845},
{"f_2841:posix_2escm",(void*)f_2841},
{"f_3502:posix_2escm",(void*)f_3502},
{"f_3796:posix_2escm",(void*)f_3796},
{"f_4465:posix_2escm",(void*)f_4465},
{"f_2459:posix_2escm",(void*)f_2459},
{"f_4461:posix_2escm",(void*)f_4461},
{"f_2455:posix_2escm",(void*)f_2455},
{"f_3532:posix_2escm",(void*)f_3532},
{"f_3535:posix_2escm",(void*)f_3535},
{"f_2484:posix_2escm",(void*)f_2484},
{"f_2480:posix_2escm",(void*)f_2480},
{"f_4851:posix_2escm",(void*)f_4851},
{"f_4470:posix_2escm",(void*)f_4470},
{"f_3146:posix_2escm",(void*)f_3146},
{"f_4858:posix_2escm",(void*)f_4858},
{"f_3541:posix_2escm",(void*)f_3541},
{"f_2871:posix_2escm",(void*)f_2871},
{"f_3510:posix_2escm",(void*)f_3510},
{"f_3514:posix_2escm",(void*)f_3514},
{"f_3517:posix_2escm",(void*)f_3517},
{"f_3760:posix_2escm",(void*)f_3760},
{"f_4672:posix_2escm",(void*)f_4672},
{"f_5486:posix_2escm",(void*)f_5486},
{"f_3522:posix_2escm",(void*)f_3522},
{"f_3756:posix_2escm",(void*)f_3756},
{"f_3752:posix_2escm",(void*)f_3752},
{"f_4691:posix_2escm",(void*)f_4691},
{"f_4695:posix_2escm",(void*)f_4695},
{"f_3324:posix_2escm",(void*)f_3324},
{"f_3334:posix_2escm",(void*)f_3334},
{"f_3330:posix_2escm",(void*)f_3330},
{"f_4452:posix_2escm",(void*)f_4452},
{"f_5670:posix_2escm",(void*)f_5670},
{"f_2894:posix_2escm",(void*)f_2894},
{"f_5666:posix_2escm",(void*)f_5666},
{"f_5756:posix_2escm",(void*)f_5756},
{"f_3309:posix_2escm",(void*)f_3309},
{"f_2880:posix_2escm",(void*)f_2880},
{"f_6242:posix_2escm",(void*)f_6242},
{"f_6248:posix_2escm",(void*)f_6248},
{"f_5749:posix_2escm",(void*)f_5749},
{"f_3593:posix_2escm",(void*)f_3593},
{"f_3596:posix_2escm",(void*)f_3596},
{"f_3599:posix_2escm",(void*)f_3599},
{"f_3117:posix_2escm",(void*)f_3117},
{"f_3115:posix_2escm",(void*)f_3115},
{"f_5459:posix_2escm",(void*)f_5459},
{"f_6230:posix_2escm",(void*)f_6230},
{"f_6236:posix_2escm",(void*)f_6236},
{"f_4179:posix_2escm",(void*)f_4179},
{"f_4171:posix_2escm",(void*)f_4171},
{"f_4175:posix_2escm",(void*)f_4175},
{"f_5638:posix_2escm",(void*)f_5638},
{"f_3123:posix_2escm",(void*)f_3123},
{"f_6016:posix_2escm",(void*)f_6016},
{"f_3343:posix_2escm",(void*)f_3343},
{"f_3341:posix_2escm",(void*)f_3341},
{"f_6224:posix_2escm",(void*)f_6224},
{"f_5626:posix_2escm",(void*)f_5626},
{"f_5622:posix_2escm",(void*)f_5622},
{"f_3108:posix_2escm",(void*)f_3108},
{"f_6212:posix_2escm",(void*)f_6212},
{"f_4197:posix_2escm",(void*)f_4197},
{"f_6218:posix_2escm",(void*)f_6218},
{"f_5653:posix_2escm",(void*)f_5653},
{"f_4194:posix_2escm",(void*)f_4194},
{"f_3101:posix_2escm",(void*)f_3101},
{"f_5643:posix_2escm",(void*)f_5643},
{"f_4160:posix_2escm",(void*)f_4160},
{"f_5649:posix_2escm",(void*)f_5649},
{"f_3913:posix_2escm",(void*)f_3913},
{"f_3164:posix_2escm",(void*)f_3164},
{"f_3168:posix_2escm",(void*)f_3168},
{"f_5447:posix_2escm",(void*)f_5447},
{"f_3303:posix_2escm",(void*)f_3303},
{"f_6551:posix_2escm",(void*)f_6551},
{"f_6558:posix_2escm",(void*)f_6558},
{"f_3384:posix_2escm",(void*)f_3384},
{"f_3360:posix_2escm",(void*)f_3360},
{"f_6580:posix_2escm",(void*)f_6580},
{"f_5166:posix_2escm",(void*)f_5166},
{"f_6582:posix_2escm",(void*)f_6582},
{"f_3905:posix_2escm",(void*)f_3905},
{"f_3901:posix_2escm",(void*)f_3901},
{"f_3193:posix_2escm",(void*)f_3193},
{"f_5195:posix_2escm",(void*)f_5195},
{"f_5199:posix_2escm",(void*)f_5199},
{"f_6586:posix_2escm",(void*)f_6586},
{"f_6589:posix_2escm",(void*)f_6589},
{"f_3364:posix_2escm",(void*)f_3364},
{"f_5364:posix_2escm",(void*)f_5364},
{"f_6597:posix_2escm",(void*)f_6597},
{"f_6088:posix_2escm",(void*)f_6088},
{"f_5355:posix_2escm",(void*)f_5355},
{"f_5358:posix_2escm",(void*)f_5358},
{"f_5352:posix_2escm",(void*)f_5352},
{"f_3372:posix_2escm",(void*)f_3372},
{"f_3376:posix_2escm",(void*)f_3376},
{"f_3939:posix_2escm",(void*)f_3939},
{"f_3931:posix_2escm",(void*)f_3931},
{"f_3183:posix_2escm",(void*)f_3183},
{"f_3189:posix_2escm",(void*)f_3189},
{"f_3186:posix_2escm",(void*)f_3186},
{"f_5929:posix_2escm",(void*)f_5929},
{"f_2684:posix_2escm",(void*)f_2684},
{"f_2682:posix_2escm",(void*)f_2682},
{"f_5923:posix_2escm",(void*)f_5923},
{"f_4011:posix_2escm",(void*)f_4011},
{"f_5158:posix_2escm",(void*)f_5158},
{"f_2431:posix_2escm",(void*)f_2431},
{"f_4006:posix_2escm",(void*)f_4006},
{"f_5956:posix_2escm",(void*)f_5956},
{"f_2674:posix_2escm",(void*)f_2674},
{"f_2672:posix_2escm",(void*)f_2672},
{"f_5950:posix_2escm",(void*)f_5950},
{"f_5954:posix_2escm",(void*)f_5954},
{"f_5739:posix_2escm",(void*)f_5739},
{"f_2440:posix_2escm",(void*)f_2440},
{"f_4017:posix_2escm",(void*)f_4017},
{"f_2662:posix_2escm",(void*)f_2662},
{"f_2664:posix_2escm",(void*)f_2664},
{"f_2416:posix_2escm",(void*)f_2416},
{"f_2652:posix_2escm",(void*)f_2652},
{"f_2654:posix_2escm",(void*)f_2654},
{"f_6542:posix_2escm",(void*)f_6542},
{"f_6546:posix_2escm",(void*)f_6546},
{"f_2420:posix_2escm",(void*)f_2420},
{"f_2427:posix_2escm",(void*)f_2427},
{"f_4649:posix_2escm",(void*)f_4649},
{"f_5331:posix_2escm",(void*)f_5331},
{"f_5338:posix_2escm",(void*)f_5338},
{"f_5774:posix_2escm",(void*)f_5774},
{"f_4557:posix_2escm",(void*)f_4557},
{"f_5117:posix_2escm",(void*)f_5117},
{"f_5770:posix_2escm",(void*)f_5770},
{"f_4551:posix_2escm",(void*)f_4551},
{"f_5115:posix_2escm",(void*)f_5115},
{"f_4610:posix_2escm",(void*)f_4610},
{"f_2401:posix_2escm",(void*)f_2401},
{"f_5766:posix_2escm",(void*)f_5766},
{"f_4058:posix_2escm",(void*)f_4058},
{"f_2404:posix_2escm",(void*)f_2404},
{"f_5107:posix_2escm",(void*)f_5107},
{"f_6518:posix_2escm",(void*)f_6518},
{"f_5793:posix_2escm",(void*)f_5793},
{"f_5797:posix_2escm",(void*)f_5797},
{"f_4575:posix_2escm",(void*)f_4575},
{"f_5306:posix_2escm",(void*)f_5306},
{"f_5304:posix_2escm",(void*)f_5304},
{"f_4375:posix_2escm",(void*)f_4375},
{"f_5786:posix_2escm",(void*)f_5786},
{"f_4588:posix_2escm",(void*)f_4588},
{"f_4585:posix_2escm",(void*)f_4585},
{"f_4606:posix_2escm",(void*)f_4606},
{"f_6576:posix_2escm",(void*)f_6576},
{"f_2827:posix_2escm",(void*)f_2827},
{"f_2821:posix_2escm",(void*)f_2821},
{"f_4602:posix_2escm",(void*)f_4602},
{"f_4384:posix_2escm",(void*)f_4384},
{"f_4597:posix_2escm",(void*)f_4597},
{"f_4594:posix_2escm",(void*)f_4594},
{"f_2839:posix_2escm",(void*)f_2839},
{"f_2831:posix_2escm",(void*)f_2831},
{"f_6356:posix_2escm",(void*)f_6356},
{"f_4390:posix_2escm",(void*)f_4390},
{"f_6350:posix_2escm",(void*)f_6350},
{"f_2808:posix_2escm",(void*)f_2808},
{"f_6368:posix_2escm",(void*)f_6368},
{"f_6622:posix_2escm",(void*)f_6622},
{"f_6362:posix_2escm",(void*)f_6362},
{"f_6628:posix_2escm",(void*)f_6628},
{"f_6624:posix_2escm",(void*)f_6624},
{"f_3575:posix_2escm",(void*)f_3575},
{"f_3589:posix_2escm",(void*)f_3589},
{"f_3583:posix_2escm",(void*)f_3583},
{"f_5422:posix_2escm",(void*)f_5422},
{"f_4811:posix_2escm",(void*)f_4811},
{"f_3557:posix_2escm",(void*)f_3557},
{"f_3550:posix_2escm",(void*)f_3550},
{"f_6644:posix_2escm",(void*)f_6644},
{"f_4818:posix_2escm",(void*)f_4818},
{"f_3566:posix_2escm",(void*)f_3566},
{"f_3567:posix_2escm",(void*)f_3567},
{"f_6634:posix_2escm",(void*)f_6634},
{"f_4828:posix_2escm",(void*)f_4828},
{"f_6284:posix_2escm",(void*)f_6284},
{"f_4837:posix_2escm",(void*)f_4837},
{"f_6442:posix_2escm",(void*)f_6442},
{"f_6438:posix_2escm",(void*)f_6438},
{"f_6260:posix_2escm",(void*)f_6260},
{"f_5915:posix_2escm",(void*)f_5915},
{"f_5918:posix_2escm",(void*)f_5918},
{"f_6266:posix_2escm",(void*)f_6266},
{"f_6272:posix_2escm",(void*)f_6272},
{"f_6278:posix_2escm",(void*)f_6278},
{"f_6254:posix_2escm",(void*)f_6254},
{"f_6076:posix_2escm",(void*)f_6076},
{"f_4184:posix_2escm",(void*)f_4184},
{"f_3869:posix_2escm",(void*)f_3869},
{"f_5313:posix_2escm",(void*)f_5313},
{"f_5319:posix_2escm",(void*)f_5319},
{"f_3873:posix_2escm",(void*)f_3873},
{"f_3875:posix_2escm",(void*)f_3875},
{"f_5346:posix_2escm",(void*)f_5346},
{"f_3883:posix_2escm",(void*)f_3883},
{"f_4327:posix_2escm",(void*)f_4327},
{"f_4323:posix_2escm",(void*)f_4323},
{"f_3895:posix_2escm",(void*)f_3895},
{"f_2644:posix_2escm",(void*)f_2644},
{"f_4320:posix_2escm",(void*)f_4320},
{"f_2766:posix_2escm",(void*)f_2766},
{"f_4348:posix_2escm",(void*)f_4348},
{"f_5135:posix_2escm",(void*)f_5135},
{"f_5137:posix_2escm",(void*)f_5137},
{"f_2771:posix_2escm",(void*)f_2771},
{"f_3420:posix_2escm",(void*)f_3420},
{"f_3427:posix_2escm",(void*)f_3427},
{"f_3429:posix_2escm",(void*)f_3429},
{"f_5127:posix_2escm",(void*)f_5127},
{"f_4350:posix_2escm",(void*)f_4350},
{"f_2779:posix_2escm",(void*)f_2779},
{"f_3850:posix_2escm",(void*)f_3850},
{"f_3858:posix_2escm",(void*)f_3858},
{"f_3442:posix_2escm",(void*)f_3442},
{"f_5143:posix_2escm",(void*)f_5143},
{"f_5149:posix_2escm",(void*)f_5149},
{"f_3622:posix_2escm",(void*)f_3622},
{"f_3627:posix_2escm",(void*)f_3627},
{"f_3625:posix_2escm",(void*)f_3625},
{"f_3410:posix_2escm",(void*)f_3410},
{"f_4309:posix_2escm",(void*)f_4309},
{"f_3417:posix_2escm",(void*)f_3417},
{"f_3633:posix_2escm",(void*)f_3633},
{"f_4508:posix_2escm",(void*)f_4508},
{"f_3635:posix_2escm",(void*)f_3635},
{"f_4505:posix_2escm",(void*)f_4505},
{"f_4303:posix_2escm",(void*)f_4303},
{"f_4502:posix_2escm",(void*)f_4502},
{"f_6618:posix_2escm",(void*)f_6618},
{"f_3640:posix_2escm",(void*)f_3640},
{"f_3642:posix_2escm",(void*)f_3642},
{"f_4517:posix_2escm",(void*)f_4517},
{"f_4313:posix_2escm",(void*)f_4313},
{"f_4970:posix_2escm",(void*)f_4970},
{"f_4975:posix_2escm",(void*)f_4975},
{"f_6422:posix_2escm",(void*)f_6422},
{"f_6426:posix_2escm",(void*)f_6426},
{"f_4941:posix_2escm",(void*)f_4941},
{"f_4946:posix_2escm",(void*)f_4946},
{"f_3404:posix_2escm",(void*)f_3404},
{"f_4535:posix_2escm",(void*)f_4535},
{"f_4539:posix_2escm",(void*)f_4539},
{"f_5583:posix_2escm",(void*)f_5583},
{"f_4990:posix_2escm",(void*)f_4990},
{"f_4999:posix_2escm",(void*)f_4999},
{"f_4995:posix_2escm",(void*)f_4995},
{"f_4545:posix_2escm",(void*)f_4545},
{"f_4548:posix_2escm",(void*)f_4548},
{"f_4542:posix_2escm",(void*)f_4542},
{"f_4961:posix_2escm",(void*)f_4961},
{"f_4965:posix_2escm",(void*)f_4965},
{"f_3605:posix_2escm",(void*)f_3605},
{"f_3602:posix_2escm",(void*)f_3602},
{NULL,NULL}};
#endif

static C_PTABLE_ENTRY *create_ptable(void){
#ifdef C_ENABLE_PTABLES
return ptable;
#else
return NULL;
#endif
}

/*
o|hiding unexported module binding: chicken.posix#provide* 
o|hiding unexported module binding: chicken.posix#d 
o|hiding unexported module binding: chicken.posix#define-alias 
o|hiding unexported module binding: chicken.posix#posix-error 
o|hiding unexported module binding: chicken.posix#stat-mode 
o|hiding unexported module binding: chicken.posix#check-time-vector 
o|hiding unexported module binding: chicken.posix#list->c-string-buffer 
o|hiding unexported module binding: chicken.posix#free-c-string-buffer 
o|hiding unexported module binding: chicken.posix#check-environment-list 
o|hiding unexported module binding: chicken.posix#call-with-exec-args 
o|hiding unexported module binding: chicken.posix#open/noinherit 
o|hiding unexported module binding: chicken.posix#quote-arg-string 
o|hiding unexported module binding: chicken.posix#define-unimplemented 
o|hiding unexported module binding: chicken.posix#set-group-id! 
o|hiding unexported module binding: chicken.posix#set-process-group-id! 
o|hiding unexported module binding: chicken.posix#set-user-id! 
S|applied compiler syntax:
S|  map		3
S|  for-each		3
o|eliminated procedure checks: 104 
o|specializations:
o|  1 (char=? char char)
o|  1 (zero? integer)
o|  4 (##sys#foreign-fixnum-argument fixnum)
o|  1 (##sys#check-output-port * * *)
o|  1 (##sys#check-input-port * * *)
o|  1 (chicken.bitwise#bitwise-ior * *)
o|  1 (##sys#call-with-values (procedure () *) *)
o|  1 (add1 fixnum)
o|  1 (##sys#length list)
o|  1 (= * *)
o|  4 (cdr pair)
o|  2 (string-ref string fixnum)
o|  3 (string-length string)
o|  5 (##sys#check-list (or pair list) *)
o|  2 (make-string fixnum)
o|  2 (zero? *)
o|  4 (##sys#check-open-port * *)
o|  9 (eqv? * (or eof null fixnum char boolean symbol))
o|  1 (< * *)
o|  10 (car pair)
(o e)|safe calls: 573 
(o e)|assignments to immediate values: 32 
o|dropping redundant toplevel assignment: chicken.posix#open-input-file* 
o|dropping redundant toplevel assignment: chicken.posix#open-output-file* 
o|dropping redundant toplevel assignment: chicken.posix#open-input-pipe 
o|dropping redundant toplevel assignment: chicken.posix#open-output-pipe 
o|dropping redundant toplevel assignment: chicken.posix#close-input-pipe 
o|dropping redundant toplevel assignment: chicken.posix#close-output-pipe 
o|dropping redundant toplevel assignment: chicken.posix#file-read-access? 
o|dropping redundant toplevel assignment: chicken.posix#file-write-access? 
o|dropping redundant toplevel assignment: chicken.posix#file-execute-access? 
o|dropping redundant toplevel assignment: chicken.posix#process 
o|dropping redundant toplevel assignment: chicken.posix#process* 
o|safe globals: (chicken.posix#file-stat ##sys#stat chicken.posix#emergency-exit ##sys#posix-error chicken.posix#posix-error c1617) 
o|Removed `not' forms: 7 
o|contracted procedure: "(posix-common.scm:183) strerror142" 
o|contracted procedure: "(posix-common.scm:193) _exit156" 
o|inlining procedure: k2460 
o|inlining procedure: k2460 
o|inlining procedure: k2475 
o|inlining procedure: k2475 
o|inlining procedure: k2494 
o|inlining procedure: k2494 
o|inlining procedure: k2571 
o|inlining procedure: k2583 
o|inlining procedure: k2583 
o|inlining procedure: k2595 
o|inlining procedure: k2595 
o|inlining procedure: k2607 
o|inlining procedure: k2607 
o|inlining procedure: k2571 
o|inlining procedure: k2728 
o|inlining procedure: k2728 
o|inlining procedure: k2740 
o|inlining procedure: k2740 
o|inlining procedure: k2750 
o|inlining procedure: k2750 
o|inlining procedure: k2777 
o|contracted procedure: k2793 
o|inlining procedure: k2790 
o|inlining procedure: k2790 
o|substituted constant variable: a2803 
o|inlining procedure: k2777 
o|inlining procedure: k2810 
o|inlining procedure: k2810 
o|inlining procedure: k2823 
o|inlining procedure: k2823 
o|substituted constant variable: a2858 
o|inlining procedure: k2859 
o|inlining procedure: k2859 
o|contracted procedure: k2875 
o|inlining procedure: k2878 
o|inlining procedure: k2878 
o|inlining procedure: k2908 
o|inlining procedure: k2908 
o|inlining procedure: k2932 
o|inlining procedure: k2932 
o|substituted constant variable: a2953 
o|inlining procedure: k2972 
o|inlining procedure: k2972 
o|inlining procedure: k2993 
o|propagated global variable: r29946700 delete-file 
o|inlining procedure: k2993 
o|inlining procedure: k2985 
o|inlining procedure: k3017 
o|inlining procedure: k3017 
o|inlining procedure: k2985 
o|inlining procedure: k3055 
o|inlining procedure: k3055 
o|inlining procedure: k3077 
o|contracted procedure: "(posix-common.scm:475) g428429" 
o|inlining procedure: k3088 
o|inlining procedure: k3088 
o|inlining procedure: k3077 
o|inlining procedure: k3125 
o|inlining procedure: k3125 
o|contracted procedure: "(posix-common.scm:476) g446447" 
o|inlining procedure: k3133 
o|inlining procedure: k3133 
o|inlining procedure: k3194 
o|inlining procedure: k3194 
o|inlining procedure: k3209 
o|inlining procedure: k3209 
o|inlining procedure: k3250 
o|inlining procedure: k3250 
o|substituted constant variable: a3272 
o|substituted constant variable: a3274 
o|inlining procedure: k3311 
o|inlining procedure: k3311 
o|inlining procedure: k3345 
o|inlining procedure: k3345 
o|inlining procedure: k3398 
o|inlining procedure: k3398 
o|inlining procedure: k3406 
o|inlining procedure: k3406 
o|inlining procedure: k3431 
o|inlining procedure: k3431 
o|inlining procedure: k3452 
o|inlining procedure: k3452 
o|inlining procedure: k3471 
o|inlining procedure: k3471 
o|inlining procedure: k3480 
o|inlining procedure: k3512 
o|inlining procedure: k3512 
o|inlining procedure: k3480 
o|inlining procedure: k3530 
o|inlining procedure: k3530 
o|inlining procedure: k3545 
o|inlining procedure: k3545 
o|contracted procedure: k3572 
o|inlining procedure: k3577 
o|inlining procedure: k3577 
o|inlining procedure: k3647 
o|inlining procedure: k3647 
o|inlining procedure: k3725 
o|inlining procedure: k3725 
o|contracted procedure: "(posix-common.scm:607) ctime639" 
o|substituted constant variable: a3764 
o|inlining procedure: k3761 
o|inlining procedure: k3761 
o|inlining procedure: k3804 
o|contracted procedure: "(posix-common.scm:630) strftime666" 
o|inlining procedure: k3790 
o|inlining procedure: k3790 
o|inlining procedure: k3804 
o|contracted procedure: "(posix-common.scm:632) asctime665" 
o|inlining procedure: k3777 
o|inlining procedure: k3777 
o|inlining procedure: k3906 
o|inlining procedure: k3915 
o|inlining procedure: k3915 
o|inlining procedure: k3906 
o|contracted procedure: "(posix-common.scm:659) get717" 
o|inlining procedure: k4019 
o|inlining procedure: k4019 
o|inlining procedure: k4105 
o|inlining procedure: k4105 
o|contracted procedure: "(posix-common.scm:731) c-string->allocated-pointer766" 
o|merged explicitly consed rest parameter: args778800 
o|consed rest parameter at call site: tmp22325 1 
o|inlining procedure: k4186 
o|inlining procedure: k4186 
o|inlining procedure: k4235 
o|inlining procedure: k4235 
o|inlining procedure: k4293 
o|inlining procedure: k4293 
o|inlining procedure: k4352 
o|contracted procedure: "(posix-common.scm:774) g867876" 
o|inlining procedure: k4352 
o|inlining procedure: k4444 
o|inlining procedure: k4444 
o|inlining procedure: k4472 
o|inlining procedure: k4472 
o|inlining procedure: k4506 
o|inlining procedure: k4506 
o|inlining procedure: k4549 
o|inlining procedure: k4549 
o|inlining procedure: k4619 
o|inlining procedure: k4619 
o|inlining procedure: k4651 
o|inlining procedure: k4651 
o|contracted procedure: k4673 
o|inlining procedure: k4679 
o|inlining procedure: k4679 
o|inlining procedure: k4696 
o|inlining procedure: k4696 
o|inlining procedure: k4706 
o|inlining procedure: k4706 
o|inlining procedure: k4743 
o|inlining procedure: k4743 
o|inlining procedure: k4759 
o|inlining procedure: k4759 
o|inlining procedure: k4780 
o|inlining procedure: k4780 
o|inlining procedure: k4793 
o|inlining procedure: k4793 
o|inlining procedure: k4809 
o|inlining procedure: k4809 
o|inlining procedure: "(posixwin.scm:866) badmode1057" 
o|substituted constant variable: a4833 
o|substituted constant variable: a4835 
o|inlining procedure: k4849 
o|inlining procedure: k4849 
o|inlining procedure: "(posixwin.scm:876) badmode1057" 
o|substituted constant variable: a4873 
o|substituted constant variable: a4875 
o|substituted constant variable: a4880 
o|substituted constant variable: a4881 
o|inlining procedure: k4885 
o|inlining procedure: k4885 
o|substituted constant variable: a4898 
o|substituted constant variable: a4899 
o|inlining procedure: k4903 
o|inlining procedure: k4903 
o|inlining procedure: k5034 
o|inlining procedure: k5034 
o|inlining procedure: k5099 
o|inlining procedure: k5099 
o|inlining procedure: k5125 
o|inlining procedure: k5125 
o|inlining procedure: k5164 
o|contracted procedure: k5180 
o|inlining procedure: k5177 
o|inlining procedure: k5177 
o|substituted constant variable: a5190 
o|inlining procedure: k5164 
o|inlining procedure: k5200 
o|inlining procedure: k5200 
o|inlining procedure: k5213 
o|inlining procedure: k5213 
o|substituted constant variable: a5248 
o|contracted procedure: k5252 
o|inlining procedure: k5249 
o|inlining procedure: k5249 
o|inlining procedure: k5284 
o|inlining procedure: k5284 
o|substituted constant variable: a5316 
o|contracted procedure: k5323 
o|inlining procedure: k5320 
o|inlining procedure: k5320 
o|inlining procedure: k5333 
o|inlining procedure: k5333 
o|substituted constant variable: a5349 
o|inlining procedure: k5359 
o|inlining procedure: k5359 
o|inlining procedure: k5369 
o|inlining procedure: k5369 
o|inlining procedure: k5382 
o|inlining procedure: k5382 
o|substituted constant variable: a5398 
o|substituted constant variable: a5400 
o|substituted constant variable: a5402 
o|inlining procedure: k5449 
o|inlining procedure: k5449 
o|contracted procedure: "(posixwin.scm:1152) needs-quoting?1294" 
o|inlining procedure: k5424 
o|inlining procedure: k5424 
o|inlining procedure: k5491 
o|inlining procedure: k5491 
o|inlining procedure: k5574 
o|inlining procedure: k5574 
o|inlining procedure: k5627 
o|inlining procedure: k5627 
o|inlining procedure: k5654 
o|inlining procedure: k5654 
o|substituted constant variable: g145014511458 
o|substituted constant variable: g145014511458 
o|substituted constant variable: g145014511458 
o|substituted constant variable: g145214531459 
o|substituted constant variable: g145214531459 
o|substituted constant variable: g145214531459 
o|substituted constant variable: g145414551460 
o|substituted constant variable: g145414551460 
o|substituted constant variable: g145414551460 
o|substituted constant variable: g145614571461 
o|substituted constant variable: g145614571461 
o|substituted constant variable: g145614571461 
o|inlining procedure: k5757 
o|inlining procedure: k5772 
o|inlining procedure: k5772 
o|inlining procedure: k5757 
o|contracted procedure: "(posixwin.scm:1235) c-process1372" 
o|inlining procedure: k5819 
o|inlining procedure: k5819 
o|inlining procedure: k5823 
o|inlining procedure: k5823 
o|inlining procedure: k5835 
o|inlining procedure: k5835 
o|inlining procedure: k5890 
o|inlining procedure: k5890 
o|inlining procedure: k5931 
o|inlining procedure: k5931 
o|inlining procedure: k6078 
o|inlining procedure: k6078 
o|inlining procedure: k6090 
o|inlining procedure: k6090 
o|inlining procedure: k6102 
o|inlining procedure: k6102 
o|inlining procedure: k6133 
o|inlining procedure: k6133 
o|removed side-effect free assignment to unused variable: chicken.posix#set-group-id! 
o|removed side-effect free assignment to unused variable: chicken.posix#set-process-group-id! 
o|removed side-effect free assignment to unused variable: chicken.posix#set-user-id! 
o|inlining procedure: k6427 
o|inlining procedure: k6427 
o|inlining procedure: k6454 
o|inlining procedure: k6454 
o|substituted constant variable: a6464 
o|inlining procedure: k6495 
o|inlining procedure: k6495 
o|inlining procedure: k6563 
o|inlining procedure: k6563 
o|substituted constant variable: a6591 
o|inlining procedure: k6587 
o|inlining procedure: k6587 
o|inlining procedure: k6598 
o|inlining procedure: k6598 
o|inlining procedure: k6608 
o|inlining procedure: k6608 
o|inlining procedure: k6645 
o|inlining procedure: k6645 
o|contracted procedure: "(posix-common.scm:266) g210211" 
o|inlining procedure: k6632 
o|inlining procedure: k6632 
o|replaced variables: 660 
o|removed binding forms: 481 
o|substituted constant variable: r24616655 
o|substituted constant variable: r25846661 
o|substituted constant variable: r25966663 
o|substituted constant variable: r26086665 
o|substituted constant variable: r25726667 
o|substituted constant variable: r27416671 
o|inlining procedure: k2777 
o|substituted constant variable: r27916677 
o|inlining procedure: k2777 
o|inlining procedure: k2777 
o|substituted constant variable: r28246682 
o|substituted constant variable: r28246682 
o|substituted constant variable: r28246684 
o|substituted constant variable: r28246684 
o|propagated global variable: g3963976701 delete-file 
o|inlining procedure: k2993 
o|inlining procedure: k2993 
o|propagated global variable: r29947003 delete-file 
o|propagated global variable: r29947003 delete-file 
o|converted assignments to bindings: (rmdir379) 
o|substituted constant variable: loc430 
o|substituted constant variable: loc430 
o|substituted constant variable: loc448 
o|substituted constant variable: loc448 
o|substituted constant variable: r32106728 
o|substituted constant variable: r33126732 
o|substituted constant variable: r33996738 
o|substituted constant variable: r33996738 
o|substituted constant variable: r34076742 
o|substituted constant variable: r34076742 
o|substituted constant variable: r37916776 
o|substituted constant variable: r37916776 
o|substituted constant variable: r37786783 
o|substituted constant variable: r37786783 
o|substituted constant variable: r39076789 
o|substituted constant variable: r46976838 
o|substituted constant variable: r46976838 
o|substituted constant variable: r47606847 
o|removed side-effect free assignment to unused variable: badmode1057 
o|substituted constant variable: r47946850 
o|substituted constant variable: r47946850 
o|substituted constant variable: r47946852 
o|substituted constant variable: r47946852 
o|inlining procedure: k4809 
o|inlining procedure: k4849 
o|inlining procedure: k5164 
o|substituted constant variable: r51786899 
o|inlining procedure: k5164 
o|inlining procedure: k5164 
o|substituted constant variable: r52146904 
o|substituted constant variable: r52146904 
o|substituted constant variable: r52146906 
o|substituted constant variable: r52146906 
o|inlining procedure: k5255 
o|substituted constant variable: r53216914 
o|substituted constant variable: r53706922 
o|substituted constant variable: r53706922 
o|folded constant expression: (chicken.fixnum#fx< (quote -1) (quote 0)) 
o|substituted constant variable: r54256928 
o|substituted constant variable: r57736943 
o|substituted constant variable: r57736943 
o|substituted constant variable: c-pointer13751392 
o|substituted constant variable: c-pointer13751392 
o|substituted constant variable: c-pointer13751392 
o|substituted constant variable: r58206946 
o|substituted constant variable: r58206946 
o|substituted constant variable: r58206948 
o|substituted constant variable: r58206948 
o|converted assignments to bindings: (check1201) 
o|substituted constant variable: r65996983 
o|substituted constant variable: r66336990 
o|substituted constant variable: r66336990 
o|simplifications: ((let . 2)) 
o|replaced variables: 38 
o|removed binding forms: 699 
o|removed conditional forms: 1 
o|inlining procedure: k3253 
o|inlining procedure: k3967 
o|inlining procedure: k3967 
o|inlining procedure: k4195 
o|inlining procedure: k4521 
o|inlining procedure: k4521 
o|inlining procedure: k4568 
o|inlining procedure: k4568 
o|contracted procedure: k5687 
o|inlining procedure: k5973 
o|inlining procedure: k6033 
o|replaced variables: 15 
o|removed binding forms: 116 
o|substituted constant variable: r27786992 
o|substituted constant variable: r27786994 
o|substituted constant variable: r27786996 
o|substituted constant variable: r32547100 
o|substituted constant variable: r32547100 
o|substituted constant variable: r39687115 
o|contracted procedure: k4120 
o|substituted constant variable: r45227132 
o|substituted constant variable: r45697134 
o|substituted constant variable: r51657071 
o|substituted constant variable: r51657073 
o|substituted constant variable: r51657075 
o|substituted constant variable: r5688 
o|inlining procedure: k6560 
o|inlining procedure: k6560 
o|simplifications: ((let . 4)) 
o|replaced variables: 2 
o|removed binding forms: 18 
o|removed conditional forms: 3 
o|inlining procedure: k2442 
o|substituted constant variable: a5686 
o|substituted constant variable: r65617194 
o|replaced variables: 1 
o|removed binding forms: 14 
o|substituted constant variable: r24437197 
o|removed binding forms: 3 
o|removed binding forms: 1 
o|simplifications: ((if . 60) (##core#call . 381)) 
o|  call simplifications:
o|    string->list
o|    string	3
o|    +	2
o|    ##sys#foreign-string-argument	3
o|    ##sys#foreign-pointer-argument	4
o|    ##sys#check-exact
o|    string-length
o|    char-whitespace?
o|    *
o|    chicken.fixnum#fx>=	2
o|    string-set!
o|    chicken.bitwise#bitwise-ior
o|    chicken.fixnum#fxior	3
o|    list	5
o|    ##sys#setslot	3
o|    ##sys#check-pair
o|    ##sys#check-list	4
o|    ##sys#apply	2
o|    values	11
o|    vector-set!	2
o|    char=?	2
o|    ##sys#foreign-block-argument	2
o|    ##sys#foreign-ranged-integer-argument
o|    chicken.fixnum#fx-	6
o|    ##sys#check-vector
o|    procedure?
o|    member
o|    chicken.fixnum#fx+	10
o|    string-ref	3
o|    chicken.fixnum#fx>
o|    cons	13
o|    ##sys#size	9
o|    ##sys#call-with-values	9
o|    not	5
o|    ##sys#check-string	20
o|    chicken.fixnum#fx=	13
o|    ##sys#null-pointer?	5
o|    pair?	15
o|    ##sys#slot	24
o|    eq?	34
o|    cdr	20
o|    ##sys#eqv?	8
o|    vector
o|    fixnum?	4
o|    string?
o|    chicken.fixnum#fx<	13
o|    null?	55
o|    car	37
o|    ##sys#foreign-fixnum-argument	5
o|    apply	10
o|contracted procedure: k2413 
o|contracted procedure: k2448 
o|contracted procedure: k24377201 
o|contracted procedure: k2442 
o|contracted procedure: k2437 
o|contracted procedure: k2463 
o|contracted procedure: k2472 
o|contracted procedure: k2488 
o|contracted procedure: k2516 
o|contracted procedure: k2507 
o|contracted procedure: k2637 
o|contracted procedure: k2559 
o|contracted procedure: k2631 
o|contracted procedure: k2562 
o|contracted procedure: k2625 
o|contracted procedure: k2565 
o|contracted procedure: k2619 
o|contracted procedure: k2568 
o|contracted procedure: k2580 
o|contracted procedure: k2586 
o|contracted procedure: k2592 
o|contracted procedure: k2598 
o|contracted procedure: k2604 
o|contracted procedure: k2610 
o|contracted procedure: k2616 
o|contracted procedure: k2747 
o|contracted procedure: k2743 
o|contracted procedure: k2753 
o|contracted procedure: k2759 
o|contracted procedure: k2780 
o|contracted procedure: k2787 
o|contracted procedure: k2813 
o|contracted procedure: k2896 
o|contracted procedure: k2862 
o|contracted procedure: k2881 
o|contracted procedure: k2911 
o|contracted procedure: k2917 
o|contracted procedure: k2920 
o|contracted procedure: k2954 
o|contracted procedure: k2929 
o|contracted procedure: k3040 
o|contracted procedure: k2963 
o|contracted procedure: k2975 
o|contracted procedure: k2982 
o|contracted procedure: k3020 
o|contracted procedure: k3030 
o|contracted procedure: k3034 
o|contracted procedure: k3157 
o|contracted procedure: k3049 
o|contracted procedure: k3052 
o|contracted procedure: k3154 
o|contracted procedure: k3058 
o|contracted procedure: k3091 
o|contracted procedure: k3136 
o|contracted procedure: k3287 
o|contracted procedure: k3169 
o|contracted procedure: k3281 
o|contracted procedure: k3172 
o|contracted procedure: k3275 
o|contracted procedure: k3175 
o|contracted procedure: k3178 
o|contracted procedure: k3197 
o|contracted procedure: k3212 
o|contracted procedure: k3216 
o|contracted procedure: k3222 
o|contracted procedure: k3268 
o|contracted procedure: k3225 
o|contracted procedure: k3244 
o|contracted procedure: k3247 
o|contracted procedure: k3262 
o|contracted procedure: k3253 
o|contracted procedure: k3293 
o|contracted procedure: k3314 
o|contracted procedure: k3317 
o|contracted procedure: k3348 
o|contracted procedure: k3355 
o|contracted procedure: k3378 
o|contracted procedure: k3394 
o|contracted procedure: k3412 
o|contracted procedure: k3434 
o|contracted procedure: k3437 
o|contracted procedure: k3443 
o|contracted procedure: k3455 
o|contracted procedure: k3464 
o|contracted procedure: k3490 
o|contracted procedure: k3561 
o|contracted procedure: k3580 
o|contracted procedure: k3644 
o|contracted procedure: k3657 
o|contracted procedure: k3650 
o|contracted procedure: k3672 
o|contracted procedure: k3693 
o|contracted procedure: k3736 
o|contracted procedure: k3732 
o|contracted procedure: k3710 
o|contracted procedure: k3742 
o|contracted procedure: k3851 
o|contracted procedure: k3798 
o|contracted procedure: k3807 
o|contracted procedure: k3790 
o|contracted procedure: k3841 
o|contracted procedure: k3837 
o|contracted procedure: k3777 
o|contracted procedure: k3860 
o|contracted procedure: k3863 
o|contracted procedure: k3877 
o|contracted procedure: k3918 
o|contracted procedure: k3925 
o|contracted procedure: k3933 
o|contracted procedure: k3945 
o|contracted procedure: k3949 
o|contracted procedure: k3956 
o|contracted procedure: k3892 
o|contracted procedure: k4049 
o|contracted procedure: k3989 
o|contracted procedure: k4043 
o|contracted procedure: k3992 
o|contracted procedure: k4037 
o|contracted procedure: k3995 
o|contracted procedure: k4031 
o|contracted procedure: k3998 
o|contracted procedure: k4001 
o|contracted procedure: k4022 
o|contracted procedure: k4060 
o|contracted procedure: k4108 
o|contracted procedure: k4111 
o|contracted procedure: k4148 
o|contracted procedure: k4114 
o|contracted procedure: k4135 
o|contracted procedure: k4189 
o|contracted procedure: k4202 
o|contracted procedure: k42027122 
o|contracted procedure: k4211 
o|contracted procedure: k4216 
o|contracted procedure: k4219 
o|contracted procedure: k4238 
o|contracted procedure: k4248 
o|contracted procedure: k4252 
o|contracted procedure: k4263 
o|contracted procedure: k4329 
o|contracted procedure: k4343 
o|contracted procedure: k4355 
o|contracted procedure: k4358 
o|contracted procedure: k4361 
o|contracted procedure: k4369 
o|contracted procedure: k4377 
o|contracted procedure: k4338 
o|contracted procedure: k4423 
o|contracted procedure: k4431 
o|contracted procedure: k4447 
o|contracted procedure: k4456 
o|contracted procedure: k4475 
o|contracted procedure: k4481 
o|contracted procedure: k4512 
o|contracted procedure: k4527 
o|contracted procedure: k4552 
o|contracted procedure: k4561 
o|contracted procedure: k4577 
o|contracted procedure: k4580 
o|contracted procedure: k4589 
o|contracted procedure: k4612 
o|contracted procedure: k4616 
o|contracted procedure: k4622 
o|contracted procedure: k4628 
o|contracted procedure: k4635 
o|contracted procedure: k4645 
o|contracted procedure: k4654 
o|contracted procedure: k4657 
o|contracted procedure: k4664 
o|contracted procedure: k4682 
o|contracted procedure: k4700 
o|contracted procedure: k4716 
o|contracted procedure: k4722 
o|contracted procedure: k4729 
o|contracted procedure: k4737 
o|contracted procedure: k4746 
o|contracted procedure: k4762 
o|contracted procedure: k4783 
o|contracted procedure: k4799 
o|contracted procedure: k4812 
o|contracted procedure: k4822 
o|contracted procedure: k4839 
o|contracted procedure: k4852 
o|contracted procedure: k4862 
o|contracted procedure: k4888 
o|contracted procedure: k4906 
o|contracted procedure: k5050 
o|contracted procedure: k5031 
o|contracted procedure: k5040 
o|contracted procedure: k5087 
o|contracted procedure: k5093 
o|contracted procedure: k5102 
o|contracted procedure: k5119 
o|contracted procedure: k5122 
o|contracted procedure: k5167 
o|contracted procedure: k5174 
o|contracted procedure: k5203 
o|contracted procedure: k5258 
o|contracted procedure: k5287 
o|contracted procedure: k5296 
o|contracted procedure: k5299 
o|contracted procedure: k5327 
o|contracted procedure: k5376 
o|contracted procedure: k5372 
o|contracted procedure: k5379 
o|contracted procedure: k5385 
o|contracted procedure: k5391 
o|contracted procedure: k5403 
o|contracted procedure: k5415 
o|contracted procedure: k5427 
o|contracted procedure: k5444 
o|contracted procedure: k5433 
o|contracted procedure: k5440 
o|contracted procedure: k5532 
o|contracted procedure: k5461 
o|contracted procedure: k5526 
o|contracted procedure: k5464 
o|contracted procedure: k5520 
o|contracted procedure: k5467 
o|contracted procedure: k5514 
o|contracted procedure: k5470 
o|contracted procedure: k5508 
o|contracted procedure: k5473 
o|contracted procedure: k5502 
o|contracted procedure: k5476 
o|contracted procedure: k5479 
o|contracted procedure: k5488 
o|contracted procedure: k5494 
o|contracted procedure: k5615 
o|contracted procedure: k5541 
o|contracted procedure: k5609 
o|contracted procedure: k5544 
o|contracted procedure: k5603 
o|contracted procedure: k5547 
o|contracted procedure: k5597 
o|contracted procedure: k5550 
o|contracted procedure: k5591 
o|contracted procedure: k5553 
o|contracted procedure: k5585 
o|contracted procedure: k5556 
o|contracted procedure: k5559 
o|contracted procedure: k5562 
o|contracted procedure: k5571 
o|contracted procedure: k5577 
o|contracted procedure: k5671 
o|contracted procedure: k5866 
o|contracted procedure: k5741 
o|contracted procedure: k5744 
o|contracted procedure: k5691 
o|contracted procedure: k5695 
o|contracted procedure: k5699 
o|contracted procedure: k5703 
o|contracted procedure: k5707 
o|contracted procedure: k5729 
o|contracted procedure: k5736 
o|contracted procedure: k5811 
o|contracted procedure: k5815 
o|contracted procedure: k5826 
o|contracted procedure: k5838 
o|contracted procedure: k5841 
o|contracted procedure: k5844 
o|contracted procedure: k5852 
o|contracted procedure: k5860 
o|contracted procedure: k5876 
o|contracted procedure: k5893 
o|contracted procedure: k5903 
o|contracted procedure: k5907 
o|contracted procedure: k5910 
o|contracted procedure: k6009 
o|contracted procedure: k5958 
o|contracted procedure: k6003 
o|contracted procedure: k5961 
o|contracted procedure: k5997 
o|contracted procedure: k5964 
o|contracted procedure: k5991 
o|contracted procedure: k5967 
o|contracted procedure: k5985 
o|contracted procedure: k5970 
o|contracted procedure: k5979 
o|contracted procedure: k5973 
o|contracted procedure: k6069 
o|contracted procedure: k6018 
o|contracted procedure: k6063 
o|contracted procedure: k6021 
o|contracted procedure: k6057 
o|contracted procedure: k6024 
o|contracted procedure: k6051 
o|contracted procedure: k6027 
o|contracted procedure: k6045 
o|contracted procedure: k6030 
o|contracted procedure: k6039 
o|contracted procedure: k6033 
o|contracted procedure: k6430 
o|contracted procedure: k6529 
o|contracted procedure: k6443 
o|contracted procedure: k6526 
o|contracted procedure: k6446 
o|contracted procedure: k6449 
o|contracted procedure: k6457 
o|contracted procedure: k6481 
o|contracted procedure: k6489 
o|contracted procedure: k6498 
o|contracted procedure: k6501 
o|contracted procedure: k6504 
o|contracted procedure: k6512 
o|contracted procedure: k6520 
o|contracted procedure: k6532 
o|contracted procedure: k6569 
o|contracted procedure: k6553 
o|contracted procedure: k6605 
o|contracted procedure: k6601 
o|contracted procedure: k6611 
o|contracted procedure: k6648 
o|contracted procedure: k6639 
o|simplifications: ((if . 1) (let . 62)) 
o|removed binding forms: 314 
o|inlining procedure: "(posixwin.scm:860) mode1056" 
o|inlining procedure: "(posixwin.scm:870) mode1056" 
o|replaced variables: 176 
o|removed side-effect free assignment to unused variable: mode1056 
o|replaced variables: 6 
o|removed binding forms: 84 
o|converted assignments to bindings: (check1058) 
o|simplifications: ((let . 1)) 
o|removed binding forms: 6 
o|contracted procedure: k4802 
o|contracted procedure: k4842 
o|removed binding forms: 2 
o|direct leaf routine/allocation: g817824 0 
o|direct leaf routine/allocation: loop1297 0 
o|direct leaf routine/allocation: g15051512 0 
o|contracted procedure: "(posix-common.scm:747) k4241" 
o|contracted procedure: k5452 
o|converted assignments to bindings: (loop1297) 
o|contracted procedure: "(posixwin.scm:1257) k5896" 
o|simplifications: ((let . 1)) 
o|removed binding forms: 3 
o|direct leaf routine/allocation: for-each-loop816829 0 
o|direct leaf routine/allocation: for-each-loop15041522 0 
o|converted assignments to bindings: (for-each-loop816829) 
o|converted assignments to bindings: (for-each-loop15041522) 
o|simplifications: ((let . 2)) 
o|customizable procedures: (g21282137 map-loop21222144 %process1493 chkstrlst1500 map-loop14261443 k5651 chicken.posix#call-with-exec-args k5350 k5362 k5281 mode1217 check1218 check1201 check1058 k4709 loop1024 suffix-loop1037 loop1035 k4543 k4428 chicken.posix#check-environment-list map-loop861879 chicken.posix#list->c-string-buffer k4311 doloop805806 tmp12324 tmp22325 doloop786787 chicken.posix#free-c-string-buffer scan726 loop723 chicken.posix#check-time-vector k3415 k3418 loop547 g519520 loop511 conc-loop492 k3231 loop471 k3080 loop425 g386393 for-each-loop385402 rmdir379 k2905 mode301 check302 k2719) 
o|calls to known targets: 165 
o|unused rest argument: _543 f_3583 
o|unused rest argument: _542 f_3575 
o|unused rest argument: _583 f_3635 
o|identified direct recursive calls: f_3913 1 
o|identified direct recursive calls: f_4233 1 
o|identified direct recursive calls: f_5422 1 
o|identified direct recursive calls: f_5888 1 
o|unused rest argument: _16121616 f_6146 
o|unused rest argument: _16191623 f_6152 
o|unused rest argument: _16251629 f_6158 
o|unused rest argument: _16311635 f_6164 
o|unused rest argument: _16371641 f_6170 
o|unused rest argument: _16431647 f_6176 
o|unused rest argument: _16491653 f_6182 
o|unused rest argument: _16551659 f_6188 
o|unused rest argument: _16611665 f_6194 
o|unused rest argument: _16671671 f_6200 
o|unused rest argument: _16731677 f_6206 
o|unused rest argument: _16791683 f_6212 
o|unused rest argument: _16851689 f_6218 
o|unused rest argument: _16911695 f_6224 
o|unused rest argument: _16971701 f_6230 
o|unused rest argument: _17031707 f_6236 
o|unused rest argument: _17091713 f_6242 
o|unused rest argument: _17151719 f_6248 
o|unused rest argument: _17211725 f_6254 
o|unused rest argument: _17271731 f_6260 
o|unused rest argument: _17331737 f_6266 
o|unused rest argument: _17391743 f_6272 
o|unused rest argument: _17451749 f_6278 
o|unused rest argument: _17511755 f_6284 
o|unused rest argument: _17691773 f_6302 
o|unused rest argument: _17751779 f_6308 
o|unused rest argument: _17871791 f_6320 
o|unused rest argument: _17931797 f_6326 
o|unused rest argument: _17991803 f_6332 
o|unused rest argument: _18051809 f_6338 
o|unused rest argument: _18111815 f_6344 
o|unused rest argument: _18171821 f_6350 
o|unused rest argument: _18231827 f_6356 
o|unused rest argument: _18291833 f_6362 
o|fast box initializations: 21 
o|fast global references: 67 
o|fast global assignments: 9 
o|dropping unused closure argument: f_2967 
o|dropping unused closure argument: f_4775 
o|dropping unused closure argument: f_5872 
o|dropping unused closure argument: f_4209 
o|dropping unused closure argument: f_4175 
o|dropping unused closure argument: f_5195 
o|dropping unused closure argument: f_5158 
o|dropping unused closure argument: f_5117 
o|dropping unused closure argument: f_4058 
o|dropping unused closure argument: f_2808 
o|dropping unused closure argument: f_2771 
o|dropping unused closure argument: f_3642 
*/
/* end of file */
