/* Generated from tcp.scm by the CHICKEN compiler
   http://www.call-cc.org
   2017-05-16 12:48
   Version 5.0.0pre1 ((detached from 5.0.0pre1)) (rev 5a6c14b)
   linux-unix-gnu-x86-64 [ 64bit dload ptables ]
   compiled 2017-05-16 on waldrop (Linux)
   command line: tcp.scm -optimize-level 2 -include-path . -include-path ./ -inline -ignore-repository -feature chicken-bootstrap -no-warnings -specialize -consult-type-file ./types.db -explicit-use -no-trace -output-file tcp.c -emit-import-library chicken.tcp
   unit: tcp
   uses: port scheduler library
*/
#include "chicken.h"

#ifdef _WIN32
# include <winsock2.h>
# include <ws2tcpip.h>
/* Beware: winsock2.h must come BEFORE windows.h */
# define socklen_t	 int
static WSADATA wsa;
# ifndef SHUT_RD
#  define SHUT_RD	  SD_RECEIVE
# endif
# ifndef SHUT_WR
#  define SHUT_WR	  SD_SEND
# endif

# define typecorrect_getsockopt(socket, level, optname, optval, optlen)	\
    getsockopt(socket, level, optname, (char *)optval, optlen)

static C_word make_socket_nonblocking (C_word sock) {
  int fd = C_unfix(sock);
  C_return(C_mk_bool(ioctlsocket(fd, FIONBIO, (void *)&fd) != SOCKET_ERROR)) ;
}

/* This is a bit of a hack, but it keeps things simple */
static C_TLS char *last_wsa_errorstring = NULL;

static char *errormsg_from_code(int code) {
  int bufsize;
  if (last_wsa_errorstring != NULL) {
    LocalFree(last_wsa_errorstring);
    last_wsa_errorstring = NULL;
  }
  bufsize = FormatMessage(
	FORMAT_MESSAGE_ALLOCATE_BUFFER |
	FORMAT_MESSAGE_FROM_SYSTEM |
	FORMAT_MESSAGE_IGNORE_INSERTS,
	NULL, code, MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),
	(LPTSTR) &last_wsa_errorstring, 0, NULL);
  if (bufsize == 0) return "ERROR WHILE FETCHING ERROR";
  return last_wsa_errorstring;
}

# define get_last_socket_error()  WSAGetLastError()
# define should_retry_call()      (WSAGetLastError() == WSAEWOULDBLOCK)
/* Not EINPROGRESS in winsock.  Nonblocking connect returns EWOULDBLOCK... */
# define call_in_progress()       (WSAGetLastError() == WSAEWOULDBLOCK)
# define call_was_interrupted()   (WSAGetLastError() == WSAEINTR) /* ? */

#else
# include <errno.h>
# include <fcntl.h>
# include <sys/socket.h>
# include <sys/time.h>
# include <netinet/in.h>
# include <netdb.h>
# include <signal.h>
# define closesocket     close
# define INVALID_SOCKET  -1
# define SOCKET_ERROR    -1
# define typecorrect_getsockopt getsockopt

static C_word make_socket_nonblocking (C_word sock) {
  int fd = C_unfix(sock);
  int val = fcntl(fd, F_GETFL, 0);
  if(val == -1) C_return(C_SCHEME_FALSE);
  C_return(C_mk_bool(fcntl(fd, F_SETFL, val | O_NONBLOCK) != -1));
}

# define get_last_socket_error()  errno
# define errormsg_from_code(e)    strerror(e)

# define should_retry_call()      (errno == EAGAIN || errno == EWOULDBLOCK)
# define call_was_interrupted()   (errno == EINTR)
# define call_in_progress()       (errno == EINPROGRESS)
#endif

#ifdef ECOS
#include <sys/sockio.h>
#endif

#ifndef h_addr
# define h_addr  h_addr_list[ 0 ]
#endif

static char addr_buffer[ 20 ];

static int C_set_socket_options(int socket)
{
  int yes = 1; 
  int r;

  r = setsockopt(socket, SOL_SOCKET, SO_REUSEADDR, (const char *)&yes, sizeof(int));
  
  if(r != 0) return r;

#ifdef SO_NOSIGPIPE
  /*
   * Avoid SIGPIPE (iOS uses *only* SIGPIPE otherwise, not returning EPIPE).
   * For consistency we do this everywhere the option is supported.
   */
  r = setsockopt(socket, SOL_SOCKET, SO_NOSIGPIPE, (const char *)&yes, sizeof(int));
#endif

  return r;
}


static C_PTABLE_ENTRY *create_ptable(void);
C_noret_decl(C_port_toplevel)
C_externimport void C_ccall C_port_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(C_scheduler_toplevel)
C_externimport void C_ccall C_scheduler_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(C_library_toplevel)
C_externimport void C_ccall C_library_toplevel(C_word c,C_word *av) C_noret;

static C_TLS C_word lf[135];
static double C_possibly_force_alignment;
static C_char C_TLS li0[] C_aligned={C_lihdr(0,0,23),40,35,35,110,101,116,35,108,97,115,116,45,101,114,114,111,114,45,99,111,100,101,41,0};
static C_char C_TLS li1[] C_aligned={C_lihdr(0,0,37),40,35,35,110,101,116,35,101,114,114,111,114,45,99,111,100,101,45,62,109,101,115,115,97,103,101,32,105,110,116,49,48,53,49,48,56,41,0,0,0};
static C_char C_TLS li2[] C_aligned={C_lihdr(0,0,14),40,35,35,110,101,116,35,114,101,116,114,121,63,41,0,0};
static C_char C_TLS li3[] C_aligned={C_lihdr(0,0,20),40,35,35,110,101,116,35,105,110,45,112,114,111,103,114,101,115,115,63,41,0,0,0,0};
static C_char C_TLS li4[] C_aligned={C_lihdr(0,0,20),40,35,35,110,101,116,35,105,110,116,101,114,114,117,112,116,101,100,63,41,0,0,0,0};
static C_char C_TLS li5[] C_aligned={C_lihdr(0,0,44),40,35,35,110,101,116,35,115,111,99,107,101,116,32,105,110,116,49,50,48,49,50,53,32,105,110,116,49,50,49,49,50,54,32,105,110,116,49,50,50,49,50,55,41,0,0,0,0};
static C_char C_TLS li6[] C_aligned={C_lihdr(0,0,53),40,35,35,110,101,116,35,98,105,110,100,32,105,110,116,49,50,57,49,51,53,32,115,99,104,101,109,101,45,112,111,105,110,116,101,114,49,51,48,49,51,54,32,105,110,116,49,51,49,49,51,55,41,0,0,0};
static C_char C_TLS li7[] C_aligned={C_lihdr(0,0,34),40,35,35,110,101,116,35,108,105,115,116,101,110,32,105,110,116,49,52,48,49,52,52,32,105,110,116,49,52,49,49,52,53,41,0,0,0,0,0,0};
static C_char C_TLS li8[] C_aligned={C_lihdr(0,0,56),40,35,35,110,101,116,35,97,99,99,101,112,116,32,105,110,116,49,52,55,49,53,52,32,99,45,112,111,105,110,116,101,114,49,52,56,49,53,53,32,99,45,112,111,105,110,116,101,114,49,52,57,49,53,54,41};
static C_char C_TLS li9[] C_aligned={C_lihdr(0,0,23),40,35,35,110,101,116,35,99,108,111,115,101,32,105,110,116,49,54,48,49,54,51,41,0};
static C_char C_TLS li10[] C_aligned={C_lihdr(0,0,63),40,35,35,110,101,116,35,114,101,99,118,32,105,110,116,49,54,53,49,55,50,32,115,99,104,101,109,101,45,112,111,105,110,116,101,114,49,54,54,49,55,51,32,105,110,116,49,54,55,49,55,52,32,105,110,116,49,54,56,49,55,53,41,0};
static C_char C_TLS li11[] C_aligned={C_lihdr(0,0,36),40,35,35,110,101,116,35,115,104,117,116,100,111,119,110,32,105,110,116,49,55,56,49,56,50,32,105,110,116,49,55,57,49,56,51,41,0,0,0,0};
static C_char C_TLS li12[] C_aligned={C_lihdr(0,0,56),40,35,35,110,101,116,35,99,111,110,110,101,99,116,32,105,110,116,49,56,53,49,57,49,32,115,99,104,101,109,101,45,112,111,105,110,116,101,114,49,56,54,49,57,50,32,105,110,116,49,56,55,49,57,51,41};
static C_char C_TLS li13[] C_aligned={C_lihdr(0,0,32),40,35,35,110,101,116,35,99,104,101,99,107,45,102,100,45,114,101,97,100,121,32,105,110,116,49,57,54,49,57,57,41};
static C_char C_TLS li14[] C_aligned={C_lihdr(0,0,36),40,35,35,110,101,116,35,115,101,116,45,115,111,99,107,101,116,45,111,112,116,105,111,110,115,32,105,110,116,50,48,49,50,48,52,41,0,0,0,0};
static C_char C_TLS li15[] C_aligned={C_lihdr(0,0,65),40,35,35,110,101,116,35,115,101,110,100,32,115,50,48,54,50,49,52,32,109,115,103,50,48,55,50,49,53,32,111,102,102,115,101,116,50,48,56,50,49,54,32,108,101,110,50,48,57,50,49,55,32,102,108,97,103,115,50,49,48,50,49,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li16[] C_aligned={C_lihdr(0,0,27),40,35,35,110,101,116,35,103,101,116,115,111,99,107,110,97,109,101,32,115,50,50,49,50,50,52,41,0,0,0,0,0};
static C_char C_TLS li17[] C_aligned={C_lihdr(0,0,27),40,35,35,110,101,116,35,103,101,116,115,111,99,107,112,111,114,116,32,115,50,50,55,50,51,48,41,0,0,0,0,0};
static C_char C_TLS li18[] C_aligned={C_lihdr(0,0,27),40,35,35,110,101,116,35,103,101,116,112,101,101,114,112,111,114,116,32,115,50,51,50,50,51,53,41,0,0,0,0,0};
static C_char C_TLS li19[] C_aligned={C_lihdr(0,0,27),40,35,35,110,101,116,35,103,101,116,112,101,101,114,110,97,109,101,32,115,50,51,55,50,52,48,41,0,0,0,0,0};
static C_char C_TLS li20[] C_aligned={C_lihdr(0,0,15),40,35,35,110,101,116,35,115,116,97,114,116,117,112,41,0};
static C_char C_TLS li21[] C_aligned={C_lihdr(0,0,44),40,35,35,110,101,116,35,103,101,116,115,101,114,118,98,121,110,97,109,101,32,115,101,114,118,50,52,54,50,53,50,32,112,114,111,116,111,50,52,55,50,53,51,41,0,0,0,0};
static C_char C_TLS li22[] C_aligned={C_lihdr(0,0,53),40,35,35,110,101,116,35,103,101,116,104,111,115,116,97,100,100,114,32,115,97,100,100,114,50,53,55,50,54,52,32,104,111,115,116,50,53,56,50,54,53,32,112,111,114,116,50,53,57,50,54,54,41,0,0,0};
static C_char C_TLS li23[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,105,51,55,56,41,0,0,0,0,0};
static C_char C_TLS li24[] C_aligned={C_lihdr(0,0,35),40,35,35,110,101,116,35,112,97,114,115,101,45,104,111,115,116,32,104,111,115,116,51,55,52,32,112,114,111,116,111,51,55,53,41,0,0,0,0,0};
static C_char C_TLS li25[] C_aligned={C_lihdr(0,0,41),40,35,35,110,101,116,35,102,114,101,115,104,45,97,100,100,114,32,115,97,100,100,114,51,56,55,51,57,50,32,112,111,114,116,51,56,56,51,57,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li26[] C_aligned={C_lihdr(0,0,44),40,35,35,110,101,116,35,98,105,110,100,45,115,111,99,107,101,116,32,115,116,121,108,101,51,57,55,32,104,111,115,116,51,57,56,32,112,111,114,116,51,57,57,41,0,0,0,0};
static C_char C_TLS li27[] C_aligned={C_lihdr(0,0,44),40,99,104,105,99,107,101,110,46,116,99,112,35,116,99,112,45,108,105,115,116,101,110,32,112,111,114,116,52,49,57,32,46,32,116,109,112,52,49,56,52,50,48,41,0,0,0,0};
static C_char C_TLS li28[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,116,99,112,35,116,99,112,45,108,105,115,116,101,110,101,114,63,32,120,52,52,54,41};
static C_char C_TLS li29[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,116,99,112,35,116,99,112,45,99,108,111,115,101,32,116,99,112,108,52,52,57,41,0};
static C_char C_TLS li30[] C_aligned={C_lihdr(0,0,13),40,102,95,49,53,54,53,32,120,52,54,50,41,0,0,0};
static C_char C_TLS li31[] C_aligned={C_lihdr(0,0,14),40,99,104,101,99,107,32,108,111,99,52,54,49,41,0,0};
static C_char C_TLS li32[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li33[] C_aligned={C_lihdr(0,0,12),40,114,101,97,100,45,105,110,112,117,116,41,0,0,0,0};
static C_char C_TLS li34[] C_aligned={C_lihdr(0,0,7),40,97,49,55,55,55,41,0};
static C_char C_TLS li35[] C_aligned={C_lihdr(0,0,30),40,108,111,111,112,32,108,101,110,53,55,53,32,111,102,102,115,101,116,53,55,54,32,100,108,119,53,55,55,41,0,0};
static C_char C_TLS li36[] C_aligned={C_lihdr(0,0,13),40,111,117,116,112,117,116,32,115,53,55,50,41,0,0,0};
static C_char C_TLS li37[] C_aligned={C_lihdr(0,0,13),40,102,95,49,57,53,54,32,115,54,48,51,41,0,0,0};
static C_char C_TLS li38[] C_aligned={C_lihdr(0,0,13),40,102,95,49,57,55,54,32,115,54,48,54,41,0,0,0};
static C_char C_TLS li39[] C_aligned={C_lihdr(0,0,7),40,97,49,56,54,57,41,0};
static C_char C_TLS li40[] C_aligned={C_lihdr(0,0,8),40,102,95,49,57,52,48,41};
static C_char C_TLS li41[] C_aligned={C_lihdr(0,0,7),40,97,49,57,57,49,41,0};
static C_char C_TLS li42[] C_aligned={C_lihdr(0,0,7),40,97,50,48,49,51,41,0};
static C_char C_TLS li43[] C_aligned={C_lihdr(0,0,7),40,97,50,48,53,53,41,0};
static C_char C_TLS li44[] C_aligned={C_lihdr(0,0,7),40,97,50,49,48,53,41,0};
static C_char C_TLS li45[] C_aligned={C_lihdr(0,0,25),40,108,111,111,112,32,110,53,51,52,32,109,53,51,53,32,115,116,97,114,116,53,51,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li46[] C_aligned={C_lihdr(0,0,34),40,97,50,49,50,51,32,112,53,50,57,32,110,53,51,48,32,100,101,115,116,53,51,49,32,115,116,97,114,116,53,51,50,41,0,0,0,0,0,0};
static C_char C_TLS li47[] C_aligned={C_lihdr(0,0,14),40,97,50,50,49,54,32,112,111,115,53,53,51,41,0,0};
static C_char C_TLS li48[] C_aligned={C_lihdr(0,0,7),40,97,50,50,48,54,41,0};
static C_char C_TLS li49[] C_aligned={C_lihdr(0,0,37),40,97,50,50,54,50,32,110,101,120,116,53,54,49,32,108,105,110,101,53,54,50,32,102,117,108,108,45,108,105,110,101,63,53,54,51,41,0,0,0};
static C_char C_TLS li50[] C_aligned={C_lihdr(0,0,21),40,97,50,49,56,56,32,112,53,52,55,32,108,105,109,105,116,53,52,56,41,0,0,0};
static C_char C_TLS li51[] C_aligned={C_lihdr(0,0,12),40,97,50,51,48,55,32,112,53,54,56,41,0,0,0,0};
static C_char C_TLS li52[] C_aligned={C_lihdr(0,0,29),40,35,35,110,101,116,35,105,111,45,112,111,114,116,115,32,108,111,99,52,55,49,32,102,100,52,55,50,41,0,0,0};
static C_char C_TLS li53[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li54[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,116,99,112,35,116,99,112,45,97,99,99,101,112,116,32,116,99,112,108,54,50,53,41};
static C_char C_TLS li55[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,116,99,112,35,116,99,112,45,97,99,99,101,112,116,45,114,101,97,100,121,63,32,116,99,112,108,54,52,53,41,0};
static C_char C_TLS li56[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li57[] C_aligned={C_lihdr(0,0,7),40,97,50,55,53,49,41,0};
static C_char C_TLS li58[] C_aligned={C_lihdr(0,0,29),40,97,50,55,53,55,32,104,111,115,116,54,54,56,54,55,48,32,112,111,114,116,54,54,57,54,55,49,41,0,0,0};
static C_char C_TLS li59[] C_aligned={C_lihdr(0,0,43),40,99,104,105,99,107,101,110,46,116,99,112,35,116,99,112,45,99,111,110,110,101,99,116,32,104,111,115,116,54,53,55,32,46,32,109,111,114,101,54,53,56,41,0,0,0,0,0};
static C_char C_TLS li60[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,116,99,112,45,112,111,114,116,45,62,102,105,108,101,110,111,32,112,55,50,54,41,0,0,0};
static C_char C_TLS li61[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,116,99,112,35,116,99,112,45,97,100,100,114,101,115,115,101,115,32,112,55,50,57,41};
static C_char C_TLS li62[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,116,99,112,35,116,99,112,45,112,111,114,116,45,110,117,109,98,101,114,115,32,112,55,52,51,41,0,0,0,0,0};
static C_char C_TLS li63[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,116,99,112,35,116,99,112,45,108,105,115,116,101,110,101,114,45,112,111,114,116,32,116,99,112,108,55,53,53,41,0};
static C_char C_TLS li64[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,116,99,112,35,116,99,112,45,97,98,97,110,100,111,110,45,112,111,114,116,32,112,55,54,51,41,0,0,0,0,0};
static C_char C_TLS li65[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,116,99,112,35,116,99,112,45,108,105,115,116,101,110,101,114,45,102,105,108,101,110,111,32,108,55,54,54,41,0,0};
static C_char C_TLS li66[] C_aligned={C_lihdr(0,0,10),40,116,111,112,108,101,118,101,108,41,0,0,0,0,0,0};


#define return(x) C_cblock C_r = (C_fix((C_word)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub653(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int socket=(int )C_unfix(C_a0);
int err, optlen;optlen = sizeof(err);if (typecorrect_getsockopt(socket, SOL_SOCKET, SO_ERROR, &err, (socklen_t *)&optlen) == SOCKET_ERROR)  C_return(SOCKET_ERROR);C_return(err);
C_ret:
#undef return

return C_r;}

#define return(x) C_cblock C_r = (((C_word)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub389(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * saddr=(void * )C_data_pointer_or_null(C_a0);
unsigned short port=(unsigned short )(unsigned short)C_unfix(C_a1);
struct sockaddr_in *addr = (struct sockaddr_in *)saddr;memset(addr, 0, sizeof(struct sockaddr_in));addr->sin_family = AF_INET;addr->sin_port = htons(port);addr->sin_addr.s_addr = htonl(INADDR_ANY);
C_ret:
#undef return

return C_r;}

#define return(x) C_cblock C_r = (C_mk_bool((x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub260(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * saddr=(void * )C_data_pointer_or_null(C_a0);
char * host=(char * )C_string_or_null(C_a1);
unsigned short port=(unsigned short )(unsigned short)C_unfix(C_a2);
struct hostent *he = gethostbyname(host);struct sockaddr_in *addr = (struct sockaddr_in *)saddr;if(he == NULL) C_return(0);memset(addr, 0, sizeof(struct sockaddr_in));addr->sin_family = AF_INET;addr->sin_port = htons((short)port);addr->sin_addr = *((struct in_addr *)he->h_addr);C_return(1);
C_ret:
#undef return

return C_r;}

#define return(x) C_cblock C_r = (C_fix((C_word)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub248(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char * serv=(char * )C_string_or_null(C_a0);
char * proto=(char * )C_string_or_null(C_a1);
struct servent *se;
     if((se = getservbyname(serv, proto)) == NULL) C_return(0);
     else C_return(ntohs(se->s_port));
C_ret:
#undef return

return C_r;}

#define return(x) C_cblock C_r = (C_mk_bool((x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub243(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
#ifdef _WIN32
     C_return(WSAStartup(MAKEWORD(1, 1), &wsa) == 0);
#else
     signal(SIGPIPE, SIG_IGN);
     C_return(1);
#endif
C_ret:
#undef return

return C_r;}

#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub238(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int s=(int )C_unfix(C_a0);
struct sockaddr_in sa;unsigned char *ptr;unsigned int len = sizeof(struct sockaddr_in);if(getpeername(s, (struct sockaddr *)&sa, ((socklen_t *)&len)) != 0) C_return(NULL);ptr = (unsigned char *)&sa.sin_addr;C_snprintf(addr_buffer, sizeof(addr_buffer), "%d.%d.%d.%d", ptr[ 0 ], ptr[ 1 ], ptr[ 2 ], ptr[ 3 ]);C_return(addr_buffer);
C_ret:
#undef return

return C_r;}

#define return(x) C_cblock C_r = (C_fix((C_word)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub233(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int s=(int )C_unfix(C_a0);
struct sockaddr_in sa;int len = sizeof(struct sockaddr_in);if(getpeername(s, (struct sockaddr *)&sa, (socklen_t *)(&len)) != 0) C_return(-1);else C_return(ntohs(sa.sin_port));
C_ret:
#undef return

return C_r;}

#define return(x) C_cblock C_r = (C_fix((C_word)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub228(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int s=(int )C_unfix(C_a0);
struct sockaddr_in sa;int len = sizeof(struct sockaddr_in);if(getsockname(s, (struct sockaddr *)&sa, (socklen_t *)(&len)) != 0) C_return(-1);else C_return(ntohs(sa.sin_port));
C_ret:
#undef return

return C_r;}

#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub222(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int s=(int )C_unfix(C_a0);
struct sockaddr_in sa;unsigned char *ptr;int len = sizeof(struct sockaddr_in);if(getsockname(s, (struct sockaddr *)&sa, (socklen_t *)&len) != 0) C_return(NULL);ptr = (unsigned char *)&sa.sin_addr;C_snprintf(addr_buffer, sizeof(addr_buffer), "%d.%d.%d.%d", ptr[ 0 ], ptr[ 1 ], ptr[ 2 ], ptr[ 3 ]);C_return(addr_buffer);
C_ret:
#undef return

return C_r;}

#define return(x) C_cblock C_r = (C_fix((C_word)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub211(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2,C_word C_a3,C_word C_a4){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int s=(int )C_unfix(C_a0);
void * msg=(void * )C_data_pointer_or_null(C_a1);
int offset=(int )C_unfix(C_a2);
int len=(int )C_unfix(C_a3);
int flags=(int )C_unfix(C_a4);
C_return(send(s, (char *)msg+offset, len, flags));
C_ret:
#undef return

return C_r;}

/* from k1093 */
C_regparm static C_word C_fcall stub202(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_fix((C_word)C_set_socket_options(t0));
return C_r;}

/* from k1086 */
C_regparm static C_word C_fcall stub197(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_fix((C_word)C_check_fd_ready(t0));
return C_r;}

/* from k1076 */
C_regparm static C_word C_fcall stub188(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
void * t1=(void * )C_data_pointer_or_null(C_a1);
int t2=(int )C_unfix(C_a2);
C_r=C_fix((C_word)connect(t0,t1,t2));
return C_r;}

/* from k1061 */
C_regparm static C_word C_fcall stub180(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_fix((C_word)shutdown(t0,t1));
return C_r;}

/* from k1047 */
C_regparm static C_word C_fcall stub169(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2,C_word C_a3){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
void * t1=(void * )C_data_pointer_or_null(C_a1);
int t2=(int )C_unfix(C_a2);
int t3=(int )C_unfix(C_a3);
C_r=C_fix((C_word)recv(t0,t1,t2,t3));
return C_r;}

/* from k1028 */
C_regparm static C_word C_fcall stub161(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_fix((C_word)closesocket(t0));
return C_r;}

/* from k1015 */
C_regparm static C_word C_fcall stub150(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
void * t1=(void * )C_c_pointer_or_null(C_a1);
void * t2=(void * )C_c_pointer_or_null(C_a2);
C_r=C_fix((C_word)accept(t0,t1,t2));
return C_r;}

/* from k1000 */
C_regparm static C_word C_fcall stub142(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_fix((C_word)listen(t0,t1));
return C_r;}

/* from k986 */
C_regparm static C_word C_fcall stub132(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
void * t1=(void * )C_data_pointer_or_null(C_a1);
int t2=(int )C_unfix(C_a2);
C_r=C_fix((C_word)bind(t0,t1,t2));
return C_r;}

/* from k971 */
C_regparm static C_word C_fcall stub123(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
int t1=(int )C_unfix(C_a1);
int t2=(int )C_unfix(C_a2);
C_r=C_fix((C_word)socket(t0,t1,t2));
return C_r;}

/* from ##net#interrupted? in k933 in k930 in k927 */
C_regparm static C_word C_fcall stub117(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_mk_bool(call_was_interrupted());
return C_r;}

/* from ##net#in-progress? in k933 in k930 in k927 */
C_regparm static C_word C_fcall stub114(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_mk_bool(call_in_progress());
return C_r;}

/* from ##net#retry? in k933 in k930 in k927 */
C_regparm static C_word C_fcall stub111(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_mk_bool(should_retry_call());
return C_r;}

/* from k947 */
C_regparm static C_word C_fcall stub106(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_mpointer(&C_a,(void*)errormsg_from_code(t0));
return C_r;}

/* from ##net#last-error-code in k933 in k930 in k927 */
C_regparm static C_word C_fcall stub102(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_fix((C_word)get_last_socket_error());
return C_r;}

C_noret_decl(f_2613)
static void C_ccall f_2613(C_word c,C_word *av) C_noret;
C_noret_decl(f_2616)
static void C_ccall f_2616(C_word c,C_word *av) C_noret;
C_noret_decl(f_2610)
static void C_ccall f_2610(C_word c,C_word *av) C_noret;
C_noret_decl(f_2494)
static void C_ccall f_2494(C_word c,C_word *av) C_noret;
C_noret_decl(f_1458)
static void C_ccall f_1458(C_word c,C_word *av) C_noret;
C_noret_decl(f_1454)
static void C_ccall f_1454(C_word c,C_word *av) C_noret;
C_noret_decl(f_2578)
static void C_ccall f_2578(C_word c,C_word *av) C_noret;
C_noret_decl(f_1996)
static void C_ccall f_1996(C_word c,C_word *av) C_noret;
C_noret_decl(f_1992)
static void C_ccall f_1992(C_word c,C_word *av) C_noret;
C_noret_decl(f_1801)
static void C_ccall f_1801(C_word c,C_word *av) C_noret;
C_noret_decl(f_1447)
static void C_ccall f_1447(C_word c,C_word *av) C_noret;
C_noret_decl(f_1444)
static void C_ccall f_1444(C_word c,C_word *av) C_noret;
C_noret_decl(f_2589)
static void C_ccall f_2589(C_word c,C_word *av) C_noret;
C_noret_decl(f_2585)
static void C_ccall f_2585(C_word c,C_word *av) C_noret;
C_noret_decl(f_1902)
static void C_ccall f_1902(C_word c,C_word *av) C_noret;
C_noret_decl(f_1906)
static void C_ccall f_1906(C_word c,C_word *av) C_noret;
C_noret_decl(f_2106)
static void C_ccall f_2106(C_word c,C_word *av) C_noret;
C_noret_decl(f_2207)
static void C_ccall f_2207(C_word c,C_word *av) C_noret;
C_noret_decl(f_2217)
static void C_ccall f_2217(C_word c,C_word *av) C_noret;
C_noret_decl(f_2014)
static void C_ccall f_2014(C_word c,C_word *av) C_noret;
C_noret_decl(f_2110)
static void C_ccall f_2110(C_word c,C_word *av) C_noret;
C_noret_decl(f_2070)
static void C_fcall f_2070(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2077)
static void C_ccall f_2077(C_word c,C_word *av) C_noret;
C_noret_decl(f_2130)
static void C_fcall f_2130(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_2040)
static void C_ccall f_2040(C_word c,C_word *av) C_noret;
C_noret_decl(f_2044)
static void C_ccall f_2044(C_word c,C_word *av) C_noret;
C_noret_decl(f_2048)
static void C_ccall f_2048(C_word c,C_word *av) C_noret;
C_noret_decl(f_2189)
static void C_ccall f_2189(C_word c,C_word *av) C_noret;
C_noret_decl(f_1976)
static void C_ccall f_1976(C_word c,C_word *av) C_noret;
C_noret_decl(f_2052)
static void C_ccall f_2052(C_word c,C_word *av) C_noret;
C_noret_decl(f_1970)
static void C_ccall f_1970(C_word c,C_word *av) C_noret;
C_noret_decl(f_2056)
static void C_ccall f_2056(C_word c,C_word *av) C_noret;
C_noret_decl(f_1097)
static void C_ccall f_1097(C_word c,C_word *av) C_noret;
C_noret_decl(f_1065)
static void C_ccall f_1065(C_word c,C_word *av) C_noret;
C_noret_decl(f_1090)
static void C_ccall f_1090(C_word c,C_word *av) C_noret;
C_noret_decl(f_2024)
static void C_ccall f_2024(C_word c,C_word *av) C_noret;
C_noret_decl(f_2027)
static void C_ccall f_2027(C_word c,C_word *av) C_noret;
C_noret_decl(f_2124)
static void C_ccall f_2124(C_word c,C_word *av) C_noret;
C_noret_decl(f_2263)
static void C_ccall f_2263(C_word c,C_word *av) C_noret;
C_noret_decl(f_1083)
static void C_ccall f_1083(C_word c,C_word *av) C_noret;
C_noret_decl(f_2178)
static void C_ccall f_2178(C_word c,C_word *av) C_noret;
C_noret_decl(f_2081)
static void C_ccall f_2081(C_word c,C_word *av) C_noret;
C_noret_decl(f_2089)
static void C_ccall f_2089(C_word c,C_word *av) C_noret;
C_noret_decl(f_2085)
static void C_ccall f_2085(C_word c,C_word *av) C_noret;
C_noret_decl(f_1032)
static void C_ccall f_1032(C_word c,C_word *av) C_noret;
C_noret_decl(f_1025)
static void C_ccall f_1025(C_word c,C_word *av) C_noret;
C_noret_decl(f_2098)
static void C_ccall f_2098(C_word c,C_word *av) C_noret;
C_noret_decl(f_2193)
static void C_ccall f_2193(C_word c,C_word *av) C_noret;
C_noret_decl(f_2064)
static void C_ccall f_2064(C_word c,C_word *av) C_noret;
C_noret_decl(f_1054)
static void C_ccall f_1054(C_word c,C_word *av) C_noret;
C_noret_decl(f_3004)
static void C_ccall f_3004(C_word c,C_word *av) C_noret;
C_noret_decl(f_3000)
static void C_ccall f_3000(C_word c,C_word *av) C_noret;
C_noret_decl(f_2233)
static void C_ccall f_2233(C_word c,C_word *av) C_noret;
C_noret_decl(f_3011)
static void C_ccall f_3011(C_word c,C_word *av) C_noret;
C_noret_decl(f_3008)
static void C_ccall f_3008(C_word c,C_word *av) C_noret;
C_noret_decl(f_2701)
static void C_ccall f_2701(C_word c,C_word *av) C_noret;
C_noret_decl(f_2705)
static void C_ccall f_2705(C_word c,C_word *av) C_noret;
C_noret_decl(f_1722)
static void C_fcall f_1722(C_word t0,C_word t1) C_noret;
C_noret_decl(f_1724)
static void C_fcall f_1724(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_2830)
static void C_ccall f_2830(C_word c,C_word *av) C_noret;
C_noret_decl(f_2834)
static void C_ccall f_2834(C_word c,C_word *av) C_noret;
C_noret_decl(f_2711)
static void C_ccall f_2711(C_word c,C_word *av) C_noret;
C_noret_decl(f_1711)
static void C_ccall f_1711(C_word c,C_word *av) C_noret;
C_noret_decl(f_2930)
static void C_ccall f_2930(C_word c,C_word *av) C_noret;
C_noret_decl(f_2805)
static void C_ccall f_2805(C_word c,C_word *av) C_noret;
C_noret_decl(f_2808)
static void C_ccall f_2808(C_word c,C_word *av) C_noret;
C_noret_decl(f_2721)
static void C_ccall f_2721(C_word c,C_word *av) C_noret;
C_noret_decl(f_1004)
static void C_ccall f_1004(C_word c,C_word *av) C_noret;
C_noret_decl(f_2725)
static void C_ccall f_2725(C_word c,C_word *av) C_noret;
C_noret_decl(f_2729)
static void C_ccall f_2729(C_word c,C_word *av) C_noret;
C_noret_decl(f_1702)
static void C_ccall f_1702(C_word c,C_word *av) C_noret;
C_noret_decl(f_1706)
static void C_ccall f_1706(C_word c,C_word *av) C_noret;
C_noret_decl(f_1707)
static void C_fcall f_1707(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2902)
static void C_ccall f_2902(C_word c,C_word *av) C_noret;
C_noret_decl(f_2812)
static void C_ccall f_2812(C_word c,C_word *av) C_noret;
C_noret_decl(f_2815)
static void C_ccall f_2815(C_word c,C_word *av) C_noret;
C_noret_decl(f_2733)
static void C_ccall f_2733(C_word c,C_word *av) C_noret;
C_noret_decl(f_2738)
static void C_ccall f_2738(C_word c,C_word *av) C_noret;
C_noret_decl(f_1506)
static void C_ccall f_1506(C_word c,C_word *av) C_noret;
C_noret_decl(f_2744)
static void C_ccall f_2744(C_word c,C_word *av) C_noret;
C_noret_decl(C_tcp_toplevel)
C_externexport void C_ccall C_tcp_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(f_2361)
static void C_ccall f_2361(C_word c,C_word *av) C_noret;
C_noret_decl(f_2364)
static void C_fcall f_2364(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2369)
static void C_ccall f_2369(C_word c,C_word *av) C_noret;
C_noret_decl(f_2922)
static void C_ccall f_2922(C_word c,C_word *av) C_noret;
C_noret_decl(f_2926)
static void C_ccall f_2926(C_word c,C_word *av) C_noret;
C_noret_decl(f_2874)
static void C_ccall f_2874(C_word c,C_word *av) C_noret;
C_noret_decl(f_2871)
static void C_ccall f_2871(C_word c,C_word *av) C_noret;
C_noret_decl(f_1535)
static void C_ccall f_1535(C_word c,C_word *av) C_noret;
C_noret_decl(f_2877)
static void C_ccall f_2877(C_word c,C_word *av) C_noret;
C_noret_decl(f_1539)
static void C_ccall f_1539(C_word c,C_word *av) C_noret;
C_noret_decl(f_2752)
static void C_ccall f_2752(C_word c,C_word *av) C_noret;
C_noret_decl(f_2758)
static void C_ccall f_2758(C_word c,C_word *av) C_noret;
C_noret_decl(f_1752)
static void C_ccall f_1752(C_word c,C_word *av) C_noret;
C_noret_decl(f_1755)
static void C_ccall f_1755(C_word c,C_word *av) C_noret;
C_noret_decl(f_1610)
static void C_fcall f_1610(C_word t0,C_word t1) C_noret;
C_noret_decl(f_1611)
static void C_fcall f_1611(C_word t0,C_word t1) C_noret;
C_noret_decl(f_1615)
static void C_ccall f_1615(C_word c,C_word *av) C_noret;
C_noret_decl(f_1618)
static void C_fcall f_1618(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2843)
static void C_ccall f_2843(C_word c,C_word *av) C_noret;
C_noret_decl(f_2979)
static void C_ccall f_2979(C_word c,C_word *av) C_noret;
C_noret_decl(f_2765)
static void C_ccall f_2765(C_word c,C_word *av) C_noret;
C_noret_decl(f_1569)
static void C_ccall f_1569(C_word c,C_word *av) C_noret;
C_noret_decl(f_2847)
static void C_ccall f_2847(C_word c,C_word *av) C_noret;
C_noret_decl(f_1563)
static void C_fcall f_1563(C_word t0,C_word t1) C_noret;
C_noret_decl(f_1565)
static void C_ccall f_1565(C_word c,C_word *av) C_noret;
C_noret_decl(f_1749)
static void C_ccall f_1749(C_word c,C_word *av) C_noret;
C_noret_decl(f_1743)
static void C_ccall f_1743(C_word c,C_word *av) C_noret;
C_noret_decl(f_1746)
static void C_ccall f_1746(C_word c,C_word *av) C_noret;
C_noret_decl(f_1601)
static void C_ccall f_1601(C_word c,C_word *av) C_noret;
C_noret_decl(f_1607)
static void C_ccall f_1607(C_word c,C_word *av) C_noret;
C_noret_decl(f_2308)
static void C_ccall f_2308(C_word c,C_word *av) C_noret;
C_noret_decl(f_2943)
static void C_ccall f_2943(C_word c,C_word *av) C_noret;
C_noret_decl(f_2940)
static void C_ccall f_2940(C_word c,C_word *av) C_noret;
C_noret_decl(f_2855)
static void C_ccall f_2855(C_word c,C_word *av) C_noret;
C_noret_decl(f_2851)
static void C_ccall f_2851(C_word c,C_word *av) C_noret;
C_noret_decl(f_2774)
static void C_ccall f_2774(C_word c,C_word *av) C_noret;
C_noret_decl(f_1515)
static void C_ccall f_1515(C_word c,C_word *av) C_noret;
C_noret_decl(f_2859)
static void C_ccall f_2859(C_word c,C_word *av) C_noret;
C_noret_decl(f_2778)
static void C_ccall f_2778(C_word c,C_word *av) C_noret;
C_noret_decl(f_1731)
static void C_ccall f_1731(C_word c,C_word *av) C_noret;
C_noret_decl(f_2318)
static void C_ccall f_2318(C_word c,C_word *av) C_noret;
C_noret_decl(f_1639)
static void C_ccall f_1639(C_word c,C_word *av) C_noret;
C_noret_decl(f_2914)
static void C_ccall f_2914(C_word c,C_word *av) C_noret;
C_noret_decl(f_2918)
static void C_ccall f_2918(C_word c,C_word *av) C_noret;
C_noret_decl(f_2822)
static void C_ccall f_2822(C_word c,C_word *av) C_noret;
C_noret_decl(f_2826)
static void C_ccall f_2826(C_word c,C_word *av) C_noret;
C_noret_decl(f_2798)
static void C_ccall f_2798(C_word c,C_word *av) C_noret;
C_noret_decl(f_1547)
static void C_ccall f_1547(C_word c,C_word *av) C_noret;
C_noret_decl(f_1543)
static void C_ccall f_1543(C_word c,C_word *av) C_noret;
C_noret_decl(f_2792)
static void C_ccall f_2792(C_word c,C_word *av) C_noret;
C_noret_decl(f_1623)
static void C_ccall f_1623(C_word c,C_word *av) C_noret;
C_noret_decl(f_1627)
static void C_ccall f_1627(C_word c,C_word *av) C_noret;
C_noret_decl(f_2965)
static void C_ccall f_2965(C_word c,C_word *av) C_noret;
C_noret_decl(f_2961)
static void C_ccall f_2961(C_word c,C_word *av) C_noret;
C_noret_decl(f_2969)
static void C_ccall f_2969(C_word c,C_word *av) C_noret;
C_noret_decl(f_2332)
static void C_ccall f_2332(C_word c,C_word *av) C_noret;
C_noret_decl(f_1651)
static void C_ccall f_1651(C_word c,C_word *av) C_noret;
C_noret_decl(f_2339)
static void C_ccall f_2339(C_word c,C_word *av) C_noret;
C_noret_decl(f_2898)
static void C_ccall f_2898(C_word c,C_word *av) C_noret;
C_noret_decl(f_2985)
static void C_ccall f_2985(C_word c,C_word *av) C_noret;
C_noret_decl(f_2890)
static void C_ccall f_2890(C_word c,C_word *av) C_noret;
C_noret_decl(f_2894)
static void C_ccall f_2894(C_word c,C_word *av) C_noret;
C_noret_decl(f_1793)
static void C_ccall f_1793(C_word c,C_word *av) C_noret;
C_noret_decl(f_1797)
static void C_ccall f_1797(C_word c,C_word *av) C_noret;
C_noret_decl(f_1691)
static void C_ccall f_1691(C_word c,C_word *av) C_noret;
C_noret_decl(f_2343)
static void C_ccall f_2343(C_word c,C_word *av) C_noret;
C_noret_decl(f_1642)
static void C_ccall f_1642(C_word c,C_word *av) C_noret;
C_noret_decl(f_2347)
static void C_ccall f_2347(C_word c,C_word *av) C_noret;
C_noret_decl(f_1648)
static void C_ccall f_1648(C_word c,C_word *av) C_noret;
C_noret_decl(f_2953)
static void C_ccall f_2953(C_word c,C_word *av) C_noret;
C_noret_decl(f_1645)
static void C_ccall f_1645(C_word c,C_word *av) C_noret;
C_noret_decl(f_2865)
static void C_ccall f_2865(C_word c,C_word *av) C_noret;
C_noret_decl(f_2957)
static void C_ccall f_2957(C_word c,C_word *av) C_noret;
C_noret_decl(f_2868)
static void C_ccall f_2868(C_word c,C_word *av) C_noret;
C_noret_decl(f_1683)
static void C_ccall f_1683(C_word c,C_word *av) C_noret;
C_noret_decl(f_1687)
static void C_ccall f_1687(C_word c,C_word *av) C_noret;
C_noret_decl(f_1789)
static void C_ccall f_1789(C_word c,C_word *av) C_noret;
C_noret_decl(f_2351)
static void C_ccall f_2351(C_word c,C_word *av) C_noret;
C_noret_decl(f_1679)
static void C_ccall f_1679(C_word c,C_word *av) C_noret;
C_noret_decl(f_1557)
static void C_ccall f_1557(C_word c,C_word *av) C_noret;
C_noret_decl(f_1553)
static void C_ccall f_1553(C_word c,C_word *av) C_noret;
C_noret_decl(f_2379)
static void C_ccall f_2379(C_word c,C_word *av) C_noret;
C_noret_decl(f_2376)
static void C_ccall f_2376(C_word c,C_word *av) C_noret;
C_noret_decl(f_2373)
static void C_ccall f_2373(C_word c,C_word *av) C_noret;
C_noret_decl(f_1778)
static void C_ccall f_1778(C_word c,C_word *av) C_noret;
C_noret_decl(f_1773)
static void C_ccall f_1773(C_word c,C_word *av) C_noret;
C_noret_decl(f_1669)
static void C_ccall f_1669(C_word c,C_word *av) C_noret;
C_noret_decl(f_1584)
static void C_ccall f_1584(C_word c,C_word *av) C_noret;
C_noret_decl(f_1588)
static void C_ccall f_1588(C_word c,C_word *av) C_noret;
C_noret_decl(f_1580)
static void C_ccall f_1580(C_word c,C_word *av) C_noret;
C_noret_decl(f_2385)
static void C_ccall f_2385(C_word c,C_word *av) C_noret;
C_noret_decl(f_2382)
static void C_ccall f_2382(C_word c,C_word *av) C_noret;
C_noret_decl(f_957)
static void C_ccall f_957(C_word c,C_word *av) C_noret;
C_noret_decl(f_2996)
static void C_ccall f_2996(C_word c,C_word *av) C_noret;
C_noret_decl(f_951)
static void C_ccall f_951(C_word c,C_word *av) C_noret;
C_noret_decl(f_954)
static void C_ccall f_954(C_word c,C_word *av) C_noret;
C_noret_decl(f_2329)
static void C_ccall f_2329(C_word c,C_word *av) C_noret;
C_noret_decl(f_1594)
static void C_ccall f_1594(C_word c,C_word *av) C_noret;
C_noret_decl(f_1592)
static void C_ccall f_1592(C_word c,C_word *av) C_noret;
C_noret_decl(f_1598)
static void C_ccall f_1598(C_word c,C_word *av) C_noret;
C_noret_decl(f_1345)
static void C_ccall f_1345(C_word c,C_word *av) C_noret;
C_noret_decl(f_1349)
static void C_ccall f_1349(C_word c,C_word *av) C_noret;
C_noret_decl(f_929)
static void C_ccall f_929(C_word c,C_word *av) C_noret;
C_noret_decl(f_1335)
static void C_ccall f_1335(C_word c,C_word *av) C_noret;
C_noret_decl(f_1338)
static void C_ccall f_1338(C_word c,C_word *av) C_noret;
C_noret_decl(f_1141)
static void C_ccall f_1141(C_word c,C_word *av) C_noret;
C_noret_decl(f_1148)
static void C_ccall f_1148(C_word c,C_word *av) C_noret;
C_noret_decl(f_1323)
static void C_ccall f_1323(C_word c,C_word *av) C_noret;
C_noret_decl(f_1326)
static void C_ccall f_1326(C_word c,C_word *av) C_noret;
C_noret_decl(f_1320)
static void C_ccall f_1320(C_word c,C_word *av) C_noret;
C_noret_decl(f_2661)
static void C_ccall f_2661(C_word c,C_word *av) C_noret;
C_noret_decl(f_1329)
static void C_ccall f_1329(C_word c,C_word *av) C_noret;
C_noret_decl(f_2664)
static void C_ccall f_2664(C_word c,C_word *av) C_noret;
C_noret_decl(f_1134)
static void C_ccall f_1134(C_word c,C_word *av) C_noret;
C_noret_decl(f_1314)
static void C_ccall f_1314(C_word c,C_word *av) C_noret;
C_noret_decl(f_1310)
static void C_ccall f_1310(C_word c,C_word *av) C_noret;
C_noret_decl(f_1317)
static void C_ccall f_1317(C_word c,C_word *av) C_noret;
C_noret_decl(f_940)
static void C_ccall f_940(C_word c,C_word *av) C_noret;
C_noret_decl(f_1123)
static void C_ccall f_1123(C_word c,C_word *av) C_noret;
C_noret_decl(f_937)
static void C_ccall f_937(C_word c,C_word *av) C_noret;
C_noret_decl(f_935)
static void C_ccall f_935(C_word c,C_word *av) C_noret;
C_noret_decl(f_1381)
static void C_ccall f_1381(C_word c,C_word *av) C_noret;
C_noret_decl(f_1387)
static void C_ccall f_1387(C_word c,C_word *av) C_noret;
C_noret_decl(f_2644)
static void C_ccall f_2644(C_word c,C_word *av) C_noret;
C_noret_decl(f_2648)
static void C_ccall f_2648(C_word c,C_word *av) C_noret;
C_noret_decl(f_932)
static void C_ccall f_932(C_word c,C_word *av) C_noret;
C_noret_decl(f_960)
static void C_ccall f_960(C_word c,C_word *av) C_noret;
C_noret_decl(f_1373)
static void C_ccall f_1373(C_word c,C_word *av) C_noret;
C_noret_decl(f_1377)
static void C_ccall f_1377(C_word c,C_word *av) C_noret;
C_noret_decl(f_2652)
static void C_ccall f_2652(C_word c,C_word *av) C_noret;
C_noret_decl(f_2658)
static void C_ccall f_2658(C_word c,C_word *av) C_noret;
C_noret_decl(f_1216)
static void C_ccall f_1216(C_word c,C_word *av) C_noret;
C_noret_decl(f_1861)
static void C_ccall f_1861(C_word c,C_word *av) C_noret;
C_noret_decl(f_1369)
static void C_ccall f_1369(C_word c,C_word *av) C_noret;
C_noret_decl(f_2628)
static void C_ccall f_2628(C_word c,C_word *av) C_noret;
C_noret_decl(f_1170)
static void C_ccall f_1170(C_word c,C_word *av) C_noret;
C_noret_decl(f_1174)
static void C_ccall f_1174(C_word c,C_word *av) C_noret;
C_noret_decl(f_1248)
static void C_ccall f_1248(C_word c,C_word *av) C_noret;
C_noret_decl(f_1353)
static void C_ccall f_1353(C_word c,C_word *av) C_noret;
C_noret_decl(f_1359)
static void C_ccall f_1359(C_word c,C_word *av) C_noret;
C_noret_decl(f_2637)
static void C_ccall f_2637(C_word c,C_word *av) C_noret;
C_noret_decl(f_2634)
static void C_ccall f_2634(C_word c,C_word *av) C_noret;
C_noret_decl(f_2513)
static void C_ccall f_2513(C_word c,C_word *av) C_noret;
C_noret_decl(f_2516)
static void C_ccall f_2516(C_word c,C_word *av) C_noret;
C_noret_decl(f_2519)
static void C_ccall f_2519(C_word c,C_word *av) C_noret;
C_noret_decl(f_2400)
static void C_ccall f_2400(C_word c,C_word *av) C_noret;
C_noret_decl(f_975)
static void C_ccall f_975(C_word c,C_word *av) C_noret;
C_noret_decl(f_1163)
static void C_ccall f_1163(C_word c,C_word *av) C_noret;
C_noret_decl(f_1165)
static void C_ccall f_1165(C_word c,C_word *av) C_noret;
C_noret_decl(f_2525)
static void C_ccall f_2525(C_word c,C_word *av) C_noret;
C_noret_decl(f_2522)
static void C_ccall f_2522(C_word c,C_word *av) C_noret;
C_noret_decl(f_2528)
static void C_ccall f_2528(C_word c,C_word *av) C_noret;
C_noret_decl(f_2451)
static void C_ccall f_2451(C_word c,C_word *av) C_noret;
C_noret_decl(f_2454)
static void C_ccall f_2454(C_word c,C_word *av) C_noret;
C_noret_decl(f_1159)
static void C_ccall f_1159(C_word c,C_word *av) C_noret;
C_noret_decl(f_1834)
static void C_ccall f_1834(C_word c,C_word *av) C_noret;
C_noret_decl(f_1839)
static void C_ccall f_1839(C_word c,C_word *av) C_noret;
C_noret_decl(f_2531)
static void C_ccall f_2531(C_word c,C_word *av) C_noret;
C_noret_decl(f_2534)
static void C_ccall f_2534(C_word c,C_word *av) C_noret;
C_noret_decl(f_2467)
static void C_ccall f_2467(C_word c,C_word *av) C_noret;
C_noret_decl(f_1252)
static void C_ccall f_1252(C_word c,C_word *av) C_noret;
C_noret_decl(f_1255)
static void C_ccall f_1255(C_word c,C_word *av) C_noret;
C_noret_decl(f_1258)
static void C_ccall f_1258(C_word c,C_word *av) C_noret;
C_noret_decl(f_2540)
static void C_ccall f_2540(C_word c,C_word *av) C_noret;
C_noret_decl(f_2549)
static void C_ccall f_2549(C_word c,C_word *av) C_noret;
C_noret_decl(f_1280)
static void C_ccall f_1280(C_word c,C_word *av) C_noret;
C_noret_decl(f_1858)
static void C_ccall f_1858(C_word c,C_word *av) C_noret;
C_noret_decl(f_2552)
static void C_ccall f_2552(C_word c,C_word *av) C_noret;
C_noret_decl(f_2559)
static void C_ccall f_2559(C_word c,C_word *av) C_noret;
C_noret_decl(f_2442)
static void C_ccall f_2442(C_word c,C_word *av) C_noret;
C_noret_decl(f_2444)
static void C_ccall f_2444(C_word c,C_word *av) C_noret;
C_noret_decl(f_1295)
static void C_ccall f_1295(C_word c,C_word *av) C_noret;
C_noret_decl(f_1399)
static void C_ccall f_1399(C_word c,C_word *av) C_noret;
C_noret_decl(f_1272)
static void C_ccall f_1272(C_word c,C_word *av) C_noret;
C_noret_decl(f_1276)
static void C_ccall f_1276(C_word c,C_word *av) C_noret;
C_noret_decl(f_1843)
static void C_ccall f_1843(C_word c,C_word *av) C_noret;
C_noret_decl(f_2563)
static void C_ccall f_2563(C_word c,C_word *av) C_noret;
C_noret_decl(f_2567)
static void C_ccall f_2567(C_word c,C_word *av) C_noret;
C_noret_decl(f_1225)
static void C_fcall f_1225(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2479)
static void C_ccall f_2479(C_word c,C_word *av) C_noret;
C_noret_decl(f_2475)
static void C_ccall f_2475(C_word c,C_word *av) C_noret;
C_noret_decl(f_2471)
static void C_ccall f_2471(C_word c,C_word *av) C_noret;
C_noret_decl(f_2597)
static void C_ccall f_2597(C_word c,C_word *av) C_noret;
C_noret_decl(f_1199)
static void C_ccall f_1199(C_word c,C_word *av) C_noret;
C_noret_decl(f_2593)
static void C_ccall f_2593(C_word c,C_word *av) C_noret;
C_noret_decl(f_1190)
static void C_ccall f_1190(C_word c,C_word *av) C_noret;
C_noret_decl(f_2687)
static void C_ccall f_2687(C_word c,C_word *av) C_noret;
C_noret_decl(f_2697)
static void C_ccall f_2697(C_word c,C_word *av) C_noret;
C_noret_decl(f_2690)
static void C_ccall f_2690(C_word c,C_word *av) C_noret;
C_noret_decl(f_1940)
static void C_ccall f_1940(C_word c,C_word *av) C_noret;
C_noret_decl(f_1268)
static void C_ccall f_1268(C_word c,C_word *av) C_noret;
C_noret_decl(f_1878)
static void C_fcall f_1878(C_word t0,C_word t1) C_noret;
C_noret_decl(f_1870)
static void C_ccall f_1870(C_word c,C_word *av) C_noret;
C_noret_decl(f_993)
static void C_ccall f_993(C_word c,C_word *av) C_noret;
C_noret_decl(f_2679)
static void C_ccall f_2679(C_word c,C_word *av) C_noret;
C_noret_decl(f_1462)
static void C_ccall f_1462(C_word c,C_word *av) C_noret;
C_noret_decl(f_2675)
static void C_ccall f_2675(C_word c,C_word *av) C_noret;
C_noret_decl(f_1468)
static void C_ccall f_1468(C_word c,C_word *av) C_noret;
C_noret_decl(f_2671)
static void C_ccall f_2671(C_word c,C_word *av) C_noret;
C_noret_decl(f_1927)
static void C_ccall f_1927(C_word c,C_word *av) C_noret;
C_noret_decl(f_1924)
static void C_fcall f_1924(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2414)
static void C_ccall f_2414(C_word c,C_word *av) C_noret;
C_noret_decl(f_2410)
static void C_ccall f_2410(C_word c,C_word *av) C_noret;
C_noret_decl(f_1915)
static void C_ccall f_1915(C_word c,C_word *av) C_noret;
C_noret_decl(f_1898)
static void C_ccall f_1898(C_word c,C_word *av) C_noret;
C_noret_decl(f_1894)
static void C_ccall f_1894(C_word c,C_word *av) C_noret;
C_noret_decl(f_2418)
static void C_ccall f_2418(C_word c,C_word *av) C_noret;
C_noret_decl(f_1407)
static void C_ccall f_1407(C_word c,C_word *av) C_noret;
C_noret_decl(f_1887)
static void C_fcall f_1887(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2422)
static void C_ccall f_2422(C_word c,C_word *av) C_noret;
C_noret_decl(f_1881)
static void C_ccall f_1881(C_word c,C_word *av) C_noret;
C_noret_decl(f_1432)
static void C_ccall f_1432(C_word c,C_word *av) C_noret;
C_noret_decl(f_1435)
static void C_ccall f_1435(C_word c,C_word *av) C_noret;
C_noret_decl(f_2504)
static void C_fcall f_2504(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2501)
static void C_ccall f_2501(C_word c,C_word *av) C_noret;
C_noret_decl(f_2507)
static void C_ccall f_2507(C_word c,C_word *av) C_noret;
C_noret_decl(f_1423)
static void C_ccall f_1423(C_word c,C_word *av) C_noret;
C_noret_decl(f_1426)
static void C_ccall f_1426(C_word c,C_word *av) C_noret;
C_noret_decl(f_1429)
static void C_ccall f_1429(C_word c,C_word *av) C_noret;
C_noret_decl(f_1961)
static void C_ccall f_1961(C_word c,C_word *av) C_noret;
C_noret_decl(f_1950)
static void C_ccall f_1950(C_word c,C_word *av) C_noret;
C_noret_decl(f_1956)
static void C_ccall f_1956(C_word c,C_word *av) C_noret;

C_noret_decl(trf_2070)
static void C_ccall trf_2070(C_word c,C_word *av) C_noret;
static void C_ccall trf_2070(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_2070(t0,t1);}

C_noret_decl(trf_2130)
static void C_ccall trf_2130(C_word c,C_word *av) C_noret;
static void C_ccall trf_2130(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_2130(t0,t1,t2,t3,t4);}

C_noret_decl(trf_1722)
static void C_ccall trf_1722(C_word c,C_word *av) C_noret;
static void C_ccall trf_1722(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_1722(t0,t1);}

C_noret_decl(trf_1724)
static void C_ccall trf_1724(C_word c,C_word *av) C_noret;
static void C_ccall trf_1724(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_1724(t0,t1,t2,t3,t4);}

C_noret_decl(trf_1707)
static void C_ccall trf_1707(C_word c,C_word *av) C_noret;
static void C_ccall trf_1707(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_1707(t0,t1,t2);}

C_noret_decl(trf_2364)
static void C_ccall trf_2364(C_word c,C_word *av) C_noret;
static void C_ccall trf_2364(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_2364(t0,t1);}

C_noret_decl(trf_1610)
static void C_ccall trf_1610(C_word c,C_word *av) C_noret;
static void C_ccall trf_1610(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_1610(t0,t1);}

C_noret_decl(trf_1611)
static void C_ccall trf_1611(C_word c,C_word *av) C_noret;
static void C_ccall trf_1611(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_1611(t0,t1);}

C_noret_decl(trf_1618)
static void C_ccall trf_1618(C_word c,C_word *av) C_noret;
static void C_ccall trf_1618(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_1618(t0,t1);}

C_noret_decl(trf_1563)
static void C_ccall trf_1563(C_word c,C_word *av) C_noret;
static void C_ccall trf_1563(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_1563(t0,t1);}

C_noret_decl(trf_1225)
static void C_ccall trf_1225(C_word c,C_word *av) C_noret;
static void C_ccall trf_1225(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_1225(t0,t1,t2);}

C_noret_decl(trf_1878)
static void C_ccall trf_1878(C_word c,C_word *av) C_noret;
static void C_ccall trf_1878(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_1878(t0,t1);}

C_noret_decl(trf_1924)
static void C_ccall trf_1924(C_word c,C_word *av) C_noret;
static void C_ccall trf_1924(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_1924(t0,t1);}

C_noret_decl(trf_1887)
static void C_ccall trf_1887(C_word c,C_word *av) C_noret;
static void C_ccall trf_1887(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_1887(t0,t1);}

C_noret_decl(trf_2504)
static void C_ccall trf_2504(C_word c,C_word *av) C_noret;
static void C_ccall trf_2504(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_2504(t0,t1);}

/* k2611 in k2608 in k2656 in loop in k2529 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in ... */
static void C_ccall f_2613(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_2613,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2616,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:609: ##sys#thread-block-for-i/o! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[65]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[65]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[61]+1);
av2[3]=((C_word*)t0)[3];
av2[4]=lf[72];
tp(5,av2);}}

/* k2614 in k2611 in k2608 in k2656 in loop in k2529 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in ... */
static void C_ccall f_2616(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2616,2,av);}
/* tcp.scm:610: ##sys#thread-yield! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[64]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[64]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}

/* k2608 in k2656 in loop in k2529 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in ... */
static void C_ccall f_2610(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_2610,2,av);}
a=C_alloc(7);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2613,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[4])){
/* tcp.scm:608: ##sys#thread-block-for-timeout! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[67]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[67]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[61]+1);
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_2613(2,av2);}}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2628,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],tmp=(C_word)a,a+=7,tmp);
/* tcp.scm:611: ##net#interrupted? */
t3=*((C_word*)lf[7]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2494(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +9,c,2)))){
C_save_and_reclaim((void*)f_2494,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+9);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t5=C_i_nullp(t3);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t3));
t7=t6;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2501,a[2]=t4,a[3]=t1,a[4]=t8,tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:587: tcp-connect-timeout */
t10=*((C_word*)lf[58]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}

/* k1456 in k1445 in k1442 in k1466 in k1430 in k1427 in k1424 in k1421 in chicken.tcp#tcp-listen in k1161 in k933 in k930 in k927 */
static void C_ccall f_1458(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_1458,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1462,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:329: ##net#error-code->message */
t4=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k1452 in k1445 in k1442 in k1466 in k1430 in k1427 in k1424 in k1421 in chicken.tcp#tcp-listen in k1161 in k933 in k930 in k927 */
static void C_ccall f_1454(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_1454,2,av);}
/* tcp.scm:329: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=lf[38];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k2576 in k2532 in k2529 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 in ... */
static void C_ccall f_2578(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_2578,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2585,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2589,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t3;
av2[2]=lf[102];
av2[3]=lf[34];
tp(4,av2);}}

/* k1994 in a1991 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1996(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1996,2,av);}
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)((C_word*)t0)[2])[1],((C_word*)((C_word*)t0)[3])[1]))){
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_subchar(((C_word*)t0)[5],((C_word*)((C_word*)t0)[2])[1]);
t3=C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],C_fix(1));
t4=C_set_block_item(((C_word*)t0)[2],0,t3);
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* a1991 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1992(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_1992,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1996,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)((C_word*)t0)[2])[1],((C_word*)((C_word*)t0)[3])[1]))){
/* tcp.scm:404: read-input */
t3=((C_word*)t0)[5];
f_1611(t3,t2);}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_1996(2,av2);}}}

/* k1799 in k1791 in k1771 in k1741 in k1729 in loop in k1720 in k1709 in output in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in ... */
static void C_ccall f_1801(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1801,2,av);}
/* tcp.scm:506: ##net#error-code->message */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k1445 in k1442 in k1466 in k1430 in k1427 in k1424 in k1421 in chicken.tcp#tcp-listen in k1161 in k933 in k930 in k927 */
static void C_ccall f_1447(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_1447,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1454,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1458,a[2]=t2,a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t3;
av2[2]=lf[47];
av2[3]=lf[34];
tp(4,av2);}}

/* k1442 in k1466 in k1430 in k1427 in k1424 in k1421 in chicken.tcp#tcp-listen in k1161 in k933 in k930 in k927 */
static void C_ccall f_1444(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_1444,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1447,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* tcp.scm:329: ##net#close */
t4=*((C_word*)lf[12]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k2587 in k2576 in k2532 in k2529 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in ... */
static void C_ccall f_2589(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_2589,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2593,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:621: ##net#error-code->message */
t4=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k2583 in k2576 in k2532 in k2529 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in ... */
static void C_ccall f_2585(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_2585,2,av);}
/* tcp.scm:621: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=lf[30];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k1900 in k1896 in k1885 in k1879 in k1876 in a1869 in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1902(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_1902,2,av);}
/* tcp.scm:532: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k1904 in k1896 in k1885 in k1879 in k1876 in a1869 in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1906(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1906,2,av);}
/* tcp.scm:532: ##net#error-code->message */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a2105 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2106(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_2106,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2110,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)((C_word*)t0)[2])[1],((C_word*)((C_word*)t0)[3])[1]))){
/* tcp.scm:426: read-input */
t3=((C_word*)t0)[5];
f_1611(t3,t2);}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_2110(2,av2);}}}

/* a2206 in k2191 in a2188 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2207(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,5)))){
C_save_and_reclaim((void *)f_2207,2,av);}
a=C_alloc(8);
t2=C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],((C_word*)((C_word*)t0)[3])[1]);
t3=C_i_fixnum_min(((C_word*)((C_word*)t0)[4])[1],t2);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2217,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word)li47),tmp=(C_word)a,a+=8,tmp);
/* tcp.scm:451: ##sys#scan-buffer-line */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[86]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[86]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[5];
av2[3]=t3;
av2[4]=((C_word*)((C_word*)t0)[2])[1];
av2[5]=t4;
tp(6,av2);}}

/* a2216 in a2206 in k2191 in a2188 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2217(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_2217,3,av);}
a=C_alloc(8);
t3=C_fixnum_difference(t2,((C_word*)((C_word*)t0)[2])[1]);
t4=t3;
if(C_truep(C_fixnum_greater_or_equal_p(t4,((C_word*)((C_word*)t0)[3])[1]))){
/* tcp.scm:458: values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
av2[3]=t2;
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2233,a[2]=((C_word*)t0)[3],a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[4],a[6]=t1,a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
/* tcp.scm:459: read-input */
t6=((C_word*)t0)[6];
f_1611(t6,t5);}}

/* a2013 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2014(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_2014,2,av);}
a=C_alloc(4);
t2=C_fixnum_lessp(((C_word*)((C_word*)t0)[2])[1],((C_word*)((C_word*)t0)[3])[1]);
if(C_truep(t2)){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2024,a[2]=t1,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:414: ##net#check-fd-ready */
t4=*((C_word*)lf[16]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k2108 in a2105 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2110(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2110,2,av);}
if(C_truep(C_fixnum_lessp(((C_word*)((C_word*)t0)[2])[1],((C_word*)((C_word*)t0)[3])[1]))){
t2=C_subchar(((C_word*)t0)[4],((C_word*)((C_word*)t0)[2])[1]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k2068 in k2062 in a2055 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_fcall f_2070(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_2070,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2077,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2081,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t3;
av2[2]=lf[84];
av2[3]=lf[34];
tp(4,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k2075 in k2068 in k2062 in a2055 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2077(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_2077,2,av);}
/* tcp.scm:423: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=C_SCHEME_FALSE;
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* loop in a2123 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_fcall f_2130(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_2130,5,t0,t1,t2,t3,t4);}
a=C_alloc(8);
t5=C_eqp(t2,C_fix(0));
if(C_truep(t5)){
t6=t3;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(((C_word*)((C_word*)t0)[2])[1],((C_word*)((C_word*)t0)[3])[1]))){
t6=C_fixnum_difference(((C_word*)((C_word*)t0)[3])[1],((C_word*)((C_word*)t0)[2])[1]);
t7=C_fixnum_lessp(t2,t6);
t8=(C_truep(t7)?t2:t6);
t9=C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],t8);
t10=C_substring_copy(((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)((C_word*)t0)[2])[1],t9,t4);
t11=C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],t8);
t12=C_set_block_item(((C_word*)t0)[2],0,t11);
t13=C_fixnum_difference(t2,t8);
t14=C_fixnum_plus(t3,t8);
t15=C_fixnum_plus(t4,t8);
/* tcp.scm:438: loop */
t17=t1;
t18=t13;
t19=t14;
t20=t15;
t1=t17;
t2=t18;
t3=t19;
t4=t20;
goto loop;}
else{
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2178,a[2]=((C_word*)t0)[3],a[3]=t3,a[4]=t1,a[5]=((C_word*)t0)[6],a[6]=t2,a[7]=t4,tmp=(C_word)a,a+=8,tmp);
/* tcp.scm:440: read-input */
t7=((C_word*)t0)[7];
f_1611(t7,t6);}}}

/* k2038 in k2022 in a2013 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2040(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_2040,2,av);}
/* tcp.scm:416: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=C_SCHEME_FALSE;
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k2042 in k2022 in a2013 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2044(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_2044,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2048,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2052,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:416: ##net#last-error-code */
t5=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k2046 in k2042 in k2022 in a2013 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2048(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2048,2,av);}
/* tcp.scm:416: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* a2188 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2189(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_2189,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_2193,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=t3,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)((C_word*)t0)[2])[1],((C_word*)((C_word*)t0)[3])[1]))){
/* tcp.scm:446: read-input */
t5=((C_word*)t0)[5];
f_1611(t5,t4);}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_2193(2,av2);}}}

/* f_1976 in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1976(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1976,3,av);}
t3=C_block_size(t2);
if(C_truep(C_fixnum_greaterp(t3,C_fix(0)))){
/* tcp.scm:523: output */
t4=((C_word*)t0)[2];
f_1707(t4,t1,t2);}
else{
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k2050 in k2042 in k2022 in a2013 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2052(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2052,2,av);}
/* tcp.scm:416: ##net#error-code->message */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k1968 in k1959 */
static void C_ccall f_1970(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1970,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,lf[78]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a2055 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2056(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_2056,2,av);}
a=C_alloc(5);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=C_SCHEME_UNDEFINED;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_TRUE);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2064,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_slot(((C_word*)t0)[5],C_fix(1)))){
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_2064(2,av2);}}
else{
/* tcp.scm:421: ##net#shutdown */
t4=*((C_word*)lf[14]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
av2[3]=C_fix((C_word)SHUT_RD);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}}

/* ##net#send in k933 in k930 in k927 */
static void C_ccall f_1097(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1097,7,av);}
t7=C_i_foreign_fixnum_argumentp(t2);
t8=(C_truep(t3)?C_i_foreign_block_argumentp(t3):C_SCHEME_FALSE);
t9=C_i_foreign_fixnum_argumentp(t4);
t10=C_i_foreign_fixnum_argumentp(t5);
t11=C_i_foreign_fixnum_argumentp(t6);
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=stub211(C_SCHEME_UNDEFINED,t7,t8,t9,t10,t11);
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}

/* ##net#connect in k933 in k930 in k927 */
static void C_ccall f_1065(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1065,5,av);}
t5=C_i_foreign_fixnum_argumentp(t2);
t6=(C_truep(t3)?C_i_foreign_block_argumentp(t3):C_SCHEME_FALSE);
t7=C_i_foreign_fixnum_argumentp(t4);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=stub188(C_SCHEME_UNDEFINED,t5,t6,t7);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* ##net#set-socket-options in k933 in k930 in k927 */
static void C_ccall f_1090(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1090,3,av);}
t3=C_i_foreign_fixnum_argumentp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=stub202(C_SCHEME_UNDEFINED,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k2022 in a2013 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2024(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_2024,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2027,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_eqp(C_fix((C_word)SOCKET_ERROR),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2040,a[2]=t3,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2044,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t6;
av2[2]=lf[83];
av2[3]=lf[34];
tp(4,av2);}}
else{
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_eqp(t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k2025 in k2022 in a2013 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2027(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2027,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_eqp(((C_word*)t0)[3],C_fix(1));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a2123 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_2124,6,av);}
a=C_alloc(11);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_2130,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t4,a[6]=t7,a[7]=((C_word*)t0)[5],a[8]=((C_word)li45),tmp=(C_word)a,a+=9,tmp));
t9=((C_word*)t7)[1];
f_2130(t9,t1,t3,C_fix(0),t5);}

/* a2262 in k2191 in a2188 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2263(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2263,5,av);}
if(C_truep(t4)){
t5=C_slot(((C_word*)t0)[2],C_fix(4));
t6=C_fixnum_plus(t5,C_fix(1));
t7=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t6);
t8=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),C_fix(0));
t9=C_mutate2(((C_word *)((C_word*)t0)[3])+1,t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t5=C_slot(((C_word*)t0)[2],C_fix(5));
t6=C_block_size(t3);
t7=C_fixnum_plus(t5,t6);
t8=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),t7);
t9=C_mutate2(((C_word *)((C_word*)t0)[3])+1,t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* ##net#check-fd-ready in k933 in k930 in k927 */
static void C_ccall f_1083(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1083,3,av);}
t3=C_i_foreign_fixnum_argumentp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=stub197(C_SCHEME_UNDEFINED,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k2176 in loop in a2123 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2178(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_2178,2,av);}
t2=C_eqp(((C_word*)((C_word*)t0)[2])[1],C_fix(0));
if(C_truep(t2)){
t3=((C_word*)t0)[3];
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
/* tcp.scm:443: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_2130(t3,((C_word*)t0)[4],((C_word*)t0)[6],((C_word*)t0)[3],((C_word*)t0)[7]);}}

/* k2079 in k2068 in k2062 in a2055 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2081(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_2081,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2085,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2089,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:423: ##net#last-error-code */
t5=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k2087 in k2079 in k2068 in k2062 in a2055 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2089(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2089,2,av);}
/* tcp.scm:423: ##net#error-code->message */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k2083 in k2079 in k2068 in k2062 in a2055 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2085(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2085,2,av);}
/* tcp.scm:423: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##net#recv in k933 in k930 in k927 */
static void C_ccall f_1032(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1032,6,av);}
t6=C_i_foreign_fixnum_argumentp(t2);
t7=(C_truep(t3)?C_i_foreign_block_argumentp(t3):C_SCHEME_FALSE);
t8=C_i_foreign_fixnum_argumentp(t4);
t9=C_i_foreign_fixnum_argumentp(t5);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=stub169(C_SCHEME_UNDEFINED,t6,t7,t8,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}

/* ##net#close in k933 in k930 in k927 */
static void C_ccall f_1025(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1025,3,av);}
t3=C_i_foreign_fixnum_argumentp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=stub161(C_SCHEME_UNDEFINED,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k2096 in k2062 in a2055 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2098(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2098,2,av);}
t2=((C_word*)t0)[2];
f_2070(t2,C_eqp(C_fix((C_word)SOCKET_ERROR),t1));}

/* k2191 in a2188 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2193(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,5)))){
C_save_and_reclaim((void *)f_2193,2,av);}
a=C_alloc(15);
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)((C_word*)t0)[2])[1],((C_word*)((C_word*)t0)[3])[1]))){
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=((C_word*)t0)[5];
t3=(C_truep(t2)?t2:C_fixnum_difference(*((C_word*)lf[85]+1),((C_word*)((C_word*)t0)[2])[1]));
t4=t3;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2207,a[2]=((C_word*)t0)[2],a[3]=t5,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word)li48),tmp=(C_word)a,a+=8,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2263,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[2],a[4]=((C_word)li49),tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:450: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[4];
av2[2]=t6;
av2[3]=t7;
C_call_with_values(4,av2);}}}

/* k2062 in a2055 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2064(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_2064,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2070,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)((C_word*)t0)[4])[1])){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2098,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:422: ##net#close */
t4=*((C_word*)lf[12]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t3=t2;
f_2070(t3,C_SCHEME_FALSE);}}

/* ##net#shutdown in k933 in k930 in k927 */
static void C_ccall f_1054(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1054,4,av);}
t4=C_i_foreign_fixnum_argumentp(t2);
t5=C_i_foreign_fixnum_argumentp(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=stub180(C_SCHEME_UNDEFINED,t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k3002 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_3004(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_3004,2,av);}
/* tcp.scm:357: make-parameter */
t2=*((C_word*)lf[129]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(60000);
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2998 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_3000(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_3000,2,av);}
/* tcp.scm:358: make-parameter */
t2=*((C_word*)lf[129]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_SCHEME_FALSE;
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2231 in a2216 in a2206 in k2191 in a2188 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2233(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_2233,2,av);}
t2=C_fixnum_difference(((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
t3=C_set_block_item(((C_word*)t0)[2],0,t2);
if(C_truep(C_fixnum_lessp(((C_word*)((C_word*)t0)[4])[1],((C_word*)((C_word*)t0)[5])[1]))){
t4=C_fixnum_plus(((C_word*)((C_word*)t0)[4])[1],((C_word*)((C_word*)t0)[2])[1]);
t5=C_i_fixnum_min(((C_word*)((C_word*)t0)[5])[1],t4);
/* tcp.scm:462: values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[6];
av2[2]=((C_word*)t0)[7];
av2[3]=((C_word*)((C_word*)t0)[4])[1];
av2[4]=t5;
C_values(5,av2);}}
else{
/* tcp.scm:465: values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[6];
av2[2]=C_SCHEME_FALSE;
av2[3]=((C_word*)((C_word*)t0)[4])[1];
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}}

/* k3009 in k933 in k930 in k927 */
static void C_ccall f_3011(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_3011,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
f_1163(2,av2);}}
else{
/* tcp.scm:237: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=lf[134];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}}

/* k3006 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_3008(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_3008,2,av);}
/* tcp.scm:356: make-parameter */
t2=*((C_word*)lf[129]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(60000);
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2699 in k2688 in k2685 in k2709 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 in ... */
static void C_ccall f_2701(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_2701,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2705,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:601: ##net#error-code->message */
t4=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k2703 in k2699 in k2688 in k2685 in k2709 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in ... */
static void C_ccall f_2705(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2705,2,av);}
/* tcp.scm:601: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k1720 in k1709 in output in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_fcall f_1722(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,5)))){
C_save_and_reclaim_args((void *)trf_1722,2,t0,t1);}
a=C_alloc(9);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1724,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word)li35),tmp=(C_word)a,a+=7,tmp));
t5=((C_word*)t3)[1];
f_1724(t5,((C_word*)t0)[5],((C_word*)t0)[6],C_fix(0),t1);}

/* loop in k1720 in k1709 in output in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_fcall f_1724(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,6)))){
C_save_and_reclaim_args((void *)trf_1724,5,t0,t1,t2,t3,t4);}
a=C_alloc(9);
t5=C_i_fixnum_min(C_fix(8192),t2);
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_1731,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,a[5]=t3,a[6]=t4,a[7]=((C_word*)t0)[3],a[8]=((C_word*)t0)[4],tmp=(C_word)a,a+=9,tmp);
/* tcp.scm:489: ##net#send */
t7=*((C_word*)lf[18]+1);{
C_word av2[7];
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
av2[4]=t3;
av2[5]=t5;
av2[6]=C_fix(0);
((C_proc)(void*)(*((C_word*)t7+1)))(7,av2);}}

/* k2828 in k2824 in k2810 in k2806 in k2803 in k2796 in chicken.tcp#tcp-addresses in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2830(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2830,2,av);}
/* tcp.scm:637: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2832 in k2824 in k2810 in k2806 in k2803 in k2796 in chicken.tcp#tcp-addresses in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2834(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2834,2,av);}
/* tcp.scm:637: ##net#error-code->message */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k2709 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2711(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_2711,2,av);}
a=C_alloc(4);
t2=C_eqp(C_fix((C_word)SOCKET_ERROR),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2687,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:601: ##net#last-error-code */
t4=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_2528(2,av2);}}}

/* k1709 in output in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1711(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_1711,2,av);}
a=C_alloc(11);
t2=t1;
t3=C_block_size(((C_word*)t0)[2]);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1722,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[4],a[6]=t4,tmp=(C_word)a,a+=7,tmp);
if(C_truep(t2)){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1839,a[2]=t5,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:487: chicken.time#current-milliseconds */
t7=*((C_word*)lf[70]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t6=t5;
f_1722(t6,C_SCHEME_FALSE);}}

/* chicken.tcp#tcp-listener-port in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2930(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_2930,3,av);}
a=C_alloc(5);
t3=C_i_check_structure_2(t2,lf[46],lf[123]);
t4=C_slot(t2,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2940,a[2]=t1,a[3]=t2,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:653: ##net#getsockport */
t7=*((C_word*)lf[20]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}

/* k2803 in k2796 in chicken.tcp#tcp-addresses in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2805(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_2805,2,av);}
a=C_alloc(12);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2808,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t1)){
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
f_2808(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2843,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2847,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t4;
av2[2]=lf[117];
av2[3]=lf[34];
tp(4,av2);}}}

/* k2806 in k2803 in k2796 in chicken.tcp#tcp-addresses in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2808(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_2808,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2812,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:636: ##net#getpeername */
t4=*((C_word*)lf[22]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k2719 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2721(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_2721,2,av);}
/* tcp.scm:599: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=lf[30];
av2[4]=t1;
av2[5]=((C_word*)((C_word*)t0)[3])[1];
av2[6]=((C_word*)((C_word*)t0)[4])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* ##net#accept in k933 in k930 in k927 */
static void C_ccall f_1004(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1004,5,av);}
t5=C_i_foreign_fixnum_argumentp(t2);
t6=(C_truep(t3)?C_i_foreign_pointer_argumentp(t3):C_SCHEME_FALSE);
if(C_truep(t4)){
t7=C_i_foreign_pointer_argumentp(t4);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=stub150(C_SCHEME_UNDEFINED,t5,t6,t7);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=stub150(C_SCHEME_UNDEFINED,t5,t6,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k2723 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2725(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_2725,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2729,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2733,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:599: ##net#last-error-code */
t5=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k2727 in k2723 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2729(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2729,2,av);}
/* tcp.scm:599: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k1700 in k1613 in read-input in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1702(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_1702,2,av);}
a=C_alloc(29);
t2=((C_word*)t0)[2];
f_1618(t2,C_s_a_i_plus(&a,2,t1,((C_word*)t0)[3]));}

/* k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1706(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,4)))){
C_save_and_reclaim((void *)f_1706,2,av);}
a=C_alloc(29);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1707,a[2]=((C_word*)t0)[2],a[3]=((C_word)li36),tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1843,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t5=(C_truep(((C_word*)((C_word*)t0)[5])[1])?(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1956,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=t3,a[5]=((C_word)li37),tmp=(C_word)a,a+=6,tmp):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1976,a[2]=t3,a[3]=((C_word)li38),tmp=(C_word)a,a+=4,tmp));
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_1870,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t3,a[8]=((C_word)li39),tmp=(C_word)a,a+=9,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1940,a[2]=((C_word*)t0)[5],a[3]=t3,a[4]=((C_word)li40),tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:514: chicken.port#make-output-port */
t8=*((C_word*)lf[82]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t8;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
av2[4]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}
else{
/* tcp.scm:514: chicken.port#make-output-port */
t7=*((C_word*)lf[82]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t7;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}}

/* output in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_fcall f_1707(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_1707,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1711,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:484: tcp-write-timeout */
t4=*((C_word*)lf[57]+1);{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k2900 in k2892 in k2872 in k2869 in k2866 in k2863 in chicken.tcp#tcp-port-numbers in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2902(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2902,2,av);}
/* tcp.scm:647: ##net#error-code->message */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k2810 in k2806 in k2803 in k2796 in chicken.tcp#tcp-addresses in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2812(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_2812,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2815,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(t1)){
t3=t1;
/* tcp.scm:633: values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t3;
C_values(4,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2822,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2826,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t4;
av2[2]=lf[116];
av2[3]=lf[34];
tp(4,av2);}}}

/* k2813 in k2810 in k2806 in k2803 in k2796 in chicken.tcp#tcp-addresses in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2815,2,av);}
/* tcp.scm:633: values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
C_values(4,av2);}}

/* k2731 in k2723 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2733(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2733,2,av);}
/* tcp.scm:599: ##net#error-code->message */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k2736 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2738(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_2738,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
f_2519(2,av2);}}
else{
/* tcp.scm:596: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=lf[30];
av2[4]=lf[107];
av2[5]=((C_word*)((C_word*)t0)[3])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.tcp#tcp-listener? in k1161 in k933 in k930 in k927 */
static void C_ccall f_1506(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1506,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(C_blockp(t2))?C_i_structurep(t2,lf[46]):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k2742 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2744(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_2744,2,av);}
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
f_2513(2,av2);}}
else{
/* tcp.scm:593: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[49];
av2[3]=lf[30];
av2[4]=lf[108];
av2[5]=((C_word*)((C_word*)t0)[4])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* toplevel */
static C_TLS int toplevel_initialized=0;

void C_ccall C_tcp_toplevel(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(toplevel_initialized) {C_kontinue(t1,C_SCHEME_UNDEFINED);}
else C_toplevel_entry(C_text("tcp"));
C_check_nursery_minimum(C_calculate_demand(3,c,2));
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void*)C_tcp_toplevel,c,av);}
toplevel_initialized=1;
if(C_unlikely(!C_demand_2(644))){
C_save(t1);
C_rereclaim2(644*sizeof(C_word),1);
t1=C_restore;}
a=C_alloc(3);
C_initialize_lf(lf,135);
lf[0]=C_h_intern(&lf[0],3,"tcp");
lf[1]=C_h_intern(&lf[1],12,"chicken.tcp#");
lf[2]=C_h_intern(&lf[2],19,"\003netlast-error-code");
lf[3]=C_h_intern(&lf[3],23,"\003neterror-code->message");
lf[4]=C_h_intern(&lf[4],17,"\003syspeek-c-string");
lf[5]=C_h_intern(&lf[5],10,"\003netretry\077");
lf[6]=C_h_intern(&lf[6],16,"\003netin-progress\077");
lf[7]=C_h_intern(&lf[7],16,"\003netinterrupted\077");
lf[8]=C_h_intern(&lf[8],10,"\003netsocket");
lf[9]=C_h_intern(&lf[9],8,"\003netbind");
lf[10]=C_h_intern(&lf[10],10,"\003netlisten");
lf[11]=C_h_intern(&lf[11],10,"\003netaccept");
lf[12]=C_h_intern(&lf[12],9,"\003netclose");
lf[13]=C_h_intern(&lf[13],8,"\003netrecv");
lf[14]=C_h_intern(&lf[14],12,"\003netshutdown");
lf[15]=C_h_intern(&lf[15],11,"\003netconnect");
lf[16]=C_h_intern(&lf[16],18,"\003netcheck-fd-ready");
lf[17]=C_h_intern(&lf[17],22,"\003netset-socket-options");
lf[18]=C_h_intern(&lf[18],8,"\003netsend");
lf[19]=C_h_intern(&lf[19],15,"\003netgetsockname");
lf[20]=C_h_intern(&lf[20],15,"\003netgetsockport");
lf[21]=C_h_intern(&lf[21],15,"\003netgetpeerport");
lf[22]=C_h_intern(&lf[22],15,"\003netgetpeername");
lf[23]=C_h_intern(&lf[23],11,"\003netstartup");
lf[24]=C_h_intern(&lf[24],17,"\003netgetservbyname");
lf[25]=C_h_intern(&lf[25],17,"\003sysmake-c-string");
lf[26]=C_h_intern(&lf[26],15,"\003netgethostaddr");
lf[27]=C_h_intern(&lf[27],14,"\003netparse-host");
lf[28]=C_h_intern(&lf[28],15,"\003syssignal-hook");
lf[29]=C_h_intern(&lf[29],14,"\000network-error");
lf[30]=C_h_intern(&lf[30],11,"tcp-connect");
lf[31]=C_h_intern(&lf[31],13,"string-append");
lf[32]=C_h_intern(&lf[32],17,"\003sysstring-append");
lf[33]=C_decode_literal(C_heaptop,"\376B\000\000 cannot compute port from service");
lf[34]=C_decode_literal(C_heaptop,"\376B\000\000\003 - ");
lf[35]=C_h_intern(&lf[35],9,"substring");
lf[36]=C_h_intern(&lf[36],14,"\003netfresh-addr");
lf[37]=C_h_intern(&lf[37],15,"\003netbind-socket");
lf[38]=C_h_intern(&lf[38],10,"tcp-listen");
lf[39]=C_decode_literal(C_heaptop,"\376B\000\000\025cannot bind to socket");
lf[40]=C_decode_literal(C_heaptop,"\376B\000\000\035error while setting up socket");
lf[41]=C_h_intern(&lf[41],9,"\003syserror");
lf[42]=C_decode_literal(C_heaptop,"\376B\000\000\024cannot create socket");
lf[43]=C_decode_literal(C_heaptop,"\376B\000\000\037getting listener host IP failed");
lf[44]=C_h_intern(&lf[44],11,"make-string");
lf[45]=C_h_intern(&lf[45],22,"chicken.tcp#tcp-listen");
lf[46]=C_h_intern(&lf[46],12,"tcp-listener");
lf[47]=C_decode_literal(C_heaptop,"\376B\000\000\027cannot listen on socket");
lf[48]=C_h_intern(&lf[48],16,"\003syscheck-fixnum");
lf[49]=C_h_intern(&lf[49],13,"\000domain-error");
lf[50]=C_decode_literal(C_heaptop,"\376B\000\000\023invalid port number");
lf[51]=C_h_intern(&lf[51],25,"chicken.tcp#tcp-listener\077");
lf[52]=C_h_intern(&lf[52],21,"chicken.tcp#tcp-close");
lf[53]=C_h_intern(&lf[53],9,"tcp-close");
lf[54]=C_decode_literal(C_heaptop,"\376B\000\000\027cannot close TCP socket");
lf[55]=C_h_intern(&lf[55],27,"chicken.tcp#tcp-buffer-size");
lf[56]=C_h_intern(&lf[56],28,"chicken.tcp#tcp-read-timeout");
lf[57]=C_h_intern(&lf[57],29,"chicken.tcp#tcp-write-timeout");
lf[58]=C_h_intern(&lf[58],31,"chicken.tcp#tcp-connect-timeout");
lf[59]=C_h_intern(&lf[59],30,"chicken.tcp#tcp-accept-timeout");
lf[60]=C_h_intern(&lf[60],12,"\003netio-ports");
lf[61]=C_h_intern(&lf[61],18,"\003syscurrent-thread");
lf[62]=C_h_intern(&lf[62],22,"\000network-timeout-error");
lf[63]=C_decode_literal(C_heaptop,"\376B\000\000\030read operation timed out");
lf[64]=C_h_intern(&lf[64],17,"\003systhread-yield!");
lf[65]=C_h_intern(&lf[65],25,"\003systhread-block-for-i/o!");
lf[66]=C_h_intern(&lf[66],6,"\000input");
lf[67]=C_h_intern(&lf[67],29,"\003systhread-block-for-timeout!");
lf[68]=C_h_intern(&lf[68],22,"\003sysdispatch-interrupt");
lf[69]=C_decode_literal(C_heaptop,"\376B\000\000\027cannot read from socket");
lf[70]=C_h_intern(&lf[70],33,"chicken.time#current-milliseconds");
lf[71]=C_decode_literal(C_heaptop,"\376B\000\000\031write operation timed out");
lf[72]=C_h_intern(&lf[72],7,"\000output");
lf[73]=C_decode_literal(C_heaptop,"\376B\000\000\026cannot write to socket");
lf[74]=C_decode_literal(C_heaptop,"\376B\000\000\005(tcp)");
lf[75]=C_decode_literal(C_heaptop,"\376B\000\000\005(tcp)");
lf[76]=C_h_intern(&lf[76],6,"socket");
lf[77]=C_h_intern(&lf[77],18,"\003sysset-port-data!");
lf[78]=C_decode_literal(C_heaptop,"\376B\000\000\000");
lf[79]=C_decode_literal(C_heaptop,"\376B\000\000\037cannot close socket output port");
lf[80]=C_decode_literal(C_heaptop,"\376B\000\000\000");
lf[81]=C_decode_literal(C_heaptop,"\376B\000\000\000");
lf[82]=C_h_intern(&lf[82],29,"chicken.port#make-output-port");
lf[83]=C_decode_literal(C_heaptop,"\376B\000\000\035cannot check socket for input");
lf[84]=C_decode_literal(C_heaptop,"\376B\000\000\036cannot close socket input port");
lf[85]=C_h_intern(&lf[85],35,"chicken.fixnum#most-positive-fixnum");
lf[86]=C_h_intern(&lf[86],20,"\003sysscan-buffer-line");
lf[87]=C_decode_literal(C_heaptop,"\376B\000\000\000");
lf[88]=C_h_intern(&lf[88],13,"\003syssubstring");
lf[89]=C_h_intern(&lf[89],28,"chicken.port#make-input-port");
lf[90]=C_decode_literal(C_heaptop,"\376B\000\000\000");
lf[91]=C_h_intern(&lf[91],15,"\003sysmake-string");
lf[92]=C_decode_literal(C_heaptop,"\376B\000\000\027cannot create TCP ports");
lf[93]=C_h_intern(&lf[93],22,"chicken.tcp#tcp-accept");
lf[94]=C_h_intern(&lf[94],10,"tcp-accept");
lf[95]=C_decode_literal(C_heaptop,"\376B\000\000\036could not accept from listener");
lf[96]=C_decode_literal(C_heaptop,"\376B\000\000\032accept operation timed out");
lf[97]=C_h_intern(&lf[97],29,"chicken.tcp#tcp-accept-ready\077");
lf[98]=C_h_intern(&lf[98],17,"tcp-accept-ready\077");
lf[99]=C_decode_literal(C_heaptop,"\376B\000\000\035cannot check socket for input");
lf[100]=C_h_intern(&lf[100],23,"chicken.tcp#tcp-connect");
lf[101]=C_decode_literal(C_heaptop,"\376B\000\000\023getsockopt() failed");
lf[102]=C_decode_literal(C_heaptop,"\376B\000\000\024cannot create socket");
lf[103]=C_decode_literal(C_heaptop,"\376B\000\000\030cannot connect to socket");
lf[104]=C_decode_literal(C_heaptop,"\376B\000\000\016fcntl() failed");
lf[105]=C_decode_literal(C_heaptop,"\376B\000\000\035error while setting up socket");
lf[106]=C_decode_literal(C_heaptop,"\376B\000\000\024cannot create socket");
lf[107]=C_decode_literal(C_heaptop,"\376B\000\000\030cannot find host address");
lf[108]=C_decode_literal(C_heaptop,"\376B\000\000\021no port specified");
lf[109]=C_decode_literal(C_heaptop,"\376B\000\000\003tcp");
lf[110]=C_h_intern(&lf[110],20,"\003systcp-port->fileno");
lf[111]=C_h_intern(&lf[111],5,"error");
lf[112]=C_decode_literal(C_heaptop,"\376B\000\000)argument does not appear to be a TCP port");
lf[113]=C_h_intern(&lf[113],13,"\003sysport-data");
lf[114]=C_h_intern(&lf[114],25,"chicken.tcp#tcp-addresses");
lf[115]=C_h_intern(&lf[115],13,"tcp-addresses");
lf[116]=C_decode_literal(C_heaptop,"\376B\000\000\035cannot compute remote address");
lf[117]=C_decode_literal(C_heaptop,"\376B\000\000\034cannot compute local address");
lf[118]=C_h_intern(&lf[118],28,"chicken.tcp#tcp-port-numbers");
lf[119]=C_h_intern(&lf[119],16,"tcp-port-numbers");
lf[120]=C_decode_literal(C_heaptop,"\376B\000\000\032cannot compute remote port");
lf[121]=C_decode_literal(C_heaptop,"\376B\000\000\031cannot compute local port");
lf[122]=C_h_intern(&lf[122],29,"chicken.tcp#tcp-listener-port");
lf[123]=C_h_intern(&lf[123],17,"tcp-listener-port");
lf[124]=C_decode_literal(C_heaptop,"\376B\000\000\033cannot obtain listener port");
lf[125]=C_h_intern(&lf[125],28,"chicken.tcp#tcp-abandon-port");
lf[126]=C_h_intern(&lf[126],16,"tcp-abandon-port");
lf[127]=C_h_intern(&lf[127],31,"chicken.tcp#tcp-listener-fileno");
lf[128]=C_h_intern(&lf[128],19,"tcp-listener-fileno");
lf[129]=C_h_intern(&lf[129],14,"make-parameter");
lf[130]=C_h_intern(&lf[130],18,"tcp-accept-timeout");
lf[131]=C_h_intern(&lf[131],19,"tcp-connect-timeout");
lf[132]=C_h_intern(&lf[132],17,"tcp-write-timeout");
lf[133]=C_h_intern(&lf[133],16,"tcp-read-timeout");
lf[134]=C_decode_literal(C_heaptop,"\376B\000\000\031cannot initialize Winsock");
C_register_lf2(lf,135,create_ptable());{}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_929,a[2]=t1,tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_port_toplevel(2,av2);}}

/* k2359 in chicken.tcp#tcp-accept in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2361(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_2361,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2364,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t2)){
t4=t2;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2442,a[2]=t3,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:550: chicken.time#current-milliseconds */
t6=*((C_word*)lf[70]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t4=t3;
f_2364(t4,C_SCHEME_FALSE);}}

/* k2362 in k2359 in chicken.tcp#tcp-accept in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_fcall f_2364(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_2364,2,t0,t1);}
a=C_alloc(10);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2369,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t2,a[7]=((C_word)li53),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];{
C_word av2[2];
av2[0]=t6;
av2[1]=((C_word*)t0)[5];
f_2369(2,av2);}}

/* loop in k2362 in k2359 in chicken.tcp#tcp-accept in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_2369,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2373,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[6])){
/* tcp.scm:553: ##sys#thread-block-for-timeout! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[67]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[67]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[61]+1);
av2[3]=((C_word*)t0)[6];
tp(4,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_2373(2,av2);}}}

/* k2920 in k2916 in k2869 in k2866 in k2863 in chicken.tcp#tcp-port-numbers in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2922(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2922,2,av);}
/* tcp.scm:645: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2924 in k2916 in k2869 in k2866 in k2863 in chicken.tcp#tcp-port-numbers in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2926(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2926,2,av);}
/* tcp.scm:645: ##net#error-code->message */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k2872 in k2869 in k2866 in k2863 in chicken.tcp#tcp-port-numbers in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2874(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_2874,2,av);}
a=C_alloc(12);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2877,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=C_eqp(C_fix(-1),((C_word*)t0)[4]);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2890,a[2]=t2,a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2894,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t5;
av2[2]=lf[120];
av2[3]=lf[34];
tp(4,av2);}}
else{
/* tcp.scm:648: values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
C_values(4,av2);}}}

/* k2869 in k2866 in k2863 in chicken.tcp#tcp-port-numbers in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2871(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_2871,2,av);}
a=C_alloc(13);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2874,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=C_eqp(C_fix(-1),((C_word*)t0)[3]);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2914,a[2]=t3,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2918,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t6;
av2[2]=lf[121];
av2[3]=lf[34];
tp(4,av2);}}
else{
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_2874(2,av2);}}}

/* k1533 in k1551 in chicken.tcp#tcp-close in k1161 in k933 in k930 in k927 */
static void C_ccall f_1535(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_1535,2,av);}
/* tcp.scm:340: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=lf[53];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k2875 in k2872 in k2869 in k2866 in k2863 in chicken.tcp#tcp-port-numbers in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2877(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2877,2,av);}
/* tcp.scm:648: values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
C_values(4,av2);}}

/* k1537 in k1551 in chicken.tcp#tcp-close in k1161 in k933 in k930 in k927 */
static void C_ccall f_1539(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_1539,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1543,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1547,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:340: ##net#last-error-code */
t5=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a2751 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2752(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2752,2,av);}
/* tcp.scm:592: ##net#parse-host */
t2=*((C_word*)lf[27]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
av2[3]=lf[109];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* a2757 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2758(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2758,4,av);}
t4=C_mutate2(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_mutate2(((C_word *)((C_word*)t0)[3])+1,t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k1750 in k1747 in k1744 in k1741 in k1729 in loop in k1720 in k1709 in output in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in ... */
static void C_ccall f_1752(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_1752,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1755,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_slot(*((C_word*)lf[61]+1),C_fix(13)))){
/* tcp.scm:498: ##sys#signal-hook */
t3=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[62];
av2[3]=lf[71];
av2[4]=((C_word*)t0)[7];
av2[5]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
/* tcp.scm:501: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_1724(t3,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[6]);}}

/* k1753 in k1750 in k1747 in k1744 in k1741 in k1729 in loop in k1720 in k1709 in output in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in ... */
static void C_ccall f_1755(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_1755,2,av);}
/* tcp.scm:501: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_1724(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_fcall f_1610(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(66,0,8)))){
C_save_and_reclaim_args((void *)trf_1610,2,t0,t1);}
a=C_alloc(66);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_1611,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word)li33),tmp=(C_word)a,a+=8,tmp);
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_1706,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=t3,a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],tmp=(C_word)a,a+=9,tmp);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1992,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[6],a[5]=t4,a[6]=((C_word)li41),tmp=(C_word)a,a+=7,tmp);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2014,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],a[5]=((C_word)li42),tmp=(C_word)a,a+=6,tmp);
t8=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2056,a[2]=((C_word*)t0)[10],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[4],a[6]=((C_word)li43),tmp=(C_word)a,a+=7,tmp);
t9=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2106,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[6],a[5]=t4,a[6]=((C_word)li44),tmp=(C_word)a,a+=7,tmp);
t10=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2124,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[6],a[5]=t4,a[6]=((C_word)li46),tmp=(C_word)a,a+=7,tmp);
t11=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2189,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[6],a[5]=t4,a[6]=((C_word)li50),tmp=(C_word)a,a+=7,tmp);
t12=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2308,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[6],a[5]=((C_word)li51),tmp=(C_word)a,a+=6,tmp);
/* tcp.scm:401: chicken.port#make-input-port */
t13=*((C_word*)lf[89]+1);{
C_word av2[9];
av2[0]=t13;
av2[1]=t5;
av2[2]=t6;
av2[3]=t7;
av2[4]=t8;
av2[5]=t9;
av2[6]=t10;
av2[7]=t11;
av2[8]=t12;
((C_proc)(void*)(*((C_word*)t13+1)))(9,av2);}}

/* read-input in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_fcall f_1611(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_1611,2,t0,t1);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_1615,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t1,tmp=(C_word)a,a+=8,tmp);
/* tcp.scm:376: tcp-read-timeout */
t3=*((C_word*)lf[56]+1);{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k1613 in read-input in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1615(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_1615,2,av);}
a=C_alloc(13);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_1618,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t2)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1702,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:377: chicken.time#current-milliseconds */
t5=*((C_word*)lf[70]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=t3;
f_1618(t4,C_SCHEME_FALSE);}}

/* k1616 in k1613 in read-input in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_fcall f_1618(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,2)))){
C_save_and_reclaim_args((void *)trf_1618,2,t0,t1);}
a=C_alloc(13);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_1623,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word)li32),tmp=(C_word)a,a+=11,tmp));
t6=((C_word*)t4)[1];{
C_word av2[2];
av2[0]=t6;
av2[1]=((C_word*)t0)[8];
f_1623(2,av2);}}

/* k2841 in k2803 in k2796 in chicken.tcp#tcp-addresses in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2843(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_2843,2,av);}
/* tcp.scm:635: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=lf[115];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k2977 in chicken.tcp#tcp-abandon-port in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2979(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2979,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_set_i_slot(t1,t2,C_SCHEME_TRUE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k2763 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2765(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_2765,2,av);}
a=C_alloc(29);
t2=((C_word*)t0)[2];
f_2504(t2,C_s_a_i_plus(&a,2,t1,((C_word*)t0)[3]));}

/* k1567 */
static void C_ccall f_1569(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1569,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2845 in k2803 in k2796 in chicken.tcp#tcp-addresses in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2847(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_2847,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2851,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2855,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:635: ##net#last-error-code */
t5=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* check in k1555 in k1161 in k933 in k930 in k927 */
static void C_fcall f_1563(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_1563,2,t1,t2);}
a=C_alloc(4);
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1565,a[2]=t2,a[3]=((C_word)li30),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_1565 in check in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1565(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_1565,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1569,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t2)){
/* tcp.scm:353: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[48]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[48]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=((C_word*)t0)[2];
tp(4,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k1747 in k1744 in k1741 in k1729 in loop in k1720 in k1709 in output in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in ... */
static void C_ccall f_1749(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_1749,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_1752,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* tcp.scm:496: ##sys#thread-yield! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[64]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[64]+1);
av2[1]=t2;
tp(2,av2);}}

/* k1741 in k1729 in loop in k1720 in k1709 in output in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1743(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_1743,2,av);}
a=C_alloc(9);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_1746,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
if(C_truep(((C_word*)t0)[6])){
/* tcp.scm:493: ##sys#thread-block-for-timeout! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[67]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[67]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[61]+1);
av2[3]=((C_word*)t0)[6];
tp(4,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_1746(2,av2);}}}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_1773,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[8],tmp=(C_word)a,a+=8,tmp);
/* tcp.scm:502: ##net#interrupted? */
t3=*((C_word*)lf[7]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k1744 in k1741 in k1729 in loop in k1720 in k1709 in output in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 in ... */
static void C_ccall f_1746(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_1746,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_1749,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* tcp.scm:495: ##sys#thread-block-for-i/o! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[65]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[65]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[61]+1);
av2[3]=((C_word*)t0)[8];
av2[4]=lf[72];
tp(5,av2);}}

/* k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1601(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(24,c,2)))){
C_save_and_reclaim((void *)f_1601,2,av);}
a=C_alloc(24);
t2=t1;
t3=C_a_i_vector5(&a,5,((C_word*)t0)[2],C_SCHEME_FALSE,C_SCHEME_FALSE,t2,C_fix(0));
t4=t3;
t5=C_fix(0);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_fix(0);
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_FALSE;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_SCHEME_FALSE;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_1607,a[2]=((C_word*)t0)[2],a[3]=t6,a[4]=t4,a[5]=t8,a[6]=t2,a[7]=((C_word*)t0)[3],a[8]=t12,a[9]=t10,tmp=(C_word)a,a+=10,tmp);
/* tcp.scm:372: tbs */
t14=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t14;
av2[1]=t13;
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}

/* k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1607(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_1607,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_1610,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
if(C_truep(t2)){
t4=C_fixnum_greaterp(t2,C_fix(0));
t5=t3;
f_1610(t5,(C_truep(t4)?lf[90]:C_SCHEME_FALSE));}
else{
t4=t3;
f_1610(t4,C_SCHEME_FALSE);}}

/* a2307 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_2308,3,av);}
a=C_alloc(5);
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)((C_word*)t0)[2])[1],((C_word*)((C_word*)t0)[3])[1]))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=lf[87];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2318,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:478: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[88]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[88]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)((C_word*)t0)[2])[1];
av2[4]=((C_word*)((C_word*)t0)[3])[1];
tp(5,av2);}}}

/* k2941 in k2938 in chicken.tcp#tcp-listener-port in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2943(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2943,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2938 in chicken.tcp#tcp-listener-port in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2940(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_2940,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2943,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_eqp(C_fix(-1),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2953,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2957,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t6;
av2[2]=lf[124];
av2[3]=lf[34];
tp(4,av2);}}
else{
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k2853 in k2845 in k2803 in k2796 in chicken.tcp#tcp-addresses in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2855(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2855,2,av);}
/* tcp.scm:635: ##net#error-code->message */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k2849 in k2845 in k2803 in k2796 in chicken.tcp#tcp-addresses in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2851(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2851,2,av);}
/* tcp.scm:635: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##sys#tcp-port->fileno in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2774(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_2774,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2778,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:625: ##sys#port-data */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[113]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[113]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* chicken.tcp#tcp-close in k1161 in k933 in k930 in k927 */
static void C_ccall f_1515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_1515,3,av);}
a=C_alloc(4);
t3=C_i_check_structure(t2,lf[46]);
t4=C_slot(t2,C_fix(1));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1553,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:339: ##net#close */
t6=*((C_word*)lf[12]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* chicken.tcp#tcp-port-numbers in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2859(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_2859,3,av);}
a=C_alloc(4);
t3=t2;
t4=C_i_check_port_2(t3,C_fix(0),C_SCHEME_TRUE,lf[119]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2865,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:641: ##sys#tcp-port->fileno */
t6=*((C_word*)lf[110]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k2776 in tcp-port->fileno in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2778(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_2778,2,av);}
if(C_truep(C_i_vectorp(t1))){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_slot(t1,C_fix(0));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
/* tcp.scm:628: error */
t2=*((C_word*)lf[111]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[110];
av2[3]=lf[112];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k1729 in loop in k1720 in k1709 in output in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1731(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_1731,2,av);}
a=C_alloc(9);
t2=C_eqp(C_fix((C_word)SOCKET_ERROR),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_1743,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* tcp.scm:491: ##net#retry? */
t4=*((C_word*)lf[5]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t1,((C_word*)t0)[4]))){
t3=C_fixnum_difference(((C_word*)t0)[4],t1);
t4=t3;
t5=C_fixnum_plus(((C_word*)t0)[5],t1);
t6=t5;
t7=C_eqp(t1,C_fix(0));
if(C_truep(t7)){
/* tcp.scm:508: loop */
t8=((C_word*)((C_word*)t0)[2])[1];
f_1724(t8,((C_word*)t0)[3],t4,t6,((C_word*)t0)[7]);}
else{
if(C_truep(((C_word*)t0)[7])){
t8=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1834,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t4,a[6]=t6,tmp=(C_word)a,a+=7,tmp);
/* tcp.scm:512: chicken.time#current-milliseconds */
t9=*((C_word*)lf[70]+1);{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
/* tcp.scm:508: loop */
t8=((C_word*)((C_word*)t0)[2])[1];
f_1724(t8,((C_word*)t0)[3],t4,t6,C_SCHEME_FALSE);}}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* k2316 in a2307 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2318(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2318,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k1637 in k1625 in loop in k1616 in k1613 in read-input in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1639(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_1639,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1642,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[6])){
/* tcp.scm:383: ##sys#thread-block-for-timeout! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[67]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[67]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[61]+1);
av2[3]=((C_word*)t0)[6];
tp(4,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_1642(2,av2);}}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1669,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:392: ##net#interrupted? */
t3=*((C_word*)lf[7]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k2912 in k2869 in k2866 in k2863 in chicken.tcp#tcp-port-numbers in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2914(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_2914,2,av);}
/* tcp.scm:645: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=lf[119];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k2916 in k2869 in k2866 in k2863 in chicken.tcp#tcp-port-numbers in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2918(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_2918,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2922,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2926,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:645: ##net#last-error-code */
t5=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k2820 in k2810 in k2806 in k2803 in k2796 in chicken.tcp#tcp-addresses in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2822(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_2822,2,av);}
/* tcp.scm:637: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=lf[115];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k2824 in k2810 in k2806 in k2803 in k2796 in chicken.tcp#tcp-addresses in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2826(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_2826,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2830,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2834,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:637: ##net#last-error-code */
t5=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k2796 in chicken.tcp#tcp-addresses in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2798(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_2798,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2805,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:634: ##net#getsockname */
t4=*((C_word*)lf[19]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k1545 in k1537 in k1551 in chicken.tcp#tcp-close in k1161 in k933 in k930 in k927 */
static void C_ccall f_1547(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1547,2,av);}
/* tcp.scm:340: ##net#error-code->message */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k1541 in k1537 in k1551 in chicken.tcp#tcp-close in k1161 in k933 in k930 in k927 */
static void C_ccall f_1543(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_1543,2,av);}
/* tcp.scm:340: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* chicken.tcp#tcp-addresses in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2792(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_2792,3,av);}
a=C_alloc(4);
t3=t2;
t4=C_i_check_port_2(t3,C_fix(0),C_SCHEME_TRUE,lf[115]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2798,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:632: ##sys#tcp-port->fileno */
t6=*((C_word*)lf[110]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* loop in k1616 in k1613 in read-input in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1623(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,5)))){
C_save_and_reclaim((void *)f_1623,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_1627,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* tcp.scm:379: ##net#recv */
t3=*((C_word*)lf[13]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[9];
av2[4]=C_fix(1024);
av2[5]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}

/* k1625 in loop in k1616 in k1613 in read-input in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1627(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_1627,2,av);}
a=C_alloc(7);
t2=C_eqp(C_fix((C_word)SOCKET_ERROR),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1639,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* tcp.scm:381: ##net#retry? */
t4=*((C_word*)lf[5]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_mutate2(((C_word *)((C_word*)t0)[7])+1,t1);
t4=C_i_set_i_slot(((C_word*)t0)[8],C_fix(4),t1);
t5=C_set_block_item(((C_word*)t0)[9],0,C_fix(0));
t6=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k2963 in k2955 in k2938 in chicken.tcp#tcp-listener-port in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2965(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2965,2,av);}
/* tcp.scm:655: ##net#error-code->message */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k2959 in k2955 in k2938 in chicken.tcp#tcp-listener-port in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2961(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2961,2,av);}
/* tcp.scm:655: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* chicken.tcp#tcp-abandon-port in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2969(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_2969,3,av);}
a=C_alloc(4);
t3=t2;
t4=C_i_check_port_2(t3,C_fix(0),C_SCHEME_TRUE,lf[126]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2979,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:660: ##sys#port-data */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[113]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[113]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}

/* k2330 in k2327 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2332(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_2332,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2339,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2343,a[2]=t2,a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t3;
av2[2]=lf[92];
av2[3]=lf[34];
tp(4,av2);}}

/* k1649 in k1646 in k1643 in k1640 in k1637 in k1625 in loop in k1616 in k1613 in read-input in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in ... */
static void C_ccall f_1651(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1651,2,av);}
/* tcp.scm:391: loop */
t2=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
f_1623(2,av2);}}

/* k2337 in k2330 in k2327 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_2339,2,av);}
/* tcp.scm:365: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=((C_word*)t0)[3];
av2[4]=t1;
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k2896 in k2892 in k2872 in k2869 in k2866 in k2863 in chicken.tcp#tcp-port-numbers in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2898(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2898,2,av);}
/* tcp.scm:647: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* chicken.tcp#tcp-listener-fileno in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2985(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2985,3,av);}
t3=C_i_check_structure_2(t2,lf[46],lf[128]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_slot(t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k2888 in k2872 in k2869 in k2866 in k2863 in chicken.tcp#tcp-port-numbers in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2890(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_2890,2,av);}
/* tcp.scm:647: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=lf[119];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k2892 in k2872 in k2869 in k2866 in k2863 in chicken.tcp#tcp-port-numbers in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2894(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_2894,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2898,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2902,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:647: ##net#last-error-code */
t5=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k1791 in k1771 in k1741 in k1729 in loop in k1720 in k1709 in output in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in ... */
static void C_ccall f_1793(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_1793,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1797,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1801,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:506: ##net#last-error-code */
t5=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k1795 in k1791 in k1771 in k1741 in k1729 in loop in k1720 in k1709 in output in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in ... */
static void C_ccall f_1797(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_1797,2,av);}
/* tcp.scm:506: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k1689 in k1681 in k1667 in k1637 in k1625 in loop in k1616 in k1613 in read-input in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in ... */
static void C_ccall f_1691(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1691,2,av);}
/* tcp.scm:395: ##net#error-code->message */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k2341 in k2330 in k2327 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2343(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_2343,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2347,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:365: ##net#error-code->message */
t4=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k1640 in k1637 in k1625 in loop in k1616 in k1613 in read-input in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1642(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_1642,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1645,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* tcp.scm:385: ##sys#thread-block-for-i/o! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[65]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[65]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[61]+1);
av2[3]=((C_word*)t0)[5];
av2[4]=lf[66];
tp(5,av2);}}

/* k2345 in k2341 in k2330 in k2327 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2347(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2347,2,av);}
/* tcp.scm:365: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k1646 in k1643 in k1640 in k1637 in k1625 in loop in k1616 in k1613 in read-input in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in ... */
static void C_ccall f_1648(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_1648,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1651,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_slot(*((C_word*)lf[61]+1),C_fix(13)))){
/* tcp.scm:388: ##sys#signal-hook */
t3=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[62];
av2[3]=lf[63];
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
/* tcp.scm:391: loop */
t3=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
f_1623(2,av2);}}}

/* k2951 in k2938 in chicken.tcp#tcp-listener-port in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2953(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_2953,2,av);}
/* tcp.scm:655: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=lf[123];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k1643 in k1640 in k1637 in k1625 in loop in k1616 in k1613 in read-input in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 in ... */
static void C_ccall f_1645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_1645,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1648,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* tcp.scm:386: ##sys#thread-yield! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[64]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[64]+1);
av2[1]=t2;
tp(2,av2);}}

/* k2863 in chicken.tcp#tcp-port-numbers in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2865(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_2865,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2868,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:642: ##net#getsockport */
t4=*((C_word*)lf[20]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k2955 in k2938 in chicken.tcp#tcp-listener-port in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2957(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_2957,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2961,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2965,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:655: ##net#last-error-code */
t5=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k2866 in k2863 in chicken.tcp#tcp-port-numbers in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2868(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_2868,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2871,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:643: ##net#getpeerport */
t4=*((C_word*)lf[21]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k1681 in k1667 in k1637 in k1625 in loop in k1616 in k1613 in read-input in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 in ... */
static void C_ccall f_1683(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_1683,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1687,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1691,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:395: ##net#last-error-code */
t5=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k1685 in k1681 in k1667 in k1637 in k1625 in loop in k1616 in k1613 in read-input in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in ... */
static void C_ccall f_1687(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_1687,2,av);}
/* tcp.scm:395: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k1787 in k1771 in k1741 in k1729 in loop in k1720 in k1709 in output in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in ... */
static void C_ccall f_1789(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_1789,2,av);}
/* tcp.scm:506: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=C_SCHEME_FALSE;
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* chicken.tcp#tcp-accept in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2351(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_2351,3,av);}
a=C_alloc(5);
t3=C_i_check_structure(t2,lf[46]);
t4=C_slot(t2,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2361,a[2]=t2,a[3]=t5,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:549: tcp-accept-timeout */
t7=*((C_word*)lf[59]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* k1677 in k1667 in k1637 in k1625 in loop in k1616 in k1613 in read-input in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 in ... */
static void C_ccall f_1679(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_1679,2,av);}
/* tcp.scm:395: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=C_SCHEME_FALSE;
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_1557,2,av);}
a=C_alloc(10);
t2=C_mutate2((C_word*)lf[55]+1 /* (set! chicken.tcp#tcp-buffer-size ...) */,t1);
t3=C_set_block_item(lf[56] /* chicken.tcp#tcp-read-timeout */,0,C_SCHEME_UNDEFINED);
t4=C_set_block_item(lf[57] /* chicken.tcp#tcp-write-timeout */,0,C_SCHEME_UNDEFINED);
t5=C_set_block_item(lf[58] /* chicken.tcp#tcp-connect-timeout */,0,C_SCHEME_UNDEFINED);
t6=C_set_block_item(lf[59] /* chicken.tcp#tcp-accept-timeout */,0,C_SCHEME_UNDEFINED);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1563,a[2]=((C_word)li31),tmp=(C_word)a,a+=3,tmp);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1580,a[2]=((C_word*)t0)[2],a[3]=t7,tmp=(C_word)a,a+=4,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3008,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:356: check */
f_1563(t9,lf[133]);}

/* k1551 in chicken.tcp#tcp-close in k1161 in k933 in k930 in k927 */
static void C_ccall f_1553(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_1553,2,av);}
a=C_alloc(7);
t2=C_eqp(C_fix((C_word)SOCKET_ERROR),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1535,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1539,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t4;
av2[2]=lf[54];
av2[3]=lf[34];
tp(4,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k2377 in k2374 in k2371 in loop in k2362 in k2359 in chicken.tcp#tcp-accept in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2379(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,6)))){
C_save_and_reclaim((void *)f_2379,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2382,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_slot(*((C_word*)lf[61]+1),C_fix(13)))){
/* tcp.scm:557: ##sys#signal-hook */
t3=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[62];
av2[3]=lf[94];
av2[4]=lf[96];
av2[5]=((C_word*)t0)[6];
av2[6]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(7,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_2382(2,av2);}}}

/* k2374 in k2371 in loop in k2362 in k2359 in chicken.tcp#tcp-accept in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2376(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_2376,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2379,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* tcp.scm:555: ##sys#thread-yield! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[64]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[64]+1);
av2[1]=t2;
tp(2,av2);}}

/* k2371 in loop in k2362 in k2359 in chicken.tcp#tcp-accept in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2373(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_2373,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2376,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* tcp.scm:554: ##sys#thread-block-for-i/o! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[65]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[65]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[61]+1);
av2[3]=((C_word*)t0)[5];
av2[4]=lf[66];
tp(5,av2);}}

/* a1777 in k1771 in k1741 in k1729 in loop in k1720 in k1709 in output in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in ... */
static void C_ccall f_1778(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_1778,2,av);}
/* tcp.scm:504: g595 */
t2=((C_word*)((C_word*)t0)[2])[1];
f_1724(t2,t1,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k1771 in k1741 in k1729 in loop in k1720 in k1709 in output in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 in ... */
static void C_ccall f_1773(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_1773,2,av);}
a=C_alloc(7);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1778,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word)li34),tmp=(C_word)a,a+=7,tmp);
/* tcp.scm:503: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[68]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[68]+1);
av2[1]=((C_word*)t0)[6];
av2[2]=t2;
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1789,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[7],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1793,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t3;
av2[2]=lf[73];
av2[3]=lf[34];
tp(4,av2);}}}

/* k1667 in k1637 in k1625 in loop in k1616 in k1613 in read-input in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1669(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_1669,2,av);}
a=C_alloc(7);
if(C_truep(t1)){
/* tcp.scm:393: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[68]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[68]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1679,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1683,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t3;
av2[2]=lf[69];
av2[3]=lf[34];
tp(4,av2);}}}

/* k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1584(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_1584,2,av);}
a=C_alloc(7);
t2=C_mutate2((C_word*)lf[57]+1 /* (set! chicken.tcp#tcp-write-timeout ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1588,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3000,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:358: check */
f_1563(t4,lf[131]);}

/* k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1588(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_1588,2,av);}
a=C_alloc(6);
t2=C_mutate2((C_word*)lf[58]+1 /* (set! chicken.tcp#tcp-connect-timeout ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1592,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2996,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:359: check */
f_1563(t4,lf[130]);}

/* k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1580(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_1580,2,av);}
a=C_alloc(7);
t2=C_mutate2((C_word*)lf[56]+1 /* (set! chicken.tcp#tcp-read-timeout ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1584,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3004,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:357: check */
f_1563(t4,lf[132]);}

/* k2383 in k2380 in k2377 in k2374 in k2371 in loop in k2362 in k2359 in chicken.tcp#tcp-accept in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2385(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_2385,2,av);}
a=C_alloc(5);
t2=C_eqp(C_fix((C_word)INVALID_SOCKET),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2400,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:564: ##net#interrupted? */
t4=*((C_word*)lf[7]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
/* tcp.scm:563: ##net#io-ports */
t3=*((C_word*)lf[60]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[94];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}}

/* k2380 in k2377 in k2374 in k2371 in loop in k2362 in k2359 in chicken.tcp#tcp-accept in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_2382,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2385,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:561: ##net#accept */
t3=*((C_word*)lf[11]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* ##net#interrupted? in k933 in k930 in k927 */
static void C_ccall f_957(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_957,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=stub117(C_SCHEME_UNDEFINED);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2994 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2996(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2996,2,av);}
/* tcp.scm:359: make-parameter */
t2=*((C_word*)lf[129]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_SCHEME_FALSE;
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##net#retry? in k933 in k930 in k927 */
static void C_ccall f_951(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_951,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=stub111(C_SCHEME_UNDEFINED);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##net#in-progress? in k933 in k930 in k927 */
static void C_ccall f_954(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_954,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=stub114(C_SCHEME_UNDEFINED);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2327 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2329(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_2329,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2332,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* tcp.scm:365: ##net#close */
t4=*((C_word*)lf[12]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* ##net#io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_1594,4,av);}
a=C_alloc(10);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1598,a[2]=t3,a[3]=t1,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
if(C_truep(make_socket_nonblocking(t3))){
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_1598(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2329,a[2]=t4,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:365: ##net#last-error-code */
t6=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1592(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(31,c,4)))){
C_save_and_reclaim((void *)f_1592,2,av);}
a=C_alloc(31);
t2=C_mutate2((C_word*)lf[59]+1 /* (set! chicken.tcp#tcp-accept-timeout ...) */,t1);
t3=*((C_word*)lf[55]+1);
t4=C_mutate2((C_word*)lf[60]+1 /* (set! ##net#io-ports ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1594,a[2]=t3,a[3]=((C_word)li52),tmp=(C_word)a,a+=4,tmp));
t5=C_mutate2((C_word*)lf[93]+1 /* (set! chicken.tcp#tcp-accept ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2351,a[2]=((C_word)li54),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate2((C_word*)lf[97]+1 /* (set! chicken.tcp#tcp-accept-ready? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2444,a[2]=((C_word)li55),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate2((C_word*)lf[100]+1 /* (set! chicken.tcp#tcp-connect ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2494,a[2]=((C_word)li59),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate2((C_word*)lf[110]+1 /* (set! ##sys#tcp-port->fileno ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2774,a[2]=((C_word)li60),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate2((C_word*)lf[114]+1 /* (set! chicken.tcp#tcp-addresses ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2792,a[2]=((C_word)li61),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate2((C_word*)lf[118]+1 /* (set! chicken.tcp#tcp-port-numbers ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2859,a[2]=((C_word)li62),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate2((C_word*)lf[122]+1 /* (set! chicken.tcp#tcp-listener-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2930,a[2]=((C_word)li63),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate2((C_word*)lf[125]+1 /* (set! chicken.tcp#tcp-abandon-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2969,a[2]=((C_word)li64),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate2((C_word*)lf[127]+1 /* (set! chicken.tcp#tcp-listener-fileno ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2985,a[2]=((C_word)li65),tmp=(C_word)a,a+=3,tmp));
t14=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t14;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}

/* k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1598(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_1598,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1601,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[91]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[91]+1);
av2[1]=t2;
av2[2]=C_fix(1024);
av2[3]=C_make_character(32);
tp(4,av2);}}

/* k1343 in k1336 in k1333 in k1357 in k1324 in k1321 in k1318 in k1315 in k1312 in bind-socket in k1161 in k933 in k930 in k927 */
static void C_ccall f_1345(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,7)))){
C_save_and_reclaim((void *)f_1345,2,av);}
/* tcp.scm:317: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 8) {
  av2=av;
} else {
  av2=C_alloc(8);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=lf[38];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
av2[7]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t2+1)))(8,av2);}}

/* k1347 in k1336 in k1333 in k1357 in k1324 in k1321 in k1318 in k1315 in k1312 in bind-socket in k1161 in k933 in k930 in k927 */
static void C_ccall f_1349(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_1349,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1353,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:317: ##net#error-code->message */
t4=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k927 */
static void C_ccall f_929(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_929,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_932,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_scheduler_toplevel(2,av2);}}

/* k1333 in k1357 in k1324 in k1321 in k1318 in k1315 in k1312 in bind-socket in k1161 in k933 in k930 in k927 */
static void C_ccall f_1335(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_1335,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1338,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,tmp=(C_word)a,a+=7,tmp);
/* tcp.scm:317: ##net#close */
t4=*((C_word*)lf[12]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k1336 in k1333 in k1357 in k1324 in k1321 in k1318 in k1315 in k1312 in bind-socket in k1161 in k933 in k930 in k927 */
static void C_ccall f_1338(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_1338,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1345,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1349,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t3;
av2[2]=lf[39];
av2[3]=lf[34];
tp(4,av2);}}

/* ##net#getpeerport in k933 in k930 in k927 */
static void C_ccall f_1141(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1141,3,av);}
t3=C_i_foreign_fixnum_argumentp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=stub233(C_SCHEME_UNDEFINED,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##net#getpeername in k933 in k930 in k927 */
static void C_ccall f_1148(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_1148,3,av);}
a=C_alloc(5);
t3=C_a_i_bytevector(&a,1,C_fix(3));
t4=C_i_foreign_fixnum_argumentp(t2);
t5=stub238(t3,t4);
/* tcp.scm:216: ##sys#peek-c-string */
t6=*((C_word*)lf[4]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t5;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}

/* k1321 in k1318 in k1315 in k1312 in bind-socket in k1161 in k933 in k930 in k927 */
static void C_ccall f_1323(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_1323,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1326,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1387,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:314: ##net#set-socket-options */
t4=*((C_word*)lf[17]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k1324 in k1321 in k1318 in k1315 in k1312 in bind-socket in k1161 in k933 in k930 in k927 */
static void C_ccall f_1326(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_1326,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1329,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1359,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* tcp.scm:316: ##net#bind */
t4=*((C_word*)lf[9]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[6];
av2[4]=C_fix((C_word)sizeof(struct sockaddr_in));
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k1318 in k1315 in k1312 in bind-socket in k1161 in k933 in k930 in k927 */
static void C_ccall f_1320(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_1320,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1323,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t4=C_eqp(C_fix((C_word)INVALID_SOCKET),t2);
if(C_truep(t4)){
/* tcp.scm:312: ##sys#error */
t5=*((C_word*)lf[41]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=lf[42];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_1323(2,av2);}}}

/* k2659 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2661(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_2661,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2664,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:603: ##net#close */
t4=*((C_word*)lf[12]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k1327 in k1324 in k1321 in k1318 in k1315 in k1312 in bind-socket in k1161 in k933 in k930 in k927 */
static void C_ccall f_1329(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1329,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2662 in k2659 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2664(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_2664,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2671,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2675,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t3;
av2[2]=lf[104];
av2[3]=lf[34];
tp(4,av2);}}

/* ##net#getsockport in k933 in k930 in k927 */
static void C_ccall f_1134(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1134,3,av);}
t3=C_i_foreign_fixnum_argumentp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=stub228(C_SCHEME_UNDEFINED,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k1312 in bind-socket in k1161 in k933 in k930 in k927 */
static void C_ccall f_1314(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_1314,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1317,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[3])){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1399,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:305: ##net#gethostaddr */
t5=*((C_word*)lf[26]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=((C_word*)t0)[3];
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
/* tcp.scm:309: ##net#fresh-addr */
t4=*((C_word*)lf[36]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}

/* ##net#bind-socket in k1161 in k933 in k930 in k927 */
static void C_ccall f_1310(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_1310,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1314,a[2]=t1,a[3]=t3,a[4]=t4,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* tcp.scm:303: make-string */
t6=*((C_word*)lf[44]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=C_fix((C_word)sizeof(struct sockaddr_in));
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k1315 in k1312 in bind-socket in k1161 in k933 in k930 in k927 */
static void C_ccall f_1317(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_1317,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1320,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* tcp.scm:310: ##net#socket */
t3=*((C_word*)lf[8]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_fix((C_word)AF_INET);
av2[3]=((C_word*)t0)[6];
av2[4]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* ##net#error-code->message in k933 in k930 in k927 */
static void C_ccall f_940(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_940,3,av);}
a=C_alloc(5);
t3=C_a_i_bytevector(&a,1,C_fix(3));
t4=C_i_foreign_fixnum_argumentp(t2);
t5=stub106(t3,t4);
/* tcp.scm:170: ##sys#peek-c-string */
t6=*((C_word*)lf[4]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t5;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}

/* ##net#getsockname in k933 in k930 in k927 */
static void C_ccall f_1123(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_1123,3,av);}
a=C_alloc(5);
t3=C_a_i_bytevector(&a,1,C_fix(3));
t4=C_i_foreign_fixnum_argumentp(t2);
t5=stub222(t3,t4);
/* tcp.scm:192: ##sys#peek-c-string */
t6=*((C_word*)lf[4]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t5;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}

/* ##net#last-error-code in k933 in k930 in k927 */
static void C_ccall f_937(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_937,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=stub102(C_SCHEME_UNDEFINED);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k933 in k930 in k927 */
static void C_ccall f_935(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(85,c,7)))){
C_save_and_reclaim((void *)f_935,2,av);}
a=C_alloc(85);
t2=C_a_i_provide(&a,1,lf[0]);
t3=C_a_i_provide(&a,1,lf[1]);
t4=C_mutate2((C_word*)lf[2]+1 /* (set! ##net#last-error-code ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_937,a[2]=((C_word)li0),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate2((C_word*)lf[3]+1 /* (set! ##net#error-code->message ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_940,a[2]=((C_word)li1),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate2((C_word*)lf[5]+1 /* (set! ##net#retry? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_951,a[2]=((C_word)li2),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate2((C_word*)lf[6]+1 /* (set! ##net#in-progress? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_954,a[2]=((C_word)li3),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate2((C_word*)lf[7]+1 /* (set! ##net#interrupted? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_957,a[2]=((C_word)li4),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate2((C_word*)lf[8]+1 /* (set! ##net#socket ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_960,a[2]=((C_word)li5),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate2((C_word*)lf[9]+1 /* (set! ##net#bind ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_975,a[2]=((C_word)li6),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate2((C_word*)lf[10]+1 /* (set! ##net#listen ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_993,a[2]=((C_word)li7),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate2((C_word*)lf[11]+1 /* (set! ##net#accept ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1004,a[2]=((C_word)li8),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate2((C_word*)lf[12]+1 /* (set! ##net#close ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1025,a[2]=((C_word)li9),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate2((C_word*)lf[13]+1 /* (set! ##net#recv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1032,a[2]=((C_word)li10),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate2((C_word*)lf[14]+1 /* (set! ##net#shutdown ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1054,a[2]=((C_word)li11),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate2((C_word*)lf[15]+1 /* (set! ##net#connect ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1065,a[2]=((C_word)li12),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate2((C_word*)lf[16]+1 /* (set! ##net#check-fd-ready ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1083,a[2]=((C_word)li13),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate2((C_word*)lf[17]+1 /* (set! ##net#set-socket-options ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1090,a[2]=((C_word)li14),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate2((C_word*)lf[18]+1 /* (set! ##net#send ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1097,a[2]=((C_word)li15),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate2((C_word*)lf[19]+1 /* (set! ##net#getsockname ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1123,a[2]=((C_word)li16),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate2((C_word*)lf[20]+1 /* (set! ##net#getsockport ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1134,a[2]=((C_word)li17),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate2((C_word*)lf[21]+1 /* (set! ##net#getpeerport ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1141,a[2]=((C_word)li18),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate2((C_word*)lf[22]+1 /* (set! ##net#getpeername ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1148,a[2]=((C_word)li19),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate2((C_word*)lf[23]+1 /* (set! ##net#startup ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1159,a[2]=((C_word)li20),tmp=(C_word)a,a+=3,tmp));
t25=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1163,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t26=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3011,a[2]=t25,tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:236: ##net#startup */
t27=*((C_word*)lf[23]+1);{
C_word *av2=av;
av2[0]=t27;
av2[1]=t26;
((C_proc)(void*)(*((C_word*)t27+1)))(2,av2);}}

/* k1379 in k1371 in k1385 in k1321 in k1318 in k1315 in k1312 in bind-socket in k1161 in k933 in k930 in k927 */
static void C_ccall f_1381(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1381,2,av);}
/* tcp.scm:315: ##net#error-code->message */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k1385 in k1321 in k1318 in k1315 in k1312 in bind-socket in k1161 in k933 in k930 in k927 */
static void C_ccall f_1387(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_1387,2,av);}
a=C_alloc(7);
t2=C_eqp(C_fix((C_word)SOCKET_ERROR),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1369,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1373,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t4;
av2[2]=lf[40];
av2[3]=lf[34];
tp(4,av2);}}
else{
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_1326(2,av2);}}}

/* k2642 in k2635 in k2632 in k2626 in k2608 in k2656 in loop in k2529 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in ... */
static void C_ccall f_2644(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,7)))){
C_save_and_reclaim((void *)f_2644,2,av);}
/* tcp.scm:614: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 8) {
  av2=av;
} else {
  av2=C_alloc(8);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=lf[30];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)((C_word*)t0)[4])[1];
av2[7]=((C_word*)((C_word*)t0)[5])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(8,av2);}}

/* k2646 in k2635 in k2632 in k2626 in k2608 in k2656 in loop in k2529 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in ... */
static void C_ccall f_2648(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_2648,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2652,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:614: ##net#error-code->message */
t4=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k930 in k927 */
static void C_ccall f_932(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_932,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_935,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_library_toplevel(2,av2);}}

/* ##net#socket in k933 in k930 in k927 */
static void C_ccall f_960(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_960,5,av);}
t5=C_i_foreign_fixnum_argumentp(t2);
t6=C_i_foreign_fixnum_argumentp(t3);
t7=C_i_foreign_fixnum_argumentp(t4);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=stub123(C_SCHEME_UNDEFINED,t5,t6,t7);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* k1371 in k1385 in k1321 in k1318 in k1315 in k1312 in bind-socket in k1161 in k933 in k930 in k927 */
static void C_ccall f_1373(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_1373,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1377,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1381,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:315: ##net#last-error-code */
t5=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k1375 in k1371 in k1385 in k1321 in k1318 in k1315 in k1312 in bind-socket in k1161 in k933 in k930 in k927 */
static void C_ccall f_1377(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_1377,2,av);}
/* tcp.scm:315: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2650 in k2646 in k2635 in k2632 in k2626 in k2608 in k2656 in loop in k2529 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in ... */
static void C_ccall f_2652(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2652,2,av);}
/* tcp.scm:614: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2656 in loop in k2529 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 in ... */
static void C_ccall f_2658(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_2658,2,av);}
a=C_alloc(8);
t2=C_eqp(C_fix((C_word)SOCKET_ERROR),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2610,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* tcp.scm:606: ##net#in-progress? */
t4=*((C_word*)lf[6]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##net#parse-host in k1161 in k933 in k930 in k927 */
static void C_ccall f_1216(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_1216,4,av);}
a=C_alloc(9);
t4=C_block_size(t2);
t5=t4;
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1225,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=t7,a[6]=((C_word)li23),tmp=(C_word)a,a+=7,tmp));
t9=((C_word*)t7)[1];
f_1225(t9,t1,C_fix(0));}

/* k1859 in k1856 in k1841 in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1861(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_1861,2,av);}
/* tcp.scm:544: values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
C_values(4,av2);}}

/* k1367 in k1385 in k1321 in k1318 in k1315 in k1312 in bind-socket in k1161 in k933 in k930 in k927 */
static void C_ccall f_1369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_1369,2,av);}
/* tcp.scm:315: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=lf[38];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k2626 in k2608 in k2656 in loop in k2529 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in ... */
static void C_ccall f_2628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_2628,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
/* tcp.scm:612: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[68]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[68]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2634,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* tcp.scm:614: ##net#last-error-code */
t3=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k1168 in getservbyname in k1161 in k933 in k930 in k927 */
static void C_ccall f_1170(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_1170,2,av);}
a=C_alloc(4);
t2=t1;
t3=((C_word*)t0)[2];
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1174,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t3)){
t5=C_i_foreign_string_argumentp(t3);
/* tcp.scm:240: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[25]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[25]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}
else{
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=stub248(C_SCHEME_UNDEFINED,t2,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k1172 in k1168 in getservbyname in k1161 in k933 in k930 in k927 */
static void C_ccall f_1174(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1174,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=stub248(C_SCHEME_UNDEFINED,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k1246 in loop in parse-host in k1161 in k933 in k930 in k927 */
static void C_ccall f_1248(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_1248,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1252,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:287: substring */
t4=*((C_word*)lf[35]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k1351 in k1347 in k1336 in k1333 in k1357 in k1324 in k1321 in k1318 in k1315 in k1312 in bind-socket in k1161 in k933 in k930 in k927 */
static void C_ccall f_1353(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_1353,2,av);}
/* tcp.scm:317: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k1357 in k1324 in k1321 in k1318 in k1315 in k1312 in bind-socket in k1161 in k933 in k930 in k927 */
static void C_ccall f_1359(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_1359,2,av);}
a=C_alloc(6);
t2=C_eqp(C_fix((C_word)SOCKET_ERROR),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1335,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* tcp.scm:317: ##net#last-error-code */
t4=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k2635 in k2632 in k2626 in k2608 in k2656 in loop in k2529 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in ... */
static void C_ccall f_2637(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_2637,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2644,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2648,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t3;
av2[2]=lf[103];
av2[3]=lf[34];
tp(4,av2);}}

/* k2632 in k2626 in k2608 in k2656 in loop in k2529 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in ... */
static void C_ccall f_2634(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_2634,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2637,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,tmp=(C_word)a,a+=7,tmp);
/* tcp.scm:614: ##net#close */
t4=*((C_word*)lf[12]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2513(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_2513,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2516,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* tcp.scm:594: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[48]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[48]+1);
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[5])[1];
tp(3,av2);}}

/* k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2516(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_2516,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2519,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2738,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:595: ##net#gethostaddr */
t4=*((C_word*)lf[26]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
av2[3]=((C_word*)((C_word*)t0)[4])[1];
av2[4]=((C_word*)((C_word*)t0)[5])[1];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2519(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_2519,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2522,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* tcp.scm:597: ##net#socket */
t3=*((C_word*)lf[8]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_fix((C_word)AF_INET);
av2[3]=C_fix((C_word)SOCK_STREAM);
av2[4]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k2398 in k2383 in k2380 in k2377 in k2374 in k2371 in loop in k2362 in k2359 in chicken.tcp#tcp-accept in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2400(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_2400,2,av);}
a=C_alloc(7);
if(C_truep(t1)){
/* tcp.scm:565: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[68]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[68]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2410,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2414,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t3;
av2[2]=lf[95];
av2[3]=lf[34];
tp(4,av2);}}}

/* ##net#bind in k933 in k930 in k927 */
static void C_ccall f_975(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_975,5,av);}
t5=C_i_foreign_fixnum_argumentp(t2);
t6=(C_truep(t3)?C_i_foreign_block_argumentp(t3):C_SCHEME_FALSE);
t7=C_i_foreign_fixnum_argumentp(t4);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=stub132(C_SCHEME_UNDEFINED,t5,t6,t7);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* k1161 in k933 in k930 in k927 */
static void C_ccall f_1163(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(27,c,5)))){
C_save_and_reclaim((void *)f_1163,2,av);}
a=C_alloc(27);
t2=C_mutate2((C_word*)lf[24]+1 /* (set! ##net#getservbyname ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1165,a[2]=((C_word)li21),tmp=(C_word)a,a+=3,tmp));
t3=C_mutate2((C_word*)lf[26]+1 /* (set! ##net#gethostaddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1190,a[2]=((C_word)li22),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate2((C_word*)lf[27]+1 /* (set! ##net#parse-host ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1216,a[2]=((C_word)li24),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate2((C_word*)lf[36]+1 /* (set! ##net#fresh-addr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1295,a[2]=((C_word)li25),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate2((C_word*)lf[37]+1 /* (set! ##net#bind-socket ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1310,a[2]=((C_word)li26),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate2((C_word*)lf[45]+1 /* (set! chicken.tcp#tcp-listen ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1407,a[2]=((C_word)li27),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate2((C_word*)lf[51]+1 /* (set! chicken.tcp#tcp-listener? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1506,a[2]=((C_word)li28),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate2((C_word*)lf[52]+1 /* (set! chicken.tcp#tcp-close ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1515,a[2]=((C_word)li29),tmp=(C_word)a,a+=3,tmp));
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1557,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:345: make-parameter */
t11=*((C_word*)lf[129]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t11;
av2[1]=t10;
av2[2]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(3,av2);}}

/* ##net#getservbyname in k1161 in k933 in k930 in k927 */
static void C_ccall f_1165(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_1165,4,av);}
a=C_alloc(4);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1170,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t2)){
t5=C_i_foreign_string_argumentp(t2);
/* tcp.scm:240: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[25]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[25]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
f_1170(2,av2);}}}

/* k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2525(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_2525,2,av);}
a=C_alloc(12);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2528,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2711,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:600: ##net#set-socket-options */
t4=*((C_word*)lf[17]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2522(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_2522,2,av);}
a=C_alloc(16);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2525,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t4=C_eqp(C_fix((C_word)INVALID_SOCKET),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2721,a[2]=t3,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2725,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t6;
av2[2]=lf[106];
av2[3]=lf[34];
tp(4,av2);}}
else{
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_2525(2,av2);}}}

/* k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2528(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_2528,2,av);}
a=C_alloc(12);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2531,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
if(C_truep(make_socket_nonblocking(((C_word*)t0)[2]))){
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_2531(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2661,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:603: ##net#last-error-code */
t4=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k2449 in chicken.tcp#tcp-accept-ready? in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2451(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_2451,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2454,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_eqp(C_fix((C_word)SOCKET_ERROR),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2467,a[2]=t3,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2471,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t6;
av2[2]=lf[99];
av2[3]=lf[34];
tp(4,av2);}}
else{
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_eqp(C_fix(1),t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k2452 in k2449 in chicken.tcp#tcp-accept-ready? in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2454(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2454,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_eqp(C_fix(1),((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##net#startup in k933 in k930 in k927 */
static void C_ccall f_1159(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1159,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=stub243(C_SCHEME_UNDEFINED);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k1832 in k1729 in loop in k1720 in k1709 in output in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1834(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,4)))){
C_save_and_reclaim((void *)f_1834,2,av);}
a=C_alloc(29);
t2=C_s_a_i_plus(&a,2,t1,((C_word*)t0)[2]);
/* tcp.scm:508: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_1724(t3,((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[6],t2);}

/* k1837 in k1709 in output in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1839(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_1839,2,av);}
a=C_alloc(29);
t2=((C_word*)t0)[2];
f_1722(t2,C_s_a_i_plus(&a,2,t1,((C_word*)t0)[3]));}

/* k2529 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2531(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_2531,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2534,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_2597,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=t4,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word)li56),tmp=(C_word)a,a+=9,tmp));
t6=((C_word*)t4)[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
f_2597(2,av2);}}

/* k2532 in k2529 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2534(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_2534,2,av);}
a=C_alloc(8);
t2=C_i_foreign_fixnum_argumentp(((C_word*)t0)[2]);
t3=stub653(C_SCHEME_UNDEFINED,t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2540,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t6=C_eqp(C_fix((C_word)SOCKET_ERROR),t4);
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2549,a[2]=t5,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:618: ##net#last-error-code */
t8=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_greaterp(t4,C_fix(0)))){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2578,a[2]=t5,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:620: ##net#close */
t8=*((C_word*)lf[12]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
/* tcp.scm:622: ##net#io-ports */
t7=*((C_word*)lf[60]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t7;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[30];
av2[3]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}}}

/* k2465 in k2449 in chicken.tcp#tcp-accept-ready? in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2467(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_2467,2,av);}
/* tcp.scm:574: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=lf[98];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k1250 in k1246 in loop in parse-host in k1161 in k933 in k930 in k927 */
static void C_ccall f_1252(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_1252,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1255,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:288: ##net#getservbyname */
t4=*((C_word*)lf[24]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k1253 in k1250 in k1246 in loop in parse-host in k1161 in k933 in k930 in k927 */
static void C_ccall f_1255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_1255,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1258,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_eqp(C_fix(0),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1268,a[2]=t3,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1272,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t6;
av2[2]=lf[33];
av2[3]=lf[34];
tp(4,av2);}}
else{
/* tcp.scm:285: values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
C_values(4,av2);}}}

/* k1256 in k1253 in k1250 in k1246 in loop in parse-host in k1161 in k933 in k930 in k927 */
static void C_ccall f_1258(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_1258,2,av);}
/* tcp.scm:285: values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
C_values(4,av2);}}

/* k2538 in k2532 in k2529 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 in ... */
static void C_ccall f_2540(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2540,2,av);}
/* tcp.scm:622: ##net#io-ports */
t2=*((C_word*)lf[60]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[30];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2547 in k2532 in k2529 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 in ... */
static void C_ccall f_2549(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_2549,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2552,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:618: ##net#close */
t4=*((C_word*)lf[12]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k1278 in k1270 in k1253 in k1250 in k1246 in loop in parse-host in k1161 in k933 in k930 in k927 */
static void C_ccall f_1280(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1280,2,av);}
/* tcp.scm:290: ##net#error-code->message */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k1856 in k1841 in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1858(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_1858,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1861,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:543: ##sys#set-port-data! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[77]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[77]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}

/* k2550 in k2547 in k2532 in k2529 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in ... */
static void C_ccall f_2552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_2552,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2559,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2563,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t3;
av2[2]=lf[101];
av2[3]=lf[34];
tp(4,av2);}}

/* k2557 in k2550 in k2547 in k2532 in k2529 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in ... */
static void C_ccall f_2559(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_2559,2,av);}
/* tcp.scm:618: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=lf[30];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k2440 in k2359 in chicken.tcp#tcp-accept in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_2442,2,av);}
a=C_alloc(29);
t2=((C_word*)t0)[2];
f_2364(t2,C_s_a_i_plus(&a,2,((C_word*)t0)[3],t1));}

/* chicken.tcp#tcp-accept-ready? in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2444(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_2444,3,av);}
a=C_alloc(4);
t3=C_i_check_structure_2(t2,lf[46],lf[98]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2451,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t5=C_slot(t2,C_fix(1));
/* tcp.scm:572: ##net#check-fd-ready */
t6=*((C_word*)lf[16]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* ##net#fresh-addr in k1161 in k933 in k930 in k927 */
static void C_ccall f_1295(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1295,4,av);}
t4=(C_truep(t2)?C_i_foreign_block_argumentp(t2):C_SCHEME_FALSE);
t5=C_fix((C_word)sizeof(unsigned short) * CHAR_BIT);
t6=C_i_foreign_unsigned_ranged_integer_argumentp(t3,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=stub389(C_SCHEME_UNDEFINED,t4,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* k1397 in k1312 in bind-socket in k1161 in k933 in k930 in k927 */
static void C_ccall f_1399(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_1399,2,av);}
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
f_1317(2,av2);}}
else{
/* tcp.scm:306: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=lf[38];
av2[4]=lf[43];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}}

/* k1270 in k1253 in k1250 in k1246 in loop in parse-host in k1161 in k933 in k930 in k927 */
static void C_ccall f_1272(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_1272,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1276,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1280,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:290: ##net#last-error-code */
t5=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k1274 in k1270 in k1253 in k1250 in k1246 in loop in parse-host in k1161 in k933 in k930 in k927 */
static void C_ccall f_1276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_1276,2,av);}
/* tcp.scm:290: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k1841 in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1843(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_1843,2,av);}
a=C_alloc(6);
t2=t1;
t3=C_i_setslot(((C_word*)t0)[2],C_fix(3),lf[74]);
t4=C_i_setslot(t2,C_fix(3),lf[75]);
t5=C_i_setslot(((C_word*)t0)[2],C_fix(7),lf[76]);
t6=C_i_setslot(t2,C_fix(7),lf[76]);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1858,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* tcp.scm:542: ##sys#set-port-data! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[77]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[77]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}

/* k2561 in k2550 in k2547 in k2532 in k2529 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in ... */
static void C_ccall f_2563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_2563,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2567,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:618: ##net#error-code->message */
t4=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k2565 in k2561 in k2550 in k2547 in k2532 in k2529 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in ... */
static void C_ccall f_2567(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2567,2,av);}
/* tcp.scm:618: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* loop in parse-host in k1161 in k933 in k930 in k927 */
static void C_fcall f_1225(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_1225,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
/* tcp.scm:282: values */{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=C_SCHEME_FALSE;
C_values(4,av2);}}
else{
t3=C_subchar(((C_word*)t0)[3],t2);
if(C_truep(C_i_char_equalp(t3,C_make_character(58)))){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1248,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t5=C_fixnum_plus(t2,C_fix(1));
/* tcp.scm:286: substring */
t6=*((C_word*)lf[35]+1);{
C_word av2[5];
av2[0]=t6;
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
av2[3]=t5;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t4=C_fixnum_plus(t2,C_fix(1));
/* tcp.scm:292: loop */
t7=t1;
t8=t4;
t1=t7;
t2=t8;
goto loop;}}}

/* k2477 in k2469 in k2449 in chicken.tcp#tcp-accept-ready? in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2479(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2479,2,av);}
/* tcp.scm:574: ##net#error-code->message */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k2473 in k2469 in k2449 in chicken.tcp#tcp-accept-ready? in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2475(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2475,2,av);}
/* tcp.scm:574: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2469 in k2449 in chicken.tcp#tcp-accept-ready? in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_2471,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2475,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2479,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:574: ##net#last-error-code */
t5=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* loop in k2529 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2597(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_2597,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2658,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* tcp.scm:605: ##net#connect */
t3=*((C_word*)lf[15]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[7];
av2[4]=C_fix((C_word)sizeof(struct sockaddr_in));
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k1197 in gethostaddr in k1161 in k933 in k930 in k927 */
static void C_ccall f_1199(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1199,2,av);}
t2=C_fix((C_word)sizeof(unsigned short) * CHAR_BIT);
t3=C_i_foreign_unsigned_ranged_integer_argumentp(((C_word*)t0)[2],t2);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=stub260(C_SCHEME_UNDEFINED,((C_word*)t0)[4],t1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k2591 in k2587 in k2576 in k2532 in k2529 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in ... */
static void C_ccall f_2593(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2593,2,av);}
/* tcp.scm:621: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##net#gethostaddr in k1161 in k933 in k930 in k927 */
static void C_ccall f_1190(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_1190,5,av);}
a=C_alloc(5);
t5=(C_truep(t2)?C_i_foreign_block_argumentp(t2):C_SCHEME_FALSE);
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1199,a[2]=t4,a[3]=t1,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
t8=C_i_foreign_string_argumentp(t3);
/* tcp.scm:246: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[25]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[25]+1);
av2[1]=t7;
av2[2]=t8;
tp(3,av2);}}
else{
t8=C_fix((C_word)sizeof(unsigned short) * CHAR_BIT);
t9=C_i_foreign_unsigned_ranged_integer_argumentp(t4,t8);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=stub260(C_SCHEME_UNDEFINED,t6,C_SCHEME_FALSE,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* k2685 in k2709 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2687(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_2687,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2690,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:601: ##net#close */
t4=*((C_word*)lf[12]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k2695 in k2688 in k2685 in k2709 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 in ... */
static void C_ccall f_2697(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_2697,2,av);}
/* tcp.scm:601: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=lf[30];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k2688 in k2685 in k2709 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2690(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_2690,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2697,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2701,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t3;
av2[2]=lf[105];
av2[3]=lf[34];
tp(4,av2);}}

/* f_1940 in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1940(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_1940,2,av);}
a=C_alloc(4);
t2=C_block_size(((C_word*)((C_word*)t0)[2])[1]);
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1950,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:536: output */
t4=((C_word*)t0)[3];
f_1707(t4,t3,((C_word*)((C_word*)t0)[2])[1]);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k1266 in k1253 in k1250 in k1246 in loop in parse-host in k1161 in k933 in k930 in k927 */
static void C_ccall f_1268(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_1268,2,av);}
/* tcp.scm:290: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=lf[30];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k1876 in a1869 in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_fcall f_1878(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_1878,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1881,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_slot(((C_word*)t0)[5],C_fix(2)))){
t3=t2;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_1881(2,av2);}}
else{
/* tcp.scm:530: ##net#shutdown */
t3=*((C_word*)lf[14]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=C_fix((C_word)SHUT_WR);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}}

/* a1869 in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1870(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_1870,2,av);}
a=C_alloc(11);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=C_SCHEME_UNDEFINED;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_TRUE);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1878,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1924,a[2]=((C_word*)t0)[6],a[3]=t3,a[4]=((C_word*)t0)[7],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)((C_word*)t0)[6])[1])){
t5=C_block_size(((C_word*)((C_word*)t0)[6])[1]);
t6=t4;
f_1924(t6,C_fixnum_greaterp(t5,C_fix(0)));}
else{
t5=t4;
f_1924(t5,C_SCHEME_FALSE);}}}

/* ##net#listen in k933 in k930 in k927 */
static void C_ccall f_993(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_993,4,av);}
t4=C_i_foreign_fixnum_argumentp(t2);
t5=C_i_foreign_fixnum_argumentp(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=stub142(C_SCHEME_UNDEFINED,t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k2677 in k2673 in k2662 in k2659 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in ... */
static void C_ccall f_2679(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2679,2,av);}
/* tcp.scm:603: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k1460 in k1456 in k1445 in k1442 in k1466 in k1430 in k1427 in k1424 in k1421 in chicken.tcp#tcp-listen in k1161 in k933 in k930 in k927 */
static void C_ccall f_1462(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_1462,2,av);}
/* tcp.scm:329: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2673 in k2662 in k2659 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 in ... */
static void C_ccall f_2675(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_2675,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2679,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:603: ##net#error-code->message */
t4=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k1466 in k1430 in k1427 in k1424 in k1421 in chicken.tcp#tcp-listen in k1161 in k933 in k930 in k927 */
static void C_ccall f_1468(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_1468,2,av);}
a=C_alloc(5);
t2=C_eqp(C_fix((C_word)SOCKET_ERROR),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1444,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:329: ##net#last-error-code */
t4=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_record2(&a,2,lf[46],((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k2669 in k2662 in k2659 in k2526 in k2523 in k2520 in k2517 in k2514 in k2511 in k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 in ... */
static void C_ccall f_2671(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_2671,2,av);}
/* tcp.scm:603: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=lf[30];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k1925 in k1922 in a1869 in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1927(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1927,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,lf[80]);
t3=((C_word*)t0)[3];
f_1878(t3,t2);}

/* k1922 in a1869 in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_fcall f_1924(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_1924,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1927,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:528: output */
t3=((C_word*)t0)[4];
f_1707(t3,t2,((C_word*)((C_word*)t0)[2])[1]);}
else{
t2=((C_word*)t0)[3];
f_1878(t2,C_SCHEME_UNDEFINED);}}

/* k2412 in k2398 in k2383 in k2380 in k2377 in k2374 in k2371 in loop in k2362 in k2359 in chicken.tcp#tcp-accept in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2414(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_2414,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2418,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2422,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:567: ##net#last-error-code */
t5=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k2408 in k2398 in k2383 in k2380 in k2377 in k2374 in k2371 in loop in k2362 in k2359 in chicken.tcp#tcp-accept in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2410(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_2410,2,av);}
/* tcp.scm:567: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=lf[94];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k1913 in k1879 in k1876 in a1869 in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1915(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1915,2,av);}
t2=((C_word*)t0)[2];
f_1887(t2,C_eqp(C_fix((C_word)SOCKET_ERROR),t1));}

/* k1896 in k1885 in k1879 in k1876 in a1869 in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1898(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_1898,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1902,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1906,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:532: ##net#last-error-code */
t5=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k1892 in k1885 in k1879 in k1876 in a1869 in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1894(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_1894,2,av);}
/* tcp.scm:532: ##sys#signal-hook */
t2=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[29];
av2[3]=C_SCHEME_FALSE;
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k2416 in k2412 in k2398 in k2383 in k2380 in k2377 in k2374 in k2371 in loop in k2362 in k2359 in chicken.tcp#tcp-accept in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2418(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2418,2,av);}
/* tcp.scm:567: string-append */
t2=*((C_word*)lf[31]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* chicken.tcp#tcp-listen in k1161 in k933 in k930 in k927 */
static void C_ccall f_1407(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,2)))){
C_save_and_reclaim((void*)f_1407,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_fix(100):C_i_car(t3));
t6=t5;
t7=C_i_nullp(t3);
t8=(C_truep(t7)?C_SCHEME_END_OF_LIST:C_i_cdr(t3));
t9=C_i_nullp(t8);
t10=(C_truep(t9)?C_SCHEME_FALSE:C_i_car(t8));
t11=t10;
t12=C_i_nullp(t8);
t13=(C_truep(t12)?C_SCHEME_END_OF_LIST:C_i_cdr(t8));
t14=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1423,a[2]=t1,a[3]=t2,a[4]=t6,a[5]=t11,tmp=(C_word)a,a+=6,tmp);
/* tcp.scm:323: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[48]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[48]+1);
av2[1]=t14;
av2[2]=t2;
tp(3,av2);}}

/* k1885 in k1879 in k1876 in a1869 in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_fcall f_1887(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_1887,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1894,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1898,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t3;
av2[2]=lf[79];
av2[3]=lf[34];
tp(4,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k2420 in k2412 in k2398 in k2383 in k2380 in k2377 in k2374 in k2371 in loop in k2362 in k2359 in chicken.tcp#tcp-accept in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2422(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2422,2,av);}
/* tcp.scm:567: ##net#error-code->message */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k1879 in k1876 in a1869 in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1881(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_1881,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1887,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)((C_word*)t0)[4])[1])){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1915,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* tcp.scm:531: ##net#close */
t4=*((C_word*)lf[12]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t3=t2;
f_1887(t3,C_SCHEME_FALSE);}}

/* k1430 in k1427 in k1424 in k1421 in chicken.tcp#tcp-listen in k1161 in k933 in k930 in k927 */
static void C_ccall f_1432(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_1432,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1435,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1468,a[2]=t3,a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* tcp.scm:328: ##net#listen */
t5=*((C_word*)lf[10]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k1433 in k1430 in k1427 in k1424 in k1421 in chicken.tcp#tcp-listen in k1161 in k933 in k930 in k927 */
static void C_ccall f_1435(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_1435,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record2(&a,2,lf[46],((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_fcall f_2504(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_2504,2,t0,t1);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2507,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* tcp.scm:589: make-string */
t4=*((C_word*)lf[44]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=C_fix((C_word)sizeof(struct sockaddr_in));
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2501(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_2501,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2504,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t2)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2765,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:588: chicken.time#current-milliseconds */
t5=*((C_word*)lf[70]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=t3;
f_2504(t4,C_SCHEME_FALSE);}}

/* k2505 in k2502 in k2499 in chicken.tcp#tcp-connect in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_2507(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(21,c,4)))){
C_save_and_reclaim((void *)f_2507,2,av);}
a=C_alloc(21);
t2=t1;
t3=C_i_check_string(((C_word*)((C_word*)t0)[2])[1]);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2513,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[5],a[6]=t2,tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_2513(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2744,a[2]=((C_word*)t0)[5],a[3]=t4,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2752,a[2]=((C_word*)t0)[2],a[3]=((C_word)li57),tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2758,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word)li58),tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:592: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t5;
av2[2]=t6;
av2[3]=t7;
C_call_with_values(4,av2);}}}

/* k1421 in chicken.tcp#tcp-listen in k1161 in k933 in k930 in k927 */
static void C_ccall f_1423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_1423,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1426,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_fixnum_lessp(((C_word*)t0)[3],C_fix(0));
if(C_truep(t3)){
if(C_truep(t3)){
/* tcp.scm:325: ##sys#signal-hook */
t4=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=lf[49];
av2[3]=lf[38];
av2[4]=lf[50];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}
else{
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_1426(2,av2);}}}
else{
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[3],C_fix(65535)))){
/* tcp.scm:325: ##sys#signal-hook */
t4=*((C_word*)lf[28]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=lf[49];
av2[3]=lf[38];
av2[4]=lf[50];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}
else{
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_1426(2,av2);}}}}

/* k1424 in k1421 in chicken.tcp#tcp-listen in k1161 in k933 in k930 in k927 */
static void C_ccall f_1426(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_1426,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1429,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* tcp.scm:326: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[48]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[48]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k1427 in k1424 in k1421 in chicken.tcp#tcp-listen in k1161 in k933 in k930 in k927 */
static void C_ccall f_1429(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_1429,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1432,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* tcp.scm:327: ##net#bind-socket */
t3=*((C_word*)lf[37]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_fix((C_word)SOCK_STREAM);
av2[3]=((C_word*)t0)[5];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k1959 */
static void C_ccall f_1961(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_1961,2,av);}
a=C_alloc(4);
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,t1);
t3=C_block_size(((C_word*)((C_word*)t0)[2])[1]);
if(C_truep(C_fixnum_greater_or_equal_p(t3,((C_word*)t0)[3]))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1970,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* tcp.scm:519: output */
t5=((C_word*)t0)[5];
f_1707(t5,t4,((C_word*)((C_word*)t0)[2])[1]);}
else{
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k1948 */
static void C_ccall f_1950(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1950,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,lf[81]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_1956 in k1704 in k1608 in k1605 in k1599 in k1596 in io-ports in k1590 in k1586 in k1582 in k1578 in k1555 in k1161 in k933 in k930 in k927 */
static void C_ccall f_1956(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_1956,3,av);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1961,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* tcp.scm:517: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[32]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[32]+1);
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
av2[3]=t2;
tp(4,av2);}}

#ifdef C_ENABLE_PTABLES
static C_PTABLE_ENTRY ptable[304] = {
{"f_2613:tcp_2escm",(void*)f_2613},
{"f_2616:tcp_2escm",(void*)f_2616},
{"f_2610:tcp_2escm",(void*)f_2610},
{"f_2494:tcp_2escm",(void*)f_2494},
{"f_1458:tcp_2escm",(void*)f_1458},
{"f_1454:tcp_2escm",(void*)f_1454},
{"f_2578:tcp_2escm",(void*)f_2578},
{"f_1996:tcp_2escm",(void*)f_1996},
{"f_1992:tcp_2escm",(void*)f_1992},
{"f_1801:tcp_2escm",(void*)f_1801},
{"f_1447:tcp_2escm",(void*)f_1447},
{"f_1444:tcp_2escm",(void*)f_1444},
{"f_2589:tcp_2escm",(void*)f_2589},
{"f_2585:tcp_2escm",(void*)f_2585},
{"f_1902:tcp_2escm",(void*)f_1902},
{"f_1906:tcp_2escm",(void*)f_1906},
{"f_2106:tcp_2escm",(void*)f_2106},
{"f_2207:tcp_2escm",(void*)f_2207},
{"f_2217:tcp_2escm",(void*)f_2217},
{"f_2014:tcp_2escm",(void*)f_2014},
{"f_2110:tcp_2escm",(void*)f_2110},
{"f_2070:tcp_2escm",(void*)f_2070},
{"f_2077:tcp_2escm",(void*)f_2077},
{"f_2130:tcp_2escm",(void*)f_2130},
{"f_2040:tcp_2escm",(void*)f_2040},
{"f_2044:tcp_2escm",(void*)f_2044},
{"f_2048:tcp_2escm",(void*)f_2048},
{"f_2189:tcp_2escm",(void*)f_2189},
{"f_1976:tcp_2escm",(void*)f_1976},
{"f_2052:tcp_2escm",(void*)f_2052},
{"f_1970:tcp_2escm",(void*)f_1970},
{"f_2056:tcp_2escm",(void*)f_2056},
{"f_1097:tcp_2escm",(void*)f_1097},
{"f_1065:tcp_2escm",(void*)f_1065},
{"f_1090:tcp_2escm",(void*)f_1090},
{"f_2024:tcp_2escm",(void*)f_2024},
{"f_2027:tcp_2escm",(void*)f_2027},
{"f_2124:tcp_2escm",(void*)f_2124},
{"f_2263:tcp_2escm",(void*)f_2263},
{"f_1083:tcp_2escm",(void*)f_1083},
{"f_2178:tcp_2escm",(void*)f_2178},
{"f_2081:tcp_2escm",(void*)f_2081},
{"f_2089:tcp_2escm",(void*)f_2089},
{"f_2085:tcp_2escm",(void*)f_2085},
{"f_1032:tcp_2escm",(void*)f_1032},
{"f_1025:tcp_2escm",(void*)f_1025},
{"f_2098:tcp_2escm",(void*)f_2098},
{"f_2193:tcp_2escm",(void*)f_2193},
{"f_2064:tcp_2escm",(void*)f_2064},
{"f_1054:tcp_2escm",(void*)f_1054},
{"f_3004:tcp_2escm",(void*)f_3004},
{"f_3000:tcp_2escm",(void*)f_3000},
{"f_2233:tcp_2escm",(void*)f_2233},
{"f_3011:tcp_2escm",(void*)f_3011},
{"f_3008:tcp_2escm",(void*)f_3008},
{"f_2701:tcp_2escm",(void*)f_2701},
{"f_2705:tcp_2escm",(void*)f_2705},
{"f_1722:tcp_2escm",(void*)f_1722},
{"f_1724:tcp_2escm",(void*)f_1724},
{"f_2830:tcp_2escm",(void*)f_2830},
{"f_2834:tcp_2escm",(void*)f_2834},
{"f_2711:tcp_2escm",(void*)f_2711},
{"f_1711:tcp_2escm",(void*)f_1711},
{"f_2930:tcp_2escm",(void*)f_2930},
{"f_2805:tcp_2escm",(void*)f_2805},
{"f_2808:tcp_2escm",(void*)f_2808},
{"f_2721:tcp_2escm",(void*)f_2721},
{"f_1004:tcp_2escm",(void*)f_1004},
{"f_2725:tcp_2escm",(void*)f_2725},
{"f_2729:tcp_2escm",(void*)f_2729},
{"f_1702:tcp_2escm",(void*)f_1702},
{"f_1706:tcp_2escm",(void*)f_1706},
{"f_1707:tcp_2escm",(void*)f_1707},
{"f_2902:tcp_2escm",(void*)f_2902},
{"f_2812:tcp_2escm",(void*)f_2812},
{"f_2815:tcp_2escm",(void*)f_2815},
{"f_2733:tcp_2escm",(void*)f_2733},
{"f_2738:tcp_2escm",(void*)f_2738},
{"f_1506:tcp_2escm",(void*)f_1506},
{"f_2744:tcp_2escm",(void*)f_2744},
{"toplevel:tcp_2escm",(void*)C_tcp_toplevel},
{"f_2361:tcp_2escm",(void*)f_2361},
{"f_2364:tcp_2escm",(void*)f_2364},
{"f_2369:tcp_2escm",(void*)f_2369},
{"f_2922:tcp_2escm",(void*)f_2922},
{"f_2926:tcp_2escm",(void*)f_2926},
{"f_2874:tcp_2escm",(void*)f_2874},
{"f_2871:tcp_2escm",(void*)f_2871},
{"f_1535:tcp_2escm",(void*)f_1535},
{"f_2877:tcp_2escm",(void*)f_2877},
{"f_1539:tcp_2escm",(void*)f_1539},
{"f_2752:tcp_2escm",(void*)f_2752},
{"f_2758:tcp_2escm",(void*)f_2758},
{"f_1752:tcp_2escm",(void*)f_1752},
{"f_1755:tcp_2escm",(void*)f_1755},
{"f_1610:tcp_2escm",(void*)f_1610},
{"f_1611:tcp_2escm",(void*)f_1611},
{"f_1615:tcp_2escm",(void*)f_1615},
{"f_1618:tcp_2escm",(void*)f_1618},
{"f_2843:tcp_2escm",(void*)f_2843},
{"f_2979:tcp_2escm",(void*)f_2979},
{"f_2765:tcp_2escm",(void*)f_2765},
{"f_1569:tcp_2escm",(void*)f_1569},
{"f_2847:tcp_2escm",(void*)f_2847},
{"f_1563:tcp_2escm",(void*)f_1563},
{"f_1565:tcp_2escm",(void*)f_1565},
{"f_1749:tcp_2escm",(void*)f_1749},
{"f_1743:tcp_2escm",(void*)f_1743},
{"f_1746:tcp_2escm",(void*)f_1746},
{"f_1601:tcp_2escm",(void*)f_1601},
{"f_1607:tcp_2escm",(void*)f_1607},
{"f_2308:tcp_2escm",(void*)f_2308},
{"f_2943:tcp_2escm",(void*)f_2943},
{"f_2940:tcp_2escm",(void*)f_2940},
{"f_2855:tcp_2escm",(void*)f_2855},
{"f_2851:tcp_2escm",(void*)f_2851},
{"f_2774:tcp_2escm",(void*)f_2774},
{"f_1515:tcp_2escm",(void*)f_1515},
{"f_2859:tcp_2escm",(void*)f_2859},
{"f_2778:tcp_2escm",(void*)f_2778},
{"f_1731:tcp_2escm",(void*)f_1731},
{"f_2318:tcp_2escm",(void*)f_2318},
{"f_1639:tcp_2escm",(void*)f_1639},
{"f_2914:tcp_2escm",(void*)f_2914},
{"f_2918:tcp_2escm",(void*)f_2918},
{"f_2822:tcp_2escm",(void*)f_2822},
{"f_2826:tcp_2escm",(void*)f_2826},
{"f_2798:tcp_2escm",(void*)f_2798},
{"f_1547:tcp_2escm",(void*)f_1547},
{"f_1543:tcp_2escm",(void*)f_1543},
{"f_2792:tcp_2escm",(void*)f_2792},
{"f_1623:tcp_2escm",(void*)f_1623},
{"f_1627:tcp_2escm",(void*)f_1627},
{"f_2965:tcp_2escm",(void*)f_2965},
{"f_2961:tcp_2escm",(void*)f_2961},
{"f_2969:tcp_2escm",(void*)f_2969},
{"f_2332:tcp_2escm",(void*)f_2332},
{"f_1651:tcp_2escm",(void*)f_1651},
{"f_2339:tcp_2escm",(void*)f_2339},
{"f_2898:tcp_2escm",(void*)f_2898},
{"f_2985:tcp_2escm",(void*)f_2985},
{"f_2890:tcp_2escm",(void*)f_2890},
{"f_2894:tcp_2escm",(void*)f_2894},
{"f_1793:tcp_2escm",(void*)f_1793},
{"f_1797:tcp_2escm",(void*)f_1797},
{"f_1691:tcp_2escm",(void*)f_1691},
{"f_2343:tcp_2escm",(void*)f_2343},
{"f_1642:tcp_2escm",(void*)f_1642},
{"f_2347:tcp_2escm",(void*)f_2347},
{"f_1648:tcp_2escm",(void*)f_1648},
{"f_2953:tcp_2escm",(void*)f_2953},
{"f_1645:tcp_2escm",(void*)f_1645},
{"f_2865:tcp_2escm",(void*)f_2865},
{"f_2957:tcp_2escm",(void*)f_2957},
{"f_2868:tcp_2escm",(void*)f_2868},
{"f_1683:tcp_2escm",(void*)f_1683},
{"f_1687:tcp_2escm",(void*)f_1687},
{"f_1789:tcp_2escm",(void*)f_1789},
{"f_2351:tcp_2escm",(void*)f_2351},
{"f_1679:tcp_2escm",(void*)f_1679},
{"f_1557:tcp_2escm",(void*)f_1557},
{"f_1553:tcp_2escm",(void*)f_1553},
{"f_2379:tcp_2escm",(void*)f_2379},
{"f_2376:tcp_2escm",(void*)f_2376},
{"f_2373:tcp_2escm",(void*)f_2373},
{"f_1778:tcp_2escm",(void*)f_1778},
{"f_1773:tcp_2escm",(void*)f_1773},
{"f_1669:tcp_2escm",(void*)f_1669},
{"f_1584:tcp_2escm",(void*)f_1584},
{"f_1588:tcp_2escm",(void*)f_1588},
{"f_1580:tcp_2escm",(void*)f_1580},
{"f_2385:tcp_2escm",(void*)f_2385},
{"f_2382:tcp_2escm",(void*)f_2382},
{"f_957:tcp_2escm",(void*)f_957},
{"f_2996:tcp_2escm",(void*)f_2996},
{"f_951:tcp_2escm",(void*)f_951},
{"f_954:tcp_2escm",(void*)f_954},
{"f_2329:tcp_2escm",(void*)f_2329},
{"f_1594:tcp_2escm",(void*)f_1594},
{"f_1592:tcp_2escm",(void*)f_1592},
{"f_1598:tcp_2escm",(void*)f_1598},
{"f_1345:tcp_2escm",(void*)f_1345},
{"f_1349:tcp_2escm",(void*)f_1349},
{"f_929:tcp_2escm",(void*)f_929},
{"f_1335:tcp_2escm",(void*)f_1335},
{"f_1338:tcp_2escm",(void*)f_1338},
{"f_1141:tcp_2escm",(void*)f_1141},
{"f_1148:tcp_2escm",(void*)f_1148},
{"f_1323:tcp_2escm",(void*)f_1323},
{"f_1326:tcp_2escm",(void*)f_1326},
{"f_1320:tcp_2escm",(void*)f_1320},
{"f_2661:tcp_2escm",(void*)f_2661},
{"f_1329:tcp_2escm",(void*)f_1329},
{"f_2664:tcp_2escm",(void*)f_2664},
{"f_1134:tcp_2escm",(void*)f_1134},
{"f_1314:tcp_2escm",(void*)f_1314},
{"f_1310:tcp_2escm",(void*)f_1310},
{"f_1317:tcp_2escm",(void*)f_1317},
{"f_940:tcp_2escm",(void*)f_940},
{"f_1123:tcp_2escm",(void*)f_1123},
{"f_937:tcp_2escm",(void*)f_937},
{"f_935:tcp_2escm",(void*)f_935},
{"f_1381:tcp_2escm",(void*)f_1381},
{"f_1387:tcp_2escm",(void*)f_1387},
{"f_2644:tcp_2escm",(void*)f_2644},
{"f_2648:tcp_2escm",(void*)f_2648},
{"f_932:tcp_2escm",(void*)f_932},
{"f_960:tcp_2escm",(void*)f_960},
{"f_1373:tcp_2escm",(void*)f_1373},
{"f_1377:tcp_2escm",(void*)f_1377},
{"f_2652:tcp_2escm",(void*)f_2652},
{"f_2658:tcp_2escm",(void*)f_2658},
{"f_1216:tcp_2escm",(void*)f_1216},
{"f_1861:tcp_2escm",(void*)f_1861},
{"f_1369:tcp_2escm",(void*)f_1369},
{"f_2628:tcp_2escm",(void*)f_2628},
{"f_1170:tcp_2escm",(void*)f_1170},
{"f_1174:tcp_2escm",(void*)f_1174},
{"f_1248:tcp_2escm",(void*)f_1248},
{"f_1353:tcp_2escm",(void*)f_1353},
{"f_1359:tcp_2escm",(void*)f_1359},
{"f_2637:tcp_2escm",(void*)f_2637},
{"f_2634:tcp_2escm",(void*)f_2634},
{"f_2513:tcp_2escm",(void*)f_2513},
{"f_2516:tcp_2escm",(void*)f_2516},
{"f_2519:tcp_2escm",(void*)f_2519},
{"f_2400:tcp_2escm",(void*)f_2400},
{"f_975:tcp_2escm",(void*)f_975},
{"f_1163:tcp_2escm",(void*)f_1163},
{"f_1165:tcp_2escm",(void*)f_1165},
{"f_2525:tcp_2escm",(void*)f_2525},
{"f_2522:tcp_2escm",(void*)f_2522},
{"f_2528:tcp_2escm",(void*)f_2528},
{"f_2451:tcp_2escm",(void*)f_2451},
{"f_2454:tcp_2escm",(void*)f_2454},
{"f_1159:tcp_2escm",(void*)f_1159},
{"f_1834:tcp_2escm",(void*)f_1834},
{"f_1839:tcp_2escm",(void*)f_1839},
{"f_2531:tcp_2escm",(void*)f_2531},
{"f_2534:tcp_2escm",(void*)f_2534},
{"f_2467:tcp_2escm",(void*)f_2467},
{"f_1252:tcp_2escm",(void*)f_1252},
{"f_1255:tcp_2escm",(void*)f_1255},
{"f_1258:tcp_2escm",(void*)f_1258},
{"f_2540:tcp_2escm",(void*)f_2540},
{"f_2549:tcp_2escm",(void*)f_2549},
{"f_1280:tcp_2escm",(void*)f_1280},
{"f_1858:tcp_2escm",(void*)f_1858},
{"f_2552:tcp_2escm",(void*)f_2552},
{"f_2559:tcp_2escm",(void*)f_2559},
{"f_2442:tcp_2escm",(void*)f_2442},
{"f_2444:tcp_2escm",(void*)f_2444},
{"f_1295:tcp_2escm",(void*)f_1295},
{"f_1399:tcp_2escm",(void*)f_1399},
{"f_1272:tcp_2escm",(void*)f_1272},
{"f_1276:tcp_2escm",(void*)f_1276},
{"f_1843:tcp_2escm",(void*)f_1843},
{"f_2563:tcp_2escm",(void*)f_2563},
{"f_2567:tcp_2escm",(void*)f_2567},
{"f_1225:tcp_2escm",(void*)f_1225},
{"f_2479:tcp_2escm",(void*)f_2479},
{"f_2475:tcp_2escm",(void*)f_2475},
{"f_2471:tcp_2escm",(void*)f_2471},
{"f_2597:tcp_2escm",(void*)f_2597},
{"f_1199:tcp_2escm",(void*)f_1199},
{"f_2593:tcp_2escm",(void*)f_2593},
{"f_1190:tcp_2escm",(void*)f_1190},
{"f_2687:tcp_2escm",(void*)f_2687},
{"f_2697:tcp_2escm",(void*)f_2697},
{"f_2690:tcp_2escm",(void*)f_2690},
{"f_1940:tcp_2escm",(void*)f_1940},
{"f_1268:tcp_2escm",(void*)f_1268},
{"f_1878:tcp_2escm",(void*)f_1878},
{"f_1870:tcp_2escm",(void*)f_1870},
{"f_993:tcp_2escm",(void*)f_993},
{"f_2679:tcp_2escm",(void*)f_2679},
{"f_1462:tcp_2escm",(void*)f_1462},
{"f_2675:tcp_2escm",(void*)f_2675},
{"f_1468:tcp_2escm",(void*)f_1468},
{"f_2671:tcp_2escm",(void*)f_2671},
{"f_1927:tcp_2escm",(void*)f_1927},
{"f_1924:tcp_2escm",(void*)f_1924},
{"f_2414:tcp_2escm",(void*)f_2414},
{"f_2410:tcp_2escm",(void*)f_2410},
{"f_1915:tcp_2escm",(void*)f_1915},
{"f_1898:tcp_2escm",(void*)f_1898},
{"f_1894:tcp_2escm",(void*)f_1894},
{"f_2418:tcp_2escm",(void*)f_2418},
{"f_1407:tcp_2escm",(void*)f_1407},
{"f_1887:tcp_2escm",(void*)f_1887},
{"f_2422:tcp_2escm",(void*)f_2422},
{"f_1881:tcp_2escm",(void*)f_1881},
{"f_1432:tcp_2escm",(void*)f_1432},
{"f_1435:tcp_2escm",(void*)f_1435},
{"f_2504:tcp_2escm",(void*)f_2504},
{"f_2501:tcp_2escm",(void*)f_2501},
{"f_2507:tcp_2escm",(void*)f_2507},
{"f_1423:tcp_2escm",(void*)f_1423},
{"f_1426:tcp_2escm",(void*)f_1426},
{"f_1429:tcp_2escm",(void*)f_1429},
{"f_1961:tcp_2escm",(void*)f_1961},
{"f_1950:tcp_2escm",(void*)f_1950},
{"f_1956:tcp_2escm",(void*)f_1956},
{NULL,NULL}};
#endif

static C_PTABLE_ENTRY *create_ptable(void){
#ifdef C_ENABLE_PTABLES
return ptable;
#else
return NULL;
#endif
}

/*
o|hiding unexported module binding: chicken.tcp#provide* 
o|hiding unexported module binding: chicken.tcp#d 
o|hiding unexported module binding: chicken.tcp#define-alias 
o|hiding unexported module binding: chicken.tcp#network-error 
o|hiding unexported module binding: chicken.tcp#network-error/close 
o|hiding unexported module binding: chicken.tcp#network-error/code 
o|hiding unexported module binding: chicken.tcp#get-socket-error 
o|eliminated procedure checks: 159 
o|specializations:
o|  3 (##sys#check-open-port * *)
o|  5 (+ * *)
o|  1 (make-string fixnum)
o|  24 (string-append string string)
(o e)|safe calls: 245 
(o e)|assignments to immediate values: 5 
o|safe globals: (##net#startup ##net#getpeername ##net#getpeerport ##net#getsockport ##net#getsockname ##net#send ##net#set-socket-options ##net#check-fd-ready ##net#connect ##net#shutdown ##net#recv ##net#close ##net#accept ##net#listen ##net#bind ##net#socket ##net#interrupted? ##net#in-progress? ##net#retry? ##net#error-code->message ##net#last-error-code) 
o|Removed `not' forms: 1 
o|inlining procedure: k1015 
o|inlining procedure: k1015 
o|inlining procedure: k1172 
o|inlining procedure: k1172 
o|inlining procedure: k1227 
o|inlining procedure: k1227 
o|inlining procedure: k1256 
o|substituted constant variable: a1281 
o|substituted constant variable: a1282 
o|inlining procedure: k1256 
o|inlining procedure: k1327 
o|substituted constant variable: a1354 
o|substituted constant variable: a1355 
o|inlining procedure: k1327 
o|substituted constant variable: a1382 
o|substituted constant variable: a1383 
o|inlining procedure: k1394 
o|inlining procedure: k1394 
o|inlining procedure: k1433 
o|substituted constant variable: a1463 
o|substituted constant variable: a1464 
o|inlining procedure: k1433 
o|inlining procedure: k1508 
o|inlining procedure: k1508 
o|inlining procedure: k1523 
o|substituted constant variable: a1548 
o|substituted constant variable: a1549 
o|inlining procedure: k1523 
o|inlining procedure: k1567 
o|inlining procedure: k1567 
o|inlining procedure: k1628 
o|inlining procedure: k1649 
o|inlining procedure: k1649 
o|inlining procedure: k1664 
o|inlining procedure: k1664 
o|substituted constant variable: a1692 
o|substituted constant variable: a1693 
o|inlining procedure: k1628 
o|inlining procedure: k1732 
o|inlining procedure: k1768 
o|inlining procedure: k1768 
o|substituted constant variable: a1802 
o|substituted constant variable: a1803 
o|inlining procedure: k1732 
o|inlining procedure: k1822 
o|inlining procedure: k1822 
o|inlining procedure: k1872 
o|inlining procedure: k1872 
o|substituted constant variable: a1907 
o|substituted constant variable: a1908 
o|inlining procedure: k1937 
o|inlining procedure: k1942 
o|inlining procedure: k1942 
o|inlining procedure: k1937 
o|inlining procedure: k1962 
o|inlining procedure: k1962 
o|inlining procedure: k1978 
o|inlining procedure: k1978 
o|inlining procedure: k1997 
o|inlining procedure: k1997 
o|inlining procedure: k2019 
o|inlining procedure: k2019 
o|substituted constant variable: a2053 
o|substituted constant variable: a2054 
o|inlining procedure: k2058 
o|inlining procedure: k2058 
o|substituted constant variable: a2090 
o|substituted constant variable: a2091 
o|inlining procedure: k2111 
o|inlining procedure: k2111 
o|inlining procedure: k2132 
o|inlining procedure: k2132 
o|inlining procedure: k2179 
o|inlining procedure: k2179 
o|inlining procedure: k2194 
o|inlining procedure: k2194 
o|inlining procedure: k2222 
o|inlining procedure: k2222 
o|inlining procedure: k2265 
o|inlining procedure: k2265 
o|inlining procedure: k2310 
o|inlining procedure: k2310 
o|inlining procedure: k2320 
o|inlining procedure: k2320 
o|substituted constant variable: a2326 
o|substituted constant variable: a2348 
o|substituted constant variable: a2349 
o|contracted procedure: k2389 
o|inlining procedure: k2386 
o|substituted constant variable: a2423 
o|substituted constant variable: a2424 
o|inlining procedure: k2386 
o|inlining procedure: k2452 
o|substituted constant variable: a2480 
o|substituted constant variable: a2481 
o|inlining procedure: k2452 
o|inlining procedure: k2538 
o|substituted constant variable: a2568 
o|substituted constant variable: a2569 
o|inlining procedure: k2538 
o|substituted constant variable: a2594 
o|substituted constant variable: a2595 
o|contracted procedure: "(tcp.scm:616) chicken.tcp#get-socket-error" 
o|inlining procedure: k2599 
o|inlining procedure: k2623 
o|inlining procedure: k2623 
o|substituted constant variable: a2653 
o|substituted constant variable: a2654 
o|inlining procedure: k2599 
o|substituted constant variable: a2680 
o|substituted constant variable: a2681 
o|substituted constant variable: a2706 
o|substituted constant variable: a2707 
o|substituted constant variable: a2734 
o|substituted constant variable: a2735 
o|inlining procedure: k2745 
o|inlining procedure: k2745 
o|inlining procedure: k2779 
o|inlining procedure: k2779 
o|substituted constant variable: a2795 
o|inlining procedure: k2813 
o|inlining procedure: k2813 
o|substituted constant variable: a2835 
o|substituted constant variable: a2836 
o|substituted constant variable: a2856 
o|substituted constant variable: a2857 
o|substituted constant variable: a2862 
o|inlining procedure: k2875 
o|substituted constant variable: a2903 
o|substituted constant variable: a2904 
o|inlining procedure: k2875 
o|substituted constant variable: a2927 
o|substituted constant variable: a2928 
o|inlining procedure: k2941 
o|substituted constant variable: a2966 
o|substituted constant variable: a2967 
o|inlining procedure: k2941 
o|substituted constant variable: a2972 
o|folded constant expression: (chicken.fixnum#fx* (quote 60) (quote 1000)) 
o|replaced variables: 299 
o|removed binding forms: 146 
o|substituted constant variable: r10163017 
o|substituted constant variable: r10163017 
o|substituted constant variable: r11733021 
o|substituted constant variable: r11733021 
o|substituted constant variable: r15093048 
o|contracted procedure: k1574 
o|inlining procedure: k1822 
o|inlining procedure: k1822 
o|substituted constant variable: r19383083 
o|substituted constant variable: r19383083 
o|substituted constant variable: r19983089 
o|inlining procedure: k2025 
o|substituted constant variable: r21123096 
o|substituted constant variable: r21953101 
o|substituted constant variable: r23113113 
o|substituted constant variable: r23213115 
o|substituted constant variable: r23213116 
o|inlining procedure: k2538 
o|replaced variables: 14 
o|removed binding forms: 354 
o|inlining procedure: k1472 
o|substituted constant variable: r1575 
o|inlining procedure: k1753 
o|substituted constant variable: r18233175 
o|replaced variables: 4 
o|removed binding forms: 42 
o|substituted constant variable: minute460 
o|substituted constant variable: minute460 
o|removed binding forms: 6 
o|removed side-effect free assignment to unused variable: minute460 
o|converted assignments to bindings: (check459) 
o|simplifications: ((let . 1)) 
o|removed binding forms: 2 
o|simplifications: ((if . 17) (##core#call . 176)) 
o|  call simplifications:
o|    vector?
o|    ##sys#check-string
o|    vector
o|    ##sys#call-with-values	2
o|    ##sys#setslot	4
o|    chicken.fixnum#fxmin	3
o|    chicken.fixnum#fx-	6
o|    chicken.fixnum#fx=
o|    ##sys#setislot	5
o|    ##sys#check-structure	5
o|    ##sys#slot	14
o|    ##sys#structure?
o|    car	3
o|    null?	5
o|    cdr	2
o|    chicken.fixnum#fx<	7
o|    chicken.fixnum#fx>	6
o|    ##sys#make-structure	2
o|    ##sys#size	7
o|    chicken.fixnum#fx>=	9
o|    char=?
o|    chicken.fixnum#fx+	12
o|    eq?	26
o|    values	11
o|    ##sys#foreign-unsigned-ranged-integer-argument	2
o|    ##sys#foreign-string-argument	3
o|    ##sys#foreign-pointer-argument	2
o|    ##sys#foreign-block-argument	6
o|    ##sys#foreign-fixnum-argument	28
o|contracted procedure: k947 
o|contracted procedure: k963 
o|contracted procedure: k967 
o|contracted procedure: k971 
o|contracted procedure: k978 
o|contracted procedure: k982 
o|contracted procedure: k986 
o|contracted procedure: k996 
o|contracted procedure: k1000 
o|contracted procedure: k1007 
o|contracted procedure: k1011 
o|contracted procedure: k1015 
o|contracted procedure: k1028 
o|contracted procedure: k1035 
o|contracted procedure: k1039 
o|contracted procedure: k1043 
o|contracted procedure: k1047 
o|contracted procedure: k1057 
o|contracted procedure: k1061 
o|contracted procedure: k1068 
o|contracted procedure: k1072 
o|contracted procedure: k1076 
o|contracted procedure: k1086 
o|contracted procedure: k1093 
o|contracted procedure: k1100 
o|contracted procedure: k1104 
o|contracted procedure: k1108 
o|contracted procedure: k1112 
o|contracted procedure: k1116 
o|contracted procedure: k1130 
o|contracted procedure: k1137 
o|contracted procedure: k1144 
o|contracted procedure: k1155 
o|contracted procedure: k1179 
o|contracted procedure: k1186 
o|contracted procedure: k1193 
o|contracted procedure: k1201 
o|contracted procedure: k1209 
o|contracted procedure: k1218 
o|contracted procedure: k1230 
o|contracted procedure: k1239 
o|contracted procedure: k1259 
o|contracted procedure: k1284 
o|contracted procedure: k1291 
o|contracted procedure: k1298 
o|contracted procedure: k1302 
o|contracted procedure: k1330 
o|contracted procedure: k1360 
o|contracted procedure: k1388 
o|contracted procedure: k1499 
o|contracted procedure: k1409 
o|contracted procedure: k1493 
o|contracted procedure: k1412 
o|contracted procedure: k1487 
o|contracted procedure: k1415 
o|contracted procedure: k1481 
o|contracted procedure: k1418 
o|contracted procedure: k1439 
o|contracted procedure: k1469 
o|contracted procedure: k1472 
o|contracted procedure: k1517 
o|contracted procedure: k1520 
o|contracted procedure: k1526 
o|contracted procedure: k1602 
o|contracted procedure: k1631 
o|contracted procedure: k1655 
o|contracted procedure: k1695 
o|contracted procedure: k1716 
o|contracted procedure: k1726 
o|contracted procedure: k1735 
o|contracted procedure: k1759 
o|contracted procedure: k1807 
o|contracted procedure: k1814 
o|contracted procedure: k1818 
o|contracted procedure: k1825 
o|contracted procedure: k1844 
o|contracted procedure: k1847 
o|contracted procedure: k1850 
o|contracted procedure: k1853 
o|contracted procedure: k1866 
o|contracted procedure: k1973 
o|contracted procedure: k1965 
o|contracted procedure: k1988 
o|contracted procedure: k1981 
o|contracted procedure: k1916 
o|contracted procedure: k1933 
o|contracted procedure: k1953 
o|contracted procedure: k1945 
o|contracted procedure: k2000 
o|contracted procedure: k2004 
o|contracted procedure: k2007 
o|contracted procedure: k2016 
o|contracted procedure: k2031 
o|contracted procedure: k2099 
o|contracted procedure: k2114 
o|contracted procedure: k2117 
o|contracted procedure: k2135 
o|contracted procedure: k2141 
o|contracted procedure: k2144 
o|contracted procedure: k2173 
o|contracted procedure: k2147 
o|contracted procedure: k2151 
o|contracted procedure: k2155 
o|contracted procedure: k2162 
o|contracted procedure: k2166 
o|contracted procedure: k2170 
o|contracted procedure: k2182 
o|contracted procedure: k2197 
o|contracted procedure: k2200 
o|contracted procedure: k2259 
o|contracted procedure: k2213 
o|contracted procedure: k2219 
o|contracted procedure: k2225 
o|contracted procedure: k2235 
o|contracted procedure: k2241 
o|contracted procedure: k2252 
o|contracted procedure: k2248 
o|contracted procedure: k2280 
o|contracted procedure: k2276 
o|contracted procedure: k2269 
o|inlining procedure: k2265 
o|contracted procedure: k2291 
o|contracted procedure: k2295 
o|contracted procedure: k2287 
o|inlining procedure: k2265 
o|contracted procedure: k2301 
o|contracted procedure: k2313 
o|contracted procedure: k2323 
o|contracted procedure: k2353 
o|contracted procedure: k2356 
o|contracted procedure: k2426 
o|contracted procedure: k2429 
o|contracted procedure: k2446 
o|contracted procedure: k2458 
o|contracted procedure: k2483 
o|contracted procedure: k2767 
o|contracted procedure: k2496 
o|contracted procedure: k2508 
o|contracted procedure: k2544 
o|contracted procedure: k2573 
o|contracted procedure: k2490 
o|contracted procedure: k2602 
o|contracted procedure: k2682 
o|contracted procedure: k2712 
o|contracted procedure: k2782 
o|contracted procedure: k2881 
o|contracted procedure: k2905 
o|contracted procedure: k2932 
o|contracted procedure: k2935 
o|contracted procedure: k2944 
o|contracted procedure: k2981 
o|contracted procedure: k2987 
o|simplifications: ((let . 24)) 
o|removed binding forms: 150 
o|inlining procedure: k1197 
o|replaced variables: 71 
o|removed binding forms: 1 
o|substituted constant variable: r11983291 
o|substituted constant variable: r11983291 
o|removed binding forms: 42 
o|contracted procedure: k2535 
o|removed binding forms: 3 
o|customizable procedures: (check459 k2502 k2362 k1608 loop533 k2068 read-input489 k1922 k1876 k1885 output571 k1720 loop574 k1616 loop377) 
o|calls to known targets: 74 
o|identified direct recursive calls: f_1225 1 
o|identified direct recursive calls: f_2130 1 
o|fast box initializations: 6 
o|dropping unused closure argument: f_1563 
*/
/* end of file */
